--
-- PostgreSQL database dump
--

-- Dumped from database version 15.6 (Debian 15.6-1.pgdg120+2)
-- Dumped by pg_dump version 15.6 (Debian 15.6-1.pgdg120+2)

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: trento_dev; Type: DATABASE; Schema: -; Owner: postgres
--

CREATE DATABASE trento_dev WITH TEMPLATE = template0 ENCODING = 'UTF8' LOCALE_PROVIDER = libc LOCALE = 'en_US.utf8';


ALTER DATABASE trento_dev OWNER TO postgres;

\connect trento_dev

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: application_instances; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.application_instances (
    sap_system_id uuid NOT NULL,
    host_id uuid NOT NULL,
    instance_number character varying(255) NOT NULL,
    instance_hostname character varying(255),
    sid character varying(255),
    features character varying(255),
    http_port integer,
    https_port integer,
    start_priority character varying(255),
    health character varying(255),
    absent_at timestamp without time zone,
    inserted_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL,
    updated_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL
);


ALTER TABLE public.application_instances OWNER TO postgres;

--
-- Name: clusters; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.clusters (
    id uuid NOT NULL,
    name character varying(255),
    sid character varying(255),
    type character varying(255),
    selected_checks character varying(255)[],
    health character varying(255),
    details jsonb,
    checks_execution character varying(255),
    resources_number integer,
    hosts_number integer,
    provider character varying(255),
    deregistered_at timestamp without time zone,
    additional_sids character varying(255)[] DEFAULT ARRAY[]::character varying[],
    inserted_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL,
    updated_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL
);


ALTER TABLE public.clusters OWNER TO postgres;

--
-- Name: clusters_enrichment_data; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.clusters_enrichment_data (
    cluster_id uuid NOT NULL,
    cib_last_written character varying(255),
    inserted_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL,
    updated_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL
);


ALTER TABLE public.clusters_enrichment_data OWNER TO postgres;

--
-- Name: database_instances; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.database_instances (
    sap_system_id uuid NOT NULL,
    host_id uuid NOT NULL,
    instance_number character varying(255) NOT NULL,
    instance_hostname character varying(255),
    sid character varying(255),
    tenant character varying(255),
    features character varying(255),
    http_port integer,
    https_port integer,
    start_priority character varying(255),
    health character varying(255),
    system_replication character varying(255),
    system_replication_status character varying(255),
    absent_at timestamp without time zone,
    inserted_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL,
    updated_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL
);


ALTER TABLE public.database_instances OWNER TO postgres;

--
-- Name: databases; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.databases (
    id uuid NOT NULL,
    sid character varying(255),
    health character varying(255),
    deregistered_at timestamp without time zone,
    inserted_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL,
    updated_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL
);


ALTER TABLE public.databases OWNER TO postgres;

--
-- Name: discarded_discovery_events; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.discarded_discovery_events (
    id bigint NOT NULL,
    payload jsonb,
    reason text,
    inserted_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL,
    updated_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL
);


ALTER TABLE public.discarded_discovery_events OWNER TO postgres;

--
-- Name: discarded_discovery_events_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.discarded_discovery_events_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.discarded_discovery_events_id_seq OWNER TO postgres;

--
-- Name: discarded_discovery_events_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.discarded_discovery_events_id_seq OWNED BY public.discarded_discovery_events.id;


--
-- Name: discovery_events; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.discovery_events (
    id bigint NOT NULL,
    agent_id uuid,
    discovery_type character varying(255),
    payload jsonb,
    inserted_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL,
    updated_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL
);


ALTER TABLE public.discovery_events OWNER TO postgres;

--
-- Name: discovery_events_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.discovery_events_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.discovery_events_id_seq OWNER TO postgres;

--
-- Name: discovery_events_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.discovery_events_id_seq OWNED BY public.discovery_events.id;


--
-- Name: fun_with_flags_toggles; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.fun_with_flags_toggles (
    id bigint NOT NULL,
    flag_name character varying(255) NOT NULL,
    gate_type character varying(255) NOT NULL,
    target character varying(255) NOT NULL,
    enabled boolean NOT NULL
);


ALTER TABLE public.fun_with_flags_toggles OWNER TO postgres;

--
-- Name: fun_with_flags_toggles_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.fun_with_flags_toggles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.fun_with_flags_toggles_id_seq OWNER TO postgres;

--
-- Name: fun_with_flags_toggles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.fun_with_flags_toggles_id_seq OWNED BY public.fun_with_flags_toggles.id;


--
-- Name: heartbeats; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.heartbeats (
    agent_id character varying(255) NOT NULL,
    "timestamp" timestamp without time zone,
    inserted_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL,
    updated_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL
);


ALTER TABLE public.heartbeats OWNER TO postgres;

--
-- Name: hosts; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.hosts (
    id uuid NOT NULL,
    hostname character varying(255),
    ip_addresses character varying(255)[],
    agent_version character varying(255),
    heartbeat character varying(255),
    provider character varying(255),
    cluster_id uuid,
    provider_data jsonb,
    deregistered_at timestamp without time zone,
    selected_checks character varying(255)[] DEFAULT ARRAY[]::character varying[],
    saptune_status jsonb,
    health character varying(255),
    fully_qualified_domain_name character varying(255),
    inserted_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL,
    updated_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL
);


ALTER TABLE public.hosts OWNER TO postgres;

--
-- Name: projection_versions; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.projection_versions (
    projection_name text NOT NULL,
    last_seen_event_number bigint,
    inserted_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL,
    updated_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL
);


ALTER TABLE public.projection_versions OWNER TO postgres;

--
-- Name: sap_systems; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sap_systems (
    id uuid NOT NULL,
    sid character varying(255),
    tenant character varying(255),
    db_host character varying(255),
    health character varying(255),
    deregistered_at timestamp without time zone,
    ensa_version character varying(255),
    inserted_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL,
    updated_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL
);


ALTER TABLE public.sap_systems OWNER TO postgres;

--
-- Name: schema_migrations; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.schema_migrations (
    version bigint NOT NULL,
    inserted_at timestamp(0) without time zone
);


ALTER TABLE public.schema_migrations OWNER TO postgres;

--
-- Name: settings; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.settings (
    installation_settings_installation_id uuid,
    installation_settings_eula_accepted boolean DEFAULT false,
    inserted_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL,
    updated_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL,
    id uuid NOT NULL,
    type character varying(255) NOT NULL,
    api_key_settings_jti uuid,
    api_key_settings_created_at timestamp without time zone,
    api_key_settings_expire_at timestamp without time zone
);


ALTER TABLE public.settings OWNER TO postgres;

--
-- Name: sles_subscriptions; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sles_subscriptions (
    host_id uuid NOT NULL,
    identifier character varying(255) NOT NULL,
    version character varying(255),
    arch character varying(255),
    status character varying(255),
    subscription_status character varying(255),
    type character varying(255),
    starts_at character varying(255),
    expires_at character varying(255),
    inserted_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL,
    updated_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL
);


ALTER TABLE public.sles_subscriptions OWNER TO postgres;

--
-- Name: software_update_settings; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.software_update_settings (
    id uuid DEFAULT '27f86af8-a227-4d53-b2bf-28e3178a5dc0'::uuid NOT NULL,
    url character varying(255) DEFAULT NULL::character varying,
    username character varying(255) DEFAULT NULL::character varying,
    password bytea,
    ca_cert bytea,
    ca_uploaded_at timestamp without time zone,
    inserted_at timestamp(0) without time zone NOT NULL,
    updated_at timestamp(0) without time zone NOT NULL,
    CONSTRAINT only_one_record CHECK ((id = '27f86af8-a227-4d53-b2bf-28e3178a5dc0'::uuid))
);


ALTER TABLE public.software_update_settings OWNER TO postgres;

--
-- Name: tags; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.tags (
    id bigint NOT NULL,
    value character varying(255),
    resource_id uuid,
    resource_type character varying(255),
    inserted_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL,
    updated_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL
);


ALTER TABLE public.tags OWNER TO postgres;

--
-- Name: tags_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.tags_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tags_id_seq OWNER TO postgres;

--
-- Name: tags_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.tags_id_seq OWNED BY public.tags.id;


--
-- Name: users; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.users (
    id bigint NOT NULL,
    username character varying(255) NOT NULL,
    password_hash character varying(255),
    inserted_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL,
    updated_at timestamp without time zone DEFAULT '2024-04-09 15:05:22.873727'::timestamp without time zone NOT NULL
);


ALTER TABLE public.users OWNER TO postgres;

--
-- Name: users_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.users_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.users_id_seq OWNER TO postgres;

--
-- Name: users_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.users_id_seq OWNED BY public.users.id;


--
-- Name: discarded_discovery_events id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.discarded_discovery_events ALTER COLUMN id SET DEFAULT nextval('public.discarded_discovery_events_id_seq'::regclass);


--
-- Name: discovery_events id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.discovery_events ALTER COLUMN id SET DEFAULT nextval('public.discovery_events_id_seq'::regclass);


--
-- Name: fun_with_flags_toggles id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.fun_with_flags_toggles ALTER COLUMN id SET DEFAULT nextval('public.fun_with_flags_toggles_id_seq'::regclass);


--
-- Name: tags id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.tags ALTER COLUMN id SET DEFAULT nextval('public.tags_id_seq'::regclass);


--
-- Name: users id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.users ALTER COLUMN id SET DEFAULT nextval('public.users_id_seq'::regclass);


--
-- Data for Name: application_instances; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.application_instances (sap_system_id, host_id, instance_number, instance_hostname, sid, features, http_port, https_port, start_priority, health, absent_at, inserted_at, updated_at) FROM stdin;
6c9208eb-a5bb-57ef-be5c-6422dedab602	0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	02	sapnwpaas1	NWP	ABAP|GATEWAY|ICMAN|IGS	50213	50214	3	passing	\N	2024-04-09 15:07:10.279416	2024-04-09 15:07:10.279416
cd52e571-c897-5bba-b0f9-e155ceca1fff	81e9b629-c1e7-538f-bff1-47d3a6580522	02	sapnwqaas1	NWQ	ABAP|GATEWAY|ICMAN|IGS	50213	50214	3	passing	\N	2024-04-09 15:07:12.491693	2024-04-09 15:07:12.491693
6c9208eb-a5bb-57ef-be5c-6422dedab602	116d49bd-85e1-5e59-b820-83f66db8800c	00	sapnwpas	NWP	MESSAGESERVER|ENQUE	50013	50014	1	passing	\N	2024-04-09 15:07:13.550958	2024-04-09 15:07:13.550958
cd52e571-c897-5bba-b0f9-e155ceca1fff	3711ea88-9ccc-5b07-8f9d-042be449d72b	10	sapnwqer	NWQ	ENQREP	51013	51014	0.5	passing	\N	2024-04-09 15:07:14.748525	2024-04-09 15:07:14.748525
6c9208eb-a5bb-57ef-be5c-6422dedab602	a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	01	sapnwppas	NWP	ABAP|GATEWAY|ICMAN|IGS	50113	50114	3	passing	\N	2024-04-09 15:07:18.615667	2024-04-09 15:07:18.615667
cd52e571-c897-5bba-b0f9-e155ceca1fff	098fc159-3ed6-58e7-91be-38fda8a833ea	01	sapnwqpas	NWQ	ABAP|GATEWAY|ICMAN|IGS	50113	50114	3	passing	\N	2024-04-09 15:07:18.764257	2024-04-09 15:07:18.764257
6c9208eb-a5bb-57ef-be5c-6422dedab602	4b30a6af-4b52-5bda-bccb-f2248a12c992	10	sapnwper	NWP	ENQREP	51013	51014	0.5	passing	\N	2024-04-09 15:07:20.772301	2024-04-09 15:07:20.772301
f534a4ad-cef7-5234-b196-e67082ffb50c	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	10	sapnwder	NWD	ENQREP	51013	51014	0.5	passing	\N	2024-04-09 15:08:36.455364	2024-04-09 15:09:49.987725
f534a4ad-cef7-5234-b196-e67082ffb50c	1b0e9297-97dd-55d6-9874-8efde4d84c90	02	sapnwdaas1	NWD	ABAP|GATEWAY|ICMAN|IGS	50213	50214	3	passing	\N	2024-04-09 15:10:10.389234	2024-04-09 15:10:10.389234
\.


--
-- Data for Name: clusters; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.clusters (id, name, sid, type, selected_checks, health, details, checks_execution, resources_number, hosts_number, provider, deregistered_at, additional_sids, inserted_at, updated_at) FROM stdin;
8a66f8fb-5fe9-51b3-a34c-24321271a4e3	drbd_cluster	\N	unknown	{}	unknown	\N	\N	9	2	azure	\N	{}	2024-04-09 15:06:58.68595	2024-04-09 15:06:58.68595
c7a1e943-bf46-590b-bd26-bfc7c78def97	drbd_cluster	\N	unknown	{}	unknown	\N	\N	9	2	azure	\N	{}	2024-04-09 15:06:59.485933	2024-04-09 15:06:59.485933
fb861bce-d212-56b5-8786-74afd6eb58cb	netweaver_cluster	\N	ascs_ers	{}	passing	{"sap_systems": [{"sid": "NWQ", "nodes": [{"name": "vmnwqas01", "roles": ["ascs"], "status": "Online", "resources": [{"id": "rsc_ip_NWQ_ASCS00", "role": "Started", "type": "ocf::heartbeat:IPaddr2", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_fs_NWQ_ASCS00", "role": "Started", "type": "ocf::heartbeat:Filesystem", "status": "Active", "managed": true, "fail_count": 1}, {"id": "rsc_sap_NWQ_ASCS00", "role": "Started", "type": "ocf::heartbeat:SAPInstance", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_socat_NWQ_ASCS00", "role": "Started", "type": "ocf::heartbeat:azure-lb", "status": "Active", "managed": true, "fail_count": 0}], "attributes": {}, "filesystems": ["/usr/sap/NWQ/ASCS00"], "virtual_ips": ["10.90.1.25"]}, {"name": "vmnwqas02", "roles": ["ers"], "status": "Online", "resources": [{"id": "rsc_ip_NWQ_ERS10", "role": "Started", "type": "ocf::heartbeat:IPaddr2", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_fs_NWQ_ERS10", "role": "Started", "type": "ocf::heartbeat:Filesystem", "status": "Active", "managed": true, "fail_count": 1}, {"id": "rsc_sap_NWQ_ERS10", "role": "Started", "type": "ocf::heartbeat:SAPInstance", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_socat_NWQ_ERS10", "role": "Started", "type": "ocf::heartbeat:azure-lb", "status": "Active", "managed": true, "fail_count": 0}], "attributes": {"runs_ers_NWQ": "1"}, "filesystems": ["/usr/sap/NWQ/ERS10"], "virtual_ips": ["10.90.1.26"]}], "distributed": true, "filesystem_resource_based": true}], "sbd_devices": [{"device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_813ace38-2d4f-48f6-8aa2-5360252ca492", "status": "healthy"}], "fencing_type": "external/sbd", "maintenance_mode": false, "stopped_resources": []}	\N	9	2	azure	\N	{NWQ}	2024-04-09 15:07:02.131094	2024-04-09 15:07:02.131094
6bd7ec60-8cb1-5c6b-a892-29e1fd2f8380	drbd_cluster	\N	unknown	{}	unknown	\N	\N	9	2	azure	\N	{}	2024-04-09 15:07:00.821702	2024-04-09 15:07:02.537695
469e7be5-4e20-5007-b044-c6f540a87493	hana_cluster_3	HDP	hana_scale_up	{}	passing	{"nodes": [{"name": "vmhdbprd01", "site": "NBG", "status": "Online", "resources": [{"id": "stonith-sbd", "role": "Started", "type": "stonith:external/sbd", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_SAPHana_HDP_HDB10", "role": "Master", "type": "ocf::suse:SAPHana", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_SAPHanaTopology_HDP_HDB10", "role": "Started", "type": "ocf::suse:SAPHanaTopology", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_ip_HDP_HDB10", "role": "Started", "type": "ocf::heartbeat:IPaddr2", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_socat_HDP_HDB10", "role": "Started", "type": "ocf::heartbeat:azure-lb", "status": "Active", "managed": true, "fail_count": 0}], "attributes": {"lpa_hdp_lpt": "1643125019", "hana_hdp_site": "NBG", "hana_hdp_roles": "4:P:master1:master:worker:master", "hana_hdp_vhost": "vmhdbprd01", "hana_hdp_srmode": "sync", "hana_hdp_op_mode": "logreplay", "hana_hdp_version": "2.00.057.00.1629894416", "hana_hdp_remoteHost": "vmhdbprd02", "hana_hdp_sync_state": "PRIM", "hana_hdp_clone_state": "PROMOTED", "master-rsc_SAPHana_HDP_HDB10": "150"}, "virtual_ip": "10.80.1.13", "hana_status": "Primary", "nameserver_actual_role": "master", "indexserver_actual_role": "master"}, {"name": "vmhdbprd02", "site": "WDF", "status": "Online", "resources": [{"id": "rsc_SAPHana_HDP_HDB10", "role": "Slave", "type": "ocf::suse:SAPHana", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_SAPHanaTopology_HDP_HDB10", "role": "Started", "type": "ocf::suse:SAPHanaTopology", "status": "Active", "managed": true, "fail_count": 0}], "attributes": {"lpa_hdp_lpt": "30", "hana_hdp_site": "WDF", "hana_hdp_roles": "4:S:master1:master:worker:master", "hana_hdp_vhost": "vmhdbprd02", "hana_hdp_srmode": "sync", "hana_hdp_op_mode": "logreplay", "hana_hdp_version": "2.00.057.00.1629894416", "hana_hdp_remoteHost": "vmhdbprd01", "hana_hdp_sync_state": "SOK", "hana_hdp_clone_state": "DEMOTED", "master-rsc_SAPHana_HDP_HDB10": "100"}, "virtual_ip": null, "hana_status": "Secondary", "nameserver_actual_role": "master", "indexserver_actual_role": "master"}], "sites": [{"name": "NBG", "state": "Primary", "sr_health_state": "4"}, {"name": "WDF", "state": "Secondary", "sr_health_state": "4"}], "sbd_devices": [{"device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b924e77", "status": "healthy"}, {"device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b912345", "status": "unhealthy"}, {"device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b954321", "status": "unknown"}], "fencing_type": "external/sbd", "sr_health_state": "4", "maintenance_mode": false, "stopped_resources": [], "secondary_sync_state": "SOK", "system_replication_mode": "sync", "system_replication_operation_mode": "logreplay"}	\N	7	2	azure	\N	{}	2024-04-09 15:06:57.13028	2024-04-09 15:07:05.142676
7965f822-0254-5858-abca-f6e8b4c27714	hana_cluster_1	HDD	hana_scale_up	{}	critical	{"nodes": [{"name": "vmhdbdev01", "site": "NBG", "status": "Online", "resources": [{"id": "stonith-sbd", "role": "Started", "type": "stonith:external/sbd", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_SAPHanaTopology_HDD_HDB10", "role": "Started", "type": "ocf::suse:SAPHanaTopology", "status": "Active", "managed": true, "fail_count": 0}], "attributes": {"lpa_hdd_lpt": "10", "hana_hdd_site": "NBG", "hana_hdd_roles": "1:P:master1::worker:", "hana_hdd_vhost": "vmhdbdev01", "hana_hdd_srmode": "sync", "hana_hdd_op_mode": "logreplay", "hana_hdd_version": "2.00.057.00.1629894416", "hana_hdd_remoteHost": "vmhdbdev02", "hana_hdd_sync_state": "SFAIL", "hana_hdd_clone_state": "UNDEFINED", "master-rsc_SAPHana_HDD_HDB10": "-9000"}, "virtual_ip": null, "hana_status": "Failed", "nameserver_actual_role": null, "indexserver_actual_role": null}, {"name": "vmhdbdev02", "site": "WDF", "status": "Online", "resources": [{"id": "rsc_SAPHana_HDD_HDB10", "role": "Master", "type": "ocf::suse:SAPHana", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_SAPHanaTopology_HDD_HDB10", "role": "Started", "type": "ocf::suse:SAPHanaTopology", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_ip_HDD_HDB10", "role": "Started", "type": "ocf::heartbeat:IPaddr2", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_socat_HDD_HDB10", "role": "Started", "type": "ocf::heartbeat:azure-lb", "status": "Active", "managed": true, "fail_count": 0}], "attributes": {"lpa_hdd_lpt": "1643125026", "hana_hdd_site": "WDF", "hana_hdd_roles": "4:P:master1:master:worker:master", "hana_hdd_vhost": "vmhdbdev02", "hana_hdd_srmode": "sync", "hana_hdd_op_mode": "logreplay", "hana_hdd_version": "2.00.057.00.1629894416", "hana_hdd_remoteHost": "vmhdbdev01", "hana_hdd_sync_state": "PRIM", "hana_hdd_clone_state": "PROMOTED", "master-rsc_SAPHana_HDD_HDB10": "150"}, "virtual_ip": "10.100.1.13", "hana_status": "Primary", "nameserver_actual_role": "master", "indexserver_actual_role": "master"}], "sites": [{"name": "NBG", "state": "Failed", "sr_health_state": "1"}, {"name": "WDF", "state": "Primary", "sr_health_state": "4"}], "sbd_devices": [{"device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:182cb1b1-a815-4b82-b538-7a166b9bbb4a", "status": "healthy"}], "fencing_type": "external/sbd", "sr_health_state": "1", "maintenance_mode": false, "stopped_resources": [{"id": "rsc_SAPHana_HDD_HDB10", "role": "Stopped", "type": "ocf::suse:SAPHana", "status": null, "managed": null, "fail_count": null}], "secondary_sync_state": "SFAIL", "system_replication_mode": "sync", "system_replication_operation_mode": "logreplay"}	\N	7	2	azure	\N	{}	2024-04-09 15:06:59.724417	2024-04-09 15:08:20.757052
0eac831a-aa66-5f45-89a4-007fbd2c5714	netweaver_cluster	\N	ascs_ers	{}	passing	{"sap_systems": [{"sid": "NWP", "nodes": [{"name": "vmnwprd01", "roles": ["ascs"], "status": "Online", "resources": [{"id": "rsc_ip_NWP_ASCS00", "role": "Started", "type": "ocf::heartbeat:IPaddr2", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_fs_NWP_ASCS00", "role": "Started", "type": "ocf::heartbeat:Filesystem", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_sap_NWP_ASCS00", "role": "Started", "type": "ocf::heartbeat:SAPInstance", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_socat_NWP_ASCS00", "role": "Started", "type": "ocf::heartbeat:azure-lb", "status": "Active", "managed": true, "fail_count": 0}], "attributes": {}, "filesystems": ["/usr/sap/NWP/ASCS00"], "virtual_ips": ["10.80.1.25"]}, {"name": "vmnwprd02", "roles": ["ers"], "status": "Online", "resources": [{"id": "rsc_ip_NWP_ERS10", "role": "Started", "type": "ocf::heartbeat:IPaddr2", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_fs_NWP_ERS10", "role": "Started", "type": "ocf::heartbeat:Filesystem", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_sap_NWP_ERS10", "role": "Started", "type": "ocf::heartbeat:SAPInstance", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_socat_NWP_ERS10", "role": "Started", "type": "ocf::heartbeat:azure-lb", "status": "Active", "managed": true, "fail_count": 0}], "attributes": {"runs_ers_NWP": "1"}, "filesystems": ["/usr/sap/NWP/ERS10"], "virtual_ips": ["10.80.1.26"]}], "distributed": true, "filesystem_resource_based": true}], "sbd_devices": [{"device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_e34218cd-0d9a-4b21-b6d5-a313980baa82", "status": "healthy"}], "fencing_type": "external/sbd", "maintenance_mode": false, "stopped_resources": []}	\N	9	2	azure	\N	{NWP}	2024-04-09 15:06:57.267909	2024-04-09 15:07:08.824204
5284f376-c1f4-5178-8966-d490df3dab4f	netweaver_cluster	\N	ascs_ers	{}	passing	{"sap_systems": [{"sid": "NWD", "nodes": [{"name": "vmnwdev01", "roles": ["ascs"], "status": "Online", "resources": [{"id": "rsc_ip_NWD_ASCS00", "role": "Started", "type": "ocf::heartbeat:IPaddr2", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_fs_NWD_ASCS00", "role": "Started", "type": "ocf::heartbeat:Filesystem", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_sap_NWD_ASCS00", "role": "Started", "type": "ocf::heartbeat:SAPInstance", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_socat_NWD_ASCS00", "role": "Started", "type": "ocf::heartbeat:azure-lb", "status": "Active", "managed": true, "fail_count": 0}], "attributes": {}, "filesystems": ["/usr/sap/NWD/ASCS00"], "virtual_ips": ["10.100.1.25"]}, {"name": "vmnwdev02", "roles": ["ers"], "status": "Online", "resources": [{"id": "rsc_ip_NWD_ERS10", "role": "Started", "type": "ocf::heartbeat:IPaddr2", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_fs_NWD_ERS10", "role": "Started", "type": "ocf::heartbeat:Filesystem", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_sap_NWD_ERS10", "role": "Started", "type": "ocf::heartbeat:SAPInstance", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_socat_NWD_ERS10", "role": "Started", "type": "ocf::heartbeat:azure-lb", "status": "Active", "managed": true, "fail_count": 0}], "attributes": {"runs_ers_NWD": "1"}, "filesystems": ["/usr/sap/NWD/ERS10"], "virtual_ips": ["10.100.1.26"]}], "distributed": true, "filesystem_resource_based": true}], "sbd_devices": [{"device": "/dev/disk/by-id/scsi-36001405f01eb5f4c5c941e499beb055d", "status": "healthy"}], "fencing_type": "external/sbd", "maintenance_mode": false, "stopped_resources": []}	\N	9	2	azure	\N	{NWD}	2024-04-09 15:07:00.100541	2024-04-09 15:08:21.136588
fa0d74a3-9240-5d9e-99fa-61c4137acf81	hana_cluster_2	HDQ	hana_scale_up	{}	passing	{"nodes": [{"name": "vmhdbqas01", "site": "NBG", "status": "Online", "resources": [{"id": "stonith-sbd", "role": "Started", "type": "stonith:external/sbd", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_SAPHana_HDQ_HDB10", "role": "Master", "type": "ocf::suse:SAPHana", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_SAPHanaTopology_HDQ_HDB10", "role": "Started", "type": "ocf::suse:SAPHanaTopology", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_ip_HDQ_HDB10", "role": "Started", "type": "ocf::heartbeat:IPaddr2", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_socat_HDQ_HDB10", "role": "Started", "type": "ocf::heartbeat:azure-lb", "status": "Active", "managed": true, "fail_count": 0}], "attributes": {"lpa_hdq_lpt": "1643125033", "hana_hdq_site": "NBG", "hana_hdq_roles": "4:P:master1:master:worker:master", "hana_hdq_vhost": "vmhdbqas01", "hana_hdq_srmode": "sync", "hana_hdq_op_mode": "logreplay", "hana_hdq_version": "2.00.057.00.1629894416", "hana_hdq_remoteHost": "vmhdbqas02", "hana_hdq_sync_state": "PRIM", "hana_hdq_clone_state": "PROMOTED", "master-rsc_SAPHana_HDQ_HDB10": "150"}, "virtual_ip": "10.90.1.13", "hana_status": "Primary", "nameserver_actual_role": "master", "indexserver_actual_role": "master"}, {"name": "vmhdbqas02", "site": "WDF", "status": "Online", "resources": [{"id": "rsc_SAPHana_HDQ_HDB10", "role": "Slave", "type": "ocf::suse:SAPHana", "status": "Active", "managed": true, "fail_count": 0}, {"id": "rsc_SAPHanaTopology_HDQ_HDB10", "role": "Started", "type": "ocf::suse:SAPHanaTopology", "status": "Active", "managed": true, "fail_count": 0}], "attributes": {"lpa_hdq_lpt": "30", "hana_hdq_site": "WDF", "hana_hdq_roles": "4:S:master1:master:worker:master", "hana_hdq_vhost": "vmhdbqas02", "hana_hdq_srmode": "sync", "hana_hdq_op_mode": "logreplay", "hana_hdq_version": "2.00.057.00.1629894416", "hana_hdq_remoteHost": "vmhdbqas01", "hana_hdq_sync_state": "SOK", "hana_hdq_clone_state": "DEMOTED", "master-rsc_SAPHana_HDQ_HDB10": "100"}, "virtual_ip": null, "hana_status": "Secondary", "nameserver_actual_role": "master", "indexserver_actual_role": "master"}], "sites": [{"name": "NBG", "state": "Primary", "sr_health_state": "4"}, {"name": "WDF", "state": "Secondary", "sr_health_state": "4"}], "sbd_devices": [{"device": "/dev/disk/by-id/scsi-360014058d88c7795c6a4b66bc024f4bd", "status": "healthy"}], "fencing_type": "external/sbd", "sr_health_state": "4", "maintenance_mode": false, "stopped_resources": [], "secondary_sync_state": "SOK", "system_replication_mode": "sync", "system_replication_operation_mode": "logreplay"}	\N	7	2	azure	\N	{}	2024-04-09 15:07:02.3963	2024-04-09 15:07:12.656831
\.


--
-- Data for Name: clusters_enrichment_data; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.clusters_enrichment_data (cluster_id, cib_last_written, inserted_at, updated_at) FROM stdin;
469e7be5-4e20-5007-b044-c6f540a87493	Tue Jan 25 15:36:59 2022	2024-04-09 15:06:57.112813	2024-04-09 15:06:57.112813
0eac831a-aa66-5f45-89a4-007fbd2c5714	Tue Jan 11 13:43:06 2022	2024-04-09 15:06:57.260651	2024-04-09 15:06:57.260651
8a66f8fb-5fe9-51b3-a34c-24321271a4e3	Tue Jan 11 12:20:56 2022	2024-04-09 15:06:58.677361	2024-04-09 15:06:58.677361
c7a1e943-bf46-590b-bd26-bfc7c78def97	Tue Jan 11 13:24:06 2022	2024-04-09 15:06:59.47896	2024-04-09 15:06:59.47896
7965f822-0254-5858-abca-f6e8b4c27714	Tue Jan 25 15:37:06 2022	2024-04-09 15:06:59.716601	2024-04-09 15:06:59.716601
5284f376-c1f4-5178-8966-d490df3dab4f	Tue Jan 11 12:55:06 2022	2024-04-09 15:07:00.088168	2024-04-09 15:07:00.088168
6bd7ec60-8cb1-5c6b-a892-29e1fd2f8380	Tue Jan 11 12:50:53 2022	2024-04-09 15:07:00.814352	2024-04-09 15:07:00.814352
fb861bce-d212-56b5-8786-74afd6eb58cb	Mon Jan 17 12:41:40 2022	2024-04-09 15:07:02.121706	2024-04-09 15:07:02.121706
fa0d74a3-9240-5d9e-99fa-61c4137acf81	Tue Jan 25 15:37:13 2022	2024-04-09 15:07:02.388652	2024-04-09 15:07:02.388652
\.


--
-- Data for Name: database_instances; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.database_instances (sap_system_id, host_id, instance_number, instance_hostname, sid, tenant, features, http_port, https_port, start_priority, health, system_replication, system_replication_status, absent_at, inserted_at, updated_at) FROM stdin;
cd52e571-c897-5bba-b0f9-e155ceca1fff	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	10	vmhdbqas02	HDQ	HDQ	HDB|HDB_WORKER	51013	51014	0.3	passing	Secondary	\N	\N	2024-04-09 15:07:17.011874	2024-04-09 15:07:17.011874
6c9208eb-a5bb-57ef-be5c-6422dedab602	b767b3e9-e802-587e-a442-541d093b86b9	10	vmhdbprd02	HDP	HDP	HDB|HDB_WORKER	51013	51014	0.3	passing	Secondary	\N	\N	2024-04-09 15:07:19.711474	2024-04-09 15:07:19.711474
f534a4ad-cef7-5234-b196-e67082ffb50c	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	10	vmhdbdev02	HDD	HDD	HDB|HDB_WORKER	51013	51014	0.3	passing	Secondary	\N	\N	2024-04-09 15:08:32.900404	2024-04-09 15:08:32.900404
cd52e571-c897-5bba-b0f9-e155ceca1fff	99cf8a3a-48d6-57a4-b302-6e4482227ab6	10	vmhdbqas01	HDQ	HDQ	HDB|HDB_WORKER	51013	51014	0.3	passing	Primary	ACTIVE	\N	2024-04-09 15:08:40.98058	2024-04-09 15:08:40.98058
f534a4ad-cef7-5234-b196-e67082ffb50c	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	10	vmhdbdev01	HDD	HDD	HDB|HDB_WORKER	51013	51014	0.3	critical	Primary	ACTIVE	\N	2024-04-09 15:09:20.659205	2024-04-09 15:09:48.990053
\.


--
-- Data for Name: databases; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.databases (id, sid, health, deregistered_at, inserted_at, updated_at) FROM stdin;
cd52e571-c897-5bba-b0f9-e155ceca1fff	HDQ	passing	\N	2024-04-09 15:07:09.903133	2024-04-09 15:08:40.984404
f534a4ad-cef7-5234-b196-e67082ffb50c	HDD	critical	\N	2024-04-09 15:07:05.819784	2024-04-09 15:09:48.993151
6c9208eb-a5bb-57ef-be5c-6422dedab602	HDP	passing	2024-04-09 15:09:51.52125	2024-04-09 15:07:06.942765	2024-04-09 15:09:51.544525
\.


--
-- Data for Name: discarded_discovery_events; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.discarded_discovery_events (id, payload, reason, inserted_at, updated_at) FROM stdin;
\.


--
-- Data for Name: discovery_events; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.discovery_events (id, agent_id, discovery_type, payload, inserted_at, updated_at) FROM stdin;
1	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	host_discovery	{"hostname": "vmhdbdev01", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.11", "10.100.1.13", "fe80::6245:bdff:fe8d:9b69"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbdev01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:06:55.573496	2024-04-09 15:06:55.573496
2	116d49bd-85e1-5e59-b820-83f66db8800c	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "not compliant", "Notes applied": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Notes enabled": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "NETWEAVER", "applied partially": false}], "Solution enabled": ["NETWEAVER"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:06:55.752741	2024-04-09 15:06:55.752741
3	9a26b6d0-6e72-597c-9fe5-152a6875f214	host_discovery	{"hostname": "vmiscsi01", "cpu_count": 1, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.4", "fe80::20d:3aff:fe2e:835a"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 3421, "fully_qualified_domain_name": "vmiscsi01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:06:55.875356	2024-04-09 15:06:55.875356
4	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	host_discovery	{"hostname": "vmnwdev03", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.23", "10.100.1.27", "fe80::6245:bdff:fe8d:9ef4"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwdev03.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:06:56.00261	2024-04-09 15:06:56.00261
5	0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwprd04", "plan": {}, "tags": "fake-tags", "vmId": "a7321bd7-c191-4650-b368-9c0b7bf04de6", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwprd04", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver04-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-netweaver02-App", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Attach", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.24"}, {"privateIpAddress": "10.80.1.28"}]}, "ipv6": {}, "macAddress": "000D3A2E8FAD"}]}}, "Provider": "azure"}	2024-04-09 15:06:56.133394	2024-04-09 15:06:56.133394
6	f0c808b3-d869-5192-a944-20f66a6a8449	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:06:56.249684	2024-04-09 15:06:56.249684
7	1b0e9297-97dd-55d6-9874-8efde4d84c90	host_discovery	{"hostname": "vmnwdev04", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.24", "10.100.1.28", "fe80::6245:bdff:fe8d:9a74"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwdev04.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:06:56.363911	2024-04-09 15:06:56.363911
8	098fc159-3ed6-58e7-91be-38fda8a833ea	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:06:56.486685	2024-04-09 15:06:56.486685
9	422686d6-b2d1-5092-93e8-a744854f5085	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbdqas02", "plan": {}, "tags": "fake-tags", "vmId": "cee2a7db-7fb7-4c51-928e-214966364f8f", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbdqas02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbdqas02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbdqas02-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.32"}]}, "ipv6": {}, "macAddress": "6045BD8D0523"}]}}, "Provider": "azure"}	2024-04-09 15:06:56.59948	2024-04-09 15:06:56.59948
10	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:06:56.717341	2024-04-09 15:06:56.717341
11	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbdqas01", "plan": {}, "tags": "fake-tags", "vmId": "9c5b4666-5356-4347-b688-6954027283a1", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbdqas01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbdqas01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbdqas01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.31"}]}, "ipv6": {}, "macAddress": "6045BD8D00C2"}]}}, "Provider": "azure"}	2024-04-09 15:06:56.830246	2024-04-09 15:06:56.830246
12	4b30a6af-4b52-5bda-bccb-f2248a12c992	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:06:56.952154	2024-04-09 15:06:56.952154
13	b767b3e9-e802-587e-a442-541d093b86b9	ha_cluster_discovery	{"DC": false, "Id": "9c832998801e28cd70ad77380e82a5c0", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbprd01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdp_lpt", "Name": "lpa_hdp_lpt", "Value": "1643125019"}, {"Id": "nodes-1-hana_hdp_vhost", "Name": "hana_hdp_vhost", "Value": "vmhdbprd01"}, {"Id": "nodes-1-hana_hdp_site", "Name": "hana_hdp_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdp_op_mode", "Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdp_srmode", "Name": "hana_hdp_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdp_remoteHost", "Name": "hana_hdp_remoteHost", "Value": "vmhdbprd02"}]}, {"Id": "2", "Uname": "vmhdbprd02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdp_lpt", "Name": "lpa_hdp_lpt", "Value": "30"}, {"Id": "nodes-2-hana_hdp_op_mode", "Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdp_vhost", "Name": "hana_hdp_vhost", "Value": "vmhdbprd02"}, {"Id": "nodes-2-hana_hdp_remoteHost", "Name": "hana_hdp_remoteHost", "Value": "vmhdbprd01"}, {"Id": "nodes-2-hana_hdp_site", "Name": "hana_hdp_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdp_srmode", "Name": "hana_hdp_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_3"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "24"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdp_site_srHook_WDF", "Name": "hana_hdp_site_srHook_WDF", "Value": "SOK"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDP_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDP_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDP_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDP_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDP"}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDP_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDP_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDP_HDB10", "Primitives": [{"Id": "rsc_ip_HDP_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDP_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDP_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDP_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDP_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.13"}, {"Id": "rsc_ip_HDP_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDP_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDP_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDP_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDP_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDP_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDP_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDP_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDP_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDP_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDP_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDP_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDP"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDP_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDP_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDP_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b924e77", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "a7a18c6b-7c8e-4bda-bb77-45e4b5dc8478", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbprd01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b924e77", "Status": "healthy"}]}, "Name": "hana_cluster_3", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbprd01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmhdbprd02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "msl_SAPHana_HDP_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDP_HDB10", "Node": {"Id": "2", "Name": "vmhdbprd02", "Cached": true}, "Role": "Slave", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDP_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10", "Node": {"Id": "2", "Name": "vmhdbprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDP_HDB10", "Resources": [{"Id": "rsc_ip_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:36:59 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbprd01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbprd02", "ResourceHistory": [{"Name": "rsc_SAPHana_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbprd01", "Attributes": [{"Name": "hana_hdp_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Name": "hana_hdp_remoteHost", "Value": "vmhdbprd02"}, {"Name": "hana_hdp_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdp_site", "Value": "NBG"}, {"Name": "hana_hdp_srmode", "Value": "sync"}, {"Name": "hana_hdp_sync_state", "Value": "PRIM"}, {"Name": "hana_hdp_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdp_vhost", "Value": "vmhdbprd01"}, {"Name": "lpa_hdp_lpt", "Value": "1643125019"}, {"Name": "master-rsc_SAPHana_HDP_HDB10", "Value": "150"}]}, {"Name": "vmhdbprd02", "Attributes": [{"Name": "hana_hdp_clone_state", "Value": "DEMOTED"}, {"Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Name": "hana_hdp_remoteHost", "Value": "vmhdbprd01"}, {"Name": "hana_hdp_roles", "Value": "4:S:master1:master:worker:master"}, {"Name": "hana_hdp_site", "Value": "WDF"}, {"Name": "hana_hdp_srmode", "Value": "sync"}, {"Name": "hana_hdp_sync_state", "Value": "SOK"}, {"Name": "hana_hdp_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdp_vhost", "Value": "vmhdbprd02"}, {"Name": "lpa_hdp_lpt", "Value": "30"}, {"Name": "master-rsc_SAPHana_HDP_HDB10", "Value": "100"}]}]}}, "Provider": "azure"}	2024-04-09 15:06:57.106111	2024-04-09 15:06:57.106111
14	4b30a6af-4b52-5bda-bccb-f2248a12c992	ha_cluster_discovery	{"DC": false, "Id": "8bca366a6cb7816555538092a1ddd5aa", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwprd01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwprd02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWP_ASCS00", "Primitives": [{"Id": "rsc_ip_NWP_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWP_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWP_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.25"}]}, {"Id": "rsc_fs_NWP_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWP_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWP_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.80.1.33:/NWP/ASCS"}, {"Id": "rsc_fs_NWP_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWP/ASCS00"}, {"Id": "rsc_fs_NWP_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWP_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWP_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWP_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWP_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWP_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWP_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWP_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWP_ASCS00_sapnwpas"}, {"Id": "rsc_sap_NWP_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWP/profile/NWP_ASCS00_sapnwpas"}, {"Id": "rsc_sap_NWP_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWP_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWP_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWP_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWP_ERS10", "Primitives": [{"Id": "rsc_ip_NWP_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWP_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWP_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.26"}]}, {"Id": "rsc_fs_NWP_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWP_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWP_ERS10-instance_attributes-device", "Name": "device", "Value": "10.80.1.33:/NWP/ERS"}, {"Id": "rsc_fs_NWP_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWP/ERS10"}, {"Id": "rsc_fs_NWP_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWP_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWP_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWP_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWP_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWP_ERS10_sapnwper"}, {"Id": "rsc_sap_NWP_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWP/profile/NWP_ERS10_sapnwper"}, {"Id": "rsc_sap_NWP_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWP_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWP_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWP_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWP_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWP_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWP_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_e34218cd-0d9a-4b21-b6d5-a313980baa82", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "e0c97fe2-f63a-4fd1-83df-9a736a03b49b", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwprd01", "Status": "clear"}, {"Id": 1, "Name": "vmnwprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_e34218cd-0d9a-4b21-b6d5-a313980baa82", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwprd01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwprd02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWP_ASCS00", "Resources": [{"Id": "rsc_ip_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWP_ERS10", "Resources": [{"Id": "rsc_ip_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 13:43:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwprd01", "ResourceHistory": [{"Name": "rsc_ip_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 1}]}, {"Name": "vmnwprd02", "ResourceHistory": [{"Name": "rsc_ip_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwprd02", "Attributes": [{"Name": "runs_ers_NWP", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:06:57.2545	2024-04-09 15:06:57.2545
18	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev01", "Name": "ASCS00", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 7379, "name": "enserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueServer", "elapsedtime": "151:56:46"}, {"pid": 7378, "name": "msg_server", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "MessageServer", "elapsedtime": "151:56:46"}], "Properties": [{"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "00", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "EnqGetLockTable", "property": "Enque Locks", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ASCS00", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "1", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "YES", "property": "CentralServices", "propertytype": "Attribute"}, {"value": "EnqGetStatistic", "property": "Enque Statistic", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwdas:50013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}, {"value": "YES", "property": "SupportsUpdateSCSInstance", "propertytype": "Attribute"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:06:57.749424	2024-04-09 15:06:57.749424
19	927901fa-2c87-524e-b18c-3ef5187f504f	sap_system_discovery	[]	2024-04-09 15:06:57.859926	2024-04-09 15:06:57.859926
20	3711ea88-9ccc-5b07-8f9d-042be449d72b	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:06:57.969049	2024-04-09 15:06:57.969049
25	25677e37-fd33-5005-896c-9275b1284534	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:06:58.542749	2024-04-09 15:06:58.542749
26	422686d6-b2d1-5092-93e8-a744854f5085	ha_cluster_discovery	{"DC": true, "Id": "a034a158905404befe08775682910ee1", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmdrbdqas01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmdrbdqas02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "drbd_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": [{"Id": "cl-nfsserver", "Primitive": {"Id": "nfsserver", "Type": "nfs-server", "Class": "systemd", "Provider": "", "Operations": [{"Id": "nfsserver-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": null}, "MetaAttributes": [{"Id": "cl-nfsserver-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g-nfs_sapdata", "Primitives": [{"Id": "fs_sapdata", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "fs_sapdata-monitor-20", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "fs_sapdata-instance_attributes-device", "Name": "device", "Value": "/dev/drbd1"}, {"Id": "fs_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWQ"}, {"Id": "fs_sapdata-instance_attributes-fstype", "Name": "fstype", "Value": "xfs"}, {"Id": "fs_sapdata-instance_attributes-options", "Name": "options", "Value": "noatime,nodiratime"}]}, {"Id": "vip_sapdata_nfs", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "vip_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "vip_sapdata_nfs-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.33"}, {"Id": "vip_sapdata_nfs-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "32"}, {"Id": "vip_sapdata_nfs-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "exportfs_work_sapdata", "Type": "exportfs", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "exportfs_work_sapdata-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "exportfs_work_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWQ"}, {"Id": "exportfs_work_sapdata-instance_attributes-fsid", "Name": "fsid", "Value": "1"}, {"Id": "exportfs_work_sapdata-instance_attributes-options", "Name": "options", "Value": "rw,no_root_squash"}, {"Id": "exportfs_work_sapdata-instance_attributes-clientspec", "Name": "clientspec", "Value": "*"}, {"Id": "exportfs_work_sapdata-instance_attributes-wait_for_leasetime_on_stop", "Name": "wait_for_leasetime_on_stop", "Value": "true"}]}, {"Id": "rsc_socat_sapdata_nfs", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_sapdata_nfs-instance_attributes-port", "Name": "port", "Value": "61000"}]}]}], "Masters": [{"Id": "ms_sapdata", "Primitive": {"Id": "drbd-sapdata", "Type": "drbd", "Class": "ocf", "Provider": "linbit", "Operations": [{"Id": "drbd-sapdata-monitor-15", "Name": "monitor", "Role": "Master", "Timeout": "", "Interval": "15"}, {"Id": "drbd-sapdata-monitor-30", "Name": "monitor", "Role": "Slave", "Timeout": "", "Interval": "30"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "drbd-sapdata-instance_attributes-drbd_resource", "Name": "drbd_resource", "Value": "sapdata"}]}, "MetaAttributes": [{"Id": "ms_sapdata-meta_attributes-master-max", "Name": "master-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-master-node-max", "Name": "master-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-0-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "ms_sapdata-meta_attributes-0-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-1-notify", "Name": "notify", "Value": "true"}, {"Id": "ms_sapdata-meta_attributes-1-target-role", "Name": "target-role", "Value": "Started"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:c1c003f5-4e45-4d6f-8d81-e338f666365c", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "f5991966-5a7f-45d6-90d1-bfcedb265df6", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmdrbdqas01", "Status": "clear"}, {"Id": 1, "Name": "vmdrbdqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:c1c003f5-4e45-4d6f-8d81-e338f666365c", "Status": "healthy"}]}, "Name": "drbd_cluster", "Crmmon": {"Nodes": [{"DC": false, "Id": "1", "Name": "vmdrbdqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 7}, {"DC": true, "Id": "2", "Name": "vmdrbdqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "ms_sapdata", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "drbd-sapdata", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Master", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "drbd-sapdata", "Node": {"Id": "2", "Name": "vmdrbdqas02", "Cached": true}, "Role": "Slave", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cl-nfsserver", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "nfsserver", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "nfsserver", "Node": {"Id": "2", "Name": "vmdrbdqas02", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g-nfs_sapdata", "Resources": [{"Id": "fs_sapdata", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "vip_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "exportfs_work_sapdata", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:exportfs", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:20:56 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmdrbdqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "fs_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "vip_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "exportfs_work_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmdrbdqas02", "ResourceHistory": [{"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmdrbdqas01", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}, {"Name": "vmdrbdqas02", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}]}}, "Provider": "azure"}	2024-04-09 15:06:58.671467	2024-04-09 15:06:58.671467
27	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbddev01", "plan": {}, "tags": "fake-tags", "vmId": "5e294482-9554-4989-8b9e-a0a2d3991c09", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbddev01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbddev01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbddev01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.31"}]}, "ipv6": {}, "macAddress": "6045BD8A5969"}]}}, "Provider": "azure"}	2024-04-09 15:06:58.798711	2024-04-09 15:06:58.798711
28	69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	sap_system_discovery	[]	2024-04-09 15:06:58.914189	2024-04-09 15:06:58.914189
29	116d49bd-85e1-5e59-b820-83f66db8800c	host_discovery	{"hostname": "vmnwprd01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.21", "10.80.1.25", "fe80::20d:3aff:fe2e:8f04"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwprd01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:06:59.01727	2024-04-09 15:06:59.01727
35	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	ha_cluster_discovery	{"DC": false, "Id": "04b8f8c21f9fd8991224478e8c4362f8", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbdev01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdd_lpt", "Name": "lpa_hdd_lpt", "Value": "10"}, {"Id": "nodes-1-hana_hdd_vhost", "Name": "hana_hdd_vhost", "Value": "vmhdbdev01"}, {"Id": "nodes-1-hana_hdd_site", "Name": "hana_hdd_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdd_op_mode", "Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdd_srmode", "Name": "hana_hdd_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdd_remoteHost", "Name": "hana_hdd_remoteHost", "Value": "vmhdbdev02"}]}, {"Id": "2", "Uname": "vmhdbdev02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdd_lpt", "Name": "lpa_hdd_lpt", "Value": "1643125026"}, {"Id": "nodes-2-hana_hdd_op_mode", "Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdd_vhost", "Name": "hana_hdd_vhost", "Value": "vmhdbdev02"}, {"Id": "nodes-2-hana_hdd_remoteHost", "Name": "hana_hdd_remoteHost", "Value": "vmhdbdev01"}, {"Id": "nodes-2-hana_hdd_site", "Name": "hana_hdd_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdd_srmode", "Name": "hana_hdd_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_1"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdd_site_srHook_WDF", "Name": "hana_hdd_site_srHook_WDF", "Value": "PRIM"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDD_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDD_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDD_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDD_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDD"}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDD_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDD_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDD_HDB10", "Primitives": [{"Id": "rsc_ip_HDD_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDD_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDD_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDD_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDD_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.13"}, {"Id": "rsc_ip_HDD_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDD_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDD_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDD_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDD_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDD_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDD_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDD_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDD_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDD_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDD_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDD_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDD"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDD_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDD_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDD_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:182cb1b1-a815-4b82-b538-7a166b9bbb4a", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "cc39771e-ea2f-4fb1-8968-a6176aee3d0a", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbdev01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbdev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:182cb1b1-a815-4b82-b538-7a166b9bbb4a", "Status": "healthy"}]}, "Name": "hana_cluster_1", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbdev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}, {"DC": false, "Id": "2", "Name": "vmhdbdev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": [{"Id": "msl_SAPHana_HDD_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDD_HDB10", "Node": null, "Role": "Stopped", "Agent": "ocf::suse:SAPHana", "Active": false, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 0}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDD_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10", "Node": {"Id": "1", "Name": "vmhdbdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDD_HDB10", "Resources": [{"Id": "rsc_ip_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:37:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbdev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbdev02", "ResourceHistory": [{"Name": "rsc_ip_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbdev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDD_HDB10", "FailCount": 1000000, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbdev01", "Attributes": [{"Name": "hana_hdd_clone_state", "Value": "UNDEFINED"}, {"Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Name": "hana_hdd_remoteHost", "Value": "vmhdbdev02"}, {"Name": "hana_hdd_roles", "Value": "1:P:master1::worker:"}, {"Name": "hana_hdd_site", "Value": "NBG"}, {"Name": "hana_hdd_srmode", "Value": "sync"}, {"Name": "hana_hdd_sync_state", "Value": "SFAIL"}, {"Name": "hana_hdd_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdd_vhost", "Value": "vmhdbdev01"}, {"Name": "lpa_hdd_lpt", "Value": "10"}, {"Name": "master-rsc_SAPHana_HDD_HDB10", "Value": "-9000"}]}, {"Name": "vmhdbdev02", "Attributes": [{"Name": "hana_hdd_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Name": "hana_hdd_remoteHost", "Value": "vmhdbdev01"}, {"Name": "hana_hdd_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdd_site", "Value": "WDF"}, {"Name": "hana_hdd_srmode", "Value": "sync"}, {"Name": "hana_hdd_sync_state", "Value": "PRIM"}, {"Name": "hana_hdd_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdd_vhost", "Value": "vmhdbdev02"}, {"Name": "lpa_hdd_lpt", "Value": "1643125026"}, {"Name": "master-rsc_SAPHana_HDD_HDB10", "Value": "150"}]}]}}, "Provider": "azure"}	2024-04-09 15:06:59.710111	2024-04-09 15:06:59.710111
36	99cf8a3a-48d6-57a4-b302-6e4482227ab6	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:06:59.843523	2024-04-09 15:06:59.843523
38	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	ha_cluster_discovery	{"DC": true, "Id": "057f083c3be591f4398eed816d4c8cd7", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwdev01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwdev02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWD_ASCS00", "Primitives": [{"Id": "rsc_ip_NWD_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWD_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWD_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.25"}]}, {"Id": "rsc_fs_NWD_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWD_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWD_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.100.1.33:/NWD/ASCS"}, {"Id": "rsc_fs_NWD_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWD/ASCS00"}, {"Id": "rsc_fs_NWD_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWD_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWD_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWD_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWD_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWD_ASCS00_sapnwdas"}, {"Id": "rsc_sap_NWD_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWD/profile/NWD_ASCS00_sapnwdas"}, {"Id": "rsc_sap_NWD_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWD_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWD_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWD_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWD_ERS10", "Primitives": [{"Id": "rsc_ip_NWD_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWD_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWD_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.26"}]}, {"Id": "rsc_fs_NWD_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWD_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWD_ERS10-instance_attributes-device", "Name": "device", "Value": "10.100.1.33:/NWD/ERS"}, {"Id": "rsc_fs_NWD_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWD/ERS10"}, {"Id": "rsc_fs_NWD_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWD_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWD_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWD_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWD_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWD_ERS10_sapnwder"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWD/profile/NWD_ERS10_sapnwder"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWD_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWD_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWD_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWD_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWD_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-36001405f01eb5f4c5c941e499beb055d", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "4e8adda1-da35-4ee4-92b9-a134494861f0", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwdev01", "Status": "clear"}, {"Id": 1, "Name": "vmnwdev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-36001405f01eb5f4c5c941e499beb055d", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwdev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwdev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWD_ASCS00", "Resources": [{"Id": "rsc_ip_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWD_ERS10", "Resources": [{"Id": "rsc_ip_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:55:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwdev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 1}, {"Name": "rsc_socat_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}]}, {"Name": "vmnwdev02", "ResourceHistory": [{"Name": "rsc_ip_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwdev02", "Attributes": [{"Name": "runs_ers_NWD", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:07:00.082527	2024-04-09 15:07:00.082527
40	21de186a-e38f-5804-b643-7f4ef22fecfd	sap_system_discovery	[]	2024-04-09 15:07:00.341005	2024-04-09 15:07:00.341005
42	098fc159-3ed6-58e7-91be-38fda8a833ea	sap_system_discovery	[{"Id": "d01fdc69aeba7bd5133b210eb2884853", "SID": "NWQ", "Type": 2, "Profile": {"SAPDBHOST": "ha-cluster.suse.de", "dbms/name": "HDQ", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwqas", "rdisp/msserv": "sapmsNWQ", "SAPGLOBALHOST": "sapnwqas", "SAPSYSTEMNAME": "NWQ", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDQ", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwqas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.90.1.13", "Databases": null, "Instances": [{"Host": "vmnwqas03", "Name": "D01", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwqas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwqer", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 17085, "name": "gwrd", "starttime": "2022 01 17 12:42:04", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "8:09:29"}, {"pid": 17086, "name": "icman", "starttime": "2022 01 17 12:42:04", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "8:09:29"}, {"pid": 17081, "name": "igswd_mt", "starttime": "2022 01 17 12:42:03", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "8:09:30"}, {"pid": 17080, "name": "disp+work", "starttime": "2022 01 17 12:42:03", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "8:09:30"}], "Properties": [{"value": "HTTP://sapnwqpas:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwqpas:40180", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "01", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwqpas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D01", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwqpas:50113/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:07:00.574256	2024-04-09 15:07:00.574256
43	1b0e9297-97dd-55d6-9874-8efde4d84c90	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev04", "Name": "D02", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 26496, "name": "gwrd", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:47:01"}, {"pid": 26497, "name": "icman", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:47:01"}, {"pid": 26476, "name": "igswd_mt", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:47:04"}, {"pid": 26475, "name": "disp+work", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:47:04"}], "Properties": [{"value": "HTTP://sapnwdaas1:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwdaas1:40280", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "02", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdaas1", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D02", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwdaas1:50213/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:07:00.689943	2024-04-09 15:07:00.689943
119	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:07:10.795218	2024-04-09 15:07:10.795218
15	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:06:57.388334	2024-04-09 15:06:57.388334
16	9cd46919-5f19-59aa-993e-cf3736c71053	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbprd01", "plan": {}, "tags": "fake-tags", "vmId": "ee7cf44b-d202-4680-b331-1b3996f2f0e7", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbprd01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.11"}]}, "ipv6": {}, "macAddress": "000D3A232C6B"}]}}, "Provider": "azure"}	2024-04-09 15:06:57.510581	2024-04-09 15:06:57.510581
17	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:06:57.625245	2024-04-09 15:06:57.625245
21	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev02", "Name": "ERS10", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 6720, "name": "enrepserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueReplicator", "elapsedtime": "151:56:49"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwder", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ERS10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.5", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwder:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:06:58.081347	2024-04-09 15:06:58.081347
33	927901fa-2c87-524e-b18c-3ef5187f504f	ha_cluster_discovery	{"DC": true, "Id": "238a4de1239aae2aa87433eed788b3ad", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmdrbdprd01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmdrbdprd02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "drbd_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": [{"Id": "cl-nfsserver", "Primitive": {"Id": "nfsserver", "Type": "nfs-server", "Class": "systemd", "Provider": "", "Operations": [{"Id": "nfsserver-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": null}, "MetaAttributes": [{"Id": "cl-nfsserver-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g-nfs_sapdata", "Primitives": [{"Id": "fs_sapdata", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "fs_sapdata-monitor-20", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "fs_sapdata-instance_attributes-device", "Name": "device", "Value": "/dev/drbd1"}, {"Id": "fs_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWP"}, {"Id": "fs_sapdata-instance_attributes-fstype", "Name": "fstype", "Value": "xfs"}, {"Id": "fs_sapdata-instance_attributes-options", "Name": "options", "Value": "noatime,nodiratime"}]}, {"Id": "vip_sapdata_nfs", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "vip_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "vip_sapdata_nfs-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.33"}, {"Id": "vip_sapdata_nfs-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "32"}, {"Id": "vip_sapdata_nfs-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "exportfs_work_sapdata", "Type": "exportfs", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "exportfs_work_sapdata-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "exportfs_work_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWP"}, {"Id": "exportfs_work_sapdata-instance_attributes-fsid", "Name": "fsid", "Value": "1"}, {"Id": "exportfs_work_sapdata-instance_attributes-options", "Name": "options", "Value": "rw,no_root_squash"}, {"Id": "exportfs_work_sapdata-instance_attributes-clientspec", "Name": "clientspec", "Value": "*"}, {"Id": "exportfs_work_sapdata-instance_attributes-wait_for_leasetime_on_stop", "Name": "wait_for_leasetime_on_stop", "Value": "true"}]}, {"Id": "rsc_socat_sapdata_nfs", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_sapdata_nfs-instance_attributes-port", "Name": "port", "Value": "61000"}]}]}], "Masters": [{"Id": "ms_sapdata", "Primitive": {"Id": "drbd-sapdata", "Type": "drbd", "Class": "ocf", "Provider": "linbit", "Operations": [{"Id": "drbd-sapdata-monitor-15", "Name": "monitor", "Role": "Master", "Timeout": "", "Interval": "15"}, {"Id": "drbd-sapdata-monitor-30", "Name": "monitor", "Role": "Slave", "Timeout": "", "Interval": "30"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "drbd-sapdata-instance_attributes-drbd_resource", "Name": "drbd_resource", "Value": "sapdata"}]}, "MetaAttributes": [{"Id": "ms_sapdata-meta_attributes-master-max", "Name": "master-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-master-node-max", "Name": "master-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-0-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "ms_sapdata-meta_attributes-0-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-1-notify", "Name": "notify", "Value": "true"}, {"Id": "ms_sapdata-meta_attributes-1-target-role", "Name": "target-role", "Value": "Started"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_b7b1cd3d-776e-4432-a9e5-6fe56e4b4e17", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "28fd9d5e-3685-4cb7-85e9-76c4b140ea3c", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmdrbdprd01", "Status": "clear"}, {"Id": 1, "Name": "vmdrbdprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_b7b1cd3d-776e-4432-a9e5-6fe56e4b4e17", "Status": "healthy"}]}, "Name": "drbd_cluster", "Crmmon": {"Nodes": [{"DC": false, "Id": "1", "Name": "vmdrbdprd01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 7}, {"DC": true, "Id": "2", "Name": "vmdrbdprd02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "ms_sapdata", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "drbd-sapdata", "Node": {"Id": "2", "Name": "vmdrbdprd02", "Cached": true}, "Role": "Slave", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "drbd-sapdata", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Master", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cl-nfsserver", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "nfsserver", "Node": {"Id": "2", "Name": "vmdrbdprd02", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "nfsserver", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g-nfs_sapdata", "Resources": [{"Id": "fs_sapdata", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "vip_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "exportfs_work_sapdata", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:exportfs", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 13:24:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmdrbdprd02", "ResourceHistory": [{"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmdrbdprd01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "fs_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "vip_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "exportfs_work_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmdrbdprd01", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}, {"Name": "vmdrbdprd02", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}]}}, "Provider": "azure"}	2024-04-09 15:06:59.475569	2024-04-09 15:06:59.475569
34	b767b3e9-e802-587e-a442-541d093b86b9	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:06:59.593324	2024-04-09 15:06:59.593324
37	4b30a6af-4b52-5bda-bccb-f2248a12c992	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "not compliant", "Notes applied": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Notes enabled": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "NETWEAVER", "applied partially": false}], "Solution enabled": ["NETWEAVER"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:06:59.961561	2024-04-09 15:06:59.961561
39	99cf8a3a-48d6-57a4-b302-6e4482227ab6	host_discovery	{"hostname": "vmhdbqas01", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.11", "10.90.1.13", "fe80::6245:bdff:fe8d:1d5"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbqas01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:00.216125	2024-04-09 15:07:00.216125
49	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:07:01.437206	2024-04-09 15:07:01.437206
60	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:02.91811	2024-04-09 15:07:02.91811
129	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	host_discovery	{"hostname": "vmdrbddev01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.31", "10.100.1.33", "fe80::6245:bdff:fe8a:5969"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmdrbddev01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:12.109058	2024-04-09 15:07:12.109058
22	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	sap_system_discovery	[{"Id": "9953878f07bb54cac20d5d5d7ff08af2", "SID": "HDQ", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbqas02", "SAPSYSTEMNAME": "HDQ", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbqas02", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDQ", "Container": ""}], "Instances": [{"Host": "vmhdbqas02", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbqas02", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 29597, "name": "hdbdaemon", "starttime": "2022 01 11 12:30:14", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "152:21:46"}, {"pid": 30148, "name": "hdbxsengine", "starttime": "2022 01 11 12:30:27", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDQ", "elapsedtime": "152:21:33"}, {"pid": 29727, "name": "hdbnameserver", "starttime": "2022 01 11 12:30:14", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "152:21:46"}, {"pid": 30145, "name": "hdbindexserver", "starttime": "2022 01 11 12:30:27", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDQ", "elapsedtime": "152:21:33"}, {"pid": 30047, "name": "hdbpreprocessor", "starttime": "2022 01 11 12:30:26", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "152:21:34"}, {"pid": 30044, "name": "hdbcompileserver", "starttime": "2022 01 11 12:30:26", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "152:21:34"}, {"pid": 30855, "name": "hdbwebdispatcher", "starttime": "2022 01 11 12:30:35", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "152:21:25"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbqas02", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbqas02:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "sync", "online": "true", "site_id": "2", "isSource": "false", "site_name": "WDF", "isConsumer": "true", "replayMode": "auto", "hasConsumers": "false", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "logreplay", "primary_masters": "vmhdbqas01", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbqas02": ["WDF/vmhdbqas02", "NBG/vmhdbqas01"], "active_primary_site": "1", "isTimetravelEnabled": "false", "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbqas02", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "2", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/2/PRIMARY_MASTERS": "vmhdbqas01", "site/2/REPLICATION_MODE": "SYNC"}}]}]	2024-04-09 15:06:58.192197	2024-04-09 15:06:58.192197
23	927901fa-2c87-524e-b18c-3ef5187f504f	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbdprd02", "plan": {}, "tags": "fake-tags", "vmId": "f89fef5e-e7e3-469d-b819-a0154be6150c", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbdprd02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbdprd02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbdprd02-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.32"}]}, "ipv6": {}, "macAddress": "000D3A2E8B91"}]}}, "Provider": "azure"}	2024-04-09 15:06:58.308645	2024-04-09 15:06:58.308645
24	a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	host_discovery	{"hostname": "vmnwprd03", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.23", "10.80.1.27", "fe80::20d:3aff:fe25:7f83"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwprd03.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:06:58.421881	2024-04-09 15:06:58.421881
30	927901fa-2c87-524e-b18c-3ef5187f504f	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "inactive"]}, "tuning state": "not tuned", "Notes applied": [], "Notes enabled": [], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [], "Solution enabled": [], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [], "Notes enabled by Solution": [], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:06:59.135474	2024-04-09 15:06:59.135474
31	21de186a-e38f-5804-b643-7f4ef22fecfd	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbddev02", "plan": {}, "tags": "fake-tags", "vmId": "99ef5ab8-73b5-4ca9-8c37-6778e2d6abc1", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbddev02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbddev02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbddev02-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.32"}]}, "ipv6": {}, "macAddress": "6045BD8D95F1"}]}}, "Provider": "azure"}	2024-04-09 15:06:59.250241	2024-04-09 15:06:59.250241
32	4b30a6af-4b52-5bda-bccb-f2248a12c992	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwprd02", "plan": {}, "tags": "fake-tags", "vmId": "2c54a8bf-b71d-423b-a656-34bcc575970e", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwprd02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.22"}]}, "ipv6": {}, "macAddress": "000D3A2E8038"}]}}, "Provider": "azure"}	2024-04-09 15:06:59.36261	2024-04-09 15:06:59.36261
41	a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	sap_system_discovery	[{"Id": "97a1e70aeff3c0685d65c4c3d32d533b", "SID": "NWP", "Type": 2, "Profile": {"SAPDBHOST": "10.80.1.13", "dbms/name": "HDP", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwpas", "rdisp/msserv": "sapmsNWP", "SAPGLOBALHOST": "sapnwpas", "SAPSYSTEMNAME": "NWP", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDP", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwpas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.80.1.13", "Databases": null, "Instances": [{"Host": "vmnwprd03", "Name": "D01", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwpas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwper", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwppas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwpaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 9752, "name": "gwrd", "starttime": "2022 01 11 13:44:51", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:07:13"}, {"pid": 9753, "name": "icman", "starttime": "2022 01 11 13:44:51", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:07:13"}, {"pid": 9732, "name": "igswd_mt", "starttime": "2022 01 11 13:44:49", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:07:15"}, {"pid": 9731, "name": "disp+work", "starttime": "2022 01 11 13:44:49", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:07:15"}], "Properties": [{"value": "HTTP://sapnwppas:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwppas:40180", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "01", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwppas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D01", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwppas:50113/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:07:00.454572	2024-04-09 15:07:00.454572
44	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	ha_cluster_discovery	{"DC": false, "Id": "04a81f89c847e82390e35bece2e25c9b", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmdrbddev01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmdrbddev02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "drbd_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": [{"Id": "cl-nfsserver", "Primitive": {"Id": "nfsserver", "Type": "nfs-server", "Class": "systemd", "Provider": "", "Operations": [{"Id": "nfsserver-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": null}, "MetaAttributes": [{"Id": "cl-nfsserver-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g-nfs_sapdata", "Primitives": [{"Id": "fs_sapdata", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "fs_sapdata-monitor-20", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "fs_sapdata-instance_attributes-device", "Name": "device", "Value": "/dev/drbd1"}, {"Id": "fs_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWD"}, {"Id": "fs_sapdata-instance_attributes-fstype", "Name": "fstype", "Value": "xfs"}, {"Id": "fs_sapdata-instance_attributes-options", "Name": "options", "Value": "noatime,nodiratime"}]}, {"Id": "vip_sapdata_nfs", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "vip_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "vip_sapdata_nfs-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.33"}, {"Id": "vip_sapdata_nfs-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "32"}, {"Id": "vip_sapdata_nfs-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "exportfs_work_sapdata", "Type": "exportfs", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "exportfs_work_sapdata-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "exportfs_work_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWD"}, {"Id": "exportfs_work_sapdata-instance_attributes-fsid", "Name": "fsid", "Value": "1"}, {"Id": "exportfs_work_sapdata-instance_attributes-options", "Name": "options", "Value": "rw,no_root_squash"}, {"Id": "exportfs_work_sapdata-instance_attributes-clientspec", "Name": "clientspec", "Value": "*"}, {"Id": "exportfs_work_sapdata-instance_attributes-wait_for_leasetime_on_stop", "Name": "wait_for_leasetime_on_stop", "Value": "true"}]}, {"Id": "rsc_socat_sapdata_nfs", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_sapdata_nfs-instance_attributes-port", "Name": "port", "Value": "61000"}]}]}], "Masters": [{"Id": "ms_sapdata", "Primitive": {"Id": "drbd-sapdata", "Type": "drbd", "Class": "ocf", "Provider": "linbit", "Operations": [{"Id": "drbd-sapdata-monitor-15", "Name": "monitor", "Role": "Master", "Timeout": "", "Interval": "15"}, {"Id": "drbd-sapdata-monitor-30", "Name": "monitor", "Role": "Slave", "Timeout": "", "Interval": "30"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "drbd-sapdata-instance_attributes-drbd_resource", "Name": "drbd_resource", "Value": "sapdata"}]}, "MetaAttributes": [{"Id": "ms_sapdata-meta_attributes-master-max", "Name": "master-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-master-node-max", "Name": "master-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-0-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "ms_sapdata-meta_attributes-0-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-1-notify", "Name": "notify", "Value": "true"}, {"Id": "ms_sapdata-meta_attributes-1-target-role", "Name": "target-role", "Value": "Started"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:3947fa28-25e0-46d4-bbed-89ce88f977f1", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "27016e64-5f07-4563-90d5-16cb8f9ebc2a", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmdrbddev01", "Status": "clear"}, {"Id": 1, "Name": "vmdrbddev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:3947fa28-25e0-46d4-bbed-89ce88f977f1", "Status": "healthy"}]}, "Name": "drbd_cluster", "Crmmon": {"Nodes": [{"DC": false, "Id": "1", "Name": "vmdrbddev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 7}, {"DC": true, "Id": "2", "Name": "vmdrbddev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "ms_sapdata", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "drbd-sapdata", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Master", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "drbd-sapdata", "Node": {"Id": "2", "Name": "vmdrbddev02", "Cached": true}, "Role": "Slave", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cl-nfsserver", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "nfsserver", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "nfsserver", "Node": {"Id": "2", "Name": "vmdrbddev02", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g-nfs_sapdata", "Resources": [{"Id": "fs_sapdata", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "vip_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "exportfs_work_sapdata", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:exportfs", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:50:53 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmdrbddev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "fs_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "vip_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "exportfs_work_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmdrbddev02", "ResourceHistory": [{"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmdrbddev01", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}, {"Name": "vmdrbddev02", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}]}}, "Provider": "azure"}	2024-04-09 15:07:00.80866	2024-04-09 15:07:00.80866
51	098fc159-3ed6-58e7-91be-38fda8a833ea	host_discovery	{"hostname": "vmnwqas03", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.27", "10.90.1.23", "fe80::6245:bdff:fe8d:5d9"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwqas03.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:01.712983	2024-04-09 15:07:01.712983
140	116d49bd-85e1-5e59-b820-83f66db8800c	sap_system_discovery	[{"Id": "97a1e70aeff3c0685d65c4c3d32d533b", "SID": "NWP", "Type": 2, "Profile": {"SAPDBHOST": "10.80.1.13", "dbms/name": "HDP", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwpas", "rdisp/msserv": "sapmsNWP", "SAPGLOBALHOST": "sapnwpas", "SAPSYSTEMNAME": "NWP", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDP", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwpas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.80.1.13", "Databases": null, "Instances": [{"Host": "vmnwprd01", "Name": "ASCS00", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwpas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwper", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwppas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwpaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 24167, "name": "enserver", "starttime": "2022 01 11 13:43:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueServer", "elapsedtime": "151:08:47"}, {"pid": 24166, "name": "msg_server", "starttime": "2022 01 11 13:43:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "MessageServer", "elapsedtime": "151:08:47"}], "Properties": [{"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "00", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "EnqGetLockTable", "property": "Enque Locks", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwpas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ASCS00", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "1", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "YES", "property": "CentralServices", "propertytype": "Attribute"}, {"value": "EnqGetStatistic", "property": "Enque Statistic", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwpas:50013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}, {"value": "YES", "property": "SupportsUpdateSCSInstance", "propertytype": "Attribute"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:07:13.537984	2024-04-09 15:07:13.537984
255	25677e37-fd33-5005-896c-9275b1284534	ha_cluster_discovery	{"DC": true, "Id": "acf59e7a5338f76f55d5055af3273480", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwqas01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwqas02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWQ_ASCS00", "Primitives": [{"Id": "rsc_ip_NWQ_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWQ_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWQ_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.25"}]}, {"Id": "rsc_fs_NWQ_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWQ_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWQ_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.90.1.33:/NWQ/ASCS"}, {"Id": "rsc_fs_NWQ_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWQ/ASCS00"}, {"Id": "rsc_fs_NWQ_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWQ_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWQ_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWQ_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWQ_ASCS00_sapnwqas"}, {"Id": "rsc_sap_NWQ_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWQ/profile/NWQ_ASCS00_sapnwqas"}, {"Id": "rsc_sap_NWQ_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWQ_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWQ_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWQ_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWQ_ERS10", "Primitives": [{"Id": "rsc_ip_NWQ_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWQ_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWQ_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.26"}]}, {"Id": "rsc_fs_NWQ_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWQ_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWQ_ERS10-instance_attributes-device", "Name": "device", "Value": "10.90.1.33:/NWQ/ERS"}, {"Id": "rsc_fs_NWQ_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWQ/ERS10"}, {"Id": "rsc_fs_NWQ_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWQ_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWQ_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWQ_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWQ_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWQ_ERS10_sapnwqer"}, {"Id": "rsc_sap_NWQ_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWQ/profile/NWQ_ERS10_sapnwqer"}, {"Id": "rsc_sap_NWQ_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWQ_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWQ_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWQ_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWQ_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWQ_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWQ_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_813ace38-2d4f-48f6-8aa2-5360252ca492", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "3365e35e-ba75-4d29-9f5a-1a0379ee7a60", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwqas01", "Status": "clear"}, {"Id": 1, "Name": "vmnwqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_813ace38-2d4f-48f6-8aa2-5360252ca492", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWQ_ASCS00", "Resources": [{"Id": "rsc_ip_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWQ_ERS10", "Resources": [{"Id": "rsc_ip_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Mon Jan 17 12:41:40 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwqas02", "ResourceHistory": [{"Name": "rsc_sap_NWQ_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWQ_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWQ_ERS10", "FailCount": 1, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWQ_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}, {"Name": "vmnwqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWQ_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWQ_ASCS00", "FailCount": 1, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWQ_ASCS00", "FailCount": 0, "MigrationThreshold": 1}, {"Name": "rsc_socat_NWQ_ASCS00", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwqas02", "Attributes": [{"Name": "runs_ers_NWQ", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:23.261578	2024-04-09 15:08:23.261578
444	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:09:19.730516	2024-04-09 15:09:19.730516
45	21de186a-e38f-5804-b643-7f4ef22fecfd	host_discovery	{"hostname": "vmdrbddev02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.32", "fe80::6245:bdff:fe8d:95f1"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951}	2024-04-09 15:07:00.935652	2024-04-09 15:07:00.935652
48	1b0e9297-97dd-55d6-9874-8efde4d84c90	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:07:01.296491	2024-04-09 15:07:01.296491
53	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:07:01.99109	2024-04-09 15:07:01.99109
58	b767b3e9-e802-587e-a442-541d093b86b9	sap_system_discovery	[{"Id": "1154f7678ac587e5f0f242830a5201f1", "SID": "HDP", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbprd02", "SAPSYSTEMNAME": "HDP", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbprd02", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDP", "Container": ""}], "Instances": [{"Host": "vmhdbprd02", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbprd02", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 7464, "name": "hdbdaemon", "starttime": "2022 01 11 13:36:18", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "151:15:40"}, {"pid": 8467, "name": "hdbxsengine", "starttime": "2022 01 11 13:36:34", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDP", "elapsedtime": "151:15:24"}, {"pid": 7484, "name": "hdbnameserver", "starttime": "2022 01 11 13:36:18", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "151:15:40"}, {"pid": 8460, "name": "hdbindexserver", "starttime": "2022 01 11 13:36:34", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDP", "elapsedtime": "151:15:24"}, {"pid": 8253, "name": "hdbpreprocessor", "starttime": "2022 01 11 13:36:33", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "151:15:25"}, {"pid": 8250, "name": "hdbcompileserver", "starttime": "2022 01 11 13:36:33", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "151:15:25"}, {"pid": 9083, "name": "hdbwebdispatcher", "starttime": "2022 01 11 13:36:43", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "151:15:15"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbprd02", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbprd02:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "sync", "online": "true", "site_id": "2", "isSource": "false", "site_name": "WDF", "isConsumer": "true", "replayMode": "auto", "hasConsumers": "false", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "logreplay", "primary_masters": "vmhdbprd01", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbprd02": ["WDF/vmhdbprd02", "NBG/vmhdbprd01"], "active_primary_site": "1", "isTimetravelEnabled": "false", "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbprd02", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "2", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/2/PRIMARY_MASTERS": "vmhdbprd01", "site/2/REPLICATION_MODE": "SYNC"}}]}]	2024-04-09 15:07:02.654334	2024-04-09 15:07:02.654334
62	422686d6-b2d1-5092-93e8-a744854f5085	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:03.181371	2024-04-09 15:07:03.181371
63	927901fa-2c87-524e-b18c-3ef5187f504f	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:03.30523	2024-04-09 15:07:03.30523
64	1b0e9297-97dd-55d6-9874-8efde4d84c90	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev04", "plan": {}, "tags": "fake-tags", "vmId": "48a84b30-7cfb-4b74-ad43-8382ad07ed9b", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev04", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver04-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-netweaver02-App", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Attach", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.24"}, {"privateIpAddress": "10.100.1.28"}]}, "ipv6": {}, "macAddress": "6045BD8D9A74"}]}}, "Provider": "azure"}	2024-04-09 15:07:03.428918	2024-04-09 15:07:03.428918
68	9cd46919-5f19-59aa-993e-cf3736c71053	host_discovery	{"hostname": "vmhdbprd01", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.11", "10.80.1.13", "fe80::20d:3aff:fe23:2c6b"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbprd01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:03.932424	2024-04-09 15:07:03.932424
73	4b30a6af-4b52-5bda-bccb-f2248a12c992	sap_system_discovery	[{"Id": "97a1e70aeff3c0685d65c4c3d32d533b", "SID": "NWP", "Type": 2, "Profile": {"SAPDBHOST": "10.80.1.13", "dbms/name": "HDP", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwpas", "rdisp/msserv": "sapmsNWP", "SAPGLOBALHOST": "sapnwpas", "SAPSYSTEMNAME": "NWP", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDP", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwpas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.80.1.13", "Databases": null, "Instances": [{"Host": "vmnwprd02", "Name": "ERS10", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwpas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwper", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwppas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwpaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 23289, "name": "enrepserver", "starttime": "2022 01 11 13:43:18", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueReplicator", "elapsedtime": "151:08:42"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwper", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ERS10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.5", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwper:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:07:04.626725	2024-04-09 15:07:04.626725
75	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:07:04.88489	2024-04-09 15:07:04.88489
78	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	host_discovery	{"hostname": "vmhdbdev02", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.12", "fe80::6245:bdff:fe8a:5f6b"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbdev02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:05.277558	2024-04-09 15:07:05.277558
90	f0c808b3-d869-5192-a944-20f66a6a8449	sap_system_discovery	[]	2024-04-09 15:07:06.812359	2024-04-09 15:07:06.812359
93	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	host_discovery	{"hostname": "vmdrbdprd01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.31", "10.80.1.33", "fe80::20d:3aff:fe25:7df0"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmdrbdprd01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:07.192935	2024-04-09 15:07:07.192935
100	21de186a-e38f-5804-b643-7f4ef22fecfd	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:08.271807	2024-04-09 15:07:08.271807
103	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:07:08.671392	2024-04-09 15:07:08.671392
107	9a26b6d0-6e72-597c-9fe5-152a6875f214	sap_system_discovery	[]	2024-04-09 15:07:09.193092	2024-04-09 15:07:09.193092
276	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:08:26.077009	2024-04-09 15:08:26.077009
46	25677e37-fd33-5005-896c-9275b1284534	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:01.059037	2024-04-09 15:07:01.059037
52	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	ha_cluster_discovery	{"DC": false, "Id": "057f083c3be591f4398eed816d4c8cd7", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwdev01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwdev02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWD_ASCS00", "Primitives": [{"Id": "rsc_ip_NWD_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWD_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWD_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.25"}]}, {"Id": "rsc_fs_NWD_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWD_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWD_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.100.1.33:/NWD/ASCS"}, {"Id": "rsc_fs_NWD_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWD/ASCS00"}, {"Id": "rsc_fs_NWD_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWD_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWD_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWD_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWD_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWD_ASCS00_sapnwdas"}, {"Id": "rsc_sap_NWD_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWD/profile/NWD_ASCS00_sapnwdas"}, {"Id": "rsc_sap_NWD_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWD_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWD_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWD_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWD_ERS10", "Primitives": [{"Id": "rsc_ip_NWD_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWD_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWD_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.26"}]}, {"Id": "rsc_fs_NWD_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWD_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWD_ERS10-instance_attributes-device", "Name": "device", "Value": "10.100.1.33:/NWD/ERS"}, {"Id": "rsc_fs_NWD_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWD/ERS10"}, {"Id": "rsc_fs_NWD_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWD_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWD_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWD_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWD_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWD_ERS10_sapnwder"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWD/profile/NWD_ERS10_sapnwder"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWD_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWD_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWD_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWD_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWD_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-36001405f01eb5f4c5c941e499beb055d", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "4e8adda1-da35-4ee4-92b9-a134494861f0", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwdev01", "Status": "clear"}, {"Id": 1, "Name": "vmnwdev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-36001405f01eb5f4c5c941e499beb055d", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwdev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwdev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWD_ASCS00", "Resources": [{"Id": "rsc_ip_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWD_ERS10", "Resources": [{"Id": "rsc_ip_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:55:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwdev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 1}, {"Name": "rsc_socat_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}]}, {"Name": "vmnwdev02", "ResourceHistory": [{"Name": "rsc_ip_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwdev02", "Attributes": [{"Name": "runs_ers_NWD", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:07:01.860605	2024-04-09 15:07:01.860605
54	25677e37-fd33-5005-896c-9275b1284534	ha_cluster_discovery	{"DC": true, "Id": "acf59e7a5338f76f55d5055af3273480", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwqas01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwqas02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWQ_ASCS00", "Primitives": [{"Id": "rsc_ip_NWQ_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWQ_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWQ_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.25"}]}, {"Id": "rsc_fs_NWQ_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWQ_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWQ_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.90.1.33:/NWQ/ASCS"}, {"Id": "rsc_fs_NWQ_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWQ/ASCS00"}, {"Id": "rsc_fs_NWQ_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWQ_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWQ_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWQ_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWQ_ASCS00_sapnwqas"}, {"Id": "rsc_sap_NWQ_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWQ/profile/NWQ_ASCS00_sapnwqas"}, {"Id": "rsc_sap_NWQ_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWQ_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWQ_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWQ_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWQ_ERS10", "Primitives": [{"Id": "rsc_ip_NWQ_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWQ_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWQ_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.26"}]}, {"Id": "rsc_fs_NWQ_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWQ_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWQ_ERS10-instance_attributes-device", "Name": "device", "Value": "10.90.1.33:/NWQ/ERS"}, {"Id": "rsc_fs_NWQ_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWQ/ERS10"}, {"Id": "rsc_fs_NWQ_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWQ_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWQ_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWQ_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWQ_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWQ_ERS10_sapnwqer"}, {"Id": "rsc_sap_NWQ_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWQ/profile/NWQ_ERS10_sapnwqer"}, {"Id": "rsc_sap_NWQ_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWQ_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWQ_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWQ_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWQ_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWQ_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWQ_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_813ace38-2d4f-48f6-8aa2-5360252ca492", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "3365e35e-ba75-4d29-9f5a-1a0379ee7a60", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwqas01", "Status": "clear"}, {"Id": 1, "Name": "vmnwqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_813ace38-2d4f-48f6-8aa2-5360252ca492", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWQ_ASCS00", "Resources": [{"Id": "rsc_ip_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWQ_ERS10", "Resources": [{"Id": "rsc_ip_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Mon Jan 17 12:41:40 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwqas02", "ResourceHistory": [{"Name": "rsc_sap_NWQ_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWQ_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWQ_ERS10", "FailCount": 1, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWQ_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}, {"Name": "vmnwqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWQ_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWQ_ASCS00", "FailCount": 1, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWQ_ASCS00", "FailCount": 0, "MigrationThreshold": 1}, {"Name": "rsc_socat_NWQ_ASCS00", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwqas02", "Attributes": [{"Name": "runs_ers_NWQ", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:07:02.115599	2024-04-09 15:07:02.115599
55	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:02.261137	2024-04-09 15:07:02.261137
59	a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "not compliant", "Notes applied": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Notes enabled": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "NETWEAVER", "applied partially": false}], "Solution enabled": ["NETWEAVER"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:07:02.776773	2024-04-09 15:07:02.776773
65	99cf8a3a-48d6-57a4-b302-6e4482227ab6	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbqas01", "plan": {}, "tags": "fake-tags", "vmId": "f01d07fa-c7eb-477a-9de1-eef7e946fdbe", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbqas01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.11"}]}, "ipv6": {}, "macAddress": "6045BD8D01D5"}]}}, "Provider": "azure"}	2024-04-09 15:07:03.565316	2024-04-09 15:07:03.565316
72	b767b3e9-e802-587e-a442-541d093b86b9	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbprd02", "plan": {}, "tags": "fake-tags", "vmId": "cdec8bb8-ec3f-437a-89dd-3df677e1507e", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbprd02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.12"}]}, "ipv6": {}, "macAddress": "000D3A21F108"}]}}, "Provider": "azure"}	2024-04-09 15:07:04.502426	2024-04-09 15:07:04.502426
278	9cd46919-5f19-59aa-993e-cf3736c71053	ha_cluster_discovery	{"DC": true, "Id": "9c832998801e28cd70ad77380e82a5c0", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbprd01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdp_lpt", "Name": "lpa_hdp_lpt", "Value": "1643125019"}, {"Id": "nodes-1-hana_hdp_vhost", "Name": "hana_hdp_vhost", "Value": "vmhdbprd01"}, {"Id": "nodes-1-hana_hdp_site", "Name": "hana_hdp_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdp_op_mode", "Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdp_srmode", "Name": "hana_hdp_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdp_remoteHost", "Name": "hana_hdp_remoteHost", "Value": "vmhdbprd02"}]}, {"Id": "2", "Uname": "vmhdbprd02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdp_lpt", "Name": "lpa_hdp_lpt", "Value": "30"}, {"Id": "nodes-2-hana_hdp_op_mode", "Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdp_vhost", "Name": "hana_hdp_vhost", "Value": "vmhdbprd02"}, {"Id": "nodes-2-hana_hdp_remoteHost", "Name": "hana_hdp_remoteHost", "Value": "vmhdbprd01"}, {"Id": "nodes-2-hana_hdp_site", "Name": "hana_hdp_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdp_srmode", "Name": "hana_hdp_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_3"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "24"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdp_site_srHook_WDF", "Name": "hana_hdp_site_srHook_WDF", "Value": "SOK"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDP_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDP_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDP_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDP_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDP"}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDP_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDP_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDP_HDB10", "Primitives": [{"Id": "rsc_ip_HDP_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDP_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDP_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDP_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDP_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.13"}, {"Id": "rsc_ip_HDP_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDP_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDP_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDP_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDP_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDP_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDP_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDP_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDP_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDP_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDP_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDP_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDP"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDP_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDP_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDP_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b924e77", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "a7a18c6b-7c8e-4bda-bb77-45e4b5dc8478", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbprd01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b924e77", "Status": "healthy"}, {"Dump": {"Uuid": "a7a18c6b-7c8e-4bda-bb77-45e4b5dc8478", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbprd01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b912345", "Status": "unhealthy"}, {"Dump": {"Uuid": "a7a18c6b-7c8e-4bda-bb77-45e4b5dc8478", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbprd01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b954321", "Status": "unknown"}]}, "Name": "hana_cluster_3", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbprd01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmhdbprd02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "msl_SAPHana_HDP_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDP_HDB10", "Node": {"Id": "2", "Name": "vmhdbprd02", "Cached": true}, "Role": "Slave", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDP_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10", "Node": {"Id": "2", "Name": "vmhdbprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDP_HDB10", "Resources": [{"Id": "rsc_ip_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:36:59 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbprd01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbprd02", "ResourceHistory": [{"Name": "rsc_SAPHana_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbprd01", "Attributes": [{"Name": "hana_hdp_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Name": "hana_hdp_remoteHost", "Value": "vmhdbprd02"}, {"Name": "hana_hdp_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdp_site", "Value": "NBG"}, {"Name": "hana_hdp_srmode", "Value": "sync"}, {"Name": "hana_hdp_sync_state", "Value": "PRIM"}, {"Name": "hana_hdp_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdp_vhost", "Value": "vmhdbprd01"}, {"Name": "lpa_hdp_lpt", "Value": "1643125019"}, {"Name": "master-rsc_SAPHana_HDP_HDB10", "Value": "150"}]}, {"Name": "vmhdbprd02", "Attributes": [{"Name": "hana_hdp_clone_state", "Value": "DEMOTED"}, {"Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Name": "hana_hdp_remoteHost", "Value": "vmhdbprd01"}, {"Name": "hana_hdp_roles", "Value": "4:S:master1:master:worker:master"}, {"Name": "hana_hdp_site", "Value": "WDF"}, {"Name": "hana_hdp_srmode", "Value": "sync"}, {"Name": "hana_hdp_sync_state", "Value": "SOK"}, {"Name": "hana_hdp_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdp_vhost", "Value": "vmhdbprd02"}, {"Name": "lpa_hdp_lpt", "Value": "30"}, {"Name": "master-rsc_SAPHana_HDP_HDB10", "Value": "100"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:26.37174	2024-04-09 15:08:26.37174
280	69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	host_discovery	{"hostname": "vmiscsi01", "cpu_count": 1, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.4", "fe80::20d:3aff:fe2a:aabe"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 3421, "fully_qualified_domain_name": "vmiscsi01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:26.627417	2024-04-09 15:08:26.627417
47	9cd46919-5f19-59aa-993e-cf3736c71053	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "compliant", "Notes applied": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Notes enabled": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "HANA", "applied partially": false}], "Solution enabled": ["HANA"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Solution ID": "HANA"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Solution ID": "HANA"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:07:01.177146	2024-04-09 15:07:01.177146
57	21de186a-e38f-5804-b643-7f4ef22fecfd	ha_cluster_discovery	{"DC": true, "Id": "04a81f89c847e82390e35bece2e25c9b", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmdrbddev01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmdrbddev02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "drbd_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": [{"Id": "cl-nfsserver", "Primitive": {"Id": "nfsserver", "Type": "nfs-server", "Class": "systemd", "Provider": "", "Operations": [{"Id": "nfsserver-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": null}, "MetaAttributes": [{"Id": "cl-nfsserver-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g-nfs_sapdata", "Primitives": [{"Id": "fs_sapdata", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "fs_sapdata-monitor-20", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "fs_sapdata-instance_attributes-device", "Name": "device", "Value": "/dev/drbd1"}, {"Id": "fs_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWD"}, {"Id": "fs_sapdata-instance_attributes-fstype", "Name": "fstype", "Value": "xfs"}, {"Id": "fs_sapdata-instance_attributes-options", "Name": "options", "Value": "noatime,nodiratime"}]}, {"Id": "vip_sapdata_nfs", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "vip_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "vip_sapdata_nfs-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.33"}, {"Id": "vip_sapdata_nfs-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "32"}, {"Id": "vip_sapdata_nfs-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "exportfs_work_sapdata", "Type": "exportfs", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "exportfs_work_sapdata-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "exportfs_work_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWD"}, {"Id": "exportfs_work_sapdata-instance_attributes-fsid", "Name": "fsid", "Value": "1"}, {"Id": "exportfs_work_sapdata-instance_attributes-options", "Name": "options", "Value": "rw,no_root_squash"}, {"Id": "exportfs_work_sapdata-instance_attributes-clientspec", "Name": "clientspec", "Value": "*"}, {"Id": "exportfs_work_sapdata-instance_attributes-wait_for_leasetime_on_stop", "Name": "wait_for_leasetime_on_stop", "Value": "true"}]}, {"Id": "rsc_socat_sapdata_nfs", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_sapdata_nfs-instance_attributes-port", "Name": "port", "Value": "61000"}]}]}], "Masters": [{"Id": "ms_sapdata", "Primitive": {"Id": "drbd-sapdata", "Type": "drbd", "Class": "ocf", "Provider": "linbit", "Operations": [{"Id": "drbd-sapdata-monitor-15", "Name": "monitor", "Role": "Master", "Timeout": "", "Interval": "15"}, {"Id": "drbd-sapdata-monitor-30", "Name": "monitor", "Role": "Slave", "Timeout": "", "Interval": "30"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "drbd-sapdata-instance_attributes-drbd_resource", "Name": "drbd_resource", "Value": "sapdata"}]}, "MetaAttributes": [{"Id": "ms_sapdata-meta_attributes-master-max", "Name": "master-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-master-node-max", "Name": "master-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-0-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "ms_sapdata-meta_attributes-0-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-1-notify", "Name": "notify", "Value": "true"}, {"Id": "ms_sapdata-meta_attributes-1-target-role", "Name": "target-role", "Value": "Started"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:3947fa28-25e0-46d4-bbed-89ce88f977f1", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "27016e64-5f07-4563-90d5-16cb8f9ebc2a", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmdrbddev01", "Status": "clear"}, {"Id": 1, "Name": "vmdrbddev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:3947fa28-25e0-46d4-bbed-89ce88f977f1", "Status": "healthy"}]}, "Name": "drbd_cluster", "Crmmon": {"Nodes": [{"DC": false, "Id": "1", "Name": "vmdrbddev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 7}, {"DC": true, "Id": "2", "Name": "vmdrbddev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "ms_sapdata", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "drbd-sapdata", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Master", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "drbd-sapdata", "Node": {"Id": "2", "Name": "vmdrbddev02", "Cached": true}, "Role": "Slave", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cl-nfsserver", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "nfsserver", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "nfsserver", "Node": {"Id": "2", "Name": "vmdrbddev02", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g-nfs_sapdata", "Resources": [{"Id": "fs_sapdata", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "vip_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "exportfs_work_sapdata", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:exportfs", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:50:53 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmdrbddev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "fs_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "vip_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "exportfs_work_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmdrbddev02", "ResourceHistory": [{"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmdrbddev01", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}, {"Name": "vmdrbddev02", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}]}}, "Provider": "azure"}	2024-04-09 15:07:02.517251	2024-04-09 15:07:02.517251
69	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "inactive"]}, "tuning state": "not tuned", "Notes applied": [], "Notes enabled": [], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [], "Solution enabled": [], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [], "Notes enabled by Solution": [], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:07:04.07039	2024-04-09 15:07:04.07039
76	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	sap_system_discovery	[]	2024-04-09 15:07:04.998445	2024-04-09 15:07:04.998445
91	9cd46919-5f19-59aa-993e-cf3736c71053	sap_system_discovery	[{"Id": "1154f7678ac587e5f0f242830a5201f1", "SID": "HDP", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbprd01", "SAPSYSTEMNAME": "HDP", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbprd01", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDP", "Container": ""}], "Instances": [{"Host": "vmhdbprd01", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbprd01", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 2186, "name": "hdbdaemon", "starttime": "2022 01 11 13:34:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "151:17:01"}, {"pid": 3720, "name": "hdbxsengine", "starttime": "2022 01 11 13:35:18", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDP", "elapsedtime": "151:16:41"}, {"pid": 2245, "name": "hdbnameserver", "starttime": "2022 01 11 13:34:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "151:17:01"}, {"pid": 3717, "name": "hdbindexserver", "starttime": "2022 01 11 13:35:18", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDP", "elapsedtime": "151:16:41"}, {"pid": 3617, "name": "hdbpreprocessor", "starttime": "2022 01 11 13:35:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "151:16:42"}, {"pid": 3614, "name": "hdbcompileserver", "starttime": "2022 01 11 13:35:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "151:16:42"}, {"pid": 6387, "name": "hdbwebdispatcher", "starttime": "2022 01 11 13:35:47", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "151:16:12"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbprd01", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbprd01:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "primary", "online": "true", "site_id": "1", "isSource": "true", "site_name": "NBG", "isConsumer": "false", "hasConsumers": "true", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "primary", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbprd01": ["WDF/vmhdbprd02", "NBG/vmhdbprd01"], "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbprd01", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "1", "site/1/SITE_NAME": "NBG", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/1/REPLICATION_MODE": "PRIMARY", "site/2/REPLICATION_MODE": "SYNC", "site/2/REPLICATION_STATUS": "ACTIVE", "overall_replication_status": "ACTIVE", "service/vmhdbprd01/31001/HOST": "vmhdbprd01", "service/vmhdbprd01/31001/PORT": "31001", "service/vmhdbprd01/31003/HOST": "vmhdbprd01", "service/vmhdbprd01/31003/PORT": "31003", "service/vmhdbprd01/31007/HOST": "vmhdbprd01", "service/vmhdbprd01/31007/PORT": "31007", "service/vmhdbprd01/31001/SITE_ID": "1", "service/vmhdbprd01/31003/SITE_ID": "1", "service/vmhdbprd01/31007/SITE_ID": "1", "service/vmhdbprd01/31001/DATABASE": "SYSTEMDB", "service/vmhdbprd01/31003/DATABASE": "HDP", "service/vmhdbprd01/31007/DATABASE": "HDP", "service/vmhdbprd01/31001/FULL_SYNC": "DISABLED", "service/vmhdbprd01/31001/SITE_NAME": "NBG", "service/vmhdbprd01/31001/VOLUME_ID": "1", "service/vmhdbprd01/31003/FULL_SYNC": "DISABLED", "service/vmhdbprd01/31003/SITE_NAME": "NBG", "service/vmhdbprd01/31003/VOLUME_ID": "3", "service/vmhdbprd01/31007/FULL_SYNC": "DISABLED", "service/vmhdbprd01/31007/SITE_NAME": "NBG", "service/vmhdbprd01/31007/VOLUME_ID": "2", "service/vmhdbprd01/31001/RESET_COUNT": "0", "service/vmhdbprd01/31003/RESET_COUNT": "0", "service/vmhdbprd01/31007/RESET_COUNT": "0", "service/vmhdbprd01/31001/SERVICE_NAME": "nameserver", "service/vmhdbprd01/31003/SERVICE_NAME": "indexserver", "service/vmhdbprd01/31007/SERVICE_NAME": "xsengine", "service/vmhdbprd01/31001/CREATION_TIME": "2022-01-11 13:35:17.794006", "service/vmhdbprd01/31003/CREATION_TIME": "2022-01-11 13:35:44.241176", "service/vmhdbprd01/31007/CREATION_TIME": "2022-01-11 13:35:48.262371", "service/vmhdbprd01/31001/OPERATION_MODE": "logreplay", "service/vmhdbprd01/31001/SECONDARY_HOST": "vmhdbprd02", "service/vmhdbprd01/31001/SECONDARY_PORT": "31001", "service/vmhdbprd01/31003/OPERATION_MODE": "logreplay", "service/vmhdbprd01/31003/SECONDARY_HOST": "vmhdbprd02", "service/vmhdbprd01/31003/SECONDARY_PORT": "31003", "service/vmhdbprd01/31007/OPERATION_MODE": "logreplay", "service/vmhdbprd01/31007/SECONDARY_HOST": "vmhdbprd02", "service/vmhdbprd01/31007/SECONDARY_PORT": "31007", "service/vmhdbprd01/31001/LAST_RESET_TIME": "2022-01-11 13:35:17.794006", "service/vmhdbprd01/31003/LAST_RESET_TIME": "2022-01-11 13:35:44.241176", "service/vmhdbprd01/31007/LAST_RESET_TIME": "2022-01-11 13:35:48.262371", "service/vmhdbprd01/31001/REPLICATION_MODE": "SYNC", "service/vmhdbprd01/31003/REPLICATION_MODE": "SYNC", "service/vmhdbprd01/31007/REPLICATION_MODE": "SYNC", "service/vmhdbprd01/31001/LAST_LOG_POSITION": "45316224", "service/vmhdbprd01/31001/SECONDARY_SITE_ID": "2", "service/vmhdbprd01/31003/LAST_LOG_POSITION": "249613824", "service/vmhdbprd01/31003/SECONDARY_SITE_ID": "2", "service/vmhdbprd01/31007/LAST_LOG_POSITION": "4700160", "service/vmhdbprd01/31007/SECONDARY_SITE_ID": "2", "service/vmhdbprd01/31001/REPLICATION_STATUS": "ACTIVE", "service/vmhdbprd01/31003/REPLICATION_STATUS": "ACTIVE", "service/vmhdbprd01/31007/REPLICATION_STATUS": "ACTIVE", "service/vmhdbprd01/31001/SECONDARY_SITE_NAME": "WDF", "service/vmhdbprd01/31003/SECONDARY_SITE_NAME": "WDF", "service/vmhdbprd01/31007/SECONDARY_SITE_NAME": "WDF", "service/vmhdbprd01/31001/SHIPPED_LOG_POSITION": "45316224", "service/vmhdbprd01/31003/SHIPPED_LOG_POSITION": "249613824", "service/vmhdbprd01/31007/SHIPPED_LOG_POSITION": "4700160", "service/vmhdbprd01/31001/REPLAYED_LOG_POSITION": "45316224", "service/vmhdbprd01/31003/REPLAYED_LOG_POSITION": "249613824", "service/vmhdbprd01/31007/REPLAYED_LOG_POSITION": "4700101", "service/vmhdbprd01/31001/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:48.550230", "service/vmhdbprd01/31001/LAST_SAVEPOINT_VERSION": "3068", "service/vmhdbprd01/31001/SECONDARY_CONNECT_TIME": "2022-01-11 13:36:31.486904", "service/vmhdbprd01/31003/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:44.595948", "service/vmhdbprd01/31003/LAST_SAVEPOINT_VERSION": "2792", "service/vmhdbprd01/31003/SECONDARY_CONNECT_TIME": "2022-01-11 13:40:09.285107", "service/vmhdbprd01/31007/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:15.066330", "service/vmhdbprd01/31007/LAST_SAVEPOINT_VERSION": "2862", "service/vmhdbprd01/31007/SECONDARY_CONNECT_TIME": "2022-01-11 13:40:08.545290", "service/vmhdbprd01/31001/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbprd01/31003/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbprd01/31007/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbprd01/31001/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbprd01/31001/SHIPPED_LOG_BUFFERS_SIZE": "554209280", "service/vmhdbprd01/31003/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbprd01/31003/SHIPPED_LOG_BUFFERS_SIZE": "3611877376", "service/vmhdbprd01/31007/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbprd01/31007/SHIPPED_LOG_BUFFERS_SIZE": "267542528", "service/vmhdbprd01/31001/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:49:08.441827", "service/vmhdbprd01/31001/SECONDARY_RECONNECT_COUNT": "0", "service/vmhdbprd01/31001/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbprd01/31001/SHIPPED_LOG_BUFFERS_COUNT": "125120", "service/vmhdbprd01/31001/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:48.550230", "service/vmhdbprd01/31001/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbprd01/31003/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:48:13.337797", "service/vmhdbprd01/31003/SECONDARY_RECONNECT_COUNT": "7", "service/vmhdbprd01/31003/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbprd01/31003/SHIPPED_LOG_BUFFERS_COUNT": "693785", "service/vmhdbprd01/31003/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:44.595948", "service/vmhdbprd01/31003/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbprd01/31007/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:51:13.839155", "service/vmhdbprd01/31007/SECONDARY_RECONNECT_COUNT": "7", "service/vmhdbprd01/31007/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbprd01/31007/SHIPPED_LOG_BUFFERS_COUNT": "65318", "service/vmhdbprd01/31007/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:15.066330", "service/vmhdbprd01/31007/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbprd01/31001/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:48.550230", "service/vmhdbprd01/31001/REPLICATION_STATUS_DETAILS": "", "service/vmhdbprd01/31001/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbprd01/31001/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbprd01/31003/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:44.595948", "service/vmhdbprd01/31003/REPLICATION_STATUS_DETAILS": "", "service/vmhdbprd01/31003/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbprd01/31003/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbprd01/31007/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:15.066330", "service/vmhdbprd01/31007/REPLICATION_STATUS_DETAILS": "", "service/vmhdbprd01/31007/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbprd01/31007/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbprd01/31001/LAST_SAVEPOINT_LOG_POSITION": "45312962", "service/vmhdbprd01/31001/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbprd01/31003/LAST_SAVEPOINT_LOG_POSITION": "249597314", "service/vmhdbprd01/31003/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbprd01/31007/LAST_SAVEPOINT_LOG_POSITION": "4699655", "service/vmhdbprd01/31007/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbprd01/31001/SHIPPED_LOG_BUFFERS_DURATION": "357505585", "service/vmhdbprd01/31001/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbprd01/31003/SHIPPED_LOG_BUFFERS_DURATION": "1885304582", "service/vmhdbprd01/31003/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbprd01/31007/SHIPPED_LOG_BUFFERS_DURATION": "191364516", "service/vmhdbprd01/31007/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbprd01/31001/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbprd01/31003/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbprd01/31007/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbprd01/31001/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbprd01/31001/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbprd01/31001/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbprd01/31003/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbprd01/31003/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbprd01/31003/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbprd01/31007/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbprd01/31007/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbprd01/31007/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbprd01/31001/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbprd01/31003/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbprd01/31007/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbprd01/31001/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbprd01/31003/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbprd01/31007/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbprd01/31001/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbprd01/31003/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbprd01/31007/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbprd01/31001/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbprd01/31003/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbprd01/31007/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbprd01/31001/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbprd01/31003/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbprd01/31007/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-"}}]}]	2024-04-09 15:07:06.931305	2024-04-09 15:07:06.931305
92	21de186a-e38f-5804-b643-7f4ef22fecfd	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:07:07.061885	2024-04-09 15:07:07.061885
96	1b0e9297-97dd-55d6-9874-8efde4d84c90	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:07.669977	2024-04-09 15:07:07.669977
99	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	ha_cluster_discovery	{"DC": false, "Id": "a034a158905404befe08775682910ee1", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmdrbdqas01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmdrbdqas02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "drbd_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": [{"Id": "cl-nfsserver", "Primitive": {"Id": "nfsserver", "Type": "nfs-server", "Class": "systemd", "Provider": "", "Operations": [{"Id": "nfsserver-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": null}, "MetaAttributes": [{"Id": "cl-nfsserver-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g-nfs_sapdata", "Primitives": [{"Id": "fs_sapdata", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "fs_sapdata-monitor-20", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "fs_sapdata-instance_attributes-device", "Name": "device", "Value": "/dev/drbd1"}, {"Id": "fs_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWQ"}, {"Id": "fs_sapdata-instance_attributes-fstype", "Name": "fstype", "Value": "xfs"}, {"Id": "fs_sapdata-instance_attributes-options", "Name": "options", "Value": "noatime,nodiratime"}]}, {"Id": "vip_sapdata_nfs", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "vip_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "vip_sapdata_nfs-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.33"}, {"Id": "vip_sapdata_nfs-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "32"}, {"Id": "vip_sapdata_nfs-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "exportfs_work_sapdata", "Type": "exportfs", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "exportfs_work_sapdata-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "exportfs_work_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWQ"}, {"Id": "exportfs_work_sapdata-instance_attributes-fsid", "Name": "fsid", "Value": "1"}, {"Id": "exportfs_work_sapdata-instance_attributes-options", "Name": "options", "Value": "rw,no_root_squash"}, {"Id": "exportfs_work_sapdata-instance_attributes-clientspec", "Name": "clientspec", "Value": "*"}, {"Id": "exportfs_work_sapdata-instance_attributes-wait_for_leasetime_on_stop", "Name": "wait_for_leasetime_on_stop", "Value": "true"}]}, {"Id": "rsc_socat_sapdata_nfs", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_sapdata_nfs-instance_attributes-port", "Name": "port", "Value": "61000"}]}]}], "Masters": [{"Id": "ms_sapdata", "Primitive": {"Id": "drbd-sapdata", "Type": "drbd", "Class": "ocf", "Provider": "linbit", "Operations": [{"Id": "drbd-sapdata-monitor-15", "Name": "monitor", "Role": "Master", "Timeout": "", "Interval": "15"}, {"Id": "drbd-sapdata-monitor-30", "Name": "monitor", "Role": "Slave", "Timeout": "", "Interval": "30"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "drbd-sapdata-instance_attributes-drbd_resource", "Name": "drbd_resource", "Value": "sapdata"}]}, "MetaAttributes": [{"Id": "ms_sapdata-meta_attributes-master-max", "Name": "master-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-master-node-max", "Name": "master-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-0-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "ms_sapdata-meta_attributes-0-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-1-notify", "Name": "notify", "Value": "true"}, {"Id": "ms_sapdata-meta_attributes-1-target-role", "Name": "target-role", "Value": "Started"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:c1c003f5-4e45-4d6f-8d81-e338f666365c", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "f5991966-5a7f-45d6-90d1-bfcedb265df6", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmdrbdqas01", "Status": "clear"}, {"Id": 1, "Name": "vmdrbdqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:c1c003f5-4e45-4d6f-8d81-e338f666365c", "Status": "healthy"}]}, "Name": "drbd_cluster", "Crmmon": {"Nodes": [{"DC": false, "Id": "1", "Name": "vmdrbdqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 7}, {"DC": true, "Id": "2", "Name": "vmdrbdqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "ms_sapdata", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "drbd-sapdata", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Master", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "drbd-sapdata", "Node": {"Id": "2", "Name": "vmdrbdqas02", "Cached": true}, "Role": "Slave", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cl-nfsserver", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "nfsserver", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "nfsserver", "Node": {"Id": "2", "Name": "vmdrbdqas02", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g-nfs_sapdata", "Resources": [{"Id": "fs_sapdata", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "vip_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "exportfs_work_sapdata", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:exportfs", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:20:56 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmdrbdqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "fs_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "vip_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "exportfs_work_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmdrbdqas02", "ResourceHistory": [{"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmdrbdqas01", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}, {"Name": "vmdrbdqas02", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}]}}, "Provider": "azure"}	2024-04-09 15:07:08.137304	2024-04-09 15:07:08.137304
110	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	host_discovery	{"hostname": "vmdrbdqas01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.31", "10.90.1.33", "fe80::6245:bdff:fe8d:c2"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmdrbdqas01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:09.59193	2024-04-09 15:07:09.59193
112	99cf8a3a-48d6-57a4-b302-6e4482227ab6	sap_system_discovery	[{"Id": "9953878f07bb54cac20d5d5d7ff08af2", "SID": "HDQ", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbqas01", "SAPSYSTEMNAME": "HDQ", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbqas01", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDQ", "Container": ""}], "Instances": [{"Host": "vmhdbqas01", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbqas01", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 25408, "name": "hdbdaemon", "starttime": "2022 01 11 12:28:43", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "152:23:18"}, {"pid": 27262, "name": "hdbxsengine", "starttime": "2022 01 11 12:29:06", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDQ", "elapsedtime": "152:22:55"}, {"pid": 25428, "name": "hdbnameserver", "starttime": "2022 01 11 12:28:44", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "152:23:17"}, {"pid": 27259, "name": "hdbindexserver", "starttime": "2022 01 11 12:29:06", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDQ", "elapsedtime": "152:22:55"}, {"pid": 27206, "name": "hdbpreprocessor", "starttime": "2022 01 11 12:29:06", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "152:22:55"}, {"pid": 27203, "name": "hdbcompileserver", "starttime": "2022 01 11 12:29:06", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "152:22:55"}, {"pid": 29632, "name": "hdbwebdispatcher", "starttime": "2022 01 11 12:29:37", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "152:22:24"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbqas01", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbqas01:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "primary", "online": "true", "site_id": "1", "isSource": "true", "site_name": "NBG", "isConsumer": "false", "hasConsumers": "true", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "primary", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbqas01": ["WDF/vmhdbqas02", "NBG/vmhdbqas01"], "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbqas01", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "1", "site/1/SITE_NAME": "NBG", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/1/REPLICATION_MODE": "PRIMARY", "site/2/REPLICATION_MODE": "SYNC", "site/2/REPLICATION_STATUS": "ACTIVE", "overall_replication_status": "ACTIVE", "service/vmhdbqas01/31001/HOST": "vmhdbqas01", "service/vmhdbqas01/31001/PORT": "31001", "service/vmhdbqas01/31003/HOST": "vmhdbqas01", "service/vmhdbqas01/31003/PORT": "31003", "service/vmhdbqas01/31007/HOST": "vmhdbqas01", "service/vmhdbqas01/31007/PORT": "31007", "service/vmhdbqas01/31001/SITE_ID": "1", "service/vmhdbqas01/31003/SITE_ID": "1", "service/vmhdbqas01/31007/SITE_ID": "1", "service/vmhdbqas01/31001/DATABASE": "SYSTEMDB", "service/vmhdbqas01/31003/DATABASE": "HDQ", "service/vmhdbqas01/31007/DATABASE": "HDQ", "service/vmhdbqas01/31001/FULL_SYNC": "DISABLED", "service/vmhdbqas01/31001/SITE_NAME": "NBG", "service/vmhdbqas01/31001/VOLUME_ID": "1", "service/vmhdbqas01/31003/FULL_SYNC": "DISABLED", "service/vmhdbqas01/31003/SITE_NAME": "NBG", "service/vmhdbqas01/31003/VOLUME_ID": "3", "service/vmhdbqas01/31007/FULL_SYNC": "DISABLED", "service/vmhdbqas01/31007/SITE_NAME": "NBG", "service/vmhdbqas01/31007/VOLUME_ID": "2", "service/vmhdbqas01/31001/RESET_COUNT": "0", "service/vmhdbqas01/31003/RESET_COUNT": "0", "service/vmhdbqas01/31007/RESET_COUNT": "0", "service/vmhdbqas01/31001/SERVICE_NAME": "nameserver", "service/vmhdbqas01/31003/SERVICE_NAME": "indexserver", "service/vmhdbqas01/31007/SERVICE_NAME": "xsengine", "service/vmhdbqas01/31001/CREATION_TIME": "2022-01-11 12:29:06.391562", "service/vmhdbqas01/31003/CREATION_TIME": "2022-01-11 12:29:33.189016", "service/vmhdbqas01/31007/CREATION_TIME": "2022-01-11 12:29:37.637575", "service/vmhdbqas01/31001/OPERATION_MODE": "logreplay", "service/vmhdbqas01/31001/SECONDARY_HOST": "vmhdbqas02", "service/vmhdbqas01/31001/SECONDARY_PORT": "31001", "service/vmhdbqas01/31003/OPERATION_MODE": "logreplay", "service/vmhdbqas01/31003/SECONDARY_HOST": "vmhdbqas02", "service/vmhdbqas01/31003/SECONDARY_PORT": "31003", "service/vmhdbqas01/31007/OPERATION_MODE": "logreplay", "service/vmhdbqas01/31007/SECONDARY_HOST": "vmhdbqas02", "service/vmhdbqas01/31007/SECONDARY_PORT": "31007", "service/vmhdbqas01/31001/LAST_RESET_TIME": "2022-01-11 12:29:06.391562", "service/vmhdbqas01/31003/LAST_RESET_TIME": "2022-01-11 12:29:33.189016", "service/vmhdbqas01/31007/LAST_RESET_TIME": "2022-01-11 12:29:37.637575", "service/vmhdbqas01/31001/REPLICATION_MODE": "SYNC", "service/vmhdbqas01/31003/REPLICATION_MODE": "SYNC", "service/vmhdbqas01/31007/REPLICATION_MODE": "SYNC", "service/vmhdbqas01/31001/LAST_LOG_POSITION": "45366976", "service/vmhdbqas01/31001/SECONDARY_SITE_ID": "2", "service/vmhdbqas01/31003/LAST_LOG_POSITION": "247682688", "service/vmhdbqas01/31003/SECONDARY_SITE_ID": "2", "service/vmhdbqas01/31007/LAST_LOG_POSITION": "4699712", "service/vmhdbqas01/31007/SECONDARY_SITE_ID": "2", "service/vmhdbqas01/31001/REPLICATION_STATUS": "ACTIVE", "service/vmhdbqas01/31003/REPLICATION_STATUS": "ACTIVE", "service/vmhdbqas01/31007/REPLICATION_STATUS": "ACTIVE", "service/vmhdbqas01/31001/SECONDARY_SITE_NAME": "WDF", "service/vmhdbqas01/31003/SECONDARY_SITE_NAME": "WDF", "service/vmhdbqas01/31007/SECONDARY_SITE_NAME": "WDF", "service/vmhdbqas01/31001/SHIPPED_LOG_POSITION": "45366976", "service/vmhdbqas01/31003/SHIPPED_LOG_POSITION": "247682688", "service/vmhdbqas01/31007/SHIPPED_LOG_POSITION": "4699712", "service/vmhdbqas01/31001/REPLAYED_LOG_POSITION": "45366976", "service/vmhdbqas01/31003/REPLAYED_LOG_POSITION": "247682688", "service/vmhdbqas01/31007/REPLAYED_LOG_POSITION": "4699652", "service/vmhdbqas01/31001/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:57.259967", "service/vmhdbqas01/31001/LAST_SAVEPOINT_VERSION": "3060", "service/vmhdbqas01/31001/SECONDARY_CONNECT_TIME": "2022-01-11 12:30:25.128075", "service/vmhdbqas01/31003/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:46.152250", "service/vmhdbqas01/31003/LAST_SAVEPOINT_VERSION": "2866", "service/vmhdbqas01/31003/SECONDARY_CONNECT_TIME": "2022-01-11 12:35:03.347379", "service/vmhdbqas01/31007/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:44.353141", "service/vmhdbqas01/31007/LAST_SAVEPOINT_VERSION": "2887", "service/vmhdbqas01/31007/SECONDARY_CONNECT_TIME": "2022-01-11 12:35:03.226334", "service/vmhdbqas01/31001/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbqas01/31003/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbqas01/31007/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbqas01/31001/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbqas01/31001/SHIPPED_LOG_BUFFERS_SIZE": "555925504", "service/vmhdbqas01/31003/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbqas01/31003/SHIPPED_LOG_BUFFERS_SIZE": "3534827520", "service/vmhdbqas01/31007/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbqas01/31007/SHIPPED_LOG_BUFFERS_SIZE": "269307904", "service/vmhdbqas01/31001/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:47:57.248689", "service/vmhdbqas01/31001/SECONDARY_RECONNECT_COUNT": "0", "service/vmhdbqas01/31001/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31001/SHIPPED_LOG_BUFFERS_COUNT": "125862", "service/vmhdbqas01/31001/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:57.259967", "service/vmhdbqas01/31001/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbqas01/31003/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:48:26.167454", "service/vmhdbqas01/31003/SECONDARY_RECONNECT_COUNT": "9", "service/vmhdbqas01/31003/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31003/SHIPPED_LOG_BUFFERS_COUNT": "684679", "service/vmhdbqas01/31003/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:46.152250", "service/vmhdbqas01/31003/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbqas01/31007/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:51:44.329775", "service/vmhdbqas01/31007/SECONDARY_RECONNECT_COUNT": "9", "service/vmhdbqas01/31007/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31007/SHIPPED_LOG_BUFFERS_COUNT": "65749", "service/vmhdbqas01/31007/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:44.353141", "service/vmhdbqas01/31007/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbqas01/31001/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:57.259967", "service/vmhdbqas01/31001/REPLICATION_STATUS_DETAILS": "", "service/vmhdbqas01/31001/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31001/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbqas01/31003/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:46.152250", "service/vmhdbqas01/31003/REPLICATION_STATUS_DETAILS": "", "service/vmhdbqas01/31003/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31003/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbqas01/31007/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:44.353141", "service/vmhdbqas01/31007/REPLICATION_STATUS_DETAILS": "", "service/vmhdbqas01/31007/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31007/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbqas01/31001/LAST_SAVEPOINT_LOG_POSITION": "45363330", "service/vmhdbqas01/31001/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbqas01/31003/LAST_SAVEPOINT_LOG_POSITION": "247663426", "service/vmhdbqas01/31003/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbqas01/31007/LAST_SAVEPOINT_LOG_POSITION": "4699460", "service/vmhdbqas01/31007/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbqas01/31001/SHIPPED_LOG_BUFFERS_DURATION": "354670113", "service/vmhdbqas01/31001/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LOG_BUFFERS_DURATION": "1782503270", "service/vmhdbqas01/31003/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LOG_BUFFERS_DURATION": "176031371", "service/vmhdbqas01/31007/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbqas01/31001/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbqas01/31003/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbqas01/31007/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbqas01/31001/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbqas01/31001/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31001/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbqas01/31003/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbqas01/31003/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31003/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbqas01/31007/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbqas01/31007/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31007/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbqas01/31001/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31003/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31007/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31001/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbqas01/31001/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbqas01/31001/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbqas01/31001/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-"}}]}]	2024-04-09 15:07:09.890622	2024-04-09 15:07:09.890622
115	0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	sap_system_discovery	[{"Id": "97a1e70aeff3c0685d65c4c3d32d533b", "SID": "NWP", "Type": 2, "Profile": {"SAPDBHOST": "10.80.1.13", "dbms/name": "HDP", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwpas", "rdisp/msserv": "sapmsNWP", "SAPGLOBALHOST": "sapnwpas", "SAPSYSTEMNAME": "NWP", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDP", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwpas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.80.1.13", "Databases": null, "Instances": [{"Host": "vmnwprd04", "Name": "D02", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwpas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwper", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwppas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwpaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 7759, "name": "gwrd", "starttime": "2022 01 11 13:46:05", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:06:03"}, {"pid": 7760, "name": "icman", "starttime": "2022 01 11 13:46:05", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:06:03"}, {"pid": 7741, "name": "igswd_mt", "starttime": "2022 01 11 13:46:03", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:06:05"}, {"pid": 7740, "name": "disp+work", "starttime": "2022 01 11 13:46:03", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:06:05"}], "Properties": [{"value": "HTTP://sapnwpaas1:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwpaas1:40280", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "02", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwpaas1", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D02", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwpaas1:50213/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:07:10.267759	2024-04-09 15:07:10.267759
118	116d49bd-85e1-5e59-b820-83f66db8800c	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:10.660245	2024-04-09 15:07:10.660245
122	3711ea88-9ccc-5b07-8f9d-042be449d72b	ha_cluster_discovery	{"DC": false, "Id": "acf59e7a5338f76f55d5055af3273480", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwqas01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwqas02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWQ_ASCS00", "Primitives": [{"Id": "rsc_ip_NWQ_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWQ_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWQ_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.25"}]}, {"Id": "rsc_fs_NWQ_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWQ_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWQ_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.90.1.33:/NWQ/ASCS"}, {"Id": "rsc_fs_NWQ_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWQ/ASCS00"}, {"Id": "rsc_fs_NWQ_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWQ_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWQ_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWQ_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWQ_ASCS00_sapnwqas"}, {"Id": "rsc_sap_NWQ_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWQ/profile/NWQ_ASCS00_sapnwqas"}, {"Id": "rsc_sap_NWQ_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWQ_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWQ_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWQ_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWQ_ERS10", "Primitives": [{"Id": "rsc_ip_NWQ_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWQ_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWQ_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.26"}]}, {"Id": "rsc_fs_NWQ_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWQ_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWQ_ERS10-instance_attributes-device", "Name": "device", "Value": "10.90.1.33:/NWQ/ERS"}, {"Id": "rsc_fs_NWQ_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWQ/ERS10"}, {"Id": "rsc_fs_NWQ_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWQ_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWQ_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWQ_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWQ_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWQ_ERS10_sapnwqer"}, {"Id": "rsc_sap_NWQ_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWQ/profile/NWQ_ERS10_sapnwqer"}, {"Id": "rsc_sap_NWQ_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWQ_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWQ_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWQ_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWQ_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWQ_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWQ_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_813ace38-2d4f-48f6-8aa2-5360252ca492", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "3365e35e-ba75-4d29-9f5a-1a0379ee7a60", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwqas01", "Status": "clear"}, {"Id": 1, "Name": "vmnwqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_813ace38-2d4f-48f6-8aa2-5360252ca492", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWQ_ASCS00", "Resources": [{"Id": "rsc_ip_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWQ_ERS10", "Resources": [{"Id": "rsc_ip_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Mon Jan 17 12:41:40 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwqas02", "ResourceHistory": [{"Name": "rsc_sap_NWQ_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWQ_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWQ_ERS10", "FailCount": 1, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWQ_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}, {"Name": "vmnwqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWQ_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWQ_ASCS00", "FailCount": 1, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWQ_ASCS00", "FailCount": 0, "MigrationThreshold": 1}, {"Name": "rsc_socat_NWQ_ASCS00", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwqas02", "Attributes": [{"Name": "runs_ers_NWQ", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:07:11.193744	2024-04-09 15:07:11.193744
124	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbdprd01", "plan": {}, "tags": "fake-tags", "vmId": "e9ba1f36-712a-4cbf-b279-b0801a4f6506", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbdprd01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbdprd01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbdprd01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.31"}]}, "ipv6": {}, "macAddress": "000D3A257DF0"}]}}, "Provider": "azure"}	2024-04-09 15:07:11.460169	2024-04-09 15:07:11.460169
128	69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:07:11.982611	2024-04-09 15:07:11.982611
50	a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwprd03", "plan": {}, "tags": "fake-tags", "vmId": "21d17480-4282-4e38-84aa-3e14716ebc42", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwprd03", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver03-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-netweaver01-App", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Attach", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.23"}, {"privateIpAddress": "10.80.1.27"}]}, "ipv6": {}, "macAddress": "000D3A257F83"}]}}, "Provider": "azure"}	2024-04-09 15:07:01.568071	2024-04-09 15:07:01.568071
56	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	ha_cluster_discovery	{"DC": false, "Id": "4e905d706da85f5be14f85fa947c1e39", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbqas01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdq_lpt", "Name": "lpa_hdq_lpt", "Value": "1643125033"}, {"Id": "nodes-1-hana_hdq_vhost", "Name": "hana_hdq_vhost", "Value": "vmhdbqas01"}, {"Id": "nodes-1-hana_hdq_site", "Name": "hana_hdq_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdq_op_mode", "Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdq_srmode", "Name": "hana_hdq_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdq_remoteHost", "Name": "hana_hdq_remoteHost", "Value": "vmhdbqas02"}]}, {"Id": "2", "Uname": "vmhdbqas02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdq_lpt", "Name": "lpa_hdq_lpt", "Value": "30"}, {"Id": "nodes-2-hana_hdq_op_mode", "Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdq_vhost", "Name": "hana_hdq_vhost", "Value": "vmhdbqas02"}, {"Id": "nodes-2-hana_hdq_remoteHost", "Name": "hana_hdq_remoteHost", "Value": "vmhdbqas01"}, {"Id": "nodes-2-hana_hdq_site", "Name": "hana_hdq_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdq_srmode", "Name": "hana_hdq_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_2"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdq_site_srHook_WDF", "Name": "hana_hdq_site_srHook_WDF", "Value": "SOK"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDQ_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDQ"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDQ_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDQ_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDQ_HDB10", "Primitives": [{"Id": "rsc_ip_HDQ_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDQ_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.13"}, {"Id": "rsc_ip_HDQ_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDQ_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDQ_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDQ_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDQ_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDQ_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDQ_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDQ"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-360014058d88c7795c6a4b66bc024f4bd", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "246da75b-af59-4135-b980-90bf87815e2e", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbqas01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-360014058d88c7795c6a4b66bc024f4bd", "Status": "healthy"}]}, "Name": "hana_cluster_2", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmhdbqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "msl_SAPHana_HDQ_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDQ_HDB10", "Node": {"Id": "2", "Name": "vmhdbqas02", "Cached": true}, "Role": "Slave", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDQ_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Node": {"Id": "2", "Name": "vmhdbqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDQ_HDB10", "Resources": [{"Id": "rsc_ip_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:37:13 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbqas02", "ResourceHistory": [{"Name": "rsc_SAPHana_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbqas01", "Attributes": [{"Name": "hana_hdq_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Name": "hana_hdq_remoteHost", "Value": "vmhdbqas02"}, {"Name": "hana_hdq_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdq_site", "Value": "NBG"}, {"Name": "hana_hdq_srmode", "Value": "sync"}, {"Name": "hana_hdq_sync_state", "Value": "PRIM"}, {"Name": "hana_hdq_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdq_vhost", "Value": "vmhdbqas01"}, {"Name": "lpa_hdq_lpt", "Value": "1643125033"}, {"Name": "master-rsc_SAPHana_HDQ_HDB10", "Value": "150"}]}, {"Name": "vmhdbqas02", "Attributes": [{"Name": "hana_hdq_clone_state", "Value": "DEMOTED"}, {"Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Name": "hana_hdq_remoteHost", "Value": "vmhdbqas01"}, {"Name": "hana_hdq_roles", "Value": "4:S:master1:master:worker:master"}, {"Name": "hana_hdq_site", "Value": "WDF"}, {"Name": "hana_hdq_srmode", "Value": "sync"}, {"Name": "hana_hdq_sync_state", "Value": "SOK"}, {"Name": "hana_hdq_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdq_vhost", "Value": "vmhdbqas02"}, {"Name": "lpa_hdq_lpt", "Value": "30"}, {"Name": "master-rsc_SAPHana_HDQ_HDB10", "Value": "100"}]}]}}, "Provider": "azure"}	2024-04-09 15:07:02.382909	2024-04-09 15:07:02.382909
71	4b30a6af-4b52-5bda-bccb-f2248a12c992	host_discovery	{"hostname": "vmnwprd02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.22", "10.80.1.26", "fe80::20d:3aff:fe2e:8038"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwprd02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:04.37073	2024-04-09 15:07:04.37073
74	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbdev01", "plan": {}, "tags": "fake-tags", "vmId": "a187496f-69bd-48fa-81a4-749e51f08b8b", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbdev01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.11"}]}, "ipv6": {}, "macAddress": "6045BD8D9B69"}]}}, "Provider": "azure"}	2024-04-09 15:07:04.752434	2024-04-09 15:07:04.752434
79	69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	host_discovery	{"hostname": "vmiscsi01", "cpu_count": 1, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.4", "fe80::20d:3aff:fe2a:aabe"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 3421, "fully_qualified_domain_name": "vmiscsi01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:05.414556	2024-04-09 15:07:05.414556
82	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	sap_system_discovery	[{"Id": "fd44c254ccb14331e54015c720c7a1f2", "SID": "HDD", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbdev01", "SAPSYSTEMNAME": "HDD", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbdev01", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDD", "Container": ""}], "Instances": [{"Host": "vmhdbdev01", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbdev01", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 18862, "name": "hdbdaemon", "starttime": "2022 01 11 12:56:11", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "151:55:49"}, {"pid": 20257, "name": "hdbxsengine", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDD", "elapsedtime": "151:55:31"}, {"pid": 18893, "name": "hdbnameserver", "starttime": "2022 01 11 12:56:12", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "151:55:48"}, {"pid": 20254, "name": "hdbindexserver", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDD", "elapsedtime": "151:55:31"}, {"pid": 20161, "name": "hdbpreprocessor", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "151:55:31"}, {"pid": 20158, "name": "hdbcompileserver", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "151:55:31"}, {"pid": 22620, "name": "hdbwebdispatcher", "starttime": "2022 01 11 12:56:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "151:55:02"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbdev01", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbdev01:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "primary", "online": "true", "site_id": "1", "isSource": "true", "site_name": "NBG", "isConsumer": "false", "hasConsumers": "true", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "primary", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbdev01": ["WDF/vmhdbdev02", "NBG/vmhdbdev01"], "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbdev01", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "1", "site/1/SITE_NAME": "NBG", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/1/REPLICATION_MODE": "PRIMARY", "site/2/REPLICATION_MODE": "SYNC", "site/2/REPLICATION_STATUS": "ACTIVE", "overall_replication_status": "ACTIVE", "service/vmhdbdev01/31001/HOST": "vmhdbdev01", "service/vmhdbdev01/31001/PORT": "31001", "service/vmhdbdev01/31003/HOST": "vmhdbdev01", "service/vmhdbdev01/31003/PORT": "31003", "service/vmhdbdev01/31007/HOST": "vmhdbdev01", "service/vmhdbdev01/31007/PORT": "31007", "service/vmhdbdev01/31001/SITE_ID": "1", "service/vmhdbdev01/31003/SITE_ID": "1", "service/vmhdbdev01/31007/SITE_ID": "1", "service/vmhdbdev01/31001/DATABASE": "SYSTEMDB", "service/vmhdbdev01/31003/DATABASE": "HDD", "service/vmhdbdev01/31007/DATABASE": "HDD", "service/vmhdbdev01/31001/FULL_SYNC": "DISABLED", "service/vmhdbdev01/31001/SITE_NAME": "NBG", "service/vmhdbdev01/31001/VOLUME_ID": "1", "service/vmhdbdev01/31003/FULL_SYNC": "DISABLED", "service/vmhdbdev01/31003/SITE_NAME": "NBG", "service/vmhdbdev01/31003/VOLUME_ID": "3", "service/vmhdbdev01/31007/FULL_SYNC": "DISABLED", "service/vmhdbdev01/31007/SITE_NAME": "NBG", "service/vmhdbdev01/31007/VOLUME_ID": "2", "service/vmhdbdev01/31001/RESET_COUNT": "0", "service/vmhdbdev01/31003/RESET_COUNT": "0", "service/vmhdbdev01/31007/RESET_COUNT": "0", "service/vmhdbdev01/31001/SERVICE_NAME": "nameserver", "service/vmhdbdev01/31003/SERVICE_NAME": "indexserver", "service/vmhdbdev01/31007/SERVICE_NAME": "xsengine", "service/vmhdbdev01/31001/CREATION_TIME": "2022-01-11 12:56:29.020885", "service/vmhdbdev01/31003/CREATION_TIME": "2022-01-11 12:56:53.983097", "service/vmhdbdev01/31007/CREATION_TIME": "2022-01-11 12:56:58.348403", "service/vmhdbdev01/31001/OPERATION_MODE": "logreplay", "service/vmhdbdev01/31001/SECONDARY_HOST": "vmhdbdev02", "service/vmhdbdev01/31001/SECONDARY_PORT": "31001", "service/vmhdbdev01/31003/OPERATION_MODE": "logreplay", "service/vmhdbdev01/31003/SECONDARY_HOST": "vmhdbdev02", "service/vmhdbdev01/31003/SECONDARY_PORT": "31003", "service/vmhdbdev01/31007/OPERATION_MODE": "logreplay", "service/vmhdbdev01/31007/SECONDARY_HOST": "vmhdbdev02", "service/vmhdbdev01/31007/SECONDARY_PORT": "31007", "service/vmhdbdev01/31001/LAST_RESET_TIME": "2022-01-11 12:56:29.020885", "service/vmhdbdev01/31003/LAST_RESET_TIME": "2022-01-11 12:56:53.983097", "service/vmhdbdev01/31007/LAST_RESET_TIME": "2022-01-11 12:56:58.348403", "service/vmhdbdev01/31001/REPLICATION_MODE": "SYNC", "service/vmhdbdev01/31003/REPLICATION_MODE": "SYNC", "service/vmhdbdev01/31007/REPLICATION_MODE": "SYNC", "service/vmhdbdev01/31001/LAST_LOG_POSITION": "45295808", "service/vmhdbdev01/31001/SECONDARY_SITE_ID": "2", "service/vmhdbdev01/31003/LAST_LOG_POSITION": "247644160", "service/vmhdbdev01/31003/SECONDARY_SITE_ID": "2", "service/vmhdbdev01/31007/LAST_LOG_POSITION": "4670464", "service/vmhdbdev01/31007/SECONDARY_SITE_ID": "2", "service/vmhdbdev01/31001/REPLICATION_STATUS": "ACTIVE", "service/vmhdbdev01/31003/REPLICATION_STATUS": "ACTIVE", "service/vmhdbdev01/31007/REPLICATION_STATUS": "ACTIVE", "service/vmhdbdev01/31001/SECONDARY_SITE_NAME": "WDF", "service/vmhdbdev01/31003/SECONDARY_SITE_NAME": "WDF", "service/vmhdbdev01/31007/SECONDARY_SITE_NAME": "WDF", "service/vmhdbdev01/31001/SHIPPED_LOG_POSITION": "45295808", "service/vmhdbdev01/31003/SHIPPED_LOG_POSITION": "247644160", "service/vmhdbdev01/31007/SHIPPED_LOG_POSITION": "4670464", "service/vmhdbdev01/31001/REPLAYED_LOG_POSITION": "45295808", "service/vmhdbdev01/31003/REPLAYED_LOG_POSITION": "247644160", "service/vmhdbdev01/31007/REPLAYED_LOG_POSITION": "4670405", "service/vmhdbdev01/31001/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:50.123508", "service/vmhdbdev01/31001/LAST_SAVEPOINT_VERSION": "2831", "service/vmhdbdev01/31001/SECONDARY_CONNECT_TIME": "2022-01-11 12:57:43.205984", "service/vmhdbdev01/31003/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:54.241756", "service/vmhdbdev01/31003/LAST_SAVEPOINT_VERSION": "2790", "service/vmhdbdev01/31003/SECONDARY_CONNECT_TIME": "2022-01-11 13:01:20.044302", "service/vmhdbdev01/31007/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:22.341237", "service/vmhdbdev01/31007/LAST_SAVEPOINT_VERSION": "2874", "service/vmhdbdev01/31007/SECONDARY_CONNECT_TIME": "2022-01-11 13:01:20.647048", "service/vmhdbdev01/31001/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbdev01/31003/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbdev01/31007/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbdev01/31001/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbdev01/31001/SHIPPED_LOG_BUFFERS_SIZE": "555040768", "service/vmhdbdev01/31003/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbdev01/31003/SHIPPED_LOG_BUFFERS_SIZE": "3481903104", "service/vmhdbdev01/31007/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbdev01/31007/SHIPPED_LOG_BUFFERS_SIZE": "268271616", "service/vmhdbdev01/31001/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:48:30.381133", "service/vmhdbdev01/31001/SECONDARY_RECONNECT_COUNT": "0", "service/vmhdbdev01/31001/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_LOG_BUFFERS_COUNT": "125075", "service/vmhdbdev01/31001/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:50.123508", "service/vmhdbdev01/31001/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbdev01/31003/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:49:47.741144", "service/vmhdbdev01/31003/SECONDARY_RECONNECT_COUNT": "7", "service/vmhdbdev01/31003/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_LOG_BUFFERS_COUNT": "682002", "service/vmhdbdev01/31003/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:54.241756", "service/vmhdbdev01/31003/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbdev01/31007/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:50:22.414771", "service/vmhdbdev01/31007/SECONDARY_RECONNECT_COUNT": "7", "service/vmhdbdev01/31007/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_LOG_BUFFERS_COUNT": "65496", "service/vmhdbdev01/31007/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:22.341237", "service/vmhdbdev01/31007/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbdev01/31001/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:50.123508", "service/vmhdbdev01/31001/REPLICATION_STATUS_DETAILS": "", "service/vmhdbdev01/31001/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbdev01/31003/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:54.241756", "service/vmhdbdev01/31003/REPLICATION_STATUS_DETAILS": "", "service/vmhdbdev01/31003/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbdev01/31007/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:22.341237", "service/vmhdbdev01/31007/REPLICATION_STATUS_DETAILS": "", "service/vmhdbdev01/31007/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbdev01/31001/LAST_SAVEPOINT_LOG_POSITION": "45292482", "service/vmhdbdev01/31001/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbdev01/31003/LAST_SAVEPOINT_LOG_POSITION": "247637826", "service/vmhdbdev01/31003/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbdev01/31007/LAST_SAVEPOINT_LOG_POSITION": "4669955", "service/vmhdbdev01/31007/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbdev01/31001/SHIPPED_LOG_BUFFERS_DURATION": "332381033", "service/vmhdbdev01/31001/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LOG_BUFFERS_DURATION": "1761449260", "service/vmhdbdev01/31003/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LOG_BUFFERS_DURATION": "180172567", "service/vmhdbdev01/31007/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbdev01/31003/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbdev01/31007/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbdev01/31001/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbdev01/31001/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbdev01/31003/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbdev01/31003/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbdev01/31007/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbdev01/31007/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbdev01/31001/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-"}}]}]	2024-04-09 15:07:05.806244	2024-04-09 15:07:05.806244
88	9cd46919-5f19-59aa-993e-cf3736c71053	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:06.555721	2024-04-09 15:07:06.555721
97	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:07:07.803043	2024-04-09 15:07:07.803043
101	927901fa-2c87-524e-b18c-3ef5187f504f	host_discovery	{"hostname": "vmdrbdprd02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.32", "fe80::20d:3aff:fe2e:8b91"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmdrbdprd02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:08.41061	2024-04-09 15:07:08.41061
104	116d49bd-85e1-5e59-b820-83f66db8800c	ha_cluster_discovery	{"DC": true, "Id": "8bca366a6cb7816555538092a1ddd5aa", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwprd01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwprd02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWP_ASCS00", "Primitives": [{"Id": "rsc_ip_NWP_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWP_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWP_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.25"}]}, {"Id": "rsc_fs_NWP_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWP_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWP_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.80.1.33:/NWP/ASCS"}, {"Id": "rsc_fs_NWP_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWP/ASCS00"}, {"Id": "rsc_fs_NWP_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWP_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWP_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWP_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWP_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWP_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWP_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWP_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWP_ASCS00_sapnwpas"}, {"Id": "rsc_sap_NWP_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWP/profile/NWP_ASCS00_sapnwpas"}, {"Id": "rsc_sap_NWP_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWP_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWP_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWP_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWP_ERS10", "Primitives": [{"Id": "rsc_ip_NWP_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWP_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWP_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.26"}]}, {"Id": "rsc_fs_NWP_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWP_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWP_ERS10-instance_attributes-device", "Name": "device", "Value": "10.80.1.33:/NWP/ERS"}, {"Id": "rsc_fs_NWP_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWP/ERS10"}, {"Id": "rsc_fs_NWP_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWP_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWP_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWP_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWP_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWP_ERS10_sapnwper"}, {"Id": "rsc_sap_NWP_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWP/profile/NWP_ERS10_sapnwper"}, {"Id": "rsc_sap_NWP_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWP_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWP_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWP_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWP_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWP_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWP_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_e34218cd-0d9a-4b21-b6d5-a313980baa82", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "e0c97fe2-f63a-4fd1-83df-9a736a03b49b", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwprd01", "Status": "clear"}, {"Id": 1, "Name": "vmnwprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_e34218cd-0d9a-4b21-b6d5-a313980baa82", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwprd01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwprd02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWP_ASCS00", "Resources": [{"Id": "rsc_ip_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWP_ERS10", "Resources": [{"Id": "rsc_ip_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 13:43:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwprd01", "ResourceHistory": [{"Name": "rsc_ip_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 1}]}, {"Name": "vmnwprd02", "ResourceHistory": [{"Name": "rsc_ip_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwprd02", "Attributes": [{"Name": "runs_ers_NWP", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:07:08.793989	2024-04-09 15:07:08.793989
106	3711ea88-9ccc-5b07-8f9d-042be449d72b	host_discovery	{"hostname": "vmnwqas02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.22", "10.90.1.26", "fe80::6245:bdff:fe8d:6ef"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwqas02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:09.06494	2024-04-09 15:07:09.06494
283	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	sap_system_discovery	[{"Id": "fd44c254ccb14331e54015c720c7a1f2", "SID": "HDD", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbdev01", "SAPSYSTEMNAME": "HDD", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbdev01", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDD", "Container": ""}], "Instances": [{"Host": "vmhdbdev01", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbdev01", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 18862, "name": "hdbdaemon", "starttime": "2022 01 11 12:56:11", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "151:55:49"}, {"pid": 20257, "name": "hdbxsengine", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDD", "elapsedtime": "151:55:31"}, {"pid": 18893, "name": "hdbnameserver", "starttime": "2022 01 11 12:56:12", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "151:55:48"}, {"pid": 20254, "name": "hdbindexserver", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDD", "elapsedtime": "151:55:31"}, {"pid": 20161, "name": "hdbpreprocessor", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "151:55:31"}, {"pid": 20158, "name": "hdbcompileserver", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "151:55:31"}, {"pid": 22620, "name": "hdbwebdispatcher", "starttime": "2022 01 11 12:56:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "151:55:02"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbdev01", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbdev01:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "primary", "online": "true", "site_id": "1", "isSource": "true", "site_name": "NBG", "isConsumer": "false", "hasConsumers": "true", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "primary", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbdev01": ["WDF/vmhdbdev02", "NBG/vmhdbdev01"], "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbdev01", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "1", "site/1/SITE_NAME": "NBG", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/1/REPLICATION_MODE": "PRIMARY", "site/2/REPLICATION_MODE": "SYNC", "site/2/REPLICATION_STATUS": "ACTIVE", "overall_replication_status": "ACTIVE", "service/vmhdbdev01/31001/HOST": "vmhdbdev01", "service/vmhdbdev01/31001/PORT": "31001", "service/vmhdbdev01/31003/HOST": "vmhdbdev01", "service/vmhdbdev01/31003/PORT": "31003", "service/vmhdbdev01/31007/HOST": "vmhdbdev01", "service/vmhdbdev01/31007/PORT": "31007", "service/vmhdbdev01/31001/SITE_ID": "1", "service/vmhdbdev01/31003/SITE_ID": "1", "service/vmhdbdev01/31007/SITE_ID": "1", "service/vmhdbdev01/31001/DATABASE": "SYSTEMDB", "service/vmhdbdev01/31003/DATABASE": "HDD", "service/vmhdbdev01/31007/DATABASE": "HDD", "service/vmhdbdev01/31001/FULL_SYNC": "DISABLED", "service/vmhdbdev01/31001/SITE_NAME": "NBG", "service/vmhdbdev01/31001/VOLUME_ID": "1", "service/vmhdbdev01/31003/FULL_SYNC": "DISABLED", "service/vmhdbdev01/31003/SITE_NAME": "NBG", "service/vmhdbdev01/31003/VOLUME_ID": "3", "service/vmhdbdev01/31007/FULL_SYNC": "DISABLED", "service/vmhdbdev01/31007/SITE_NAME": "NBG", "service/vmhdbdev01/31007/VOLUME_ID": "2", "service/vmhdbdev01/31001/RESET_COUNT": "0", "service/vmhdbdev01/31003/RESET_COUNT": "0", "service/vmhdbdev01/31007/RESET_COUNT": "0", "service/vmhdbdev01/31001/SERVICE_NAME": "nameserver", "service/vmhdbdev01/31003/SERVICE_NAME": "indexserver", "service/vmhdbdev01/31007/SERVICE_NAME": "xsengine", "service/vmhdbdev01/31001/CREATION_TIME": "2022-01-11 12:56:29.020885", "service/vmhdbdev01/31003/CREATION_TIME": "2022-01-11 12:56:53.983097", "service/vmhdbdev01/31007/CREATION_TIME": "2022-01-11 12:56:58.348403", "service/vmhdbdev01/31001/OPERATION_MODE": "logreplay", "service/vmhdbdev01/31001/SECONDARY_HOST": "vmhdbdev02", "service/vmhdbdev01/31001/SECONDARY_PORT": "31001", "service/vmhdbdev01/31003/OPERATION_MODE": "logreplay", "service/vmhdbdev01/31003/SECONDARY_HOST": "vmhdbdev02", "service/vmhdbdev01/31003/SECONDARY_PORT": "31003", "service/vmhdbdev01/31007/OPERATION_MODE": "logreplay", "service/vmhdbdev01/31007/SECONDARY_HOST": "vmhdbdev02", "service/vmhdbdev01/31007/SECONDARY_PORT": "31007", "service/vmhdbdev01/31001/LAST_RESET_TIME": "2022-01-11 12:56:29.020885", "service/vmhdbdev01/31003/LAST_RESET_TIME": "2022-01-11 12:56:53.983097", "service/vmhdbdev01/31007/LAST_RESET_TIME": "2022-01-11 12:56:58.348403", "service/vmhdbdev01/31001/REPLICATION_MODE": "SYNC", "service/vmhdbdev01/31003/REPLICATION_MODE": "SYNC", "service/vmhdbdev01/31007/REPLICATION_MODE": "SYNC", "service/vmhdbdev01/31001/LAST_LOG_POSITION": "45295808", "service/vmhdbdev01/31001/SECONDARY_SITE_ID": "2", "service/vmhdbdev01/31003/LAST_LOG_POSITION": "247644160", "service/vmhdbdev01/31003/SECONDARY_SITE_ID": "2", "service/vmhdbdev01/31007/LAST_LOG_POSITION": "4670464", "service/vmhdbdev01/31007/SECONDARY_SITE_ID": "2", "service/vmhdbdev01/31001/REPLICATION_STATUS": "ACTIVE", "service/vmhdbdev01/31003/REPLICATION_STATUS": "ACTIVE", "service/vmhdbdev01/31007/REPLICATION_STATUS": "ACTIVE", "service/vmhdbdev01/31001/SECONDARY_SITE_NAME": "WDF", "service/vmhdbdev01/31003/SECONDARY_SITE_NAME": "WDF", "service/vmhdbdev01/31007/SECONDARY_SITE_NAME": "WDF", "service/vmhdbdev01/31001/SHIPPED_LOG_POSITION": "45295808", "service/vmhdbdev01/31003/SHIPPED_LOG_POSITION": "247644160", "service/vmhdbdev01/31007/SHIPPED_LOG_POSITION": "4670464", "service/vmhdbdev01/31001/REPLAYED_LOG_POSITION": "45295808", "service/vmhdbdev01/31003/REPLAYED_LOG_POSITION": "247644160", "service/vmhdbdev01/31007/REPLAYED_LOG_POSITION": "4670405", "service/vmhdbdev01/31001/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:50.123508", "service/vmhdbdev01/31001/LAST_SAVEPOINT_VERSION": "2831", "service/vmhdbdev01/31001/SECONDARY_CONNECT_TIME": "2022-01-11 12:57:43.205984", "service/vmhdbdev01/31003/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:54.241756", "service/vmhdbdev01/31003/LAST_SAVEPOINT_VERSION": "2790", "service/vmhdbdev01/31003/SECONDARY_CONNECT_TIME": "2022-01-11 13:01:20.044302", "service/vmhdbdev01/31007/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:22.341237", "service/vmhdbdev01/31007/LAST_SAVEPOINT_VERSION": "2874", "service/vmhdbdev01/31007/SECONDARY_CONNECT_TIME": "2022-01-11 13:01:20.647048", "service/vmhdbdev01/31001/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbdev01/31003/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbdev01/31007/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbdev01/31001/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbdev01/31001/SHIPPED_LOG_BUFFERS_SIZE": "555040768", "service/vmhdbdev01/31003/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbdev01/31003/SHIPPED_LOG_BUFFERS_SIZE": "3481903104", "service/vmhdbdev01/31007/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbdev01/31007/SHIPPED_LOG_BUFFERS_SIZE": "268271616", "service/vmhdbdev01/31001/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:48:30.381133", "service/vmhdbdev01/31001/SECONDARY_RECONNECT_COUNT": "0", "service/vmhdbdev01/31001/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_LOG_BUFFERS_COUNT": "125075", "service/vmhdbdev01/31001/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:50.123508", "service/vmhdbdev01/31001/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbdev01/31003/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:49:47.741144", "service/vmhdbdev01/31003/SECONDARY_RECONNECT_COUNT": "7", "service/vmhdbdev01/31003/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_LOG_BUFFERS_COUNT": "682002", "service/vmhdbdev01/31003/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:54.241756", "service/vmhdbdev01/31003/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbdev01/31007/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:50:22.414771", "service/vmhdbdev01/31007/SECONDARY_RECONNECT_COUNT": "7", "service/vmhdbdev01/31007/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_LOG_BUFFERS_COUNT": "65496", "service/vmhdbdev01/31007/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:22.341237", "service/vmhdbdev01/31007/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbdev01/31001/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:50.123508", "service/vmhdbdev01/31001/REPLICATION_STATUS_DETAILS": "", "service/vmhdbdev01/31001/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbdev01/31003/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:54.241756", "service/vmhdbdev01/31003/REPLICATION_STATUS_DETAILS": "", "service/vmhdbdev01/31003/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbdev01/31007/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:22.341237", "service/vmhdbdev01/31007/REPLICATION_STATUS_DETAILS": "", "service/vmhdbdev01/31007/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbdev01/31001/LAST_SAVEPOINT_LOG_POSITION": "45292482", "service/vmhdbdev01/31001/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbdev01/31003/LAST_SAVEPOINT_LOG_POSITION": "247637826", "service/vmhdbdev01/31003/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbdev01/31007/LAST_SAVEPOINT_LOG_POSITION": "4669955", "service/vmhdbdev01/31007/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbdev01/31001/SHIPPED_LOG_BUFFERS_DURATION": "332381033", "service/vmhdbdev01/31001/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LOG_BUFFERS_DURATION": "1761449260", "service/vmhdbdev01/31003/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LOG_BUFFERS_DURATION": "180172567", "service/vmhdbdev01/31007/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbdev01/31003/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbdev01/31007/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbdev01/31001/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbdev01/31001/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbdev01/31003/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbdev01/31003/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbdev01/31007/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbdev01/31007/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbdev01/31001/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-"}}]}]	2024-04-09 15:08:27.026459	2024-04-09 15:08:27.026459
286	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	sap_system_discovery	[]	2024-04-09 15:08:27.410952	2024-04-09 15:08:27.410952
291	f0c808b3-d869-5192-a944-20f66a6a8449	sap_system_discovery	[]	2024-04-09 15:08:28.070794	2024-04-09 15:08:28.070794
293	21de186a-e38f-5804-b643-7f4ef22fecfd	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:08:28.321058	2024-04-09 15:08:28.321058
294	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	host_discovery	{"hostname": "vmdrbdprd01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.31", "10.80.1.33", "fe80::20d:3aff:fe25:7df0"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmdrbdprd01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:28.446513	2024-04-09 15:08:28.446513
61	a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:03.045068	2024-04-09 15:07:03.045068
66	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbqas02", "plan": {}, "tags": "fake-tags", "vmId": "7b21fd90-d128-4e25-8812-2fef28f94839", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbqas02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.12"}]}, "ipv6": {}, "macAddress": "6045BD8D08B3"}]}}, "Provider": "azure"}	2024-04-09 15:07:03.688594	2024-04-09 15:07:03.688594
67	422686d6-b2d1-5092-93e8-a744854f5085	host_discovery	{"hostname": "vmdrbdqas02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.32", "fe80::6245:bdff:fe8d:523"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmdrbdqas02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:03.803173	2024-04-09 15:07:03.803173
70	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	ha_cluster_discovery	{"DC": true, "Id": "04b8f8c21f9fd8991224478e8c4362f8", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbdev01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdd_lpt", "Name": "lpa_hdd_lpt", "Value": "10"}, {"Id": "nodes-1-hana_hdd_vhost", "Name": "hana_hdd_vhost", "Value": "vmhdbdev01"}, {"Id": "nodes-1-hana_hdd_site", "Name": "hana_hdd_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdd_op_mode", "Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdd_srmode", "Name": "hana_hdd_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdd_remoteHost", "Name": "hana_hdd_remoteHost", "Value": "vmhdbdev02"}]}, {"Id": "2", "Uname": "vmhdbdev02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdd_lpt", "Name": "lpa_hdd_lpt", "Value": "1643125026"}, {"Id": "nodes-2-hana_hdd_op_mode", "Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdd_vhost", "Name": "hana_hdd_vhost", "Value": "vmhdbdev02"}, {"Id": "nodes-2-hana_hdd_remoteHost", "Name": "hana_hdd_remoteHost", "Value": "vmhdbdev01"}, {"Id": "nodes-2-hana_hdd_site", "Name": "hana_hdd_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdd_srmode", "Name": "hana_hdd_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_1"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdd_site_srHook_WDF", "Name": "hana_hdd_site_srHook_WDF", "Value": "PRIM"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDD_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDD_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDD_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDD_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDD"}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDD_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDD_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDD_HDB10", "Primitives": [{"Id": "rsc_ip_HDD_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDD_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDD_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDD_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDD_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.13"}, {"Id": "rsc_ip_HDD_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDD_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDD_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDD_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDD_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDD_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDD_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDD_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDD_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDD_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDD_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDD_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDD"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDD_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDD_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDD_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:182cb1b1-a815-4b82-b538-7a166b9bbb4a", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "cc39771e-ea2f-4fb1-8968-a6176aee3d0a", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbdev01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbdev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:182cb1b1-a815-4b82-b538-7a166b9bbb4a", "Status": "healthy"}]}, "Name": "hana_cluster_1", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbdev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}, {"DC": false, "Id": "2", "Name": "vmhdbdev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": [{"Id": "msl_SAPHana_HDD_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDD_HDB10", "Node": null, "Role": "Stopped", "Agent": "ocf::suse:SAPHana", "Active": false, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 0}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDD_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10", "Node": {"Id": "1", "Name": "vmhdbdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDD_HDB10", "Resources": [{"Id": "rsc_ip_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:37:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbdev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbdev02", "ResourceHistory": [{"Name": "rsc_ip_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbdev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDD_HDB10", "FailCount": 1000000, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbdev01", "Attributes": [{"Name": "hana_hdd_clone_state", "Value": "UNDEFINED"}, {"Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Name": "hana_hdd_remoteHost", "Value": "vmhdbdev02"}, {"Name": "hana_hdd_roles", "Value": "1:P:master1::worker:"}, {"Name": "hana_hdd_site", "Value": "NBG"}, {"Name": "hana_hdd_srmode", "Value": "sync"}, {"Name": "hana_hdd_sync_state", "Value": "SFAIL"}, {"Name": "hana_hdd_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdd_vhost", "Value": "vmhdbdev01"}, {"Name": "lpa_hdd_lpt", "Value": "10"}, {"Name": "master-rsc_SAPHana_HDD_HDB10", "Value": "-9000"}]}, {"Name": "vmhdbdev02", "Attributes": [{"Name": "hana_hdd_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Name": "hana_hdd_remoteHost", "Value": "vmhdbdev01"}, {"Name": "hana_hdd_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdd_site", "Value": "WDF"}, {"Name": "hana_hdd_srmode", "Value": "sync"}, {"Name": "hana_hdd_sync_state", "Value": "PRIM"}, {"Name": "hana_hdd_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdd_vhost", "Value": "vmhdbdev02"}, {"Name": "lpa_hdd_lpt", "Value": "1643125026"}, {"Name": "master-rsc_SAPHana_HDD_HDB10", "Value": "150"}]}]}}, "Provider": "azure"}	2024-04-09 15:07:04.202883	2024-04-09 15:07:04.202883
77	9cd46919-5f19-59aa-993e-cf3736c71053	ha_cluster_discovery	{"DC": true, "Id": "9c832998801e28cd70ad77380e82a5c0", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbprd01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdp_lpt", "Name": "lpa_hdp_lpt", "Value": "1643125019"}, {"Id": "nodes-1-hana_hdp_vhost", "Name": "hana_hdp_vhost", "Value": "vmhdbprd01"}, {"Id": "nodes-1-hana_hdp_site", "Name": "hana_hdp_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdp_op_mode", "Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdp_srmode", "Name": "hana_hdp_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdp_remoteHost", "Name": "hana_hdp_remoteHost", "Value": "vmhdbprd02"}]}, {"Id": "2", "Uname": "vmhdbprd02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdp_lpt", "Name": "lpa_hdp_lpt", "Value": "30"}, {"Id": "nodes-2-hana_hdp_op_mode", "Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdp_vhost", "Name": "hana_hdp_vhost", "Value": "vmhdbprd02"}, {"Id": "nodes-2-hana_hdp_remoteHost", "Name": "hana_hdp_remoteHost", "Value": "vmhdbprd01"}, {"Id": "nodes-2-hana_hdp_site", "Name": "hana_hdp_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdp_srmode", "Name": "hana_hdp_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_3"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "24"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdp_site_srHook_WDF", "Name": "hana_hdp_site_srHook_WDF", "Value": "SOK"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDP_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDP_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDP_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDP_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDP"}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDP_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDP_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDP_HDB10", "Primitives": [{"Id": "rsc_ip_HDP_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDP_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDP_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDP_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDP_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.13"}, {"Id": "rsc_ip_HDP_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDP_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDP_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDP_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDP_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDP_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDP_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDP_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDP_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDP_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDP_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDP_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDP"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDP_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDP_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDP_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b924e77", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "a7a18c6b-7c8e-4bda-bb77-45e4b5dc8478", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbprd01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b924e77", "Status": "healthy"}, {"Dump": {"Uuid": "a7a18c6b-7c8e-4bda-bb77-45e4b5dc8478", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbprd01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b912345", "Status": "unhealthy"}, {"Dump": {"Uuid": "a7a18c6b-7c8e-4bda-bb77-45e4b5dc8478", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbprd01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b954321", "Status": "unknown"}]}, "Name": "hana_cluster_3", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbprd01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmhdbprd02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "msl_SAPHana_HDP_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDP_HDB10", "Node": {"Id": "2", "Name": "vmhdbprd02", "Cached": true}, "Role": "Slave", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDP_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10", "Node": {"Id": "2", "Name": "vmhdbprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDP_HDB10", "Resources": [{"Id": "rsc_ip_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:36:59 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbprd01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbprd02", "ResourceHistory": [{"Name": "rsc_SAPHana_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbprd01", "Attributes": [{"Name": "hana_hdp_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Name": "hana_hdp_remoteHost", "Value": "vmhdbprd02"}, {"Name": "hana_hdp_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdp_site", "Value": "NBG"}, {"Name": "hana_hdp_srmode", "Value": "sync"}, {"Name": "hana_hdp_sync_state", "Value": "PRIM"}, {"Name": "hana_hdp_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdp_vhost", "Value": "vmhdbprd01"}, {"Name": "lpa_hdp_lpt", "Value": "1643125019"}, {"Name": "master-rsc_SAPHana_HDP_HDB10", "Value": "150"}]}, {"Name": "vmhdbprd02", "Attributes": [{"Name": "hana_hdp_clone_state", "Value": "DEMOTED"}, {"Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Name": "hana_hdp_remoteHost", "Value": "vmhdbprd01"}, {"Name": "hana_hdp_roles", "Value": "4:S:master1:master:worker:master"}, {"Name": "hana_hdp_site", "Value": "WDF"}, {"Name": "hana_hdp_srmode", "Value": "sync"}, {"Name": "hana_hdp_sync_state", "Value": "SOK"}, {"Name": "hana_hdp_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdp_vhost", "Value": "vmhdbprd02"}, {"Name": "lpa_hdp_lpt", "Value": "30"}, {"Name": "master-rsc_SAPHana_HDP_HDB10", "Value": "100"}]}]}}, "Provider": "azure"}	2024-04-09 15:07:05.123315	2024-04-09 15:07:05.123315
83	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev02", "plan": {}, "tags": "fake-tags", "vmId": "84f224b2-ad29-41a7-94ae-26ced84cdace", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.22"}]}, "ipv6": {}, "macAddress": "6045BD8D9C7D"}]}}, "Provider": "azure"}	2024-04-09 15:07:05.943453	2024-04-09 15:07:05.943453
84	0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:06.067108	2024-04-09 15:07:06.067108
86	3711ea88-9ccc-5b07-8f9d-042be449d72b	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:07:06.307311	2024-04-09 15:07:06.307311
108	098fc159-3ed6-58e7-91be-38fda8a833ea	subscription_discovery	[{"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "SLES_SAP"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-ha"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:09.313286	2024-04-09 15:07:09.313286
114	422686d6-b2d1-5092-93e8-a744854f5085	sap_system_discovery	[]	2024-04-09 15:07:10.14754	2024-04-09 15:07:10.14754
116	f0c808b3-d869-5192-a944-20f66a6a8449	host_discovery	{"hostname": "vmiscsi01", "cpu_count": 1, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.4", "fe80::222:48ff:fe7f:d2f9"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 3422, "fully_qualified_domain_name": "vmiscsi01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:10.393237	2024-04-09 15:07:10.393237
80	25677e37-fd33-5005-896c-9275b1284534	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwqas01", "plan": {}, "tags": "fake-tags", "vmId": "2f1d001b-7ba0-49f3-afbd-c5668684a0a4", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwqas01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.21"}]}, "ipv6": {}, "macAddress": "6045BD8D0A30"}]}}, "Provider": "azure"}	2024-04-09 15:07:05.542155	2024-04-09 15:07:05.542155
81	69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:05.657186	2024-04-09 15:07:05.657186
85	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	sap_system_discovery	[]	2024-04-09 15:07:06.190788	2024-04-09 15:07:06.190788
89	3711ea88-9ccc-5b07-8f9d-042be449d72b	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwqas02", "plan": {}, "tags": "fake-tags", "vmId": "173ff22d-bb92-493a-a6b2-6a269614f178", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwqas02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.22"}]}, "ipv6": {}, "macAddress": "6045BD8D06EF"}]}}, "Provider": "azure"}	2024-04-09 15:07:06.695001	2024-04-09 15:07:06.695001
95	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:07.52426	2024-04-09 15:07:07.52426
102	99cf8a3a-48d6-57a4-b302-6e4482227ab6	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:08.536449	2024-04-09 15:07:08.536449
117	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:10.518814	2024-04-09 15:07:10.518814
132	81e9b629-c1e7-538f-bff1-47d3a6580522	sap_system_discovery	[{"Id": "d01fdc69aeba7bd5133b210eb2884853", "SID": "NWQ", "Type": 2, "Profile": {"SAPDBHOST": "ha-cluster.suse.de", "dbms/name": "HDQ", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwqas", "rdisp/msserv": "sapmsNWQ", "SAPGLOBALHOST": "sapnwqas", "SAPSYSTEMNAME": "NWQ", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDQ", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwqas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.90.1.13", "Databases": null, "Instances": [{"Host": "vmnwqas04", "Name": "D02", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwqas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwqer", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 27154, "name": "gwrd", "starttime": "2022 01 17 12:42:20", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "8:08:39"}, {"pid": 27155, "name": "icman", "starttime": "2022 01 17 12:42:20", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "8:08:39"}, {"pid": 27150, "name": "igswd_mt", "starttime": "2022 01 17 12:42:19", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "8:08:40"}, {"pid": 27149, "name": "disp+work", "starttime": "2022 01 17 12:42:19", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "8:08:40"}], "Properties": [{"value": "HTTP://sapnwqaas1:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwqaas1:40280", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "02", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwqaas1", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D02", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwqaas1:50213/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:07:12.479674	2024-04-09 15:07:12.479674
87	69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmiscsi01", "plan": {}, "tags": "fake-tags", "vmId": "458cb0ec-254e-4f68-873a-2d26e1e40c26", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_DS1_v2", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmiscsi01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-iscsisrv01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-iscsisrv01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "StandardSSD_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.4"}]}, "ipv6": {}, "macAddress": "000D3A2AAABE"}]}}, "Provider": "azure"}	2024-04-09 15:07:06.423171	2024-04-09 15:07:06.423171
94	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev03", "Name": "D01", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 27224, "name": "gwrd", "starttime": "2022 01 11 13:03:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:48:10"}, {"pid": 27225, "name": "icman", "starttime": "2022 01 11 13:03:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:48:10"}, {"pid": 26907, "name": "igswd_mt", "starttime": "2022 01 11 13:03:55", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:48:13"}, {"pid": 26906, "name": "disp+work", "starttime": "2022 01 11 13:03:55", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:48:13"}], "Properties": [{"value": "HTTP://sapnwdpas:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwdpas:40180", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "01", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdpas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D01", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwdpas:50113/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:07:07.331985	2024-04-09 15:07:07.331985
98	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:07.980441	2024-04-09 15:07:07.980441
105	422686d6-b2d1-5092-93e8-a744854f5085	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:07:08.927631	2024-04-09 15:07:08.927631
111	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	host_discovery	{"hostname": "vmhdbqas02", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.12", "fe80::6245:bdff:fe8d:8b3"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbqas02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:09.740213	2024-04-09 15:07:09.740213
126	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	sap_system_discovery	[{"Id": "fd44c254ccb14331e54015c720c7a1f2", "SID": "HDD", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbdev02", "SAPSYSTEMNAME": "HDD", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbdev02", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDD", "Container": ""}], "Instances": [{"Host": "vmhdbdev02", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbdev02", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 24133, "name": "hdbdaemon", "starttime": "2022 01 11 12:57:31", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "151:54:31"}, {"pid": 24925, "name": "hdbxsengine", "starttime": "2022 01 11 12:57:45", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDD", "elapsedtime": "151:54:17"}, {"pid": 24153, "name": "hdbnameserver", "starttime": "2022 01 11 12:57:32", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "151:54:30"}, {"pid": 24916, "name": "hdbindexserver", "starttime": "2022 01 11 12:57:45", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDD", "elapsedtime": "151:54:17"}, {"pid": 24822, "name": "hdbpreprocessor", "starttime": "2022 01 11 12:57:44", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "151:54:18"}, {"pid": 24819, "name": "hdbcompileserver", "starttime": "2022 01 11 12:57:44", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "151:54:18"}, {"pid": 25653, "name": "hdbwebdispatcher", "starttime": "2022 01 11 12:57:53", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "151:54:09"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbdev02", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbdev02:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "sync", "online": "true", "site_id": "2", "isSource": "false", "site_name": "WDF", "isConsumer": "true", "replayMode": "auto", "hasConsumers": "false", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "logreplay", "primary_masters": "vmhdbdev01", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbdev02": ["WDF/vmhdbdev02", "NBG/vmhdbdev01"], "active_primary_site": "1", "isTimetravelEnabled": "false", "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbdev02", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "2", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/2/PRIMARY_MASTERS": "vmhdbdev01", "site/2/REPLICATION_MODE": "SYNC"}}]}]	2024-04-09 15:07:11.703571	2024-04-09 15:07:11.703571
131	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	sap_system_discovery	[]	2024-04-09 15:07:12.363463	2024-04-09 15:07:12.363463
136	81e9b629-c1e7-538f-bff1-47d3a6580522	subscription_discovery	[{"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "SLES_SAP"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-ha"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:13.044792	2024-04-09 15:07:13.044792
137	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbdev02", "plan": {}, "tags": "fake-tags", "vmId": "90ec8d3d-71a6-42ac-83d7-abf93669c72d", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbdev02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.12"}]}, "ipv6": {}, "macAddress": "6045BD8A5F6B"}]}}, "Provider": "azure"}	2024-04-09 15:07:13.162422	2024-04-09 15:07:13.162422
139	f0c808b3-d869-5192-a944-20f66a6a8449	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:07:13.412396	2024-04-09 15:07:13.412396
142	81e9b629-c1e7-538f-bff1-47d3a6580522	host_discovery	{"hostname": "vmnwqas04", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.28", "10.90.1.24", "fe80::6245:bdff:fe8d:dca"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwqas04.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:13.794489	2024-04-09 15:07:13.794489
447	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	host_discovery	{"hostname": "vmhdbdev02", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.12", "fe80::6245:bdff:fe8a:5f6b"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbdev02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:20.127409	2024-04-09 15:09:20.127409
448	69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	host_discovery	{"hostname": "vmiscsi01", "cpu_count": 1, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.4", "fe80::20d:3aff:fe2a:aabe"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 3421, "fully_qualified_domain_name": "vmiscsi01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:20.254587	2024-04-09 15:09:20.254587
109	116d49bd-85e1-5e59-b820-83f66db8800c	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwprd01", "plan": {}, "tags": "fake-tags", "vmId": "63306bd8-a7f8-49ab-8156-5d4aa928fa7a", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwprd01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.21"}]}, "ipv6": {}, "macAddress": "000D3A2E8F04"}]}}, "Provider": "azure"}	2024-04-09 15:07:09.451945	2024-04-09 15:07:09.451945
113	b767b3e9-e802-587e-a442-541d093b86b9	host_discovery	{"hostname": "vmhdbprd02", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.12", "fe80::20d:3aff:fe21:f108"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbprd02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:10.020984	2024-04-09 15:07:10.020984
125	25677e37-fd33-5005-896c-9275b1284534	host_discovery	{"hostname": "vmnwqas01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.21", "10.90.1.25", "fe80::6245:bdff:fe8d:a30"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwqas01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:11.584051	2024-04-09 15:07:11.584051
133	99cf8a3a-48d6-57a4-b302-6e4482227ab6	ha_cluster_discovery	{"DC": true, "Id": "4e905d706da85f5be14f85fa947c1e39", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbqas01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdq_lpt", "Name": "lpa_hdq_lpt", "Value": "1643125033"}, {"Id": "nodes-1-hana_hdq_vhost", "Name": "hana_hdq_vhost", "Value": "vmhdbqas01"}, {"Id": "nodes-1-hana_hdq_site", "Name": "hana_hdq_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdq_op_mode", "Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdq_srmode", "Name": "hana_hdq_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdq_remoteHost", "Name": "hana_hdq_remoteHost", "Value": "vmhdbqas02"}]}, {"Id": "2", "Uname": "vmhdbqas02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdq_lpt", "Name": "lpa_hdq_lpt", "Value": "30"}, {"Id": "nodes-2-hana_hdq_op_mode", "Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdq_vhost", "Name": "hana_hdq_vhost", "Value": "vmhdbqas02"}, {"Id": "nodes-2-hana_hdq_remoteHost", "Name": "hana_hdq_remoteHost", "Value": "vmhdbqas01"}, {"Id": "nodes-2-hana_hdq_site", "Name": "hana_hdq_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdq_srmode", "Name": "hana_hdq_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_2"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdq_site_srHook_WDF", "Name": "hana_hdq_site_srHook_WDF", "Value": "SOK"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDQ_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDQ"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDQ_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDQ_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDQ_HDB10", "Primitives": [{"Id": "rsc_ip_HDQ_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDQ_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.13"}, {"Id": "rsc_ip_HDQ_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDQ_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDQ_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDQ_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDQ_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDQ_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDQ_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDQ"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-360014058d88c7795c6a4b66bc024f4bd", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "246da75b-af59-4135-b980-90bf87815e2e", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbqas01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-360014058d88c7795c6a4b66bc024f4bd", "Status": "healthy"}]}, "Name": "hana_cluster_2", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmhdbqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "msl_SAPHana_HDQ_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDQ_HDB10", "Node": {"Id": "2", "Name": "vmhdbqas02", "Cached": true}, "Role": "Slave", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDQ_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Node": {"Id": "2", "Name": "vmhdbqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDQ_HDB10", "Resources": [{"Id": "rsc_ip_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:37:13 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbqas02", "ResourceHistory": [{"Name": "rsc_SAPHana_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbqas01", "Attributes": [{"Name": "hana_hdq_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Name": "hana_hdq_remoteHost", "Value": "vmhdbqas02"}, {"Name": "hana_hdq_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdq_site", "Value": "NBG"}, {"Name": "hana_hdq_srmode", "Value": "sync"}, {"Name": "hana_hdq_sync_state", "Value": "PRIM"}, {"Name": "hana_hdq_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdq_vhost", "Value": "vmhdbqas01"}, {"Name": "lpa_hdq_lpt", "Value": "1643125033"}, {"Name": "master-rsc_SAPHana_HDQ_HDB10", "Value": "150"}]}, {"Name": "vmhdbqas02", "Attributes": [{"Name": "hana_hdq_clone_state", "Value": "DEMOTED"}, {"Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Name": "hana_hdq_remoteHost", "Value": "vmhdbqas01"}, {"Name": "hana_hdq_roles", "Value": "4:S:master1:master:worker:master"}, {"Name": "hana_hdq_site", "Value": "WDF"}, {"Name": "hana_hdq_srmode", "Value": "sync"}, {"Name": "hana_hdq_sync_state", "Value": "SOK"}, {"Name": "hana_hdq_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdq_vhost", "Value": "vmhdbqas02"}, {"Name": "lpa_hdq_lpt", "Value": "30"}, {"Name": "master-rsc_SAPHana_HDQ_HDB10", "Value": "100"}]}]}}, "Provider": "azure"}	2024-04-09 15:07:12.615131	2024-04-09 15:07:12.615131
143	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev03", "plan": {}, "tags": "fake-tags", "vmId": "14173622-8d19-4e09-9661-2bfb236b01e4", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev03", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver03-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-netweaver01-App", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Attach", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.23"}, {"privateIpAddress": "10.100.1.27"}]}, "ipv6": {}, "macAddress": "6045BD8D9EF4"}]}}, "Provider": "azure"}	2024-04-09 15:07:13.938297	2024-04-09 15:07:13.938297
147	81e9b629-c1e7-538f-bff1-47d3a6580522	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:07:14.464464	2024-04-09 15:07:14.464464
151	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	host_discovery	{"hostname": "vmnwdev01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.21", "10.100.1.25", "fe80::6245:bdff:fe8a:5ce7"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwdev01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:15.058599	2024-04-09 15:07:15.058599
153	0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwprd04", "plan": {}, "tags": "fake-tags", "vmId": "a7321bd7-c191-4650-b368-9c0b7bf04de6", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwprd04", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver04-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-netweaver02-App", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Attach", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.24"}, {"privateIpAddress": "10.80.1.28"}]}, "ipv6": {}, "macAddress": "000D3A2E8FAD"}]}}, "Provider": "azure"}	2024-04-09 15:07:15.338793	2024-04-09 15:07:15.338793
184	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:19.831496	2024-04-09 15:07:19.831496
191	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:07:20.899449	2024-04-09 15:07:20.899449
120	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev01", "plan": {}, "tags": "fake-tags", "vmId": "84e20bce-76e8-4d55-bdea-7ec3faff60f2", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.21"}]}, "ipv6": {}, "macAddress": "6045BD8A5CE7"}]}}, "Provider": "azure"}	2024-04-09 15:07:10.933789	2024-04-09 15:07:10.933789
121	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:11.065097	2024-04-09 15:07:11.065097
123	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	ha_cluster_discovery	{"DC": false, "Id": "238a4de1239aae2aa87433eed788b3ad", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmdrbdprd01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmdrbdprd02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "drbd_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": [{"Id": "cl-nfsserver", "Primitive": {"Id": "nfsserver", "Type": "nfs-server", "Class": "systemd", "Provider": "", "Operations": [{"Id": "nfsserver-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": null}, "MetaAttributes": [{"Id": "cl-nfsserver-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g-nfs_sapdata", "Primitives": [{"Id": "fs_sapdata", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "fs_sapdata-monitor-20", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "fs_sapdata-instance_attributes-device", "Name": "device", "Value": "/dev/drbd1"}, {"Id": "fs_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWP"}, {"Id": "fs_sapdata-instance_attributes-fstype", "Name": "fstype", "Value": "xfs"}, {"Id": "fs_sapdata-instance_attributes-options", "Name": "options", "Value": "noatime,nodiratime"}]}, {"Id": "vip_sapdata_nfs", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "vip_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "vip_sapdata_nfs-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.33"}, {"Id": "vip_sapdata_nfs-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "32"}, {"Id": "vip_sapdata_nfs-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "exportfs_work_sapdata", "Type": "exportfs", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "exportfs_work_sapdata-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "exportfs_work_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWP"}, {"Id": "exportfs_work_sapdata-instance_attributes-fsid", "Name": "fsid", "Value": "1"}, {"Id": "exportfs_work_sapdata-instance_attributes-options", "Name": "options", "Value": "rw,no_root_squash"}, {"Id": "exportfs_work_sapdata-instance_attributes-clientspec", "Name": "clientspec", "Value": "*"}, {"Id": "exportfs_work_sapdata-instance_attributes-wait_for_leasetime_on_stop", "Name": "wait_for_leasetime_on_stop", "Value": "true"}]}, {"Id": "rsc_socat_sapdata_nfs", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_sapdata_nfs-instance_attributes-port", "Name": "port", "Value": "61000"}]}]}], "Masters": [{"Id": "ms_sapdata", "Primitive": {"Id": "drbd-sapdata", "Type": "drbd", "Class": "ocf", "Provider": "linbit", "Operations": [{"Id": "drbd-sapdata-monitor-15", "Name": "monitor", "Role": "Master", "Timeout": "", "Interval": "15"}, {"Id": "drbd-sapdata-monitor-30", "Name": "monitor", "Role": "Slave", "Timeout": "", "Interval": "30"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "drbd-sapdata-instance_attributes-drbd_resource", "Name": "drbd_resource", "Value": "sapdata"}]}, "MetaAttributes": [{"Id": "ms_sapdata-meta_attributes-master-max", "Name": "master-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-master-node-max", "Name": "master-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-0-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "ms_sapdata-meta_attributes-0-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-1-notify", "Name": "notify", "Value": "true"}, {"Id": "ms_sapdata-meta_attributes-1-target-role", "Name": "target-role", "Value": "Started"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_b7b1cd3d-776e-4432-a9e5-6fe56e4b4e17", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "28fd9d5e-3685-4cb7-85e9-76c4b140ea3c", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmdrbdprd01", "Status": "clear"}, {"Id": 1, "Name": "vmdrbdprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_b7b1cd3d-776e-4432-a9e5-6fe56e4b4e17", "Status": "healthy"}]}, "Name": "drbd_cluster", "Crmmon": {"Nodes": [{"DC": false, "Id": "1", "Name": "vmdrbdprd01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 7}, {"DC": true, "Id": "2", "Name": "vmdrbdprd02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "ms_sapdata", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "drbd-sapdata", "Node": {"Id": "2", "Name": "vmdrbdprd02", "Cached": true}, "Role": "Slave", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "drbd-sapdata", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Master", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cl-nfsserver", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "nfsserver", "Node": {"Id": "2", "Name": "vmdrbdprd02", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "nfsserver", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g-nfs_sapdata", "Resources": [{"Id": "fs_sapdata", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "vip_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "exportfs_work_sapdata", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:exportfs", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 13:24:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmdrbdprd02", "ResourceHistory": [{"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmdrbdprd01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "fs_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "vip_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "exportfs_work_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmdrbdprd01", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}, {"Name": "vmdrbdprd02", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}]}}, "Provider": "azure"}	2024-04-09 15:07:11.326729	2024-04-09 15:07:11.326729
127	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:11.845494	2024-04-09 15:07:11.845494
130	9a26b6d0-6e72-597c-9fe5-152a6875f214	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:07:12.23671	2024-04-09 15:07:12.23671
134	9a26b6d0-6e72-597c-9fe5-152a6875f214	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmiscsi01", "plan": {}, "tags": "fake-tags", "vmId": "f57047ca-95a3-473a-8294-079c5173576a", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_DS1_v2", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmiscsi01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-iscsisrv01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-iscsisrv01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "StandardSSD_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.4"}]}, "ipv6": {}, "macAddress": "000D3A2E835A"}]}}, "Provider": "azure"}	2024-04-09 15:07:12.768465	2024-04-09 15:07:12.768465
138	0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	host_discovery	{"hostname": "vmnwprd04", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.24", "10.80.1.28", "fe80::20d:3aff:fe2e:8fad"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwprd04.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:13.289232	2024-04-09 15:07:13.289232
145	9a26b6d0-6e72-597c-9fe5-152a6875f214	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:14.201125	2024-04-09 15:07:14.201125
508	f0c808b3-d869-5192-a944-20f66a6a8449	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:09:28.264642	2024-04-09 15:09:28.264642
516	81e9b629-c1e7-538f-bff1-47d3a6580522	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:09:29.314067	2024-04-09 15:09:29.314067
135	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:12.912998	2024-04-09 15:07:12.912998
164	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev02", "Name": "ERS10", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 6720, "name": "enrepserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueReplicator", "elapsedtime": "151:56:49"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwder", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ERS10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.5", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwder:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:07:16.869932	2024-04-09 15:07:16.869932
165	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	sap_system_discovery	[{"Id": "9953878f07bb54cac20d5d5d7ff08af2", "SID": "HDQ", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbqas02", "SAPSYSTEMNAME": "HDQ", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbqas02", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDQ", "Container": ""}], "Instances": [{"Host": "vmhdbqas02", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbqas02", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 29597, "name": "hdbdaemon", "starttime": "2022 01 11 12:30:14", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "152:21:46"}, {"pid": 30148, "name": "hdbxsengine", "starttime": "2022 01 11 12:30:27", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDQ", "elapsedtime": "152:21:33"}, {"pid": 29727, "name": "hdbnameserver", "starttime": "2022 01 11 12:30:14", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "152:21:46"}, {"pid": 30145, "name": "hdbindexserver", "starttime": "2022 01 11 12:30:27", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDQ", "elapsedtime": "152:21:33"}, {"pid": 30047, "name": "hdbpreprocessor", "starttime": "2022 01 11 12:30:26", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "152:21:34"}, {"pid": 30044, "name": "hdbcompileserver", "starttime": "2022 01 11 12:30:26", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "152:21:34"}, {"pid": 30855, "name": "hdbwebdispatcher", "starttime": "2022 01 11 12:30:35", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "152:21:25"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbqas02", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbqas02:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "sync", "online": "true", "site_id": "2", "isSource": "false", "site_name": "WDF", "isConsumer": "true", "replayMode": "auto", "hasConsumers": "false", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "logreplay", "primary_masters": "vmhdbqas01", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbqas02": ["WDF/vmhdbqas02", "NBG/vmhdbqas01"], "active_primary_site": "1", "isTimetravelEnabled": "false", "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbqas02", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "2", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/2/PRIMARY_MASTERS": "vmhdbqas01", "site/2/REPLICATION_MODE": "SYNC"}}]}]	2024-04-09 15:07:17.000807	2024-04-09 15:07:17.000807
173	99cf8a3a-48d6-57a4-b302-6e4482227ab6	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:07:18.264271	2024-04-09 15:07:18.264271
182	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:19.55683	2024-04-09 15:07:19.55683
194	0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:21.30244	2024-04-09 15:07:21.30244
196	3711ea88-9ccc-5b07-8f9d-042be449d72b	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwqas02", "plan": {}, "tags": "fake-tags", "vmId": "173ff22d-bb92-493a-a6b2-6a269614f178", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwqas02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.22"}]}, "ipv6": {}, "macAddress": "6045BD8D06EF"}]}}, "Provider": "azure"}	2024-04-09 15:07:21.578108	2024-04-09 15:07:21.578108
200	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:22.14958	2024-04-09 15:07:22.14958
141	0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "not compliant", "Notes applied": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Notes enabled": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "NETWEAVER", "applied partially": false}], "Solution enabled": ["NETWEAVER"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:07:13.664402	2024-04-09 15:07:13.664402
146	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	host_discovery	{"hostname": "vmnwdev02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.22", "10.100.1.26", "fe80::6245:bdff:fe8d:9c7d"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwdev02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:07:14.334104	2024-04-09 15:07:14.334104
148	f0c808b3-d869-5192-a944-20f66a6a8449	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmiscsi01", "plan": {}, "tags": "fake-tags", "vmId": "aa051519-6d23-461a-af09-8b3a2203ed04", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_DS1_v2", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmiscsi01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-iscsisrv01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-iscsisrv01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "StandardSSD_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.4"}]}, "ipv6": {}, "macAddress": "0022487FD2F9"}]}}, "Provider": "azure"}	2024-04-09 15:07:14.60311	2024-04-09 15:07:14.60311
149	3711ea88-9ccc-5b07-8f9d-042be449d72b	sap_system_discovery	[{"Id": "d01fdc69aeba7bd5133b210eb2884853", "SID": "NWQ", "Type": 2, "Profile": {"SAPDBHOST": "ha-cluster.suse.de", "dbms/name": "HDQ", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwqas", "rdisp/msserv": "sapmsNWQ", "SAPGLOBALHOST": "sapnwqas", "SAPSYSTEMNAME": "NWQ", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDQ", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwqas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.90.1.13", "Databases": null, "Instances": [{"Host": "vmnwqas02", "Name": "ERS10", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwqas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwqer", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 9333, "name": "enrepserver", "starttime": "2022 01 17 12:41:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueReplicator", "elapsedtime": "8:10:52"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwqer", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ERS10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.5", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwqer:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:07:14.73751	2024-04-09 15:07:14.73751
150	25677e37-fd33-5005-896c-9275b1284534	sap_system_discovery	[{"Id": "d01fdc69aeba7bd5133b210eb2884853", "SID": "NWQ", "Type": 2, "Profile": {"SAPDBHOST": "ha-cluster.suse.de", "dbms/name": "HDQ", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwqas", "rdisp/msserv": "sapmsNWQ", "SAPGLOBALHOST": "sapnwqas", "SAPSYSTEMNAME": "NWQ", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDQ", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwqas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.90.1.13", "Databases": null, "Instances": [{"Host": "vmnwqas01", "Name": "ASCS00", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwqas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwqer", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 16279, "name": "enserver", "starttime": "2022 01 17 12:40:24", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueServer", "elapsedtime": "8:11:38"}, {"pid": 16278, "name": "msg_server", "starttime": "2022 01 17 12:40:24", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "MessageServer", "elapsedtime": "8:11:38"}], "Properties": [{"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "00", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "EnqGetLockTable", "property": "Enque Locks", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwqas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ASCS00", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "1", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "YES", "property": "CentralServices", "propertytype": "Attribute"}, {"value": "EnqGetStatistic", "property": "Enque Statistic", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwqas:50013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}, {"value": "YES", "property": "SupportsUpdateSCSInstance", "propertytype": "Attribute"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:07:14.865858	2024-04-09 15:07:14.865858
152	116d49bd-85e1-5e59-b820-83f66db8800c	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "not compliant", "Notes applied": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Notes enabled": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "NETWEAVER", "applied partially": false}], "Solution enabled": ["NETWEAVER"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:07:15.198735	2024-04-09 15:07:15.198735
155	098fc159-3ed6-58e7-91be-38fda8a833ea	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:07:15.658738	2024-04-09 15:07:15.658738
159	4b30a6af-4b52-5bda-bccb-f2248a12c992	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:16.191681	2024-04-09 15:07:16.191681
163	3711ea88-9ccc-5b07-8f9d-042be449d72b	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:16.719628	2024-04-09 15:07:16.719628
167	25677e37-fd33-5005-896c-9275b1284534	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:07:17.300345	2024-04-09 15:07:17.300345
180	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:07:19.28739	2024-04-09 15:07:19.28739
144	b767b3e9-e802-587e-a442-541d093b86b9	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "compliant", "Notes applied": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Notes enabled": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "HANA", "applied partially": false}], "Solution enabled": ["HANA"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Solution ID": "HANA"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Solution ID": "HANA"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:07:14.067623	2024-04-09 15:07:14.067623
154	f0c808b3-d869-5192-a944-20f66a6a8449	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:15.478276	2024-04-09 15:07:15.478276
157	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:07:15.921306	2024-04-09 15:07:15.921306
160	9cd46919-5f19-59aa-993e-cf3736c71053	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbprd01", "plan": {}, "tags": "fake-tags", "vmId": "ee7cf44b-d202-4680-b331-1b3996f2f0e7", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbprd01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.11"}]}, "ipv6": {}, "macAddress": "000D3A232C6B"}]}}, "Provider": "azure"}	2024-04-09 15:07:16.319073	2024-04-09 15:07:16.319073
166	927901fa-2c87-524e-b18c-3ef5187f504f	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbdprd02", "plan": {}, "tags": "fake-tags", "vmId": "f89fef5e-e7e3-469d-b819-a0154be6150c", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbdprd02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbdprd02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbdprd02-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.32"}]}, "ipv6": {}, "macAddress": "000D3A2E8B91"}]}}, "Provider": "azure"}	2024-04-09 15:07:17.14017	2024-04-09 15:07:17.14017
169	927901fa-2c87-524e-b18c-3ef5187f504f	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "inactive"]}, "tuning state": "not tuned", "Notes applied": [], "Notes enabled": [], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [], "Solution enabled": [], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [], "Notes enabled by Solution": [], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:07:17.591165	2024-04-09 15:07:17.591165
544	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	host_discovery	{"hostname": "vmnwdev02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.22", "10.100.1.26", "fe80::6245:bdff:fe8d:9c7d"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwdev02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:10:09.139519	2024-04-09 15:10:09.139519
156	422686d6-b2d1-5092-93e8-a744854f5085	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbdqas02", "plan": {}, "tags": "fake-tags", "vmId": "cee2a7db-7fb7-4c51-928e-214966364f8f", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbdqas02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbdqas02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbdqas02-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.32"}]}, "ipv6": {}, "macAddress": "6045BD8D0523"}]}}, "Provider": "azure"}	2024-04-09 15:07:15.79108	2024-04-09 15:07:15.79108
162	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev01", "Name": "ASCS00", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 7379, "name": "enserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueServer", "elapsedtime": "151:56:46"}, {"pid": 7378, "name": "msg_server", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "MessageServer", "elapsedtime": "151:56:46"}], "Properties": [{"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "00", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "EnqGetLockTable", "property": "Enque Locks", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ASCS00", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "1", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "YES", "property": "CentralServices", "propertytype": "Attribute"}, {"value": "EnqGetStatistic", "property": "Enque Statistic", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwdas:50013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}, {"value": "YES", "property": "SupportsUpdateSCSInstance", "propertytype": "Attribute"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:07:16.581535	2024-04-09 15:07:16.581535
168	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbddev01", "plan": {}, "tags": "fake-tags", "vmId": "5e294482-9554-4989-8b9e-a0a2d3991c09", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbddev01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbddev01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbddev01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.31"}]}, "ipv6": {}, "macAddress": "6045BD8A5969"}]}}, "Provider": "azure"}	2024-04-09 15:07:17.448802	2024-04-09 15:07:17.448802
171	4b30a6af-4b52-5bda-bccb-f2248a12c992	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwprd02", "plan": {}, "tags": "fake-tags", "vmId": "2c54a8bf-b71d-423b-a656-34bcc575970e", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwprd02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.22"}]}, "ipv6": {}, "macAddress": "000D3A2E8038"}]}}, "Provider": "azure"}	2024-04-09 15:07:17.93496	2024-04-09 15:07:17.93496
175	a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	sap_system_discovery	[{"Id": "97a1e70aeff3c0685d65c4c3d32d533b", "SID": "NWP", "Type": 2, "Profile": {"SAPDBHOST": "10.80.1.13", "dbms/name": "HDP", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwpas", "rdisp/msserv": "sapmsNWP", "SAPGLOBALHOST": "sapnwpas", "SAPSYSTEMNAME": "NWP", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDP", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwpas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.80.1.13", "Databases": null, "Instances": [{"Host": "vmnwprd03", "Name": "D01", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwpas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwper", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwppas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwpaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 9752, "name": "gwrd", "starttime": "2022 01 11 13:44:51", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:07:13"}, {"pid": 9753, "name": "icman", "starttime": "2022 01 11 13:44:51", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:07:13"}, {"pid": 9732, "name": "igswd_mt", "starttime": "2022 01 11 13:44:49", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:07:15"}, {"pid": 9731, "name": "disp+work", "starttime": "2022 01 11 13:44:49", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:07:15"}], "Properties": [{"value": "HTTP://sapnwppas:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwppas:40180", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "01", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwppas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D01", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwppas:50113/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:07:18.606392	2024-04-09 15:07:18.606392
176	098fc159-3ed6-58e7-91be-38fda8a833ea	sap_system_discovery	[{"Id": "d01fdc69aeba7bd5133b210eb2884853", "SID": "NWQ", "Type": 2, "Profile": {"SAPDBHOST": "ha-cluster.suse.de", "dbms/name": "HDQ", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwqas", "rdisp/msserv": "sapmsNWQ", "SAPGLOBALHOST": "sapnwqas", "SAPSYSTEMNAME": "NWQ", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDQ", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwqas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.90.1.13", "Databases": null, "Instances": [{"Host": "vmnwqas03", "Name": "D01", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwqas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwqer", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 17085, "name": "gwrd", "starttime": "2022 01 17 12:42:04", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "8:09:29"}, {"pid": 17086, "name": "icman", "starttime": "2022 01 17 12:42:04", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "8:09:29"}, {"pid": 17081, "name": "igswd_mt", "starttime": "2022 01 17 12:42:03", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "8:09:30"}, {"pid": 17080, "name": "disp+work", "starttime": "2022 01 17 12:42:03", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "8:09:30"}], "Properties": [{"value": "HTTP://sapnwqpas:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwqpas:40180", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "01", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwqpas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D01", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwqpas:50113/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:07:18.752394	2024-04-09 15:07:18.752394
177	1b0e9297-97dd-55d6-9874-8efde4d84c90	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev04", "Name": "D02", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 26496, "name": "gwrd", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:47:01"}, {"pid": 26497, "name": "icman", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:47:01"}, {"pid": 26476, "name": "igswd_mt", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:47:04"}, {"pid": 26475, "name": "disp+work", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:47:04"}], "Properties": [{"value": "HTTP://sapnwdaas1:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwdaas1:40280", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "02", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdaas1", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D02", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwdaas1:50213/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:07:18.892513	2024-04-09 15:07:18.892513
179	9cd46919-5f19-59aa-993e-cf3736c71053	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "compliant", "Notes applied": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Notes enabled": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "HANA", "applied partially": false}], "Solution enabled": ["HANA"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Solution ID": "HANA"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Solution ID": "HANA"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:07:19.151016	2024-04-09 15:07:19.151016
545	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev02", "Name": "ERS10", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 6720, "name": "enrepserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueReplicator", "elapsedtime": "151:56:49"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwder", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ERS10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.5", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwder:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:10:09.262044	2024-04-09 15:10:09.262044
158	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbdqas01", "plan": {}, "tags": "fake-tags", "vmId": "9c5b4666-5356-4347-b688-6954027283a1", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbdqas01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbdqas01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbdqas01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.31"}]}, "ipv6": {}, "macAddress": "6045BD8D00C2"}]}}, "Provider": "azure"}	2024-04-09 15:07:16.056479	2024-04-09 15:07:16.056479
161	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:16.451054	2024-04-09 15:07:16.451054
172	b767b3e9-e802-587e-a442-541d093b86b9	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:18.091275	2024-04-09 15:07:18.091275
174	4b30a6af-4b52-5bda-bccb-f2248a12c992	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "not compliant", "Notes applied": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Notes enabled": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "NETWEAVER", "applied partially": false}], "Solution enabled": ["NETWEAVER"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:07:18.421844	2024-04-09 15:07:18.421844
178	25677e37-fd33-5005-896c-9275b1284534	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:19.021211	2024-04-09 15:07:19.021211
183	b767b3e9-e802-587e-a442-541d093b86b9	sap_system_discovery	[{"Id": "1154f7678ac587e5f0f242830a5201f1", "SID": "HDP", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbprd02", "SAPSYSTEMNAME": "HDP", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbprd02", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDP", "Container": ""}], "Instances": [{"Host": "vmhdbprd02", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbprd02", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 7464, "name": "hdbdaemon", "starttime": "2022 01 11 13:36:18", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "151:15:40"}, {"pid": 8467, "name": "hdbxsengine", "starttime": "2022 01 11 13:36:34", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDP", "elapsedtime": "151:15:24"}, {"pid": 7484, "name": "hdbnameserver", "starttime": "2022 01 11 13:36:18", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "151:15:40"}, {"pid": 8460, "name": "hdbindexserver", "starttime": "2022 01 11 13:36:34", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDP", "elapsedtime": "151:15:24"}, {"pid": 8253, "name": "hdbpreprocessor", "starttime": "2022 01 11 13:36:33", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "151:15:25"}, {"pid": 8250, "name": "hdbcompileserver", "starttime": "2022 01 11 13:36:33", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "151:15:25"}, {"pid": 9083, "name": "hdbwebdispatcher", "starttime": "2022 01 11 13:36:43", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "151:15:15"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbprd02", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbprd02:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "sync", "online": "true", "site_id": "2", "isSource": "false", "site_name": "WDF", "isConsumer": "true", "replayMode": "auto", "hasConsumers": "false", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "logreplay", "primary_masters": "vmhdbprd01", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbprd02": ["WDF/vmhdbprd02", "NBG/vmhdbprd01"], "active_primary_site": "1", "isTimetravelEnabled": "false", "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbprd02", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "2", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/2/PRIMARY_MASTERS": "vmhdbprd01", "site/2/REPLICATION_MODE": "SYNC"}}]}]	2024-04-09 15:07:19.700691	2024-04-09 15:07:19.700691
197	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:21.767301	2024-04-09 15:07:21.767301
549	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev03", "Name": "D01", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 27224, "name": "gwrd", "starttime": "2022 01 11 13:03:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:48:10"}, {"pid": 27225, "name": "icman", "starttime": "2022 01 11 13:03:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:48:10"}, {"pid": 26907, "name": "igswd_mt", "starttime": "2022 01 11 13:03:55", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:48:13"}, {"pid": 26906, "name": "disp+work", "starttime": "2022 01 11 13:03:55", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:48:13"}], "Properties": [{"value": "HTTP://sapnwdpas:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwdpas:40180", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "01", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdpas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D01", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwdpas:50113/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:10:09.818374	2024-04-09 15:10:09.818374
170	21de186a-e38f-5804-b643-7f4ef22fecfd	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbddev02", "plan": {}, "tags": "fake-tags", "vmId": "99ef5ab8-73b5-4ca9-8c37-6778e2d6abc1", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbddev02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbddev02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbddev02-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.32"}]}, "ipv6": {}, "macAddress": "6045BD8D95F1"}]}}, "Provider": "azure"}	2024-04-09 15:07:17.791776	2024-04-09 15:07:17.791776
181	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:07:19.423751	2024-04-09 15:07:19.423751
186	927901fa-2c87-524e-b18c-3ef5187f504f	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:20.101321	2024-04-09 15:07:20.101321
187	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbqas02", "plan": {}, "tags": "fake-tags", "vmId": "7b21fd90-d128-4e25-8812-2fef28f94839", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbqas02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.12"}]}, "ipv6": {}, "macAddress": "6045BD8D08B3"}]}}, "Provider": "azure"}	2024-04-09 15:07:20.286551	2024-04-09 15:07:20.286551
188	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "inactive"]}, "tuning state": "not tuned", "Notes applied": [], "Notes enabled": [], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [], "Solution enabled": [], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [], "Notes enabled by Solution": [], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:07:20.417762	2024-04-09 15:07:20.417762
189	b767b3e9-e802-587e-a442-541d093b86b9	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbprd02", "plan": {}, "tags": "fake-tags", "vmId": "cdec8bb8-ec3f-437a-89dd-3df677e1507e", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbprd02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.12"}]}, "ipv6": {}, "macAddress": "000D3A21F108"}]}}, "Provider": "azure"}	2024-04-09 15:07:20.619993	2024-04-09 15:07:20.619993
190	4b30a6af-4b52-5bda-bccb-f2248a12c992	sap_system_discovery	[{"Id": "97a1e70aeff3c0685d65c4c3d32d533b", "SID": "NWP", "Type": 2, "Profile": {"SAPDBHOST": "10.80.1.13", "dbms/name": "HDP", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwpas", "rdisp/msserv": "sapmsNWP", "SAPGLOBALHOST": "sapnwpas", "SAPSYSTEMNAME": "NWP", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDP", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwpas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.80.1.13", "Databases": null, "Instances": [{"Host": "vmnwprd02", "Name": "ERS10", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwpas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwper", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwppas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwpaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 23289, "name": "enrepserver", "starttime": "2022 01 11 13:43:18", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueReplicator", "elapsedtime": "151:08:42"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwper", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ERS10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.5", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwper:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:07:20.760877	2024-04-09 15:07:20.760877
558	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev03", "Name": "D01", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 27224, "name": "gwrd", "starttime": "2022 01 11 13:03:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:48:10"}, {"pid": 27225, "name": "icman", "starttime": "2022 01 11 13:03:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:48:10"}, {"pid": 26907, "name": "igswd_mt", "starttime": "2022 01 11 13:03:55", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:48:13"}, {"pid": 26906, "name": "disp+work", "starttime": "2022 01 11 13:03:55", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:48:13"}], "Properties": [{"value": "HTTP://sapnwdpas:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwdpas:40180", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "01", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdpas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D01", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwdpas:50113/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:10:11.423624	2024-04-09 15:10:11.423624
185	422686d6-b2d1-5092-93e8-a744854f5085	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:19.961072	2024-04-09 15:07:19.961072
201	81e9b629-c1e7-538f-bff1-47d3a6580522	subscription_discovery	[{"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "SLES_SAP"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-ha"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:07:22.318095	2024-04-09 15:07:22.318095
192	25677e37-fd33-5005-896c-9275b1284534	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwqas01", "plan": {}, "tags": "fake-tags", "vmId": "2f1d001b-7ba0-49f3-afbd-c5668684a0a4", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwqas01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.21"}]}, "ipv6": {}, "macAddress": "6045BD8D0A30"}]}}, "Provider": "azure"}	2024-04-09 15:07:21.029888	2024-04-09 15:07:21.029888
193	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev02", "plan": {}, "tags": "fake-tags", "vmId": "84f224b2-ad29-41a7-94ae-26ced84cdace", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.22"}]}, "ipv6": {}, "macAddress": "6045BD8D9C7D"}]}}, "Provider": "azure"}	2024-04-09 15:07:21.168315	2024-04-09 15:07:21.168315
195	3711ea88-9ccc-5b07-8f9d-042be449d72b	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:07:21.435547	2024-04-09 15:07:21.435547
198	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:07:21.902746	2024-04-09 15:07:21.902746
199	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev01", "plan": {}, "tags": "fake-tags", "vmId": "84e20bce-76e8-4d55-bdea-7ec3faff60f2", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.21"}]}, "ipv6": {}, "macAddress": "6045BD8A5CE7"}]}}, "Provider": "azure"}	2024-04-09 15:07:22.024684	2024-04-09 15:07:22.024684
202	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	host_discovery	{"hostname": "vmhdbdev01", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.11", "10.100.1.13", "fe80::6245:bdff:fe8d:9b69"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbdev01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:16.378107	2024-04-09 15:08:16.378107
203	116d49bd-85e1-5e59-b820-83f66db8800c	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "not compliant", "Notes applied": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Notes enabled": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "NETWEAVER", "applied partially": false}], "Solution enabled": ["NETWEAVER"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:08:16.514152	2024-04-09 15:08:16.514152
204	9a26b6d0-6e72-597c-9fe5-152a6875f214	host_discovery	{"hostname": "vmiscsi01", "cpu_count": 1, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.4", "fe80::20d:3aff:fe2e:835a"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 3421, "fully_qualified_domain_name": "vmiscsi01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:16.636495	2024-04-09 15:08:16.636495
205	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	host_discovery	{"hostname": "vmnwdev03", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.23", "10.100.1.27", "fe80::6245:bdff:fe8d:9ef4"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwdev03.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:16.762902	2024-04-09 15:08:16.762902
206	0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwprd04", "plan": {}, "tags": "fake-tags", "vmId": "a7321bd7-c191-4650-b368-9c0b7bf04de6", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwprd04", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver04-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-netweaver02-App", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Attach", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.24"}, {"privateIpAddress": "10.80.1.28"}]}, "ipv6": {}, "macAddress": "000D3A2E8FAD"}]}}, "Provider": "azure"}	2024-04-09 15:08:16.894725	2024-04-09 15:08:16.894725
207	f0c808b3-d869-5192-a944-20f66a6a8449	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:17.015054	2024-04-09 15:08:17.015054
208	1b0e9297-97dd-55d6-9874-8efde4d84c90	host_discovery	{"hostname": "vmnwdev04", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.24", "10.100.1.28", "fe80::6245:bdff:fe8d:9a74"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwdev04.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:17.138165	2024-04-09 15:08:17.138165
209	098fc159-3ed6-58e7-91be-38fda8a833ea	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:08:17.280945	2024-04-09 15:08:17.280945
211	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:08:17.531243	2024-04-09 15:08:17.531243
210	422686d6-b2d1-5092-93e8-a744854f5085	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbdqas02", "plan": {}, "tags": "fake-tags", "vmId": "cee2a7db-7fb7-4c51-928e-214966364f8f", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbdqas02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbdqas02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbdqas02-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.32"}]}, "ipv6": {}, "macAddress": "6045BD8D0523"}]}}, "Provider": "azure"}	2024-04-09 15:08:17.40782	2024-04-09 15:08:17.40782
215	4b30a6af-4b52-5bda-bccb-f2248a12c992	ha_cluster_discovery	{"DC": false, "Id": "8bca366a6cb7816555538092a1ddd5aa", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwprd01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwprd02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWP_ASCS00", "Primitives": [{"Id": "rsc_ip_NWP_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWP_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWP_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.25"}]}, {"Id": "rsc_fs_NWP_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWP_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWP_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.80.1.33:/NWP/ASCS"}, {"Id": "rsc_fs_NWP_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWP/ASCS00"}, {"Id": "rsc_fs_NWP_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWP_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWP_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWP_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWP_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWP_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWP_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWP_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWP_ASCS00_sapnwpas"}, {"Id": "rsc_sap_NWP_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWP/profile/NWP_ASCS00_sapnwpas"}, {"Id": "rsc_sap_NWP_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWP_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWP_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWP_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWP_ERS10", "Primitives": [{"Id": "rsc_ip_NWP_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWP_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWP_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.26"}]}, {"Id": "rsc_fs_NWP_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWP_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWP_ERS10-instance_attributes-device", "Name": "device", "Value": "10.80.1.33:/NWP/ERS"}, {"Id": "rsc_fs_NWP_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWP/ERS10"}, {"Id": "rsc_fs_NWP_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWP_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWP_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWP_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWP_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWP_ERS10_sapnwper"}, {"Id": "rsc_sap_NWP_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWP/profile/NWP_ERS10_sapnwper"}, {"Id": "rsc_sap_NWP_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWP_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWP_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWP_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWP_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWP_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWP_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_e34218cd-0d9a-4b21-b6d5-a313980baa82", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "e0c97fe2-f63a-4fd1-83df-9a736a03b49b", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwprd01", "Status": "clear"}, {"Id": 1, "Name": "vmnwprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_e34218cd-0d9a-4b21-b6d5-a313980baa82", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwprd01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwprd02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWP_ASCS00", "Resources": [{"Id": "rsc_ip_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWP_ERS10", "Resources": [{"Id": "rsc_ip_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 13:43:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwprd01", "ResourceHistory": [{"Name": "rsc_ip_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 1}]}, {"Name": "vmnwprd02", "ResourceHistory": [{"Name": "rsc_ip_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwprd02", "Attributes": [{"Name": "runs_ers_NWP", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:18.061435	2024-04-09 15:08:18.061435
220	927901fa-2c87-524e-b18c-3ef5187f504f	sap_system_discovery	[]	2024-04-09 15:08:18.668789	2024-04-09 15:08:18.668789
221	3711ea88-9ccc-5b07-8f9d-042be449d72b	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:18.791321	2024-04-09 15:08:18.791321
227	422686d6-b2d1-5092-93e8-a744854f5085	ha_cluster_discovery	{"DC": true, "Id": "a034a158905404befe08775682910ee1", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmdrbdqas01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmdrbdqas02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "drbd_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": [{"Id": "cl-nfsserver", "Primitive": {"Id": "nfsserver", "Type": "nfs-server", "Class": "systemd", "Provider": "", "Operations": [{"Id": "nfsserver-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": null}, "MetaAttributes": [{"Id": "cl-nfsserver-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g-nfs_sapdata", "Primitives": [{"Id": "fs_sapdata", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "fs_sapdata-monitor-20", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "fs_sapdata-instance_attributes-device", "Name": "device", "Value": "/dev/drbd1"}, {"Id": "fs_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWQ"}, {"Id": "fs_sapdata-instance_attributes-fstype", "Name": "fstype", "Value": "xfs"}, {"Id": "fs_sapdata-instance_attributes-options", "Name": "options", "Value": "noatime,nodiratime"}]}, {"Id": "vip_sapdata_nfs", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "vip_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "vip_sapdata_nfs-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.33"}, {"Id": "vip_sapdata_nfs-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "32"}, {"Id": "vip_sapdata_nfs-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "exportfs_work_sapdata", "Type": "exportfs", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "exportfs_work_sapdata-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "exportfs_work_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWQ"}, {"Id": "exportfs_work_sapdata-instance_attributes-fsid", "Name": "fsid", "Value": "1"}, {"Id": "exportfs_work_sapdata-instance_attributes-options", "Name": "options", "Value": "rw,no_root_squash"}, {"Id": "exportfs_work_sapdata-instance_attributes-clientspec", "Name": "clientspec", "Value": "*"}, {"Id": "exportfs_work_sapdata-instance_attributes-wait_for_leasetime_on_stop", "Name": "wait_for_leasetime_on_stop", "Value": "true"}]}, {"Id": "rsc_socat_sapdata_nfs", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_sapdata_nfs-instance_attributes-port", "Name": "port", "Value": "61000"}]}]}], "Masters": [{"Id": "ms_sapdata", "Primitive": {"Id": "drbd-sapdata", "Type": "drbd", "Class": "ocf", "Provider": "linbit", "Operations": [{"Id": "drbd-sapdata-monitor-15", "Name": "monitor", "Role": "Master", "Timeout": "", "Interval": "15"}, {"Id": "drbd-sapdata-monitor-30", "Name": "monitor", "Role": "Slave", "Timeout": "", "Interval": "30"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "drbd-sapdata-instance_attributes-drbd_resource", "Name": "drbd_resource", "Value": "sapdata"}]}, "MetaAttributes": [{"Id": "ms_sapdata-meta_attributes-master-max", "Name": "master-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-master-node-max", "Name": "master-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-0-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "ms_sapdata-meta_attributes-0-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-1-notify", "Name": "notify", "Value": "true"}, {"Id": "ms_sapdata-meta_attributes-1-target-role", "Name": "target-role", "Value": "Started"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:c1c003f5-4e45-4d6f-8d81-e338f666365c", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "f5991966-5a7f-45d6-90d1-bfcedb265df6", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmdrbdqas01", "Status": "clear"}, {"Id": 1, "Name": "vmdrbdqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:c1c003f5-4e45-4d6f-8d81-e338f666365c", "Status": "healthy"}]}, "Name": "drbd_cluster", "Crmmon": {"Nodes": [{"DC": false, "Id": "1", "Name": "vmdrbdqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 7}, {"DC": true, "Id": "2", "Name": "vmdrbdqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "ms_sapdata", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "drbd-sapdata", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Master", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "drbd-sapdata", "Node": {"Id": "2", "Name": "vmdrbdqas02", "Cached": true}, "Role": "Slave", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cl-nfsserver", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "nfsserver", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "nfsserver", "Node": {"Id": "2", "Name": "vmdrbdqas02", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g-nfs_sapdata", "Resources": [{"Id": "fs_sapdata", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "vip_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "exportfs_work_sapdata", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:exportfs", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:20:56 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmdrbdqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "fs_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "vip_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "exportfs_work_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmdrbdqas02", "ResourceHistory": [{"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmdrbdqas01", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}, {"Name": "vmdrbdqas02", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:19.581055	2024-04-09 15:08:19.581055
236	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	ha_cluster_discovery	{"DC": false, "Id": "04b8f8c21f9fd8991224478e8c4362f8", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbdev01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdd_lpt", "Name": "lpa_hdd_lpt", "Value": "10"}, {"Id": "nodes-1-hana_hdd_vhost", "Name": "hana_hdd_vhost", "Value": "vmhdbdev01"}, {"Id": "nodes-1-hana_hdd_site", "Name": "hana_hdd_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdd_op_mode", "Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdd_srmode", "Name": "hana_hdd_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdd_remoteHost", "Name": "hana_hdd_remoteHost", "Value": "vmhdbdev02"}]}, {"Id": "2", "Uname": "vmhdbdev02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdd_lpt", "Name": "lpa_hdd_lpt", "Value": "1643125026"}, {"Id": "nodes-2-hana_hdd_op_mode", "Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdd_vhost", "Name": "hana_hdd_vhost", "Value": "vmhdbdev02"}, {"Id": "nodes-2-hana_hdd_remoteHost", "Name": "hana_hdd_remoteHost", "Value": "vmhdbdev01"}, {"Id": "nodes-2-hana_hdd_site", "Name": "hana_hdd_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdd_srmode", "Name": "hana_hdd_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_1"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdd_site_srHook_WDF", "Name": "hana_hdd_site_srHook_WDF", "Value": "PRIM"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDD_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDD_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDD_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDD_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDD"}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDD_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDD_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDD_HDB10", "Primitives": [{"Id": "rsc_ip_HDD_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDD_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDD_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDD_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDD_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.13"}, {"Id": "rsc_ip_HDD_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDD_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDD_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDD_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDD_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDD_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDD_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDD_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDD_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDD_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDD_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDD_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDD"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDD_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDD_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDD_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:182cb1b1-a815-4b82-b538-7a166b9bbb4a", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "cc39771e-ea2f-4fb1-8968-a6176aee3d0a", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbdev01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbdev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:182cb1b1-a815-4b82-b538-7a166b9bbb4a", "Status": "healthy"}]}, "Name": "hana_cluster_1", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbdev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}, {"DC": false, "Id": "2", "Name": "vmhdbdev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": [{"Id": "msl_SAPHana_HDD_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDD_HDB10", "Node": null, "Role": "Stopped", "Agent": "ocf::suse:SAPHana", "Active": false, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 0}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDD_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10", "Node": {"Id": "1", "Name": "vmhdbdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDD_HDB10", "Resources": [{"Id": "rsc_ip_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:37:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbdev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbdev02", "ResourceHistory": [{"Name": "rsc_ip_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbdev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDD_HDB10", "FailCount": 1000000, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbdev01", "Attributes": [{"Name": "hana_hdd_clone_state", "Value": "UNDEFINED"}, {"Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Name": "hana_hdd_remoteHost", "Value": "vmhdbdev02"}, {"Name": "hana_hdd_roles", "Value": "1:P:master1::worker:"}, {"Name": "hana_hdd_site", "Value": "NBG"}, {"Name": "hana_hdd_srmode", "Value": "sync"}, {"Name": "hana_hdd_sync_state", "Value": "SFAIL"}, {"Name": "hana_hdd_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdd_vhost", "Value": "vmhdbdev01"}, {"Name": "lpa_hdd_lpt", "Value": "10"}, {"Name": "master-rsc_SAPHana_HDD_HDB10", "Value": "-9000"}]}, {"Name": "vmhdbdev02", "Attributes": [{"Name": "hana_hdd_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Name": "hana_hdd_remoteHost", "Value": "vmhdbdev01"}, {"Name": "hana_hdd_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdd_site", "Value": "WDF"}, {"Name": "hana_hdd_srmode", "Value": "sync"}, {"Name": "hana_hdd_sync_state", "Value": "PRIM"}, {"Name": "hana_hdd_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdd_vhost", "Value": "vmhdbdev02"}, {"Name": "lpa_hdd_lpt", "Value": "1643125026"}, {"Name": "master-rsc_SAPHana_HDD_HDB10", "Value": "150"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:20.741074	2024-04-09 15:08:20.741074
242	a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	sap_system_discovery	[{"Id": "97a1e70aeff3c0685d65c4c3d32d533b", "SID": "NWP", "Type": 2, "Profile": {"SAPDBHOST": "10.80.1.13", "dbms/name": "HDP", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwpas", "rdisp/msserv": "sapmsNWP", "SAPGLOBALHOST": "sapnwpas", "SAPSYSTEMNAME": "NWP", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDP", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwpas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.80.1.13", "Databases": null, "Instances": [{"Host": "vmnwprd03", "Name": "D01", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwpas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwper", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwppas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwpaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 9752, "name": "gwrd", "starttime": "2022 01 11 13:44:51", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:07:13"}, {"pid": 9753, "name": "icman", "starttime": "2022 01 11 13:44:51", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:07:13"}, {"pid": 9732, "name": "igswd_mt", "starttime": "2022 01 11 13:44:49", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:07:15"}, {"pid": 9731, "name": "disp+work", "starttime": "2022 01 11 13:44:49", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:07:15"}], "Properties": [{"value": "HTTP://sapnwppas:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwppas:40180", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "01", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwppas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D01", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwppas:50113/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:08:21.495543	2024-04-09 15:08:21.495543
245	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	ha_cluster_discovery	{"DC": false, "Id": "04a81f89c847e82390e35bece2e25c9b", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmdrbddev01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmdrbddev02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "drbd_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": [{"Id": "cl-nfsserver", "Primitive": {"Id": "nfsserver", "Type": "nfs-server", "Class": "systemd", "Provider": "", "Operations": [{"Id": "nfsserver-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": null}, "MetaAttributes": [{"Id": "cl-nfsserver-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g-nfs_sapdata", "Primitives": [{"Id": "fs_sapdata", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "fs_sapdata-monitor-20", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "fs_sapdata-instance_attributes-device", "Name": "device", "Value": "/dev/drbd1"}, {"Id": "fs_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWD"}, {"Id": "fs_sapdata-instance_attributes-fstype", "Name": "fstype", "Value": "xfs"}, {"Id": "fs_sapdata-instance_attributes-options", "Name": "options", "Value": "noatime,nodiratime"}]}, {"Id": "vip_sapdata_nfs", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "vip_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "vip_sapdata_nfs-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.33"}, {"Id": "vip_sapdata_nfs-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "32"}, {"Id": "vip_sapdata_nfs-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "exportfs_work_sapdata", "Type": "exportfs", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "exportfs_work_sapdata-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "exportfs_work_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWD"}, {"Id": "exportfs_work_sapdata-instance_attributes-fsid", "Name": "fsid", "Value": "1"}, {"Id": "exportfs_work_sapdata-instance_attributes-options", "Name": "options", "Value": "rw,no_root_squash"}, {"Id": "exportfs_work_sapdata-instance_attributes-clientspec", "Name": "clientspec", "Value": "*"}, {"Id": "exportfs_work_sapdata-instance_attributes-wait_for_leasetime_on_stop", "Name": "wait_for_leasetime_on_stop", "Value": "true"}]}, {"Id": "rsc_socat_sapdata_nfs", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_sapdata_nfs-instance_attributes-port", "Name": "port", "Value": "61000"}]}]}], "Masters": [{"Id": "ms_sapdata", "Primitive": {"Id": "drbd-sapdata", "Type": "drbd", "Class": "ocf", "Provider": "linbit", "Operations": [{"Id": "drbd-sapdata-monitor-15", "Name": "monitor", "Role": "Master", "Timeout": "", "Interval": "15"}, {"Id": "drbd-sapdata-monitor-30", "Name": "monitor", "Role": "Slave", "Timeout": "", "Interval": "30"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "drbd-sapdata-instance_attributes-drbd_resource", "Name": "drbd_resource", "Value": "sapdata"}]}, "MetaAttributes": [{"Id": "ms_sapdata-meta_attributes-master-max", "Name": "master-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-master-node-max", "Name": "master-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-0-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "ms_sapdata-meta_attributes-0-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-1-notify", "Name": "notify", "Value": "true"}, {"Id": "ms_sapdata-meta_attributes-1-target-role", "Name": "target-role", "Value": "Started"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:3947fa28-25e0-46d4-bbed-89ce88f977f1", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "27016e64-5f07-4563-90d5-16cb8f9ebc2a", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmdrbddev01", "Status": "clear"}, {"Id": 1, "Name": "vmdrbddev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:3947fa28-25e0-46d4-bbed-89ce88f977f1", "Status": "healthy"}]}, "Name": "drbd_cluster", "Crmmon": {"Nodes": [{"DC": false, "Id": "1", "Name": "vmdrbddev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 7}, {"DC": true, "Id": "2", "Name": "vmdrbddev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "ms_sapdata", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "drbd-sapdata", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Master", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "drbd-sapdata", "Node": {"Id": "2", "Name": "vmdrbddev02", "Cached": true}, "Role": "Slave", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cl-nfsserver", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "nfsserver", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "nfsserver", "Node": {"Id": "2", "Name": "vmdrbddev02", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g-nfs_sapdata", "Resources": [{"Id": "fs_sapdata", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "vip_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "exportfs_work_sapdata", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:exportfs", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:50:53 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmdrbddev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "fs_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "vip_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "exportfs_work_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmdrbddev02", "ResourceHistory": [{"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmdrbddev01", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}, {"Name": "vmdrbddev02", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:21.860441	2024-04-09 15:08:21.860441
253	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	ha_cluster_discovery	{"DC": false, "Id": "057f083c3be591f4398eed816d4c8cd7", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwdev01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwdev02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWD_ASCS00", "Primitives": [{"Id": "rsc_ip_NWD_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWD_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWD_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.25"}]}, {"Id": "rsc_fs_NWD_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWD_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWD_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.100.1.33:/NWD/ASCS"}, {"Id": "rsc_fs_NWD_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWD/ASCS00"}, {"Id": "rsc_fs_NWD_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWD_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWD_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWD_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWD_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWD_ASCS00_sapnwdas"}, {"Id": "rsc_sap_NWD_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWD/profile/NWD_ASCS00_sapnwdas"}, {"Id": "rsc_sap_NWD_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWD_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWD_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWD_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWD_ERS10", "Primitives": [{"Id": "rsc_ip_NWD_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWD_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWD_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.26"}]}, {"Id": "rsc_fs_NWD_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWD_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWD_ERS10-instance_attributes-device", "Name": "device", "Value": "10.100.1.33:/NWD/ERS"}, {"Id": "rsc_fs_NWD_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWD/ERS10"}, {"Id": "rsc_fs_NWD_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWD_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWD_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWD_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWD_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWD_ERS10_sapnwder"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWD/profile/NWD_ERS10_sapnwder"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWD_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWD_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWD_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWD_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWD_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-36001405f01eb5f4c5c941e499beb055d", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "4e8adda1-da35-4ee4-92b9-a134494861f0", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwdev01", "Status": "clear"}, {"Id": 1, "Name": "vmnwdev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-36001405f01eb5f4c5c941e499beb055d", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwdev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwdev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWD_ASCS00", "Resources": [{"Id": "rsc_ip_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWD_ERS10", "Resources": [{"Id": "rsc_ip_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:55:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwdev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 1}, {"Name": "rsc_socat_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}]}, {"Name": "vmnwdev02", "ResourceHistory": [{"Name": "rsc_ip_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwdev02", "Attributes": [{"Name": "runs_ers_NWD", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:22.94856	2024-04-09 15:08:22.94856
258	21de186a-e38f-5804-b643-7f4ef22fecfd	ha_cluster_discovery	{"DC": true, "Id": "04a81f89c847e82390e35bece2e25c9b", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmdrbddev01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmdrbddev02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "drbd_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": [{"Id": "cl-nfsserver", "Primitive": {"Id": "nfsserver", "Type": "nfs-server", "Class": "systemd", "Provider": "", "Operations": [{"Id": "nfsserver-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": null}, "MetaAttributes": [{"Id": "cl-nfsserver-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g-nfs_sapdata", "Primitives": [{"Id": "fs_sapdata", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "fs_sapdata-monitor-20", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "fs_sapdata-instance_attributes-device", "Name": "device", "Value": "/dev/drbd1"}, {"Id": "fs_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWD"}, {"Id": "fs_sapdata-instance_attributes-fstype", "Name": "fstype", "Value": "xfs"}, {"Id": "fs_sapdata-instance_attributes-options", "Name": "options", "Value": "noatime,nodiratime"}]}, {"Id": "vip_sapdata_nfs", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "vip_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "vip_sapdata_nfs-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.33"}, {"Id": "vip_sapdata_nfs-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "32"}, {"Id": "vip_sapdata_nfs-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "exportfs_work_sapdata", "Type": "exportfs", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "exportfs_work_sapdata-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "exportfs_work_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWD"}, {"Id": "exportfs_work_sapdata-instance_attributes-fsid", "Name": "fsid", "Value": "1"}, {"Id": "exportfs_work_sapdata-instance_attributes-options", "Name": "options", "Value": "rw,no_root_squash"}, {"Id": "exportfs_work_sapdata-instance_attributes-clientspec", "Name": "clientspec", "Value": "*"}, {"Id": "exportfs_work_sapdata-instance_attributes-wait_for_leasetime_on_stop", "Name": "wait_for_leasetime_on_stop", "Value": "true"}]}, {"Id": "rsc_socat_sapdata_nfs", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_sapdata_nfs-instance_attributes-port", "Name": "port", "Value": "61000"}]}]}], "Masters": [{"Id": "ms_sapdata", "Primitive": {"Id": "drbd-sapdata", "Type": "drbd", "Class": "ocf", "Provider": "linbit", "Operations": [{"Id": "drbd-sapdata-monitor-15", "Name": "monitor", "Role": "Master", "Timeout": "", "Interval": "15"}, {"Id": "drbd-sapdata-monitor-30", "Name": "monitor", "Role": "Slave", "Timeout": "", "Interval": "30"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "drbd-sapdata-instance_attributes-drbd_resource", "Name": "drbd_resource", "Value": "sapdata"}]}, "MetaAttributes": [{"Id": "ms_sapdata-meta_attributes-master-max", "Name": "master-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-master-node-max", "Name": "master-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-0-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "ms_sapdata-meta_attributes-0-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-1-notify", "Name": "notify", "Value": "true"}, {"Id": "ms_sapdata-meta_attributes-1-target-role", "Name": "target-role", "Value": "Started"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:3947fa28-25e0-46d4-bbed-89ce88f977f1", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "27016e64-5f07-4563-90d5-16cb8f9ebc2a", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmdrbddev01", "Status": "clear"}, {"Id": 1, "Name": "vmdrbddev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:3947fa28-25e0-46d4-bbed-89ce88f977f1", "Status": "healthy"}]}, "Name": "drbd_cluster", "Crmmon": {"Nodes": [{"DC": false, "Id": "1", "Name": "vmdrbddev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 7}, {"DC": true, "Id": "2", "Name": "vmdrbddev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "ms_sapdata", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "drbd-sapdata", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Master", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "drbd-sapdata", "Node": {"Id": "2", "Name": "vmdrbddev02", "Cached": true}, "Role": "Slave", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cl-nfsserver", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "nfsserver", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "nfsserver", "Node": {"Id": "2", "Name": "vmdrbddev02", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g-nfs_sapdata", "Resources": [{"Id": "fs_sapdata", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "vip_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "exportfs_work_sapdata", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:exportfs", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:50:53 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmdrbddev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "fs_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "vip_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "exportfs_work_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmdrbddev02", "ResourceHistory": [{"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmdrbddev01", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}, {"Name": "vmdrbddev02", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:23.667223	2024-04-09 15:08:23.667223
275	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbdev01", "plan": {}, "tags": "fake-tags", "vmId": "a187496f-69bd-48fa-81a4-749e51f08b8b", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbdev01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.11"}]}, "ipv6": {}, "macAddress": "6045BD8D9B69"}]}}, "Provider": "azure"}	2024-04-09 15:08:25.949502	2024-04-09 15:08:25.949502
282	69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:26.908505	2024-04-09 15:08:26.908505
296	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:28.714096	2024-04-09 15:08:28.714096
212	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbdqas01", "plan": {}, "tags": "fake-tags", "vmId": "9c5b4666-5356-4347-b688-6954027283a1", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbdqas01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbdqas01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbdqas01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.31"}]}, "ipv6": {}, "macAddress": "6045BD8D00C2"}]}}, "Provider": "azure"}	2024-04-09 15:08:17.654465	2024-04-09 15:08:17.654465
213	4b30a6af-4b52-5bda-bccb-f2248a12c992	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:17.786744	2024-04-09 15:08:17.786744
214	b767b3e9-e802-587e-a442-541d093b86b9	ha_cluster_discovery	{"DC": false, "Id": "9c832998801e28cd70ad77380e82a5c0", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbprd01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdp_lpt", "Name": "lpa_hdp_lpt", "Value": "1643125019"}, {"Id": "nodes-1-hana_hdp_vhost", "Name": "hana_hdp_vhost", "Value": "vmhdbprd01"}, {"Id": "nodes-1-hana_hdp_site", "Name": "hana_hdp_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdp_op_mode", "Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdp_srmode", "Name": "hana_hdp_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdp_remoteHost", "Name": "hana_hdp_remoteHost", "Value": "vmhdbprd02"}]}, {"Id": "2", "Uname": "vmhdbprd02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdp_lpt", "Name": "lpa_hdp_lpt", "Value": "30"}, {"Id": "nodes-2-hana_hdp_op_mode", "Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdp_vhost", "Name": "hana_hdp_vhost", "Value": "vmhdbprd02"}, {"Id": "nodes-2-hana_hdp_remoteHost", "Name": "hana_hdp_remoteHost", "Value": "vmhdbprd01"}, {"Id": "nodes-2-hana_hdp_site", "Name": "hana_hdp_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdp_srmode", "Name": "hana_hdp_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_3"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "24"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdp_site_srHook_WDF", "Name": "hana_hdp_site_srHook_WDF", "Value": "SOK"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDP_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDP_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDP_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDP_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDP"}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDP_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDP_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDP_HDB10", "Primitives": [{"Id": "rsc_ip_HDP_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDP_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDP_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDP_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDP_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.13"}, {"Id": "rsc_ip_HDP_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDP_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDP_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDP_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDP_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDP_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDP_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDP_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDP_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDP_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDP_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDP_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDP"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDP_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDP_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDP_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b924e77", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "a7a18c6b-7c8e-4bda-bb77-45e4b5dc8478", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbprd01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b924e77", "Status": "healthy"}]}, "Name": "hana_cluster_3", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbprd01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmhdbprd02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "msl_SAPHana_HDP_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDP_HDB10", "Node": {"Id": "2", "Name": "vmhdbprd02", "Cached": true}, "Role": "Slave", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDP_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10", "Node": {"Id": "2", "Name": "vmhdbprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDP_HDB10", "Resources": [{"Id": "rsc_ip_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:36:59 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbprd01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbprd02", "ResourceHistory": [{"Name": "rsc_SAPHana_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbprd01", "Attributes": [{"Name": "hana_hdp_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Name": "hana_hdp_remoteHost", "Value": "vmhdbprd02"}, {"Name": "hana_hdp_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdp_site", "Value": "NBG"}, {"Name": "hana_hdp_srmode", "Value": "sync"}, {"Name": "hana_hdp_sync_state", "Value": "PRIM"}, {"Name": "hana_hdp_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdp_vhost", "Value": "vmhdbprd01"}, {"Name": "lpa_hdp_lpt", "Value": "1643125019"}, {"Name": "master-rsc_SAPHana_HDP_HDB10", "Value": "150"}]}, {"Name": "vmhdbprd02", "Attributes": [{"Name": "hana_hdp_clone_state", "Value": "DEMOTED"}, {"Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Name": "hana_hdp_remoteHost", "Value": "vmhdbprd01"}, {"Name": "hana_hdp_roles", "Value": "4:S:master1:master:worker:master"}, {"Name": "hana_hdp_site", "Value": "WDF"}, {"Name": "hana_hdp_srmode", "Value": "sync"}, {"Name": "hana_hdp_sync_state", "Value": "SOK"}, {"Name": "hana_hdp_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdp_vhost", "Value": "vmhdbprd02"}, {"Name": "lpa_hdp_lpt", "Value": "30"}, {"Name": "master-rsc_SAPHana_HDP_HDB10", "Value": "100"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:17.927443	2024-04-09 15:08:17.927443
216	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:08:18.191731	2024-04-09 15:08:18.191731
217	9cd46919-5f19-59aa-993e-cf3736c71053	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbprd01", "plan": {}, "tags": "fake-tags", "vmId": "ee7cf44b-d202-4680-b331-1b3996f2f0e7", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbprd01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.11"}]}, "ipv6": {}, "macAddress": "000D3A232C6B"}]}}, "Provider": "azure"}	2024-04-09 15:08:18.305731	2024-04-09 15:08:18.305731
218	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:18.425211	2024-04-09 15:08:18.425211
219	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev01", "Name": "ASCS00", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 7379, "name": "enserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueServer", "elapsedtime": "151:56:46"}, {"pid": 7378, "name": "msg_server", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "MessageServer", "elapsedtime": "151:56:46"}], "Properties": [{"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "00", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "EnqGetLockTable", "property": "Enque Locks", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ASCS00", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "1", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "YES", "property": "CentralServices", "propertytype": "Attribute"}, {"value": "EnqGetStatistic", "property": "Enque Statistic", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwdas:50013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}, {"value": "YES", "property": "SupportsUpdateSCSInstance", "propertytype": "Attribute"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:08:18.550619	2024-04-09 15:08:18.550619
222	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev02", "Name": "ERS10", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 6720, "name": "enrepserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueReplicator", "elapsedtime": "151:56:49"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwder", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ERS10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.5", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwder:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:08:18.913506	2024-04-09 15:08:18.913506
223	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	sap_system_discovery	[{"Id": "9953878f07bb54cac20d5d5d7ff08af2", "SID": "HDQ", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbqas02", "SAPSYSTEMNAME": "HDQ", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbqas02", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDQ", "Container": ""}], "Instances": [{"Host": "vmhdbqas02", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbqas02", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 29597, "name": "hdbdaemon", "starttime": "2022 01 11 12:30:14", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "152:21:46"}, {"pid": 30148, "name": "hdbxsengine", "starttime": "2022 01 11 12:30:27", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDQ", "elapsedtime": "152:21:33"}, {"pid": 29727, "name": "hdbnameserver", "starttime": "2022 01 11 12:30:14", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "152:21:46"}, {"pid": 30145, "name": "hdbindexserver", "starttime": "2022 01 11 12:30:27", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDQ", "elapsedtime": "152:21:33"}, {"pid": 30047, "name": "hdbpreprocessor", "starttime": "2022 01 11 12:30:26", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "152:21:34"}, {"pid": 30044, "name": "hdbcompileserver", "starttime": "2022 01 11 12:30:26", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "152:21:34"}, {"pid": 30855, "name": "hdbwebdispatcher", "starttime": "2022 01 11 12:30:35", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "152:21:25"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbqas02", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbqas02:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "sync", "online": "true", "site_id": "2", "isSource": "false", "site_name": "WDF", "isConsumer": "true", "replayMode": "auto", "hasConsumers": "false", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "logreplay", "primary_masters": "vmhdbqas01", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbqas02": ["WDF/vmhdbqas02", "NBG/vmhdbqas01"], "active_primary_site": "1", "isTimetravelEnabled": "false", "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbqas02", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "2", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/2/PRIMARY_MASTERS": "vmhdbqas01", "site/2/REPLICATION_MODE": "SYNC"}}]}]	2024-04-09 15:08:19.044408	2024-04-09 15:08:19.044408
234	927901fa-2c87-524e-b18c-3ef5187f504f	ha_cluster_discovery	{"DC": true, "Id": "238a4de1239aae2aa87433eed788b3ad", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmdrbdprd01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmdrbdprd02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "drbd_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": [{"Id": "cl-nfsserver", "Primitive": {"Id": "nfsserver", "Type": "nfs-server", "Class": "systemd", "Provider": "", "Operations": [{"Id": "nfsserver-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": null}, "MetaAttributes": [{"Id": "cl-nfsserver-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g-nfs_sapdata", "Primitives": [{"Id": "fs_sapdata", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "fs_sapdata-monitor-20", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "fs_sapdata-instance_attributes-device", "Name": "device", "Value": "/dev/drbd1"}, {"Id": "fs_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWP"}, {"Id": "fs_sapdata-instance_attributes-fstype", "Name": "fstype", "Value": "xfs"}, {"Id": "fs_sapdata-instance_attributes-options", "Name": "options", "Value": "noatime,nodiratime"}]}, {"Id": "vip_sapdata_nfs", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "vip_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "vip_sapdata_nfs-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.33"}, {"Id": "vip_sapdata_nfs-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "32"}, {"Id": "vip_sapdata_nfs-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "exportfs_work_sapdata", "Type": "exportfs", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "exportfs_work_sapdata-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "exportfs_work_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWP"}, {"Id": "exportfs_work_sapdata-instance_attributes-fsid", "Name": "fsid", "Value": "1"}, {"Id": "exportfs_work_sapdata-instance_attributes-options", "Name": "options", "Value": "rw,no_root_squash"}, {"Id": "exportfs_work_sapdata-instance_attributes-clientspec", "Name": "clientspec", "Value": "*"}, {"Id": "exportfs_work_sapdata-instance_attributes-wait_for_leasetime_on_stop", "Name": "wait_for_leasetime_on_stop", "Value": "true"}]}, {"Id": "rsc_socat_sapdata_nfs", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_sapdata_nfs-instance_attributes-port", "Name": "port", "Value": "61000"}]}]}], "Masters": [{"Id": "ms_sapdata", "Primitive": {"Id": "drbd-sapdata", "Type": "drbd", "Class": "ocf", "Provider": "linbit", "Operations": [{"Id": "drbd-sapdata-monitor-15", "Name": "monitor", "Role": "Master", "Timeout": "", "Interval": "15"}, {"Id": "drbd-sapdata-monitor-30", "Name": "monitor", "Role": "Slave", "Timeout": "", "Interval": "30"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "drbd-sapdata-instance_attributes-drbd_resource", "Name": "drbd_resource", "Value": "sapdata"}]}, "MetaAttributes": [{"Id": "ms_sapdata-meta_attributes-master-max", "Name": "master-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-master-node-max", "Name": "master-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-0-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "ms_sapdata-meta_attributes-0-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-1-notify", "Name": "notify", "Value": "true"}, {"Id": "ms_sapdata-meta_attributes-1-target-role", "Name": "target-role", "Value": "Started"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_b7b1cd3d-776e-4432-a9e5-6fe56e4b4e17", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "28fd9d5e-3685-4cb7-85e9-76c4b140ea3c", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmdrbdprd01", "Status": "clear"}, {"Id": 1, "Name": "vmdrbdprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_b7b1cd3d-776e-4432-a9e5-6fe56e4b4e17", "Status": "healthy"}]}, "Name": "drbd_cluster", "Crmmon": {"Nodes": [{"DC": false, "Id": "1", "Name": "vmdrbdprd01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 7}, {"DC": true, "Id": "2", "Name": "vmdrbdprd02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "ms_sapdata", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "drbd-sapdata", "Node": {"Id": "2", "Name": "vmdrbdprd02", "Cached": true}, "Role": "Slave", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "drbd-sapdata", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Master", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cl-nfsserver", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "nfsserver", "Node": {"Id": "2", "Name": "vmdrbdprd02", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "nfsserver", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g-nfs_sapdata", "Resources": [{"Id": "fs_sapdata", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "vip_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "exportfs_work_sapdata", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:exportfs", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 13:24:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmdrbdprd02", "ResourceHistory": [{"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmdrbdprd01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "fs_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "vip_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "exportfs_work_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmdrbdprd01", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}, {"Name": "vmdrbdprd02", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:20.499979	2024-04-09 15:08:20.499979
244	1b0e9297-97dd-55d6-9874-8efde4d84c90	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev04", "Name": "D02", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 26496, "name": "gwrd", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:47:01"}, {"pid": 26497, "name": "icman", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:47:01"}, {"pid": 26476, "name": "igswd_mt", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:47:04"}, {"pid": 26475, "name": "disp+work", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:47:04"}], "Properties": [{"value": "HTTP://sapnwdaas1:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwdaas1:40280", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "02", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdaas1", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D02", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwdaas1:50213/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:08:21.733345	2024-04-09 15:08:21.733345
247	25677e37-fd33-5005-896c-9275b1284534	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:22.111661	2024-04-09 15:08:22.111661
249	1b0e9297-97dd-55d6-9874-8efde4d84c90	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:08:22.396008	2024-04-09 15:08:22.396008
250	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:08:22.51926	2024-04-09 15:08:22.51926
224	927901fa-2c87-524e-b18c-3ef5187f504f	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbdprd02", "plan": {}, "tags": "fake-tags", "vmId": "f89fef5e-e7e3-469d-b819-a0154be6150c", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbdprd02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbdprd02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbdprd02-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.32"}]}, "ipv6": {}, "macAddress": "000D3A2E8B91"}]}}, "Provider": "azure"}	2024-04-09 15:08:19.173679	2024-04-09 15:08:19.173679
225	a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	host_discovery	{"hostname": "vmnwprd03", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.23", "10.80.1.27", "fe80::20d:3aff:fe25:7f83"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwprd03.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:19.30745	2024-04-09 15:08:19.30745
226	25677e37-fd33-5005-896c-9275b1284534	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:08:19.443724	2024-04-09 15:08:19.443724
229	69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	sap_system_discovery	[]	2024-04-09 15:08:19.855534	2024-04-09 15:08:19.855534
230	116d49bd-85e1-5e59-b820-83f66db8800c	host_discovery	{"hostname": "vmnwprd01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.21", "10.80.1.25", "fe80::20d:3aff:fe2e:8f04"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwprd01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:19.989867	2024-04-09 15:08:19.989867
235	b767b3e9-e802-587e-a442-541d093b86b9	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:20.620284	2024-04-09 15:08:20.620284
237	99cf8a3a-48d6-57a4-b302-6e4482227ab6	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:08:20.872627	2024-04-09 15:08:20.872627
239	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	ha_cluster_discovery	{"DC": true, "Id": "057f083c3be591f4398eed816d4c8cd7", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwdev01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwdev02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWD_ASCS00", "Primitives": [{"Id": "rsc_ip_NWD_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWD_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWD_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.25"}]}, {"Id": "rsc_fs_NWD_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWD_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWD_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.100.1.33:/NWD/ASCS"}, {"Id": "rsc_fs_NWD_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWD/ASCS00"}, {"Id": "rsc_fs_NWD_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWD_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWD_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWD_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWD_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWD_ASCS00_sapnwdas"}, {"Id": "rsc_sap_NWD_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWD/profile/NWD_ASCS00_sapnwdas"}, {"Id": "rsc_sap_NWD_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWD_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWD_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWD_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWD_ERS10", "Primitives": [{"Id": "rsc_ip_NWD_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWD_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWD_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.26"}]}, {"Id": "rsc_fs_NWD_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWD_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWD_ERS10-instance_attributes-device", "Name": "device", "Value": "10.100.1.33:/NWD/ERS"}, {"Id": "rsc_fs_NWD_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWD/ERS10"}, {"Id": "rsc_fs_NWD_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWD_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWD_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWD_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWD_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWD_ERS10_sapnwder"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWD/profile/NWD_ERS10_sapnwder"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWD_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWD_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWD_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWD_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWD_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-36001405f01eb5f4c5c941e499beb055d", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "4e8adda1-da35-4ee4-92b9-a134494861f0", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwdev01", "Status": "clear"}, {"Id": 1, "Name": "vmnwdev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-36001405f01eb5f4c5c941e499beb055d", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwdev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwdev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWD_ASCS00", "Resources": [{"Id": "rsc_ip_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWD_ERS10", "Resources": [{"Id": "rsc_ip_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:55:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwdev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 1}, {"Name": "rsc_socat_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}]}, {"Name": "vmnwdev02", "ResourceHistory": [{"Name": "rsc_ip_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwdev02", "Attributes": [{"Name": "runs_ers_NWD", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:21.126211	2024-04-09 15:08:21.126211
240	99cf8a3a-48d6-57a4-b302-6e4482227ab6	host_discovery	{"hostname": "vmhdbqas01", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.11", "10.90.1.13", "fe80::6245:bdff:fe8d:1d5"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbqas01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:21.253096	2024-04-09 15:08:21.253096
241	21de186a-e38f-5804-b643-7f4ef22fecfd	sap_system_discovery	[]	2024-04-09 15:08:21.376125	2024-04-09 15:08:21.376125
243	098fc159-3ed6-58e7-91be-38fda8a833ea	sap_system_discovery	[{"Id": "d01fdc69aeba7bd5133b210eb2884853", "SID": "NWQ", "Type": 2, "Profile": {"SAPDBHOST": "ha-cluster.suse.de", "dbms/name": "HDQ", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwqas", "rdisp/msserv": "sapmsNWQ", "SAPGLOBALHOST": "sapnwqas", "SAPSYSTEMNAME": "NWQ", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDQ", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwqas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.90.1.13", "Databases": null, "Instances": [{"Host": "vmnwqas03", "Name": "D01", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwqas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwqer", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 17085, "name": "gwrd", "starttime": "2022 01 17 12:42:04", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "8:09:29"}, {"pid": 17086, "name": "icman", "starttime": "2022 01 17 12:42:04", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "8:09:29"}, {"pid": 17081, "name": "igswd_mt", "starttime": "2022 01 17 12:42:03", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "8:09:30"}, {"pid": 17080, "name": "disp+work", "starttime": "2022 01 17 12:42:03", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "8:09:30"}], "Properties": [{"value": "HTTP://sapnwqpas:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwqpas:40180", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "01", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwqpas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D01", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwqpas:50113/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:08:21.614575	2024-04-09 15:08:21.614575
248	9cd46919-5f19-59aa-993e-cf3736c71053	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "compliant", "Notes applied": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Notes enabled": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "HANA", "applied partially": false}], "Solution enabled": ["HANA"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Solution ID": "HANA"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Solution ID": "HANA"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:08:22.276979	2024-04-09 15:08:22.276979
254	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:08:23.090499	2024-04-09 15:08:23.090499
256	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:23.396355	2024-04-09 15:08:23.396355
259	b767b3e9-e802-587e-a442-541d093b86b9	sap_system_discovery	[{"Id": "1154f7678ac587e5f0f242830a5201f1", "SID": "HDP", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbprd02", "SAPSYSTEMNAME": "HDP", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbprd02", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDP", "Container": ""}], "Instances": [{"Host": "vmhdbprd02", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbprd02", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 7464, "name": "hdbdaemon", "starttime": "2022 01 11 13:36:18", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "151:15:40"}, {"pid": 8467, "name": "hdbxsengine", "starttime": "2022 01 11 13:36:34", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDP", "elapsedtime": "151:15:24"}, {"pid": 7484, "name": "hdbnameserver", "starttime": "2022 01 11 13:36:18", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "151:15:40"}, {"pid": 8460, "name": "hdbindexserver", "starttime": "2022 01 11 13:36:34", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDP", "elapsedtime": "151:15:24"}, {"pid": 8253, "name": "hdbpreprocessor", "starttime": "2022 01 11 13:36:33", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "151:15:25"}, {"pid": 8250, "name": "hdbcompileserver", "starttime": "2022 01 11 13:36:33", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "151:15:25"}, {"pid": 9083, "name": "hdbwebdispatcher", "starttime": "2022 01 11 13:36:43", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "151:15:15"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbprd02", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbprd02:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "sync", "online": "true", "site_id": "2", "isSource": "false", "site_name": "WDF", "isConsumer": "true", "replayMode": "auto", "hasConsumers": "false", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "logreplay", "primary_masters": "vmhdbprd01", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbprd02": ["WDF/vmhdbprd02", "NBG/vmhdbprd01"], "active_primary_site": "1", "isTimetravelEnabled": "false", "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbprd02", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "2", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/2/PRIMARY_MASTERS": "vmhdbprd01", "site/2/REPLICATION_MODE": "SYNC"}}]}]	2024-04-09 15:08:23.809044	2024-04-09 15:08:23.809044
271	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	ha_cluster_discovery	{"DC": true, "Id": "04b8f8c21f9fd8991224478e8c4362f8", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbdev01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdd_lpt", "Name": "lpa_hdd_lpt", "Value": "10"}, {"Id": "nodes-1-hana_hdd_vhost", "Name": "hana_hdd_vhost", "Value": "vmhdbdev01"}, {"Id": "nodes-1-hana_hdd_site", "Name": "hana_hdd_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdd_op_mode", "Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdd_srmode", "Name": "hana_hdd_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdd_remoteHost", "Name": "hana_hdd_remoteHost", "Value": "vmhdbdev02"}]}, {"Id": "2", "Uname": "vmhdbdev02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdd_lpt", "Name": "lpa_hdd_lpt", "Value": "1643125026"}, {"Id": "nodes-2-hana_hdd_op_mode", "Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdd_vhost", "Name": "hana_hdd_vhost", "Value": "vmhdbdev02"}, {"Id": "nodes-2-hana_hdd_remoteHost", "Name": "hana_hdd_remoteHost", "Value": "vmhdbdev01"}, {"Id": "nodes-2-hana_hdd_site", "Name": "hana_hdd_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdd_srmode", "Name": "hana_hdd_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_1"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdd_site_srHook_WDF", "Name": "hana_hdd_site_srHook_WDF", "Value": "PRIM"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDD_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDD_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDD_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDD_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDD"}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDD_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDD_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDD_HDB10", "Primitives": [{"Id": "rsc_ip_HDD_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDD_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDD_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDD_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDD_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.13"}, {"Id": "rsc_ip_HDD_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDD_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDD_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDD_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDD_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDD_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDD_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDD_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDD_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDD_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDD_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDD_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDD"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDD_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDD_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDD_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:182cb1b1-a815-4b82-b538-7a166b9bbb4a", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "cc39771e-ea2f-4fb1-8968-a6176aee3d0a", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbdev01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbdev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:182cb1b1-a815-4b82-b538-7a166b9bbb4a", "Status": "healthy"}]}, "Name": "hana_cluster_1", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbdev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}, {"DC": false, "Id": "2", "Name": "vmhdbdev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": [{"Id": "msl_SAPHana_HDD_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDD_HDB10", "Node": null, "Role": "Stopped", "Agent": "ocf::suse:SAPHana", "Active": false, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 0}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDD_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10", "Node": {"Id": "1", "Name": "vmhdbdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDD_HDB10", "Resources": [{"Id": "rsc_ip_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:37:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbdev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbdev02", "ResourceHistory": [{"Name": "rsc_ip_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbdev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDD_HDB10", "FailCount": 1000000, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbdev01", "Attributes": [{"Name": "hana_hdd_clone_state", "Value": "UNDEFINED"}, {"Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Name": "hana_hdd_remoteHost", "Value": "vmhdbdev02"}, {"Name": "hana_hdd_roles", "Value": "1:P:master1::worker:"}, {"Name": "hana_hdd_site", "Value": "NBG"}, {"Name": "hana_hdd_srmode", "Value": "sync"}, {"Name": "hana_hdd_sync_state", "Value": "SFAIL"}, {"Name": "hana_hdd_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdd_vhost", "Value": "vmhdbdev01"}, {"Name": "lpa_hdd_lpt", "Value": "10"}, {"Name": "master-rsc_SAPHana_HDD_HDB10", "Value": "-9000"}]}, {"Name": "vmhdbdev02", "Attributes": [{"Name": "hana_hdd_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Name": "hana_hdd_remoteHost", "Value": "vmhdbdev01"}, {"Name": "hana_hdd_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdd_site", "Value": "WDF"}, {"Name": "hana_hdd_srmode", "Value": "sync"}, {"Name": "hana_hdd_sync_state", "Value": "PRIM"}, {"Name": "hana_hdd_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdd_vhost", "Value": "vmhdbdev02"}, {"Name": "lpa_hdd_lpt", "Value": "1643125026"}, {"Name": "master-rsc_SAPHana_HDD_HDB10", "Value": "150"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:25.39698	2024-04-09 15:08:25.39698
274	4b30a6af-4b52-5bda-bccb-f2248a12c992	sap_system_discovery	[{"Id": "97a1e70aeff3c0685d65c4c3d32d533b", "SID": "NWP", "Type": 2, "Profile": {"SAPDBHOST": "10.80.1.13", "dbms/name": "HDP", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwpas", "rdisp/msserv": "sapmsNWP", "SAPGLOBALHOST": "sapnwpas", "SAPSYSTEMNAME": "NWP", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDP", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwpas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.80.1.13", "Databases": null, "Instances": [{"Host": "vmnwprd02", "Name": "ERS10", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwpas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwper", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwppas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwpaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 23289, "name": "enrepserver", "starttime": "2022 01 11 13:43:18", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueReplicator", "elapsedtime": "151:08:42"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwper", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ERS10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.5", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwper:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:08:25.813599	2024-04-09 15:08:25.813599
228	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbddev01", "plan": {}, "tags": "fake-tags", "vmId": "5e294482-9554-4989-8b9e-a0a2d3991c09", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbddev01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbddev01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbddev01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.31"}]}, "ipv6": {}, "macAddress": "6045BD8A5969"}]}}, "Provider": "azure"}	2024-04-09 15:08:19.722685	2024-04-09 15:08:19.722685
231	927901fa-2c87-524e-b18c-3ef5187f504f	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "inactive"]}, "tuning state": "not tuned", "Notes applied": [], "Notes enabled": [], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [], "Solution enabled": [], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [], "Notes enabled by Solution": [], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:08:20.12285	2024-04-09 15:08:20.12285
232	21de186a-e38f-5804-b643-7f4ef22fecfd	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbddev02", "plan": {}, "tags": "fake-tags", "vmId": "99ef5ab8-73b5-4ca9-8c37-6778e2d6abc1", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbddev02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbddev02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbddev02-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.32"}]}, "ipv6": {}, "macAddress": "6045BD8D95F1"}]}}, "Provider": "azure"}	2024-04-09 15:08:20.241815	2024-04-09 15:08:20.241815
233	4b30a6af-4b52-5bda-bccb-f2248a12c992	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwprd02", "plan": {}, "tags": "fake-tags", "vmId": "2c54a8bf-b71d-423b-a656-34bcc575970e", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwprd02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.22"}]}, "ipv6": {}, "macAddress": "000D3A2E8038"}]}}, "Provider": "azure"}	2024-04-09 15:08:20.369413	2024-04-09 15:08:20.369413
238	4b30a6af-4b52-5bda-bccb-f2248a12c992	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "not compliant", "Notes applied": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Notes enabled": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "NETWEAVER", "applied partially": false}], "Solution enabled": ["NETWEAVER"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:08:20.994217	2024-04-09 15:08:20.994217
246	21de186a-e38f-5804-b643-7f4ef22fecfd	host_discovery	{"hostname": "vmdrbddev02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.32", "fe80::6245:bdff:fe8d:95f1"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951}	2024-04-09 15:08:21.990593	2024-04-09 15:08:21.990593
251	a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwprd03", "plan": {}, "tags": "fake-tags", "vmId": "21d17480-4282-4e38-84aa-3e14716ebc42", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwprd03", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver03-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-netweaver01-App", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Attach", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.23"}, {"privateIpAddress": "10.80.1.27"}]}, "ipv6": {}, "macAddress": "000D3A257F83"}]}}, "Provider": "azure"}	2024-04-09 15:08:22.65002	2024-04-09 15:08:22.65002
252	098fc159-3ed6-58e7-91be-38fda8a833ea	host_discovery	{"hostname": "vmnwqas03", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.27", "10.90.1.23", "fe80::6245:bdff:fe8d:5d9"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwqas03.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:22.769415	2024-04-09 15:08:22.769415
257	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	ha_cluster_discovery	{"DC": false, "Id": "4e905d706da85f5be14f85fa947c1e39", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbqas01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdq_lpt", "Name": "lpa_hdq_lpt", "Value": "1643125033"}, {"Id": "nodes-1-hana_hdq_vhost", "Name": "hana_hdq_vhost", "Value": "vmhdbqas01"}, {"Id": "nodes-1-hana_hdq_site", "Name": "hana_hdq_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdq_op_mode", "Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdq_srmode", "Name": "hana_hdq_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdq_remoteHost", "Name": "hana_hdq_remoteHost", "Value": "vmhdbqas02"}]}, {"Id": "2", "Uname": "vmhdbqas02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdq_lpt", "Name": "lpa_hdq_lpt", "Value": "30"}, {"Id": "nodes-2-hana_hdq_op_mode", "Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdq_vhost", "Name": "hana_hdq_vhost", "Value": "vmhdbqas02"}, {"Id": "nodes-2-hana_hdq_remoteHost", "Name": "hana_hdq_remoteHost", "Value": "vmhdbqas01"}, {"Id": "nodes-2-hana_hdq_site", "Name": "hana_hdq_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdq_srmode", "Name": "hana_hdq_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_2"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdq_site_srHook_WDF", "Name": "hana_hdq_site_srHook_WDF", "Value": "SOK"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDQ_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDQ"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDQ_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDQ_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDQ_HDB10", "Primitives": [{"Id": "rsc_ip_HDQ_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDQ_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.13"}, {"Id": "rsc_ip_HDQ_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDQ_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDQ_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDQ_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDQ_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDQ_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDQ_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDQ"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-360014058d88c7795c6a4b66bc024f4bd", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "246da75b-af59-4135-b980-90bf87815e2e", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbqas01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-360014058d88c7795c6a4b66bc024f4bd", "Status": "healthy"}]}, "Name": "hana_cluster_2", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmhdbqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "msl_SAPHana_HDQ_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDQ_HDB10", "Node": {"Id": "2", "Name": "vmhdbqas02", "Cached": true}, "Role": "Slave", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDQ_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Node": {"Id": "2", "Name": "vmhdbqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDQ_HDB10", "Resources": [{"Id": "rsc_ip_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:37:13 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbqas02", "ResourceHistory": [{"Name": "rsc_SAPHana_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbqas01", "Attributes": [{"Name": "hana_hdq_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Name": "hana_hdq_remoteHost", "Value": "vmhdbqas02"}, {"Name": "hana_hdq_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdq_site", "Value": "NBG"}, {"Name": "hana_hdq_srmode", "Value": "sync"}, {"Name": "hana_hdq_sync_state", "Value": "PRIM"}, {"Name": "hana_hdq_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdq_vhost", "Value": "vmhdbqas01"}, {"Name": "lpa_hdq_lpt", "Value": "1643125033"}, {"Name": "master-rsc_SAPHana_HDQ_HDB10", "Value": "150"}]}, {"Name": "vmhdbqas02", "Attributes": [{"Name": "hana_hdq_clone_state", "Value": "DEMOTED"}, {"Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Name": "hana_hdq_remoteHost", "Value": "vmhdbqas01"}, {"Name": "hana_hdq_roles", "Value": "4:S:master1:master:worker:master"}, {"Name": "hana_hdq_site", "Value": "WDF"}, {"Name": "hana_hdq_srmode", "Value": "sync"}, {"Name": "hana_hdq_sync_state", "Value": "SOK"}, {"Name": "hana_hdq_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdq_vhost", "Value": "vmhdbqas02"}, {"Name": "lpa_hdq_lpt", "Value": "30"}, {"Name": "master-rsc_SAPHana_HDQ_HDB10", "Value": "100"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:23.52665	2024-04-09 15:08:23.52665
270	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "inactive"]}, "tuning state": "not tuned", "Notes applied": [], "Notes enabled": [], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [], "Solution enabled": [], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [], "Notes enabled by Solution": [], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:08:25.260769	2024-04-09 15:08:25.260769
279	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	host_discovery	{"hostname": "vmhdbdev02", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.12", "fe80::6245:bdff:fe8a:5f6b"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbdev02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:26.494442	2024-04-09 15:08:26.494442
301	21de186a-e38f-5804-b643-7f4ef22fecfd	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:29.368865	2024-04-09 15:08:29.368865
302	927901fa-2c87-524e-b18c-3ef5187f504f	host_discovery	{"hostname": "vmdrbdprd02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.32", "fe80::20d:3aff:fe2e:8b91"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmdrbdprd02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:29.506228	2024-04-09 15:08:29.506228
303	99cf8a3a-48d6-57a4-b302-6e4482227ab6	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:29.637345	2024-04-09 15:08:29.637345
309	098fc159-3ed6-58e7-91be-38fda8a833ea	subscription_discovery	[{"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "SLES_SAP"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-ha"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:30.404515	2024-04-09 15:08:30.404515
352	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	host_discovery	{"hostname": "vmnwdev01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.21", "10.100.1.25", "fe80::6245:bdff:fe8a:5ce7"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwdev01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:36.183037	2024-04-09 15:08:36.183037
354	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev02", "Name": "ERS10", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 6720, "name": "enrepserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueReplicator", "elapsedtime": "151:56:49"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwder", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ERS10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.5", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwder:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:08:36.446193	2024-04-09 15:08:36.446193
260	a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "not compliant", "Notes applied": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Notes enabled": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "NETWEAVER", "applied partially": false}], "Solution enabled": ["NETWEAVER"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:08:23.940275	2024-04-09 15:08:23.940275
261	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:24.083539	2024-04-09 15:08:24.083539
262	a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:24.220185	2024-04-09 15:08:24.220185
263	422686d6-b2d1-5092-93e8-a744854f5085	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:24.350009	2024-04-09 15:08:24.350009
264	927901fa-2c87-524e-b18c-3ef5187f504f	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:24.477027	2024-04-09 15:08:24.477027
265	1b0e9297-97dd-55d6-9874-8efde4d84c90	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev04", "plan": {}, "tags": "fake-tags", "vmId": "48a84b30-7cfb-4b74-ad43-8382ad07ed9b", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev04", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver04-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-netweaver02-App", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Attach", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.24"}, {"privateIpAddress": "10.100.1.28"}]}, "ipv6": {}, "macAddress": "6045BD8D9A74"}]}}, "Provider": "azure"}	2024-04-09 15:08:24.6033	2024-04-09 15:08:24.6033
355	1b0e9297-97dd-55d6-9874-8efde4d84c90	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev04", "Name": "D02", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 26496, "name": "gwrd", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:47:01"}, {"pid": 26497, "name": "icman", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:47:01"}, {"pid": 26476, "name": "igswd_mt", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:47:04"}, {"pid": 26475, "name": "disp+work", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:47:04"}], "Properties": [{"value": "HTTP://sapnwdaas1:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwdaas1:40280", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "02", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdaas1", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D02", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwdaas1:50213/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:08:36.587662	2024-04-09 15:08:36.587662
266	99cf8a3a-48d6-57a4-b302-6e4482227ab6	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbqas01", "plan": {}, "tags": "fake-tags", "vmId": "f01d07fa-c7eb-477a-9de1-eef7e946fdbe", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbqas01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.11"}]}, "ipv6": {}, "macAddress": "6045BD8D01D5"}]}}, "Provider": "azure"}	2024-04-09 15:08:24.737345	2024-04-09 15:08:24.737345
267	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbqas02", "plan": {}, "tags": "fake-tags", "vmId": "7b21fd90-d128-4e25-8812-2fef28f94839", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbqas02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.12"}]}, "ipv6": {}, "macAddress": "6045BD8D08B3"}]}}, "Provider": "azure"}	2024-04-09 15:08:24.876826	2024-04-09 15:08:24.876826
268	422686d6-b2d1-5092-93e8-a744854f5085	host_discovery	{"hostname": "vmdrbdqas02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.32", "fe80::6245:bdff:fe8d:523"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmdrbdqas02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:25.000369	2024-04-09 15:08:25.000369
269	9cd46919-5f19-59aa-993e-cf3736c71053	host_discovery	{"hostname": "vmhdbprd01", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.11", "10.80.1.13", "fe80::20d:3aff:fe23:2c6b"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbprd01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:25.126137	2024-04-09 15:08:25.126137
272	4b30a6af-4b52-5bda-bccb-f2248a12c992	host_discovery	{"hostname": "vmnwprd02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.22", "10.80.1.26", "fe80::20d:3aff:fe2e:8038"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwprd02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:25.538437	2024-04-09 15:08:25.538437
273	b767b3e9-e802-587e-a442-541d093b86b9	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbprd02", "plan": {}, "tags": "fake-tags", "vmId": "cdec8bb8-ec3f-437a-89dd-3df677e1507e", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbprd02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.12"}]}, "ipv6": {}, "macAddress": "000D3A21F108"}]}}, "Provider": "azure"}	2024-04-09 15:08:25.681576	2024-04-09 15:08:25.681576
277	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	sap_system_discovery	[]	2024-04-09 15:08:26.251088	2024-04-09 15:08:26.251088
304	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:08:29.762879	2024-04-09 15:08:29.762879
320	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:08:31.881843	2024-04-09 15:08:31.881843
362	99cf8a3a-48d6-57a4-b302-6e4482227ab6	host_discovery	{"hostname": "vmhdbqas01", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.11", "10.90.1.13", "fe80::6245:bdff:fe8d:1d5"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbqas01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:40.353513	2024-04-09 15:08:40.353513
365	99cf8a3a-48d6-57a4-b302-6e4482227ab6	ha_cluster_discovery	{"DC": true, "Id": "4e905d706da85f5be14f85fa947c1e39", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbqas01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdq_lpt", "Name": "lpa_hdq_lpt", "Value": "1643125033"}, {"Id": "nodes-1-hana_hdq_vhost", "Name": "hana_hdq_vhost", "Value": "vmhdbqas01"}, {"Id": "nodes-1-hana_hdq_site", "Name": "hana_hdq_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdq_op_mode", "Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdq_srmode", "Name": "hana_hdq_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdq_remoteHost", "Name": "hana_hdq_remoteHost", "Value": "vmhdbqas02"}]}, {"Id": "2", "Uname": "vmhdbqas02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdq_lpt", "Name": "lpa_hdq_lpt", "Value": "30"}, {"Id": "nodes-2-hana_hdq_op_mode", "Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdq_vhost", "Name": "hana_hdq_vhost", "Value": "vmhdbqas02"}, {"Id": "nodes-2-hana_hdq_remoteHost", "Name": "hana_hdq_remoteHost", "Value": "vmhdbqas01"}, {"Id": "nodes-2-hana_hdq_site", "Name": "hana_hdq_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdq_srmode", "Name": "hana_hdq_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_2"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdq_site_srHook_WDF", "Name": "hana_hdq_site_srHook_WDF", "Value": "SOK"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDQ_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDQ"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDQ_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDQ_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDQ_HDB10", "Primitives": [{"Id": "rsc_ip_HDQ_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDQ_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.13"}, {"Id": "rsc_ip_HDQ_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDQ_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDQ_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDQ_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDQ_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDQ_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDQ_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDQ"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-360014058d88c7795c6a4b66bc024f4bd", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "246da75b-af59-4135-b980-90bf87815e2e", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbqas01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-360014058d88c7795c6a4b66bc024f4bd", "Status": "healthy"}]}, "Name": "hana_cluster_2", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmhdbqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "msl_SAPHana_HDQ_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDQ_HDB10", "Node": {"Id": "2", "Name": "vmhdbqas02", "Cached": true}, "Role": "Slave", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDQ_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Node": {"Id": "2", "Name": "vmhdbqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDQ_HDB10", "Resources": [{"Id": "rsc_ip_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:37:13 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbqas02", "ResourceHistory": [{"Name": "rsc_SAPHana_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbqas01", "Attributes": [{"Name": "hana_hdq_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Name": "hana_hdq_remoteHost", "Value": "vmhdbqas02"}, {"Name": "hana_hdq_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdq_site", "Value": "NBG"}, {"Name": "hana_hdq_srmode", "Value": "sync"}, {"Name": "hana_hdq_sync_state", "Value": "PRIM"}, {"Name": "hana_hdq_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdq_vhost", "Value": "vmhdbqas01"}, {"Name": "lpa_hdq_lpt", "Value": "1643125033"}, {"Name": "master-rsc_SAPHana_HDQ_HDB10", "Value": "150"}]}, {"Name": "vmhdbqas02", "Attributes": [{"Name": "hana_hdq_clone_state", "Value": "DEMOTED"}, {"Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Name": "hana_hdq_remoteHost", "Value": "vmhdbqas01"}, {"Name": "hana_hdq_roles", "Value": "4:S:master1:master:worker:master"}, {"Name": "hana_hdq_site", "Value": "WDF"}, {"Name": "hana_hdq_srmode", "Value": "sync"}, {"Name": "hana_hdq_sync_state", "Value": "SOK"}, {"Name": "hana_hdq_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdq_vhost", "Value": "vmhdbqas02"}, {"Name": "lpa_hdq_lpt", "Value": "30"}, {"Name": "master-rsc_SAPHana_HDQ_HDB10", "Value": "100"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:40.827293	2024-04-09 15:08:40.827293
366	99cf8a3a-48d6-57a4-b302-6e4482227ab6	sap_system_discovery	[{"Id": "9953878f07bb54cac20d5d5d7ff08af2", "SID": "HDQ", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbqas01", "SAPSYSTEMNAME": "HDQ", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbqas01", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDQ", "Container": ""}], "Instances": [{"Host": "vmhdbqas01", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbqas01", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 25408, "name": "hdbdaemon", "starttime": "2022 01 11 12:28:43", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "152:23:18"}, {"pid": 27262, "name": "hdbxsengine", "starttime": "2022 01 11 12:29:06", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDQ", "elapsedtime": "152:22:55"}, {"pid": 25428, "name": "hdbnameserver", "starttime": "2022 01 11 12:28:44", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "152:23:17"}, {"pid": 27259, "name": "hdbindexserver", "starttime": "2022 01 11 12:29:06", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDQ", "elapsedtime": "152:22:55"}, {"pid": 27206, "name": "hdbpreprocessor", "starttime": "2022 01 11 12:29:06", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "152:22:55"}, {"pid": 27203, "name": "hdbcompileserver", "starttime": "2022 01 11 12:29:06", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "152:22:55"}, {"pid": 29632, "name": "hdbwebdispatcher", "starttime": "2022 01 11 12:29:37", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "152:22:24"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbqas01", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbqas01:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "primary", "online": "true", "site_id": "1", "isSource": "true", "site_name": "NBG", "isConsumer": "false", "hasConsumers": "true", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "primary", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbqas01": ["WDF/vmhdbqas02", "NBG/vmhdbqas01"], "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbqas01", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "1", "site/1/SITE_NAME": "NBG", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/1/REPLICATION_MODE": "PRIMARY", "site/2/REPLICATION_MODE": "SYNC", "site/2/REPLICATION_STATUS": "ACTIVE", "overall_replication_status": "ACTIVE", "service/vmhdbqas01/31001/HOST": "vmhdbqas01", "service/vmhdbqas01/31001/PORT": "31001", "service/vmhdbqas01/31003/HOST": "vmhdbqas01", "service/vmhdbqas01/31003/PORT": "31003", "service/vmhdbqas01/31007/HOST": "vmhdbqas01", "service/vmhdbqas01/31007/PORT": "31007", "service/vmhdbqas01/31001/SITE_ID": "1", "service/vmhdbqas01/31003/SITE_ID": "1", "service/vmhdbqas01/31007/SITE_ID": "1", "service/vmhdbqas01/31001/DATABASE": "SYSTEMDB", "service/vmhdbqas01/31003/DATABASE": "HDQ", "service/vmhdbqas01/31007/DATABASE": "HDQ", "service/vmhdbqas01/31001/FULL_SYNC": "DISABLED", "service/vmhdbqas01/31001/SITE_NAME": "NBG", "service/vmhdbqas01/31001/VOLUME_ID": "1", "service/vmhdbqas01/31003/FULL_SYNC": "DISABLED", "service/vmhdbqas01/31003/SITE_NAME": "NBG", "service/vmhdbqas01/31003/VOLUME_ID": "3", "service/vmhdbqas01/31007/FULL_SYNC": "DISABLED", "service/vmhdbqas01/31007/SITE_NAME": "NBG", "service/vmhdbqas01/31007/VOLUME_ID": "2", "service/vmhdbqas01/31001/RESET_COUNT": "0", "service/vmhdbqas01/31003/RESET_COUNT": "0", "service/vmhdbqas01/31007/RESET_COUNT": "0", "service/vmhdbqas01/31001/SERVICE_NAME": "nameserver", "service/vmhdbqas01/31003/SERVICE_NAME": "indexserver", "service/vmhdbqas01/31007/SERVICE_NAME": "xsengine", "service/vmhdbqas01/31001/CREATION_TIME": "2022-01-11 12:29:06.391562", "service/vmhdbqas01/31003/CREATION_TIME": "2022-01-11 12:29:33.189016", "service/vmhdbqas01/31007/CREATION_TIME": "2022-01-11 12:29:37.637575", "service/vmhdbqas01/31001/OPERATION_MODE": "logreplay", "service/vmhdbqas01/31001/SECONDARY_HOST": "vmhdbqas02", "service/vmhdbqas01/31001/SECONDARY_PORT": "31001", "service/vmhdbqas01/31003/OPERATION_MODE": "logreplay", "service/vmhdbqas01/31003/SECONDARY_HOST": "vmhdbqas02", "service/vmhdbqas01/31003/SECONDARY_PORT": "31003", "service/vmhdbqas01/31007/OPERATION_MODE": "logreplay", "service/vmhdbqas01/31007/SECONDARY_HOST": "vmhdbqas02", "service/vmhdbqas01/31007/SECONDARY_PORT": "31007", "service/vmhdbqas01/31001/LAST_RESET_TIME": "2022-01-11 12:29:06.391562", "service/vmhdbqas01/31003/LAST_RESET_TIME": "2022-01-11 12:29:33.189016", "service/vmhdbqas01/31007/LAST_RESET_TIME": "2022-01-11 12:29:37.637575", "service/vmhdbqas01/31001/REPLICATION_MODE": "SYNC", "service/vmhdbqas01/31003/REPLICATION_MODE": "SYNC", "service/vmhdbqas01/31007/REPLICATION_MODE": "SYNC", "service/vmhdbqas01/31001/LAST_LOG_POSITION": "45366976", "service/vmhdbqas01/31001/SECONDARY_SITE_ID": "2", "service/vmhdbqas01/31003/LAST_LOG_POSITION": "247682688", "service/vmhdbqas01/31003/SECONDARY_SITE_ID": "2", "service/vmhdbqas01/31007/LAST_LOG_POSITION": "4699712", "service/vmhdbqas01/31007/SECONDARY_SITE_ID": "2", "service/vmhdbqas01/31001/REPLICATION_STATUS": "ACTIVE", "service/vmhdbqas01/31003/REPLICATION_STATUS": "ACTIVE", "service/vmhdbqas01/31007/REPLICATION_STATUS": "ACTIVE", "service/vmhdbqas01/31001/SECONDARY_SITE_NAME": "WDF", "service/vmhdbqas01/31003/SECONDARY_SITE_NAME": "WDF", "service/vmhdbqas01/31007/SECONDARY_SITE_NAME": "WDF", "service/vmhdbqas01/31001/SHIPPED_LOG_POSITION": "45366976", "service/vmhdbqas01/31003/SHIPPED_LOG_POSITION": "247682688", "service/vmhdbqas01/31007/SHIPPED_LOG_POSITION": "4699712", "service/vmhdbqas01/31001/REPLAYED_LOG_POSITION": "45366976", "service/vmhdbqas01/31003/REPLAYED_LOG_POSITION": "247682688", "service/vmhdbqas01/31007/REPLAYED_LOG_POSITION": "4699652", "service/vmhdbqas01/31001/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:57.259967", "service/vmhdbqas01/31001/LAST_SAVEPOINT_VERSION": "3060", "service/vmhdbqas01/31001/SECONDARY_CONNECT_TIME": "2022-01-11 12:30:25.128075", "service/vmhdbqas01/31003/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:46.152250", "service/vmhdbqas01/31003/LAST_SAVEPOINT_VERSION": "2866", "service/vmhdbqas01/31003/SECONDARY_CONNECT_TIME": "2022-01-11 12:35:03.347379", "service/vmhdbqas01/31007/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:44.353141", "service/vmhdbqas01/31007/LAST_SAVEPOINT_VERSION": "2887", "service/vmhdbqas01/31007/SECONDARY_CONNECT_TIME": "2022-01-11 12:35:03.226334", "service/vmhdbqas01/31001/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbqas01/31003/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbqas01/31007/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbqas01/31001/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbqas01/31001/SHIPPED_LOG_BUFFERS_SIZE": "555925504", "service/vmhdbqas01/31003/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbqas01/31003/SHIPPED_LOG_BUFFERS_SIZE": "3534827520", "service/vmhdbqas01/31007/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbqas01/31007/SHIPPED_LOG_BUFFERS_SIZE": "269307904", "service/vmhdbqas01/31001/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:47:57.248689", "service/vmhdbqas01/31001/SECONDARY_RECONNECT_COUNT": "0", "service/vmhdbqas01/31001/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31001/SHIPPED_LOG_BUFFERS_COUNT": "125862", "service/vmhdbqas01/31001/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:57.259967", "service/vmhdbqas01/31001/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbqas01/31003/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:48:26.167454", "service/vmhdbqas01/31003/SECONDARY_RECONNECT_COUNT": "9", "service/vmhdbqas01/31003/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31003/SHIPPED_LOG_BUFFERS_COUNT": "684679", "service/vmhdbqas01/31003/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:46.152250", "service/vmhdbqas01/31003/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbqas01/31007/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:51:44.329775", "service/vmhdbqas01/31007/SECONDARY_RECONNECT_COUNT": "9", "service/vmhdbqas01/31007/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31007/SHIPPED_LOG_BUFFERS_COUNT": "65749", "service/vmhdbqas01/31007/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:44.353141", "service/vmhdbqas01/31007/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbqas01/31001/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:57.259967", "service/vmhdbqas01/31001/REPLICATION_STATUS_DETAILS": "", "service/vmhdbqas01/31001/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31001/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbqas01/31003/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:46.152250", "service/vmhdbqas01/31003/REPLICATION_STATUS_DETAILS": "", "service/vmhdbqas01/31003/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31003/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbqas01/31007/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:44.353141", "service/vmhdbqas01/31007/REPLICATION_STATUS_DETAILS": "", "service/vmhdbqas01/31007/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31007/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbqas01/31001/LAST_SAVEPOINT_LOG_POSITION": "45363330", "service/vmhdbqas01/31001/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbqas01/31003/LAST_SAVEPOINT_LOG_POSITION": "247663426", "service/vmhdbqas01/31003/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbqas01/31007/LAST_SAVEPOINT_LOG_POSITION": "4699460", "service/vmhdbqas01/31007/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbqas01/31001/SHIPPED_LOG_BUFFERS_DURATION": "354670113", "service/vmhdbqas01/31001/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LOG_BUFFERS_DURATION": "1782503270", "service/vmhdbqas01/31003/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LOG_BUFFERS_DURATION": "176031371", "service/vmhdbqas01/31007/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbqas01/31001/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbqas01/31003/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbqas01/31007/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbqas01/31001/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbqas01/31001/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31001/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbqas01/31003/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbqas01/31003/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31003/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbqas01/31007/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbqas01/31007/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31007/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbqas01/31001/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31003/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31007/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31001/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbqas01/31001/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbqas01/31001/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbqas01/31001/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-"}}]}]	2024-04-09 15:08:40.968298	2024-04-09 15:08:40.968298
281	25677e37-fd33-5005-896c-9275b1284534	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwqas01", "plan": {}, "tags": "fake-tags", "vmId": "2f1d001b-7ba0-49f3-afbd-c5668684a0a4", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwqas01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.21"}]}, "ipv6": {}, "macAddress": "6045BD8D0A30"}]}}, "Provider": "azure"}	2024-04-09 15:08:26.746417	2024-04-09 15:08:26.746417
292	9cd46919-5f19-59aa-993e-cf3736c71053	sap_system_discovery	[{"Id": "1154f7678ac587e5f0f242830a5201f1", "SID": "HDP", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbprd01", "SAPSYSTEMNAME": "HDP", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbprd01", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDP", "Container": ""}], "Instances": [{"Host": "vmhdbprd01", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbprd01", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 2186, "name": "hdbdaemon", "starttime": "2022 01 11 13:34:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "151:17:01"}, {"pid": 3720, "name": "hdbxsengine", "starttime": "2022 01 11 13:35:18", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDP", "elapsedtime": "151:16:41"}, {"pid": 2245, "name": "hdbnameserver", "starttime": "2022 01 11 13:34:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "151:17:01"}, {"pid": 3717, "name": "hdbindexserver", "starttime": "2022 01 11 13:35:18", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDP", "elapsedtime": "151:16:41"}, {"pid": 3617, "name": "hdbpreprocessor", "starttime": "2022 01 11 13:35:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "151:16:42"}, {"pid": 3614, "name": "hdbcompileserver", "starttime": "2022 01 11 13:35:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "151:16:42"}, {"pid": 6387, "name": "hdbwebdispatcher", "starttime": "2022 01 11 13:35:47", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "151:16:12"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbprd01", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbprd01:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "primary", "online": "true", "site_id": "1", "isSource": "true", "site_name": "NBG", "isConsumer": "false", "hasConsumers": "true", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "primary", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbprd01": ["WDF/vmhdbprd02", "NBG/vmhdbprd01"], "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbprd01", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "1", "site/1/SITE_NAME": "NBG", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/1/REPLICATION_MODE": "PRIMARY", "site/2/REPLICATION_MODE": "SYNC", "site/2/REPLICATION_STATUS": "ACTIVE", "overall_replication_status": "ACTIVE", "service/vmhdbprd01/31001/HOST": "vmhdbprd01", "service/vmhdbprd01/31001/PORT": "31001", "service/vmhdbprd01/31003/HOST": "vmhdbprd01", "service/vmhdbprd01/31003/PORT": "31003", "service/vmhdbprd01/31007/HOST": "vmhdbprd01", "service/vmhdbprd01/31007/PORT": "31007", "service/vmhdbprd01/31001/SITE_ID": "1", "service/vmhdbprd01/31003/SITE_ID": "1", "service/vmhdbprd01/31007/SITE_ID": "1", "service/vmhdbprd01/31001/DATABASE": "SYSTEMDB", "service/vmhdbprd01/31003/DATABASE": "HDP", "service/vmhdbprd01/31007/DATABASE": "HDP", "service/vmhdbprd01/31001/FULL_SYNC": "DISABLED", "service/vmhdbprd01/31001/SITE_NAME": "NBG", "service/vmhdbprd01/31001/VOLUME_ID": "1", "service/vmhdbprd01/31003/FULL_SYNC": "DISABLED", "service/vmhdbprd01/31003/SITE_NAME": "NBG", "service/vmhdbprd01/31003/VOLUME_ID": "3", "service/vmhdbprd01/31007/FULL_SYNC": "DISABLED", "service/vmhdbprd01/31007/SITE_NAME": "NBG", "service/vmhdbprd01/31007/VOLUME_ID": "2", "service/vmhdbprd01/31001/RESET_COUNT": "0", "service/vmhdbprd01/31003/RESET_COUNT": "0", "service/vmhdbprd01/31007/RESET_COUNT": "0", "service/vmhdbprd01/31001/SERVICE_NAME": "nameserver", "service/vmhdbprd01/31003/SERVICE_NAME": "indexserver", "service/vmhdbprd01/31007/SERVICE_NAME": "xsengine", "service/vmhdbprd01/31001/CREATION_TIME": "2022-01-11 13:35:17.794006", "service/vmhdbprd01/31003/CREATION_TIME": "2022-01-11 13:35:44.241176", "service/vmhdbprd01/31007/CREATION_TIME": "2022-01-11 13:35:48.262371", "service/vmhdbprd01/31001/OPERATION_MODE": "logreplay", "service/vmhdbprd01/31001/SECONDARY_HOST": "vmhdbprd02", "service/vmhdbprd01/31001/SECONDARY_PORT": "31001", "service/vmhdbprd01/31003/OPERATION_MODE": "logreplay", "service/vmhdbprd01/31003/SECONDARY_HOST": "vmhdbprd02", "service/vmhdbprd01/31003/SECONDARY_PORT": "31003", "service/vmhdbprd01/31007/OPERATION_MODE": "logreplay", "service/vmhdbprd01/31007/SECONDARY_HOST": "vmhdbprd02", "service/vmhdbprd01/31007/SECONDARY_PORT": "31007", "service/vmhdbprd01/31001/LAST_RESET_TIME": "2022-01-11 13:35:17.794006", "service/vmhdbprd01/31003/LAST_RESET_TIME": "2022-01-11 13:35:44.241176", "service/vmhdbprd01/31007/LAST_RESET_TIME": "2022-01-11 13:35:48.262371", "service/vmhdbprd01/31001/REPLICATION_MODE": "SYNC", "service/vmhdbprd01/31003/REPLICATION_MODE": "SYNC", "service/vmhdbprd01/31007/REPLICATION_MODE": "SYNC", "service/vmhdbprd01/31001/LAST_LOG_POSITION": "45316224", "service/vmhdbprd01/31001/SECONDARY_SITE_ID": "2", "service/vmhdbprd01/31003/LAST_LOG_POSITION": "249613824", "service/vmhdbprd01/31003/SECONDARY_SITE_ID": "2", "service/vmhdbprd01/31007/LAST_LOG_POSITION": "4700160", "service/vmhdbprd01/31007/SECONDARY_SITE_ID": "2", "service/vmhdbprd01/31001/REPLICATION_STATUS": "ACTIVE", "service/vmhdbprd01/31003/REPLICATION_STATUS": "ACTIVE", "service/vmhdbprd01/31007/REPLICATION_STATUS": "ACTIVE", "service/vmhdbprd01/31001/SECONDARY_SITE_NAME": "WDF", "service/vmhdbprd01/31003/SECONDARY_SITE_NAME": "WDF", "service/vmhdbprd01/31007/SECONDARY_SITE_NAME": "WDF", "service/vmhdbprd01/31001/SHIPPED_LOG_POSITION": "45316224", "service/vmhdbprd01/31003/SHIPPED_LOG_POSITION": "249613824", "service/vmhdbprd01/31007/SHIPPED_LOG_POSITION": "4700160", "service/vmhdbprd01/31001/REPLAYED_LOG_POSITION": "45316224", "service/vmhdbprd01/31003/REPLAYED_LOG_POSITION": "249613824", "service/vmhdbprd01/31007/REPLAYED_LOG_POSITION": "4700101", "service/vmhdbprd01/31001/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:48.550230", "service/vmhdbprd01/31001/LAST_SAVEPOINT_VERSION": "3068", "service/vmhdbprd01/31001/SECONDARY_CONNECT_TIME": "2022-01-11 13:36:31.486904", "service/vmhdbprd01/31003/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:44.595948", "service/vmhdbprd01/31003/LAST_SAVEPOINT_VERSION": "2792", "service/vmhdbprd01/31003/SECONDARY_CONNECT_TIME": "2022-01-11 13:40:09.285107", "service/vmhdbprd01/31007/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:15.066330", "service/vmhdbprd01/31007/LAST_SAVEPOINT_VERSION": "2862", "service/vmhdbprd01/31007/SECONDARY_CONNECT_TIME": "2022-01-11 13:40:08.545290", "service/vmhdbprd01/31001/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbprd01/31003/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbprd01/31007/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbprd01/31001/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbprd01/31001/SHIPPED_LOG_BUFFERS_SIZE": "554209280", "service/vmhdbprd01/31003/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbprd01/31003/SHIPPED_LOG_BUFFERS_SIZE": "3611877376", "service/vmhdbprd01/31007/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbprd01/31007/SHIPPED_LOG_BUFFERS_SIZE": "267542528", "service/vmhdbprd01/31001/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:49:08.441827", "service/vmhdbprd01/31001/SECONDARY_RECONNECT_COUNT": "0", "service/vmhdbprd01/31001/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbprd01/31001/SHIPPED_LOG_BUFFERS_COUNT": "125120", "service/vmhdbprd01/31001/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:48.550230", "service/vmhdbprd01/31001/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbprd01/31003/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:48:13.337797", "service/vmhdbprd01/31003/SECONDARY_RECONNECT_COUNT": "7", "service/vmhdbprd01/31003/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbprd01/31003/SHIPPED_LOG_BUFFERS_COUNT": "693785", "service/vmhdbprd01/31003/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:44.595948", "service/vmhdbprd01/31003/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbprd01/31007/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:51:13.839155", "service/vmhdbprd01/31007/SECONDARY_RECONNECT_COUNT": "7", "service/vmhdbprd01/31007/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbprd01/31007/SHIPPED_LOG_BUFFERS_COUNT": "65318", "service/vmhdbprd01/31007/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:15.066330", "service/vmhdbprd01/31007/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbprd01/31001/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:48.550230", "service/vmhdbprd01/31001/REPLICATION_STATUS_DETAILS": "", "service/vmhdbprd01/31001/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbprd01/31001/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbprd01/31003/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:44.595948", "service/vmhdbprd01/31003/REPLICATION_STATUS_DETAILS": "", "service/vmhdbprd01/31003/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbprd01/31003/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbprd01/31007/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:15.066330", "service/vmhdbprd01/31007/REPLICATION_STATUS_DETAILS": "", "service/vmhdbprd01/31007/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbprd01/31007/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbprd01/31001/LAST_SAVEPOINT_LOG_POSITION": "45312962", "service/vmhdbprd01/31001/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbprd01/31003/LAST_SAVEPOINT_LOG_POSITION": "249597314", "service/vmhdbprd01/31003/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbprd01/31007/LAST_SAVEPOINT_LOG_POSITION": "4699655", "service/vmhdbprd01/31007/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbprd01/31001/SHIPPED_LOG_BUFFERS_DURATION": "357505585", "service/vmhdbprd01/31001/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbprd01/31003/SHIPPED_LOG_BUFFERS_DURATION": "1885304582", "service/vmhdbprd01/31003/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbprd01/31007/SHIPPED_LOG_BUFFERS_DURATION": "191364516", "service/vmhdbprd01/31007/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbprd01/31001/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbprd01/31003/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbprd01/31007/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbprd01/31001/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbprd01/31001/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbprd01/31001/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbprd01/31003/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbprd01/31003/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbprd01/31003/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbprd01/31007/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbprd01/31007/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbprd01/31007/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbprd01/31001/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbprd01/31003/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbprd01/31007/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbprd01/31001/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbprd01/31003/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbprd01/31007/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbprd01/31001/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbprd01/31003/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbprd01/31007/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbprd01/31001/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbprd01/31003/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbprd01/31007/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbprd01/31001/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbprd01/31003/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbprd01/31007/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-"}}]}]	2024-04-09 15:08:28.192333	2024-04-09 15:08:28.192333
295	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev03", "Name": "D01", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 27224, "name": "gwrd", "starttime": "2022 01 11 13:03:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:48:10"}, {"pid": 27225, "name": "icman", "starttime": "2022 01 11 13:03:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:48:10"}, {"pid": 26907, "name": "igswd_mt", "starttime": "2022 01 11 13:03:55", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:48:13"}, {"pid": 26906, "name": "disp+work", "starttime": "2022 01 11 13:03:55", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:48:13"}], "Properties": [{"value": "HTTP://sapnwdpas:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwdpas:40180", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "01", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdpas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D01", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwdpas:50113/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:08:28.581534	2024-04-09 15:08:28.581534
300	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	ha_cluster_discovery	{"DC": false, "Id": "a034a158905404befe08775682910ee1", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmdrbdqas01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmdrbdqas02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "drbd_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": [{"Id": "cl-nfsserver", "Primitive": {"Id": "nfsserver", "Type": "nfs-server", "Class": "systemd", "Provider": "", "Operations": [{"Id": "nfsserver-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": null}, "MetaAttributes": [{"Id": "cl-nfsserver-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g-nfs_sapdata", "Primitives": [{"Id": "fs_sapdata", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "fs_sapdata-monitor-20", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "fs_sapdata-instance_attributes-device", "Name": "device", "Value": "/dev/drbd1"}, {"Id": "fs_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWQ"}, {"Id": "fs_sapdata-instance_attributes-fstype", "Name": "fstype", "Value": "xfs"}, {"Id": "fs_sapdata-instance_attributes-options", "Name": "options", "Value": "noatime,nodiratime"}]}, {"Id": "vip_sapdata_nfs", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "vip_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "vip_sapdata_nfs-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.33"}, {"Id": "vip_sapdata_nfs-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "32"}, {"Id": "vip_sapdata_nfs-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "exportfs_work_sapdata", "Type": "exportfs", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "exportfs_work_sapdata-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "exportfs_work_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWQ"}, {"Id": "exportfs_work_sapdata-instance_attributes-fsid", "Name": "fsid", "Value": "1"}, {"Id": "exportfs_work_sapdata-instance_attributes-options", "Name": "options", "Value": "rw,no_root_squash"}, {"Id": "exportfs_work_sapdata-instance_attributes-clientspec", "Name": "clientspec", "Value": "*"}, {"Id": "exportfs_work_sapdata-instance_attributes-wait_for_leasetime_on_stop", "Name": "wait_for_leasetime_on_stop", "Value": "true"}]}, {"Id": "rsc_socat_sapdata_nfs", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_sapdata_nfs-instance_attributes-port", "Name": "port", "Value": "61000"}]}]}], "Masters": [{"Id": "ms_sapdata", "Primitive": {"Id": "drbd-sapdata", "Type": "drbd", "Class": "ocf", "Provider": "linbit", "Operations": [{"Id": "drbd-sapdata-monitor-15", "Name": "monitor", "Role": "Master", "Timeout": "", "Interval": "15"}, {"Id": "drbd-sapdata-monitor-30", "Name": "monitor", "Role": "Slave", "Timeout": "", "Interval": "30"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "drbd-sapdata-instance_attributes-drbd_resource", "Name": "drbd_resource", "Value": "sapdata"}]}, "MetaAttributes": [{"Id": "ms_sapdata-meta_attributes-master-max", "Name": "master-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-master-node-max", "Name": "master-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-0-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "ms_sapdata-meta_attributes-0-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-1-notify", "Name": "notify", "Value": "true"}, {"Id": "ms_sapdata-meta_attributes-1-target-role", "Name": "target-role", "Value": "Started"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:c1c003f5-4e45-4d6f-8d81-e338f666365c", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "f5991966-5a7f-45d6-90d1-bfcedb265df6", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmdrbdqas01", "Status": "clear"}, {"Id": 1, "Name": "vmdrbdqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:c1c003f5-4e45-4d6f-8d81-e338f666365c", "Status": "healthy"}]}, "Name": "drbd_cluster", "Crmmon": {"Nodes": [{"DC": false, "Id": "1", "Name": "vmdrbdqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 7}, {"DC": true, "Id": "2", "Name": "vmdrbdqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "ms_sapdata", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "drbd-sapdata", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Master", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "drbd-sapdata", "Node": {"Id": "2", "Name": "vmdrbdqas02", "Cached": true}, "Role": "Slave", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cl-nfsserver", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "nfsserver", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "nfsserver", "Node": {"Id": "2", "Name": "vmdrbdqas02", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g-nfs_sapdata", "Resources": [{"Id": "fs_sapdata", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "vip_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "exportfs_work_sapdata", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:exportfs", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:20:56 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmdrbdqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "fs_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "vip_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "exportfs_work_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmdrbdqas02", "ResourceHistory": [{"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmdrbdqas01", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}, {"Name": "vmdrbdqas02", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:29.233032	2024-04-09 15:08:29.233032
308	9a26b6d0-6e72-597c-9fe5-152a6875f214	sap_system_discovery	[]	2024-04-09 15:08:30.277511	2024-04-09 15:08:30.277511
316	0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	sap_system_discovery	[{"Id": "97a1e70aeff3c0685d65c4c3d32d533b", "SID": "NWP", "Type": 2, "Profile": {"SAPDBHOST": "10.80.1.13", "dbms/name": "HDP", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwpas", "rdisp/msserv": "sapmsNWP", "SAPGLOBALHOST": "sapnwpas", "SAPSYSTEMNAME": "NWP", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDP", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwpas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.80.1.13", "Databases": null, "Instances": [{"Host": "vmnwprd04", "Name": "D02", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwpas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwper", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwppas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwpaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 7759, "name": "gwrd", "starttime": "2022 01 11 13:46:05", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:06:03"}, {"pid": 7760, "name": "icman", "starttime": "2022 01 11 13:46:05", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:06:03"}, {"pid": 7741, "name": "igswd_mt", "starttime": "2022 01 11 13:46:03", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:06:05"}, {"pid": 7740, "name": "disp+work", "starttime": "2022 01 11 13:46:03", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:06:05"}], "Properties": [{"value": "HTTP://sapnwpaas1:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwpaas1:40280", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "02", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwpaas1", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D02", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwpaas1:50213/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:08:31.321729	2024-04-09 15:08:31.321729
284	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev02", "plan": {}, "tags": "fake-tags", "vmId": "84f224b2-ad29-41a7-94ae-26ced84cdace", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.22"}]}, "ipv6": {}, "macAddress": "6045BD8D9C7D"}]}}, "Provider": "azure"}	2024-04-09 15:08:27.16004	2024-04-09 15:08:27.16004
285	0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:27.283822	2024-04-09 15:08:27.283822
287	3711ea88-9ccc-5b07-8f9d-042be449d72b	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:08:27.543597	2024-04-09 15:08:27.543597
288	69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmiscsi01", "plan": {}, "tags": "fake-tags", "vmId": "458cb0ec-254e-4f68-873a-2d26e1e40c26", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_DS1_v2", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmiscsi01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-iscsisrv01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-iscsisrv01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "StandardSSD_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.4"}]}, "ipv6": {}, "macAddress": "000D3A2AAABE"}]}}, "Provider": "azure"}	2024-04-09 15:08:27.676645	2024-04-09 15:08:27.676645
289	9cd46919-5f19-59aa-993e-cf3736c71053	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:27.805986	2024-04-09 15:08:27.805986
290	3711ea88-9ccc-5b07-8f9d-042be449d72b	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwqas02", "plan": {}, "tags": "fake-tags", "vmId": "173ff22d-bb92-493a-a6b2-6a269614f178", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwqas02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.22"}]}, "ipv6": {}, "macAddress": "6045BD8D06EF"}]}}, "Provider": "azure"}	2024-04-09 15:08:27.937002	2024-04-09 15:08:27.937002
298	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:08:28.968796	2024-04-09 15:08:28.968796
370	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	host_discovery	{"hostname": "vmhdbdev01", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.11", "10.100.1.13", "fe80::6245:bdff:fe8d:9b69"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbdev01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:10.197805	2024-04-09 15:09:10.197805
297	1b0e9297-97dd-55d6-9874-8efde4d84c90	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:28.844502	2024-04-09 15:08:28.844502
306	422686d6-b2d1-5092-93e8-a744854f5085	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:08:30.023527	2024-04-09 15:08:30.023527
307	3711ea88-9ccc-5b07-8f9d-042be449d72b	host_discovery	{"hostname": "vmnwqas02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.22", "10.90.1.26", "fe80::6245:bdff:fe8d:6ef"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwqas02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:30.152518	2024-04-09 15:08:30.152518
315	422686d6-b2d1-5092-93e8-a744854f5085	sap_system_discovery	[]	2024-04-09 15:08:31.194492	2024-04-09 15:08:31.194492
299	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:29.093747	2024-04-09 15:08:29.093747
305	116d49bd-85e1-5e59-b820-83f66db8800c	ha_cluster_discovery	{"DC": true, "Id": "8bca366a6cb7816555538092a1ddd5aa", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwprd01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwprd02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWP_ASCS00", "Primitives": [{"Id": "rsc_ip_NWP_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWP_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWP_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.25"}]}, {"Id": "rsc_fs_NWP_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWP_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWP_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.80.1.33:/NWP/ASCS"}, {"Id": "rsc_fs_NWP_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWP/ASCS00"}, {"Id": "rsc_fs_NWP_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWP_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWP_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWP_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWP_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWP_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWP_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWP_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWP_ASCS00_sapnwpas"}, {"Id": "rsc_sap_NWP_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWP/profile/NWP_ASCS00_sapnwpas"}, {"Id": "rsc_sap_NWP_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWP_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWP_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWP_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWP_ERS10", "Primitives": [{"Id": "rsc_ip_NWP_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWP_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWP_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.26"}]}, {"Id": "rsc_fs_NWP_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWP_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWP_ERS10-instance_attributes-device", "Name": "device", "Value": "10.80.1.33:/NWP/ERS"}, {"Id": "rsc_fs_NWP_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWP/ERS10"}, {"Id": "rsc_fs_NWP_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWP_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWP_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWP_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWP_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWP_ERS10_sapnwper"}, {"Id": "rsc_sap_NWP_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWP/profile/NWP_ERS10_sapnwper"}, {"Id": "rsc_sap_NWP_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWP_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWP_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWP_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWP_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWP_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWP_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_e34218cd-0d9a-4b21-b6d5-a313980baa82", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "e0c97fe2-f63a-4fd1-83df-9a736a03b49b", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwprd01", "Status": "clear"}, {"Id": 1, "Name": "vmnwprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_e34218cd-0d9a-4b21-b6d5-a313980baa82", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwprd01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwprd02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWP_ASCS00", "Resources": [{"Id": "rsc_ip_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWP_ERS10", "Resources": [{"Id": "rsc_ip_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 13:43:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwprd01", "ResourceHistory": [{"Name": "rsc_ip_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 1}]}, {"Name": "vmnwprd02", "ResourceHistory": [{"Name": "rsc_ip_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwprd02", "Attributes": [{"Name": "runs_ers_NWP", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:29.896181	2024-04-09 15:08:29.896181
313	99cf8a3a-48d6-57a4-b302-6e4482227ab6	sap_system_discovery	[{"Id": "9953878f07bb54cac20d5d5d7ff08af2", "SID": "HDQ", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbqas01", "SAPSYSTEMNAME": "HDQ", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbqas01", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDQ", "Container": ""}], "Instances": [{"Host": "vmhdbqas01", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbqas01", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 25408, "name": "hdbdaemon", "starttime": "2022 01 11 12:28:43", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "152:23:18"}, {"pid": 27262, "name": "hdbxsengine", "starttime": "2022 01 11 12:29:06", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDQ", "elapsedtime": "152:22:55"}, {"pid": 25428, "name": "hdbnameserver", "starttime": "2022 01 11 12:28:44", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "152:23:17"}, {"pid": 27259, "name": "hdbindexserver", "starttime": "2022 01 11 12:29:06", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDQ", "elapsedtime": "152:22:55"}, {"pid": 27206, "name": "hdbpreprocessor", "starttime": "2022 01 11 12:29:06", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "152:22:55"}, {"pid": 27203, "name": "hdbcompileserver", "starttime": "2022 01 11 12:29:06", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "152:22:55"}, {"pid": 29632, "name": "hdbwebdispatcher", "starttime": "2022 01 11 12:29:37", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "152:22:24"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbqas01", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbqas01:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "primary", "online": "true", "site_id": "1", "isSource": "true", "site_name": "NBG", "isConsumer": "false", "hasConsumers": "true", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "primary", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbqas01": ["WDF/vmhdbqas02", "NBG/vmhdbqas01"], "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbqas01", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "1", "site/1/SITE_NAME": "NBG", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/1/REPLICATION_MODE": "PRIMARY", "site/2/REPLICATION_MODE": "SYNC", "site/2/REPLICATION_STATUS": "ACTIVE", "overall_replication_status": "ACTIVE", "service/vmhdbqas01/31001/HOST": "vmhdbqas01", "service/vmhdbqas01/31001/PORT": "31001", "service/vmhdbqas01/31003/HOST": "vmhdbqas01", "service/vmhdbqas01/31003/PORT": "31003", "service/vmhdbqas01/31007/HOST": "vmhdbqas01", "service/vmhdbqas01/31007/PORT": "31007", "service/vmhdbqas01/31001/SITE_ID": "1", "service/vmhdbqas01/31003/SITE_ID": "1", "service/vmhdbqas01/31007/SITE_ID": "1", "service/vmhdbqas01/31001/DATABASE": "SYSTEMDB", "service/vmhdbqas01/31003/DATABASE": "HDQ", "service/vmhdbqas01/31007/DATABASE": "HDQ", "service/vmhdbqas01/31001/FULL_SYNC": "DISABLED", "service/vmhdbqas01/31001/SITE_NAME": "NBG", "service/vmhdbqas01/31001/VOLUME_ID": "1", "service/vmhdbqas01/31003/FULL_SYNC": "DISABLED", "service/vmhdbqas01/31003/SITE_NAME": "NBG", "service/vmhdbqas01/31003/VOLUME_ID": "3", "service/vmhdbqas01/31007/FULL_SYNC": "DISABLED", "service/vmhdbqas01/31007/SITE_NAME": "NBG", "service/vmhdbqas01/31007/VOLUME_ID": "2", "service/vmhdbqas01/31001/RESET_COUNT": "0", "service/vmhdbqas01/31003/RESET_COUNT": "0", "service/vmhdbqas01/31007/RESET_COUNT": "0", "service/vmhdbqas01/31001/SERVICE_NAME": "nameserver", "service/vmhdbqas01/31003/SERVICE_NAME": "indexserver", "service/vmhdbqas01/31007/SERVICE_NAME": "xsengine", "service/vmhdbqas01/31001/CREATION_TIME": "2022-01-11 12:29:06.391562", "service/vmhdbqas01/31003/CREATION_TIME": "2022-01-11 12:29:33.189016", "service/vmhdbqas01/31007/CREATION_TIME": "2022-01-11 12:29:37.637575", "service/vmhdbqas01/31001/OPERATION_MODE": "logreplay", "service/vmhdbqas01/31001/SECONDARY_HOST": "vmhdbqas02", "service/vmhdbqas01/31001/SECONDARY_PORT": "31001", "service/vmhdbqas01/31003/OPERATION_MODE": "logreplay", "service/vmhdbqas01/31003/SECONDARY_HOST": "vmhdbqas02", "service/vmhdbqas01/31003/SECONDARY_PORT": "31003", "service/vmhdbqas01/31007/OPERATION_MODE": "logreplay", "service/vmhdbqas01/31007/SECONDARY_HOST": "vmhdbqas02", "service/vmhdbqas01/31007/SECONDARY_PORT": "31007", "service/vmhdbqas01/31001/LAST_RESET_TIME": "2022-01-11 12:29:06.391562", "service/vmhdbqas01/31003/LAST_RESET_TIME": "2022-01-11 12:29:33.189016", "service/vmhdbqas01/31007/LAST_RESET_TIME": "2022-01-11 12:29:37.637575", "service/vmhdbqas01/31001/REPLICATION_MODE": "SYNC", "service/vmhdbqas01/31003/REPLICATION_MODE": "SYNC", "service/vmhdbqas01/31007/REPLICATION_MODE": "SYNC", "service/vmhdbqas01/31001/LAST_LOG_POSITION": "45366976", "service/vmhdbqas01/31001/SECONDARY_SITE_ID": "2", "service/vmhdbqas01/31003/LAST_LOG_POSITION": "247682688", "service/vmhdbqas01/31003/SECONDARY_SITE_ID": "2", "service/vmhdbqas01/31007/LAST_LOG_POSITION": "4699712", "service/vmhdbqas01/31007/SECONDARY_SITE_ID": "2", "service/vmhdbqas01/31001/REPLICATION_STATUS": "ACTIVE", "service/vmhdbqas01/31003/REPLICATION_STATUS": "ACTIVE", "service/vmhdbqas01/31007/REPLICATION_STATUS": "ACTIVE", "service/vmhdbqas01/31001/SECONDARY_SITE_NAME": "WDF", "service/vmhdbqas01/31003/SECONDARY_SITE_NAME": "WDF", "service/vmhdbqas01/31007/SECONDARY_SITE_NAME": "WDF", "service/vmhdbqas01/31001/SHIPPED_LOG_POSITION": "45366976", "service/vmhdbqas01/31003/SHIPPED_LOG_POSITION": "247682688", "service/vmhdbqas01/31007/SHIPPED_LOG_POSITION": "4699712", "service/vmhdbqas01/31001/REPLAYED_LOG_POSITION": "45366976", "service/vmhdbqas01/31003/REPLAYED_LOG_POSITION": "247682688", "service/vmhdbqas01/31007/REPLAYED_LOG_POSITION": "4699652", "service/vmhdbqas01/31001/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:57.259967", "service/vmhdbqas01/31001/LAST_SAVEPOINT_VERSION": "3060", "service/vmhdbqas01/31001/SECONDARY_CONNECT_TIME": "2022-01-11 12:30:25.128075", "service/vmhdbqas01/31003/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:46.152250", "service/vmhdbqas01/31003/LAST_SAVEPOINT_VERSION": "2866", "service/vmhdbqas01/31003/SECONDARY_CONNECT_TIME": "2022-01-11 12:35:03.347379", "service/vmhdbqas01/31007/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:44.353141", "service/vmhdbqas01/31007/LAST_SAVEPOINT_VERSION": "2887", "service/vmhdbqas01/31007/SECONDARY_CONNECT_TIME": "2022-01-11 12:35:03.226334", "service/vmhdbqas01/31001/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbqas01/31003/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbqas01/31007/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbqas01/31001/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbqas01/31001/SHIPPED_LOG_BUFFERS_SIZE": "555925504", "service/vmhdbqas01/31003/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbqas01/31003/SHIPPED_LOG_BUFFERS_SIZE": "3534827520", "service/vmhdbqas01/31007/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbqas01/31007/SHIPPED_LOG_BUFFERS_SIZE": "269307904", "service/vmhdbqas01/31001/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:47:57.248689", "service/vmhdbqas01/31001/SECONDARY_RECONNECT_COUNT": "0", "service/vmhdbqas01/31001/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31001/SHIPPED_LOG_BUFFERS_COUNT": "125862", "service/vmhdbqas01/31001/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:57.259967", "service/vmhdbqas01/31001/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbqas01/31003/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:48:26.167454", "service/vmhdbqas01/31003/SECONDARY_RECONNECT_COUNT": "9", "service/vmhdbqas01/31003/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31003/SHIPPED_LOG_BUFFERS_COUNT": "684679", "service/vmhdbqas01/31003/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:46.152250", "service/vmhdbqas01/31003/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbqas01/31007/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:51:44.329775", "service/vmhdbqas01/31007/SECONDARY_RECONNECT_COUNT": "9", "service/vmhdbqas01/31007/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31007/SHIPPED_LOG_BUFFERS_COUNT": "65749", "service/vmhdbqas01/31007/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:44.353141", "service/vmhdbqas01/31007/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbqas01/31001/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:57.259967", "service/vmhdbqas01/31001/REPLICATION_STATUS_DETAILS": "", "service/vmhdbqas01/31001/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31001/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbqas01/31003/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:46.152250", "service/vmhdbqas01/31003/REPLICATION_STATUS_DETAILS": "", "service/vmhdbqas01/31003/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31003/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbqas01/31007/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:44.353141", "service/vmhdbqas01/31007/REPLICATION_STATUS_DETAILS": "", "service/vmhdbqas01/31007/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31007/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbqas01/31001/LAST_SAVEPOINT_LOG_POSITION": "45363330", "service/vmhdbqas01/31001/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbqas01/31003/LAST_SAVEPOINT_LOG_POSITION": "247663426", "service/vmhdbqas01/31003/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbqas01/31007/LAST_SAVEPOINT_LOG_POSITION": "4699460", "service/vmhdbqas01/31007/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbqas01/31001/SHIPPED_LOG_BUFFERS_DURATION": "354670113", "service/vmhdbqas01/31001/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LOG_BUFFERS_DURATION": "1782503270", "service/vmhdbqas01/31003/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LOG_BUFFERS_DURATION": "176031371", "service/vmhdbqas01/31007/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbqas01/31001/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbqas01/31003/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbqas01/31007/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbqas01/31001/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbqas01/31001/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31001/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbqas01/31003/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbqas01/31003/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31003/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbqas01/31007/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbqas01/31007/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31007/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbqas01/31001/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31003/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31007/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31001/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbqas01/31001/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbqas01/31001/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbqas01/31001/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-"}}]}]	2024-04-09 15:08:30.929116	2024-04-09 15:08:30.929116
314	b767b3e9-e802-587e-a442-541d093b86b9	host_discovery	{"hostname": "vmhdbprd02", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.12", "fe80::20d:3aff:fe21:f108"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbprd02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:31.067483	2024-04-09 15:08:31.067483
310	116d49bd-85e1-5e59-b820-83f66db8800c	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwprd01", "plan": {}, "tags": "fake-tags", "vmId": "63306bd8-a7f8-49ab-8156-5d4aa928fa7a", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwprd01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.21"}]}, "ipv6": {}, "macAddress": "000D3A2E8F04"}]}}, "Provider": "azure"}	2024-04-09 15:08:30.534856	2024-04-09 15:08:30.534856
311	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	host_discovery	{"hostname": "vmdrbdqas01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.31", "10.90.1.33", "fe80::6245:bdff:fe8d:c2"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmdrbdqas01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:30.669237	2024-04-09 15:08:30.669237
312	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	host_discovery	{"hostname": "vmhdbqas02", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.12", "fe80::6245:bdff:fe8d:8b3"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbqas02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:30.79668	2024-04-09 15:08:30.79668
317	f0c808b3-d869-5192-a944-20f66a6a8449	host_discovery	{"hostname": "vmiscsi01", "cpu_count": 1, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.4", "fe80::222:48ff:fe7f:d2f9"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 3422, "fully_qualified_domain_name": "vmiscsi01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:31.451612	2024-04-09 15:08:31.451612
318	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:31.578053	2024-04-09 15:08:31.578053
319	116d49bd-85e1-5e59-b820-83f66db8800c	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:31.707937	2024-04-09 15:08:31.707937
321	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev01", "plan": {}, "tags": "fake-tags", "vmId": "84e20bce-76e8-4d55-bdea-7ec3faff60f2", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.21"}]}, "ipv6": {}, "macAddress": "6045BD8A5CE7"}]}}, "Provider": "azure"}	2024-04-09 15:08:32.01272	2024-04-09 15:08:32.01272
322	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:32.155284	2024-04-09 15:08:32.155284
323	3711ea88-9ccc-5b07-8f9d-042be449d72b	ha_cluster_discovery	{"DC": false, "Id": "acf59e7a5338f76f55d5055af3273480", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwqas01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwqas02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWQ_ASCS00", "Primitives": [{"Id": "rsc_ip_NWQ_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWQ_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWQ_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.25"}]}, {"Id": "rsc_fs_NWQ_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWQ_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWQ_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.90.1.33:/NWQ/ASCS"}, {"Id": "rsc_fs_NWQ_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWQ/ASCS00"}, {"Id": "rsc_fs_NWQ_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWQ_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWQ_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWQ_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWQ_ASCS00_sapnwqas"}, {"Id": "rsc_sap_NWQ_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWQ/profile/NWQ_ASCS00_sapnwqas"}, {"Id": "rsc_sap_NWQ_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWQ_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWQ_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWQ_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWQ_ERS10", "Primitives": [{"Id": "rsc_ip_NWQ_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWQ_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWQ_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.26"}]}, {"Id": "rsc_fs_NWQ_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWQ_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWQ_ERS10-instance_attributes-device", "Name": "device", "Value": "10.90.1.33:/NWQ/ERS"}, {"Id": "rsc_fs_NWQ_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWQ/ERS10"}, {"Id": "rsc_fs_NWQ_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWQ_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWQ_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWQ_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWQ_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWQ_ERS10_sapnwqer"}, {"Id": "rsc_sap_NWQ_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWQ/profile/NWQ_ERS10_sapnwqer"}, {"Id": "rsc_sap_NWQ_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWQ_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWQ_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWQ_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWQ_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWQ_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWQ_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_813ace38-2d4f-48f6-8aa2-5360252ca492", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "3365e35e-ba75-4d29-9f5a-1a0379ee7a60", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwqas01", "Status": "clear"}, {"Id": 1, "Name": "vmnwqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_813ace38-2d4f-48f6-8aa2-5360252ca492", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWQ_ASCS00", "Resources": [{"Id": "rsc_ip_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWQ_ERS10", "Resources": [{"Id": "rsc_ip_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Mon Jan 17 12:41:40 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwqas02", "ResourceHistory": [{"Name": "rsc_sap_NWQ_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWQ_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWQ_ERS10", "FailCount": 1, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWQ_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}, {"Name": "vmnwqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWQ_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWQ_ASCS00", "FailCount": 1, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWQ_ASCS00", "FailCount": 0, "MigrationThreshold": 1}, {"Name": "rsc_socat_NWQ_ASCS00", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwqas02", "Attributes": [{"Name": "runs_ers_NWQ", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:32.318851	2024-04-09 15:08:32.318851
324	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	ha_cluster_discovery	{"DC": false, "Id": "238a4de1239aae2aa87433eed788b3ad", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmdrbdprd01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmdrbdprd02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "drbd_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": [{"Id": "cl-nfsserver", "Primitive": {"Id": "nfsserver", "Type": "nfs-server", "Class": "systemd", "Provider": "", "Operations": [{"Id": "nfsserver-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": null}, "MetaAttributes": [{"Id": "cl-nfsserver-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g-nfs_sapdata", "Primitives": [{"Id": "fs_sapdata", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "fs_sapdata-monitor-20", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "fs_sapdata-instance_attributes-device", "Name": "device", "Value": "/dev/drbd1"}, {"Id": "fs_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWP"}, {"Id": "fs_sapdata-instance_attributes-fstype", "Name": "fstype", "Value": "xfs"}, {"Id": "fs_sapdata-instance_attributes-options", "Name": "options", "Value": "noatime,nodiratime"}]}, {"Id": "vip_sapdata_nfs", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "vip_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "vip_sapdata_nfs-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.33"}, {"Id": "vip_sapdata_nfs-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "32"}, {"Id": "vip_sapdata_nfs-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "exportfs_work_sapdata", "Type": "exportfs", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "exportfs_work_sapdata-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "exportfs_work_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWP"}, {"Id": "exportfs_work_sapdata-instance_attributes-fsid", "Name": "fsid", "Value": "1"}, {"Id": "exportfs_work_sapdata-instance_attributes-options", "Name": "options", "Value": "rw,no_root_squash"}, {"Id": "exportfs_work_sapdata-instance_attributes-clientspec", "Name": "clientspec", "Value": "*"}, {"Id": "exportfs_work_sapdata-instance_attributes-wait_for_leasetime_on_stop", "Name": "wait_for_leasetime_on_stop", "Value": "true"}]}, {"Id": "rsc_socat_sapdata_nfs", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_sapdata_nfs-instance_attributes-port", "Name": "port", "Value": "61000"}]}]}], "Masters": [{"Id": "ms_sapdata", "Primitive": {"Id": "drbd-sapdata", "Type": "drbd", "Class": "ocf", "Provider": "linbit", "Operations": [{"Id": "drbd-sapdata-monitor-15", "Name": "monitor", "Role": "Master", "Timeout": "", "Interval": "15"}, {"Id": "drbd-sapdata-monitor-30", "Name": "monitor", "Role": "Slave", "Timeout": "", "Interval": "30"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "drbd-sapdata-instance_attributes-drbd_resource", "Name": "drbd_resource", "Value": "sapdata"}]}, "MetaAttributes": [{"Id": "ms_sapdata-meta_attributes-master-max", "Name": "master-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-master-node-max", "Name": "master-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-0-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "ms_sapdata-meta_attributes-0-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-1-notify", "Name": "notify", "Value": "true"}, {"Id": "ms_sapdata-meta_attributes-1-target-role", "Name": "target-role", "Value": "Started"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_b7b1cd3d-776e-4432-a9e5-6fe56e4b4e17", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "28fd9d5e-3685-4cb7-85e9-76c4b140ea3c", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmdrbdprd01", "Status": "clear"}, {"Id": 1, "Name": "vmdrbdprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_b7b1cd3d-776e-4432-a9e5-6fe56e4b4e17", "Status": "healthy"}]}, "Name": "drbd_cluster", "Crmmon": {"Nodes": [{"DC": false, "Id": "1", "Name": "vmdrbdprd01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 7}, {"DC": true, "Id": "2", "Name": "vmdrbdprd02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "ms_sapdata", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "drbd-sapdata", "Node": {"Id": "2", "Name": "vmdrbdprd02", "Cached": true}, "Role": "Slave", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "drbd-sapdata", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Master", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cl-nfsserver", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "nfsserver", "Node": {"Id": "2", "Name": "vmdrbdprd02", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "nfsserver", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g-nfs_sapdata", "Resources": [{"Id": "fs_sapdata", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "vip_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "exportfs_work_sapdata", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:exportfs", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 13:24:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmdrbdprd02", "ResourceHistory": [{"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmdrbdprd01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "fs_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "vip_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "exportfs_work_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmdrbdprd01", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}, {"Name": "vmdrbdprd02", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:32.449946	2024-04-09 15:08:32.449946
325	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbdprd01", "plan": {}, "tags": "fake-tags", "vmId": "e9ba1f36-712a-4cbf-b279-b0801a4f6506", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbdprd01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbdprd01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbdprd01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.31"}]}, "ipv6": {}, "macAddress": "000D3A257DF0"}]}}, "Provider": "azure"}	2024-04-09 15:08:32.593909	2024-04-09 15:08:32.593909
326	25677e37-fd33-5005-896c-9275b1284534	host_discovery	{"hostname": "vmnwqas01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.21", "10.90.1.25", "fe80::6245:bdff:fe8d:a30"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwqas01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:32.721292	2024-04-09 15:08:32.721292
327	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	sap_system_discovery	[{"Id": "fd44c254ccb14331e54015c720c7a1f2", "SID": "HDD", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbdev02", "SAPSYSTEMNAME": "HDD", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbdev02", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDD", "Container": ""}], "Instances": [{"Host": "vmhdbdev02", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbdev02", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 24133, "name": "hdbdaemon", "starttime": "2022 01 11 12:57:31", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "151:54:31"}, {"pid": 24925, "name": "hdbxsengine", "starttime": "2022 01 11 12:57:45", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDD", "elapsedtime": "151:54:17"}, {"pid": 24153, "name": "hdbnameserver", "starttime": "2022 01 11 12:57:32", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "151:54:30"}, {"pid": 24916, "name": "hdbindexserver", "starttime": "2022 01 11 12:57:45", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDD", "elapsedtime": "151:54:17"}, {"pid": 24822, "name": "hdbpreprocessor", "starttime": "2022 01 11 12:57:44", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "151:54:18"}, {"pid": 24819, "name": "hdbcompileserver", "starttime": "2022 01 11 12:57:44", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "151:54:18"}, {"pid": 25653, "name": "hdbwebdispatcher", "starttime": "2022 01 11 12:57:53", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "151:54:09"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbdev02", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbdev02:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "sync", "online": "true", "site_id": "2", "isSource": "false", "site_name": "WDF", "isConsumer": "true", "replayMode": "auto", "hasConsumers": "false", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "logreplay", "primary_masters": "vmhdbdev01", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbdev02": ["WDF/vmhdbdev02", "NBG/vmhdbdev01"], "active_primary_site": "1", "isTimetravelEnabled": "false", "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbdev02", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "2", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/2/PRIMARY_MASTERS": "vmhdbdev01", "site/2/REPLICATION_MODE": "SYNC"}}]}]	2024-04-09 15:08:32.889326	2024-04-09 15:08:32.889326
328	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:33.023849	2024-04-09 15:08:33.023849
329	69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:08:33.156263	2024-04-09 15:08:33.156263
330	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	host_discovery	{"hostname": "vmdrbddev01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.31", "10.100.1.33", "fe80::6245:bdff:fe8a:5969"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmdrbddev01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:33.286597	2024-04-09 15:08:33.286597
331	9a26b6d0-6e72-597c-9fe5-152a6875f214	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:08:33.41842	2024-04-09 15:08:33.41842
332	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	sap_system_discovery	[]	2024-04-09 15:08:33.544933	2024-04-09 15:08:33.544933
333	81e9b629-c1e7-538f-bff1-47d3a6580522	sap_system_discovery	[{"Id": "d01fdc69aeba7bd5133b210eb2884853", "SID": "NWQ", "Type": 2, "Profile": {"SAPDBHOST": "ha-cluster.suse.de", "dbms/name": "HDQ", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwqas", "rdisp/msserv": "sapmsNWQ", "SAPGLOBALHOST": "sapnwqas", "SAPSYSTEMNAME": "NWQ", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDQ", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwqas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.90.1.13", "Databases": null, "Instances": [{"Host": "vmnwqas04", "Name": "D02", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwqas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwqer", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 27154, "name": "gwrd", "starttime": "2022 01 17 12:42:20", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "8:08:39"}, {"pid": 27155, "name": "icman", "starttime": "2022 01 17 12:42:20", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "8:08:39"}, {"pid": 27150, "name": "igswd_mt", "starttime": "2022 01 17 12:42:19", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "8:08:40"}, {"pid": 27149, "name": "disp+work", "starttime": "2022 01 17 12:42:19", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "8:08:40"}], "Properties": [{"value": "HTTP://sapnwqaas1:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwqaas1:40280", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "02", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwqaas1", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D02", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwqaas1:50213/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:08:33.674472	2024-04-09 15:08:33.674472
334	99cf8a3a-48d6-57a4-b302-6e4482227ab6	ha_cluster_discovery	{"DC": true, "Id": "4e905d706da85f5be14f85fa947c1e39", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbqas01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdq_lpt", "Name": "lpa_hdq_lpt", "Value": "1643125033"}, {"Id": "nodes-1-hana_hdq_vhost", "Name": "hana_hdq_vhost", "Value": "vmhdbqas01"}, {"Id": "nodes-1-hana_hdq_site", "Name": "hana_hdq_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdq_op_mode", "Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdq_srmode", "Name": "hana_hdq_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdq_remoteHost", "Name": "hana_hdq_remoteHost", "Value": "vmhdbqas02"}]}, {"Id": "2", "Uname": "vmhdbqas02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdq_lpt", "Name": "lpa_hdq_lpt", "Value": "30"}, {"Id": "nodes-2-hana_hdq_op_mode", "Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdq_vhost", "Name": "hana_hdq_vhost", "Value": "vmhdbqas02"}, {"Id": "nodes-2-hana_hdq_remoteHost", "Name": "hana_hdq_remoteHost", "Value": "vmhdbqas01"}, {"Id": "nodes-2-hana_hdq_site", "Name": "hana_hdq_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdq_srmode", "Name": "hana_hdq_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_2"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdq_site_srHook_WDF", "Name": "hana_hdq_site_srHook_WDF", "Value": "SOK"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDQ_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDQ"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDQ_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDQ_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDQ_HDB10", "Primitives": [{"Id": "rsc_ip_HDQ_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDQ_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.13"}, {"Id": "rsc_ip_HDQ_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDQ_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDQ_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDQ_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDQ_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDQ_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDQ_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDQ"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-360014058d88c7795c6a4b66bc024f4bd", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "246da75b-af59-4135-b980-90bf87815e2e", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbqas01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-360014058d88c7795c6a4b66bc024f4bd", "Status": "healthy"}]}, "Name": "hana_cluster_2", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmhdbqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "msl_SAPHana_HDQ_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDQ_HDB10", "Node": {"Id": "2", "Name": "vmhdbqas02", "Cached": true}, "Role": "Slave", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDQ_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Node": {"Id": "2", "Name": "vmhdbqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDQ_HDB10", "Resources": [{"Id": "rsc_ip_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:37:13 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbqas02", "ResourceHistory": [{"Name": "rsc_SAPHana_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbqas01", "Attributes": [{"Name": "hana_hdq_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Name": "hana_hdq_remoteHost", "Value": "vmhdbqas02"}, {"Name": "hana_hdq_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdq_site", "Value": "NBG"}, {"Name": "hana_hdq_srmode", "Value": "sync"}, {"Name": "hana_hdq_sync_state", "Value": "PRIM"}, {"Name": "hana_hdq_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdq_vhost", "Value": "vmhdbqas01"}, {"Name": "lpa_hdq_lpt", "Value": "1643125033"}, {"Name": "master-rsc_SAPHana_HDQ_HDB10", "Value": "150"}]}, {"Name": "vmhdbqas02", "Attributes": [{"Name": "hana_hdq_clone_state", "Value": "DEMOTED"}, {"Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Name": "hana_hdq_remoteHost", "Value": "vmhdbqas01"}, {"Name": "hana_hdq_roles", "Value": "4:S:master1:master:worker:master"}, {"Name": "hana_hdq_site", "Value": "WDF"}, {"Name": "hana_hdq_srmode", "Value": "sync"}, {"Name": "hana_hdq_sync_state", "Value": "SOK"}, {"Name": "hana_hdq_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdq_vhost", "Value": "vmhdbqas02"}, {"Name": "lpa_hdq_lpt", "Value": "30"}, {"Name": "master-rsc_SAPHana_HDQ_HDB10", "Value": "100"}]}]}}, "Provider": "azure"}	2024-04-09 15:08:33.810625	2024-04-09 15:08:33.810625
340	f0c808b3-d869-5192-a944-20f66a6a8449	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:08:34.601717	2024-04-09 15:08:34.601717
348	81e9b629-c1e7-538f-bff1-47d3a6580522	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:08:35.643434	2024-04-09 15:08:35.643434
350	3711ea88-9ccc-5b07-8f9d-042be449d72b	sap_system_discovery	[{"Id": "d01fdc69aeba7bd5133b210eb2884853", "SID": "NWQ", "Type": 2, "Profile": {"SAPDBHOST": "ha-cluster.suse.de", "dbms/name": "HDQ", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwqas", "rdisp/msserv": "sapmsNWQ", "SAPGLOBALHOST": "sapnwqas", "SAPSYSTEMNAME": "NWQ", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDQ", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwqas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.90.1.13", "Databases": null, "Instances": [{"Host": "vmnwqas02", "Name": "ERS10", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwqas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwqer", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 9333, "name": "enrepserver", "starttime": "2022 01 17 12:41:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueReplicator", "elapsedtime": "8:10:52"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwqer", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ERS10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.5", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwqer:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:08:35.9116	2024-04-09 15:08:35.9116
377	098fc159-3ed6-58e7-91be-38fda8a833ea	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:09:11.130519	2024-04-09 15:09:11.130519
335	9a26b6d0-6e72-597c-9fe5-152a6875f214	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmiscsi01", "plan": {}, "tags": "fake-tags", "vmId": "f57047ca-95a3-473a-8294-079c5173576a", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_DS1_v2", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmiscsi01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-iscsisrv01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-iscsisrv01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "StandardSSD_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.4"}]}, "ipv6": {}, "macAddress": "000D3A2E835A"}]}}, "Provider": "azure"}	2024-04-09 15:08:33.944202	2024-04-09 15:08:33.944202
336	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:34.075859	2024-04-09 15:08:34.075859
337	81e9b629-c1e7-538f-bff1-47d3a6580522	subscription_discovery	[{"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "SLES_SAP"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-ha"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:34.206883	2024-04-09 15:08:34.206883
338	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbdev02", "plan": {}, "tags": "fake-tags", "vmId": "90ec8d3d-71a6-42ac-83d7-abf93669c72d", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbdev02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.12"}]}, "ipv6": {}, "macAddress": "6045BD8A5F6B"}]}}, "Provider": "azure"}	2024-04-09 15:08:34.337952	2024-04-09 15:08:34.337952
339	0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	host_discovery	{"hostname": "vmnwprd04", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.24", "10.80.1.28", "fe80::20d:3aff:fe2e:8fad"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwprd04.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:34.469695	2024-04-09 15:08:34.469695
341	116d49bd-85e1-5e59-b820-83f66db8800c	sap_system_discovery	[{"Id": "97a1e70aeff3c0685d65c4c3d32d533b", "SID": "NWP", "Type": 2, "Profile": {"SAPDBHOST": "10.80.1.13", "dbms/name": "HDP", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwpas", "rdisp/msserv": "sapmsNWP", "SAPGLOBALHOST": "sapnwpas", "SAPSYSTEMNAME": "NWP", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDP", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwpas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.80.1.13", "Databases": null, "Instances": [{"Host": "vmnwprd01", "Name": "ASCS00", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwpas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwper", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwppas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwpaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 24167, "name": "enserver", "starttime": "2022 01 11 13:43:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueServer", "elapsedtime": "151:08:47"}, {"pid": 24166, "name": "msg_server", "starttime": "2022 01 11 13:43:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "MessageServer", "elapsedtime": "151:08:47"}], "Properties": [{"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "00", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "EnqGetLockTable", "property": "Enque Locks", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwpas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ASCS00", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "1", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "YES", "property": "CentralServices", "propertytype": "Attribute"}, {"value": "EnqGetStatistic", "property": "Enque Statistic", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwpas:50013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}, {"value": "YES", "property": "SupportsUpdateSCSInstance", "propertytype": "Attribute"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:08:34.736551	2024-04-09 15:08:34.736551
342	0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "not compliant", "Notes applied": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Notes enabled": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "NETWEAVER", "applied partially": false}], "Solution enabled": ["NETWEAVER"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:08:34.867426	2024-04-09 15:08:34.867426
343	81e9b629-c1e7-538f-bff1-47d3a6580522	host_discovery	{"hostname": "vmnwqas04", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.28", "10.90.1.24", "fe80::6245:bdff:fe8d:dca"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwqas04.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:34.994952	2024-04-09 15:08:34.994952
344	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev03", "plan": {}, "tags": "fake-tags", "vmId": "14173622-8d19-4e09-9661-2bfb236b01e4", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev03", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver03-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-netweaver01-App", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Attach", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.23"}, {"privateIpAddress": "10.100.1.27"}]}, "ipv6": {}, "macAddress": "6045BD8D9EF4"}]}}, "Provider": "azure"}	2024-04-09 15:08:35.128486	2024-04-09 15:08:35.128486
353	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev01", "Name": "ASCS00", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 7379, "name": "enserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueServer", "elapsedtime": "151:56:46"}, {"pid": 7378, "name": "msg_server", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "MessageServer", "elapsedtime": "151:56:46"}], "Properties": [{"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "00", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "EnqGetLockTable", "property": "Enque Locks", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ASCS00", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "1", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "YES", "property": "CentralServices", "propertytype": "Attribute"}, {"value": "EnqGetStatistic", "property": "Enque Statistic", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwdas:50013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}, {"value": "YES", "property": "SupportsUpdateSCSInstance", "propertytype": "Attribute"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:08:36.309568	2024-04-09 15:08:36.309568
358	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:08:36.991552	2024-04-09 15:08:36.991552
359	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev02", "plan": {}, "tags": "fake-tags", "vmId": "84f224b2-ad29-41a7-94ae-26ced84cdace", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.22"}]}, "ipv6": {}, "macAddress": "6045BD8D9C7D"}]}}, "Provider": "azure"}	2024-04-09 15:08:37.120028	2024-04-09 15:08:37.120028
360	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:37.252097	2024-04-09 15:08:37.252097
361	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev01", "plan": {}, "tags": "fake-tags", "vmId": "84e20bce-76e8-4d55-bdea-7ec3faff60f2", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.21"}]}, "ipv6": {}, "macAddress": "6045BD8A5CE7"}]}}, "Provider": "azure"}	2024-04-09 15:08:37.380516	2024-04-09 15:08:37.380516
368	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	sap_system_discovery	[{"Id": "fd44c254ccb14331e54015c720c7a1f2", "SID": "HDD", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbdev01", "SAPSYSTEMNAME": "HDD", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbdev01", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDD", "Container": ""}], "Instances": [{"Host": "vmhdbdev01", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbdev01", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 18862, "name": "hdbdaemon", "starttime": "2022 01 11 12:56:11", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "151:55:49"}, {"pid": 20257, "name": "hdbxsengine", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDD", "elapsedtime": "151:55:31"}, {"pid": 18893, "name": "hdbnameserver", "starttime": "2022 01 11 12:56:12", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "151:55:48"}, {"pid": 20254, "name": "hdbindexserver", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDD", "elapsedtime": "151:55:31"}, {"pid": 20161, "name": "hdbpreprocessor", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "151:55:31"}, {"pid": 20158, "name": "hdbcompileserver", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "151:55:31"}, {"pid": 22620, "name": "hdbwebdispatcher", "starttime": "2022 01 11 12:56:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "151:55:02"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbdev01", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbdev01:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "primary", "online": "true", "site_id": "1", "isSource": "true", "site_name": "NBG", "isConsumer": "false", "hasConsumers": "true", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "primary", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbdev01": ["WDF/vmhdbdev02", "NBG/vmhdbdev01"], "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbdev01", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "1", "site/1/SITE_NAME": "NBG", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/1/REPLICATION_MODE": "PRIMARY", "site/2/REPLICATION_MODE": "SYNC", "site/2/REPLICATION_STATUS": "ACTIVE", "overall_replication_status": "ACTIVE", "service/vmhdbdev01/31001/HOST": "vmhdbdev01", "service/vmhdbdev01/31001/PORT": "31001", "service/vmhdbdev01/31003/HOST": "vmhdbdev01", "service/vmhdbdev01/31003/PORT": "31003", "service/vmhdbdev01/31007/HOST": "vmhdbdev01", "service/vmhdbdev01/31007/PORT": "31007", "service/vmhdbdev01/31001/SITE_ID": "1", "service/vmhdbdev01/31003/SITE_ID": "1", "service/vmhdbdev01/31007/SITE_ID": "1", "service/vmhdbdev01/31001/DATABASE": "SYSTEMDB", "service/vmhdbdev01/31003/DATABASE": "HDD", "service/vmhdbdev01/31007/DATABASE": "HDD", "service/vmhdbdev01/31001/FULL_SYNC": "DISABLED", "service/vmhdbdev01/31001/SITE_NAME": "NBG", "service/vmhdbdev01/31001/VOLUME_ID": "1", "service/vmhdbdev01/31003/FULL_SYNC": "DISABLED", "service/vmhdbdev01/31003/SITE_NAME": "NBG", "service/vmhdbdev01/31003/VOLUME_ID": "3", "service/vmhdbdev01/31007/FULL_SYNC": "DISABLED", "service/vmhdbdev01/31007/SITE_NAME": "NBG", "service/vmhdbdev01/31007/VOLUME_ID": "2", "service/vmhdbdev01/31001/RESET_COUNT": "0", "service/vmhdbdev01/31003/RESET_COUNT": "0", "service/vmhdbdev01/31007/RESET_COUNT": "0", "service/vmhdbdev01/31001/SERVICE_NAME": "nameserver", "service/vmhdbdev01/31003/SERVICE_NAME": "indexserver", "service/vmhdbdev01/31007/SERVICE_NAME": "xsengine", "service/vmhdbdev01/31001/CREATION_TIME": "2022-01-11 12:56:29.020885", "service/vmhdbdev01/31003/CREATION_TIME": "2022-01-11 12:56:53.983097", "service/vmhdbdev01/31007/CREATION_TIME": "2022-01-11 12:56:58.348403", "service/vmhdbdev01/31001/OPERATION_MODE": "logreplay", "service/vmhdbdev01/31001/SECONDARY_HOST": "vmhdbdev02", "service/vmhdbdev01/31001/SECONDARY_PORT": "31001", "service/vmhdbdev01/31003/OPERATION_MODE": "logreplay", "service/vmhdbdev01/31003/SECONDARY_HOST": "vmhdbdev02", "service/vmhdbdev01/31003/SECONDARY_PORT": "31003", "service/vmhdbdev01/31007/OPERATION_MODE": "logreplay", "service/vmhdbdev01/31007/SECONDARY_HOST": "vmhdbdev02", "service/vmhdbdev01/31007/SECONDARY_PORT": "31007", "service/vmhdbdev01/31001/LAST_RESET_TIME": "2022-01-11 12:56:29.020885", "service/vmhdbdev01/31003/LAST_RESET_TIME": "2022-01-11 12:56:53.983097", "service/vmhdbdev01/31007/LAST_RESET_TIME": "2022-01-11 12:56:58.348403", "service/vmhdbdev01/31001/REPLICATION_MODE": "SYNC", "service/vmhdbdev01/31003/REPLICATION_MODE": "SYNC", "service/vmhdbdev01/31007/REPLICATION_MODE": "SYNC", "service/vmhdbdev01/31001/LAST_LOG_POSITION": "45295808", "service/vmhdbdev01/31001/SECONDARY_SITE_ID": "2", "service/vmhdbdev01/31003/LAST_LOG_POSITION": "247644160", "service/vmhdbdev01/31003/SECONDARY_SITE_ID": "2", "service/vmhdbdev01/31007/LAST_LOG_POSITION": "4670464", "service/vmhdbdev01/31007/SECONDARY_SITE_ID": "2", "service/vmhdbdev01/31001/REPLICATION_STATUS": "ACTIVE", "service/vmhdbdev01/31003/REPLICATION_STATUS": "ACTIVE", "service/vmhdbdev01/31007/REPLICATION_STATUS": "ACTIVE", "service/vmhdbdev01/31001/SECONDARY_SITE_NAME": "WDF", "service/vmhdbdev01/31003/SECONDARY_SITE_NAME": "WDF", "service/vmhdbdev01/31007/SECONDARY_SITE_NAME": "WDF", "service/vmhdbdev01/31001/SHIPPED_LOG_POSITION": "45295808", "service/vmhdbdev01/31003/SHIPPED_LOG_POSITION": "247644160", "service/vmhdbdev01/31007/SHIPPED_LOG_POSITION": "4670464", "service/vmhdbdev01/31001/REPLAYED_LOG_POSITION": "45295808", "service/vmhdbdev01/31003/REPLAYED_LOG_POSITION": "247644160", "service/vmhdbdev01/31007/REPLAYED_LOG_POSITION": "4670405", "service/vmhdbdev01/31001/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:50.123508", "service/vmhdbdev01/31001/LAST_SAVEPOINT_VERSION": "2831", "service/vmhdbdev01/31001/SECONDARY_CONNECT_TIME": "2022-01-11 12:57:43.205984", "service/vmhdbdev01/31003/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:54.241756", "service/vmhdbdev01/31003/LAST_SAVEPOINT_VERSION": "2790", "service/vmhdbdev01/31003/SECONDARY_CONNECT_TIME": "2022-01-11 13:01:20.044302", "service/vmhdbdev01/31007/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:22.341237", "service/vmhdbdev01/31007/LAST_SAVEPOINT_VERSION": "2874", "service/vmhdbdev01/31007/SECONDARY_CONNECT_TIME": "2022-01-11 13:01:20.647048", "service/vmhdbdev01/31001/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbdev01/31003/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbdev01/31007/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbdev01/31001/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbdev01/31001/SHIPPED_LOG_BUFFERS_SIZE": "555040768", "service/vmhdbdev01/31003/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbdev01/31003/SHIPPED_LOG_BUFFERS_SIZE": "3481903104", "service/vmhdbdev01/31007/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbdev01/31007/SHIPPED_LOG_BUFFERS_SIZE": "268271616", "service/vmhdbdev01/31001/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:48:30.381133", "service/vmhdbdev01/31001/SECONDARY_RECONNECT_COUNT": "0", "service/vmhdbdev01/31001/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_LOG_BUFFERS_COUNT": "125075", "service/vmhdbdev01/31001/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:50.123508", "service/vmhdbdev01/31001/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbdev01/31003/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:49:47.741144", "service/vmhdbdev01/31003/SECONDARY_RECONNECT_COUNT": "7", "service/vmhdbdev01/31003/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_LOG_BUFFERS_COUNT": "682002", "service/vmhdbdev01/31003/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:54.241756", "service/vmhdbdev01/31003/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbdev01/31007/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:50:22.414771", "service/vmhdbdev01/31007/SECONDARY_RECONNECT_COUNT": "7", "service/vmhdbdev01/31007/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_LOG_BUFFERS_COUNT": "65496", "service/vmhdbdev01/31007/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:22.341237", "service/vmhdbdev01/31007/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbdev01/31001/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:50.123508", "service/vmhdbdev01/31001/REPLICATION_STATUS_DETAILS": "", "service/vmhdbdev01/31001/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbdev01/31003/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:54.241756", "service/vmhdbdev01/31003/REPLICATION_STATUS_DETAILS": "", "service/vmhdbdev01/31003/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbdev01/31007/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:22.341237", "service/vmhdbdev01/31007/REPLICATION_STATUS_DETAILS": "", "service/vmhdbdev01/31007/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbdev01/31001/LAST_SAVEPOINT_LOG_POSITION": "45292482", "service/vmhdbdev01/31001/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbdev01/31003/LAST_SAVEPOINT_LOG_POSITION": "247637826", "service/vmhdbdev01/31003/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbdev01/31007/LAST_SAVEPOINT_LOG_POSITION": "4669955", "service/vmhdbdev01/31007/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbdev01/31001/SHIPPED_LOG_BUFFERS_DURATION": "332381033", "service/vmhdbdev01/31001/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LOG_BUFFERS_DURATION": "1761449260", "service/vmhdbdev01/31003/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LOG_BUFFERS_DURATION": "180172567", "service/vmhdbdev01/31007/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbdev01/31003/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbdev01/31007/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbdev01/31001/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbdev01/31001/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbdev01/31003/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbdev01/31003/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbdev01/31007/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbdev01/31007/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbdev01/31001/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-"}}]}]	2024-04-09 15:08:42.307344	2024-04-09 15:08:42.307344
369	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	sap_system_discovery	[]	2024-04-09 15:08:42.601187	2024-04-09 15:08:42.601187
387	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev01", "Name": "ASCS00", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 7379, "name": "enserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueServer", "elapsedtime": "151:56:46"}, {"pid": 7378, "name": "msg_server", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "MessageServer", "elapsedtime": "151:56:46"}], "Properties": [{"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "00", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "EnqGetLockTable", "property": "Enque Locks", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ASCS00", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "1", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "YES", "property": "CentralServices", "propertytype": "Attribute"}, {"value": "EnqGetStatistic", "property": "Enque Statistic", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwdas:50013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}, {"value": "YES", "property": "SupportsUpdateSCSInstance", "propertytype": "Attribute"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:12.457759	2024-04-09 15:09:12.457759
430	a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:17.942141	2024-04-09 15:09:17.942141
345	b767b3e9-e802-587e-a442-541d093b86b9	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "compliant", "Notes applied": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Notes enabled": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "HANA", "applied partially": false}], "Solution enabled": ["HANA"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Solution ID": "HANA"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Solution ID": "HANA"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:08:35.254308	2024-04-09 15:08:35.254308
346	9a26b6d0-6e72-597c-9fe5-152a6875f214	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:35.375756	2024-04-09 15:08:35.375756
347	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	host_discovery	{"hostname": "vmnwdev02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.22", "10.100.1.26", "fe80::6245:bdff:fe8d:9c7d"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwdev02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:08:35.505928	2024-04-09 15:08:35.505928
351	25677e37-fd33-5005-896c-9275b1284534	sap_system_discovery	[{"Id": "d01fdc69aeba7bd5133b210eb2884853", "SID": "NWQ", "Type": 2, "Profile": {"SAPDBHOST": "ha-cluster.suse.de", "dbms/name": "HDQ", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwqas", "rdisp/msserv": "sapmsNWQ", "SAPGLOBALHOST": "sapnwqas", "SAPSYSTEMNAME": "NWQ", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDQ", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwqas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.90.1.13", "Databases": null, "Instances": [{"Host": "vmnwqas01", "Name": "ASCS00", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwqas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwqer", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 16279, "name": "enserver", "starttime": "2022 01 17 12:40:24", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueServer", "elapsedtime": "8:11:38"}, {"pid": 16278, "name": "msg_server", "starttime": "2022 01 17 12:40:24", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "MessageServer", "elapsedtime": "8:11:38"}], "Properties": [{"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "00", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "EnqGetLockTable", "property": "Enque Locks", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwqas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ASCS00", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "1", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "YES", "property": "CentralServices", "propertytype": "Attribute"}, {"value": "EnqGetStatistic", "property": "Enque Statistic", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwqas:50013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}, {"value": "YES", "property": "SupportsUpdateSCSInstance", "propertytype": "Attribute"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:08:36.050531	2024-04-09 15:08:36.050531
367	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	sap_system_discovery	[]	2024-04-09 15:08:42.025137	2024-04-09 15:08:42.025137
371	116d49bd-85e1-5e59-b820-83f66db8800c	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "not compliant", "Notes applied": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Notes enabled": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "NETWEAVER", "applied partially": false}], "Solution enabled": ["NETWEAVER"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:09:10.340657	2024-04-09 15:09:10.340657
379	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:09:11.396533	2024-04-09 15:09:11.396533
380	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbdqas01", "plan": {}, "tags": "fake-tags", "vmId": "9c5b4666-5356-4347-b688-6954027283a1", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbdqas01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbdqas01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbdqas01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.31"}]}, "ipv6": {}, "macAddress": "6045BD8D00C2"}]}}, "Provider": "azure"}	2024-04-09 15:09:11.527389	2024-04-09 15:09:11.527389
381	4b30a6af-4b52-5bda-bccb-f2248a12c992	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:11.655057	2024-04-09 15:09:11.655057
391	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	sap_system_discovery	[{"Id": "9953878f07bb54cac20d5d5d7ff08af2", "SID": "HDQ", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbqas02", "SAPSYSTEMNAME": "HDQ", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbqas02", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDQ", "Container": ""}], "Instances": [{"Host": "vmhdbqas02", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbqas02", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 29597, "name": "hdbdaemon", "starttime": "2022 01 11 12:30:14", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "152:21:46"}, {"pid": 30148, "name": "hdbxsengine", "starttime": "2022 01 11 12:30:27", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDQ", "elapsedtime": "152:21:33"}, {"pid": 29727, "name": "hdbnameserver", "starttime": "2022 01 11 12:30:14", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "152:21:46"}, {"pid": 30145, "name": "hdbindexserver", "starttime": "2022 01 11 12:30:27", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDQ", "elapsedtime": "152:21:33"}, {"pid": 30047, "name": "hdbpreprocessor", "starttime": "2022 01 11 12:30:26", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "152:21:34"}, {"pid": 30044, "name": "hdbcompileserver", "starttime": "2022 01 11 12:30:26", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "152:21:34"}, {"pid": 30855, "name": "hdbwebdispatcher", "starttime": "2022 01 11 12:30:35", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "152:21:25"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbqas02", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbqas02:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "sync", "online": "true", "site_id": "2", "isSource": "false", "site_name": "WDF", "isConsumer": "true", "replayMode": "auto", "hasConsumers": "false", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "logreplay", "primary_masters": "vmhdbqas01", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbqas02": ["WDF/vmhdbqas02", "NBG/vmhdbqas01"], "active_primary_site": "1", "isTimetravelEnabled": "false", "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbqas02", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "2", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/2/PRIMARY_MASTERS": "vmhdbqas01", "site/2/REPLICATION_MODE": "SYNC"}}]}]	2024-04-09 15:09:12.954791	2024-04-09 15:09:12.954791
349	f0c808b3-d869-5192-a944-20f66a6a8449	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmiscsi01", "plan": {}, "tags": "fake-tags", "vmId": "aa051519-6d23-461a-af09-8b3a2203ed04", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_DS1_v2", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmiscsi01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-iscsisrv01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-iscsisrv01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "StandardSSD_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.4"}]}, "ipv6": {}, "macAddress": "0022487FD2F9"}]}}, "Provider": "azure"}	2024-04-09 15:08:35.772963	2024-04-09 15:08:35.772963
356	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:08:36.737646	2024-04-09 15:08:36.737646
357	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:36.871209	2024-04-09 15:08:36.871209
372	9a26b6d0-6e72-597c-9fe5-152a6875f214	host_discovery	{"hostname": "vmiscsi01", "cpu_count": 1, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.4", "fe80::20d:3aff:fe2e:835a"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 3421, "fully_qualified_domain_name": "vmiscsi01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:10.474984	2024-04-09 15:09:10.474984
373	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	host_discovery	{"hostname": "vmnwdev03", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.23", "10.100.1.27", "fe80::6245:bdff:fe8d:9ef4"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwdev03.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:10.611645	2024-04-09 15:09:10.611645
374	0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwprd04", "plan": {}, "tags": "fake-tags", "vmId": "a7321bd7-c191-4650-b368-9c0b7bf04de6", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwprd04", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver04-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-netweaver02-App", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Attach", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.24"}, {"privateIpAddress": "10.80.1.28"}]}, "ipv6": {}, "macAddress": "000D3A2E8FAD"}]}}, "Provider": "azure"}	2024-04-09 15:09:10.739416	2024-04-09 15:09:10.739416
375	f0c808b3-d869-5192-a944-20f66a6a8449	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:10.866983	2024-04-09 15:09:10.866983
376	1b0e9297-97dd-55d6-9874-8efde4d84c90	host_discovery	{"hostname": "vmnwdev04", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.24", "10.100.1.28", "fe80::6245:bdff:fe8d:9a74"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwdev04.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:10.996214	2024-04-09 15:09:10.996214
382	b767b3e9-e802-587e-a442-541d093b86b9	ha_cluster_discovery	{"DC": false, "Id": "9c832998801e28cd70ad77380e82a5c0", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbprd01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdp_lpt", "Name": "lpa_hdp_lpt", "Value": "1643125019"}, {"Id": "nodes-1-hana_hdp_vhost", "Name": "hana_hdp_vhost", "Value": "vmhdbprd01"}, {"Id": "nodes-1-hana_hdp_site", "Name": "hana_hdp_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdp_op_mode", "Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdp_srmode", "Name": "hana_hdp_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdp_remoteHost", "Name": "hana_hdp_remoteHost", "Value": "vmhdbprd02"}]}, {"Id": "2", "Uname": "vmhdbprd02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdp_lpt", "Name": "lpa_hdp_lpt", "Value": "30"}, {"Id": "nodes-2-hana_hdp_op_mode", "Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdp_vhost", "Name": "hana_hdp_vhost", "Value": "vmhdbprd02"}, {"Id": "nodes-2-hana_hdp_remoteHost", "Name": "hana_hdp_remoteHost", "Value": "vmhdbprd01"}, {"Id": "nodes-2-hana_hdp_site", "Name": "hana_hdp_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdp_srmode", "Name": "hana_hdp_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_3"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "24"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdp_site_srHook_WDF", "Name": "hana_hdp_site_srHook_WDF", "Value": "SOK"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDP_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDP_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDP_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDP_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDP"}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDP_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDP_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDP_HDB10", "Primitives": [{"Id": "rsc_ip_HDP_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDP_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDP_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDP_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDP_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.13"}, {"Id": "rsc_ip_HDP_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDP_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDP_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDP_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDP_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDP_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDP_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDP_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDP_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDP_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDP_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDP_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDP"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDP_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDP_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDP_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b924e77", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "a7a18c6b-7c8e-4bda-bb77-45e4b5dc8478", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbprd01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b924e77", "Status": "healthy"}]}, "Name": "hana_cluster_3", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbprd01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmhdbprd02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "msl_SAPHana_HDP_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDP_HDB10", "Node": {"Id": "2", "Name": "vmhdbprd02", "Cached": true}, "Role": "Slave", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDP_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10", "Node": {"Id": "2", "Name": "vmhdbprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDP_HDB10", "Resources": [{"Id": "rsc_ip_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:36:59 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbprd01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbprd02", "ResourceHistory": [{"Name": "rsc_SAPHana_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbprd01", "Attributes": [{"Name": "hana_hdp_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Name": "hana_hdp_remoteHost", "Value": "vmhdbprd02"}, {"Name": "hana_hdp_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdp_site", "Value": "NBG"}, {"Name": "hana_hdp_srmode", "Value": "sync"}, {"Name": "hana_hdp_sync_state", "Value": "PRIM"}, {"Name": "hana_hdp_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdp_vhost", "Value": "vmhdbprd01"}, {"Name": "lpa_hdp_lpt", "Value": "1643125019"}, {"Name": "master-rsc_SAPHana_HDP_HDB10", "Value": "150"}]}, {"Name": "vmhdbprd02", "Attributes": [{"Name": "hana_hdp_clone_state", "Value": "DEMOTED"}, {"Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Name": "hana_hdp_remoteHost", "Value": "vmhdbprd01"}, {"Name": "hana_hdp_roles", "Value": "4:S:master1:master:worker:master"}, {"Name": "hana_hdp_site", "Value": "WDF"}, {"Name": "hana_hdp_srmode", "Value": "sync"}, {"Name": "hana_hdp_sync_state", "Value": "SOK"}, {"Name": "hana_hdp_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdp_vhost", "Value": "vmhdbprd02"}, {"Name": "lpa_hdp_lpt", "Value": "30"}, {"Name": "master-rsc_SAPHana_HDP_HDB10", "Value": "100"}]}]}}, "Provider": "azure"}	2024-04-09 15:09:11.787847	2024-04-09 15:09:11.787847
384	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:09:12.051554	2024-04-09 15:09:12.051554
437	9cd46919-5f19-59aa-993e-cf3736c71053	host_discovery	{"hostname": "vmhdbprd01", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.11", "10.80.1.13", "fe80::20d:3aff:fe23:2c6b"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbprd01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:18.798694	2024-04-09 15:09:18.798694
363	99cf8a3a-48d6-57a4-b302-6e4482227ab6	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:08:40.569187	2024-04-09 15:08:40.569187
364	99cf8a3a-48d6-57a4-b302-6e4482227ab6	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbqas01", "plan": {}, "tags": "fake-tags", "vmId": "f01d07fa-c7eb-477a-9de1-eef7e946fdbe", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbqas01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.11"}]}, "ipv6": {}, "macAddress": "6045BD8D01D5"}]}}, "Provider": "azure"}	2024-04-09 15:08:40.702881	2024-04-09 15:08:40.702881
394	25677e37-fd33-5005-896c-9275b1284534	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:09:13.330639	2024-04-09 15:09:13.330639
397	69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	sap_system_discovery	[]	2024-04-09 15:09:13.744995	2024-04-09 15:09:13.744995
398	116d49bd-85e1-5e59-b820-83f66db8800c	host_discovery	{"hostname": "vmnwprd01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.21", "10.80.1.25", "fe80::20d:3aff:fe2e:8f04"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwprd01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:13.865063	2024-04-09 15:09:13.865063
404	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	ha_cluster_discovery	{"DC": false, "Id": "04b8f8c21f9fd8991224478e8c4362f8", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbdev01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdd_lpt", "Name": "lpa_hdd_lpt", "Value": "10"}, {"Id": "nodes-1-hana_hdd_vhost", "Name": "hana_hdd_vhost", "Value": "vmhdbdev01"}, {"Id": "nodes-1-hana_hdd_site", "Name": "hana_hdd_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdd_op_mode", "Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdd_srmode", "Name": "hana_hdd_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdd_remoteHost", "Name": "hana_hdd_remoteHost", "Value": "vmhdbdev02"}]}, {"Id": "2", "Uname": "vmhdbdev02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdd_lpt", "Name": "lpa_hdd_lpt", "Value": "1643125026"}, {"Id": "nodes-2-hana_hdd_op_mode", "Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdd_vhost", "Name": "hana_hdd_vhost", "Value": "vmhdbdev02"}, {"Id": "nodes-2-hana_hdd_remoteHost", "Name": "hana_hdd_remoteHost", "Value": "vmhdbdev01"}, {"Id": "nodes-2-hana_hdd_site", "Name": "hana_hdd_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdd_srmode", "Name": "hana_hdd_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_1"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdd_site_srHook_WDF", "Name": "hana_hdd_site_srHook_WDF", "Value": "PRIM"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDD_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDD_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDD_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDD_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDD"}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDD_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDD_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDD_HDB10", "Primitives": [{"Id": "rsc_ip_HDD_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDD_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDD_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDD_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDD_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.13"}, {"Id": "rsc_ip_HDD_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDD_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDD_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDD_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDD_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDD_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDD_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDD_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDD_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDD_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDD_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDD_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDD"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDD_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDD_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDD_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:182cb1b1-a815-4b82-b538-7a166b9bbb4a", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "cc39771e-ea2f-4fb1-8968-a6176aee3d0a", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbdev01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbdev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:182cb1b1-a815-4b82-b538-7a166b9bbb4a", "Status": "healthy"}]}, "Name": "hana_cluster_1", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbdev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}, {"DC": false, "Id": "2", "Name": "vmhdbdev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": [{"Id": "msl_SAPHana_HDD_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDD_HDB10", "Node": null, "Role": "Stopped", "Agent": "ocf::suse:SAPHana", "Active": false, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 0}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDD_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10", "Node": {"Id": "1", "Name": "vmhdbdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDD_HDB10", "Resources": [{"Id": "rsc_ip_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:37:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbdev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbdev02", "ResourceHistory": [{"Name": "rsc_ip_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbdev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDD_HDB10", "FailCount": 1000000, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbdev01", "Attributes": [{"Name": "hana_hdd_clone_state", "Value": "UNDEFINED"}, {"Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Name": "hana_hdd_remoteHost", "Value": "vmhdbdev02"}, {"Name": "hana_hdd_roles", "Value": "1:P:master1::worker:"}, {"Name": "hana_hdd_site", "Value": "NBG"}, {"Name": "hana_hdd_srmode", "Value": "sync"}, {"Name": "hana_hdd_sync_state", "Value": "SFAIL"}, {"Name": "hana_hdd_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdd_vhost", "Value": "vmhdbdev01"}, {"Name": "lpa_hdd_lpt", "Value": "10"}, {"Name": "master-rsc_SAPHana_HDD_HDB10", "Value": "-9000"}]}, {"Name": "vmhdbdev02", "Attributes": [{"Name": "hana_hdd_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Name": "hana_hdd_remoteHost", "Value": "vmhdbdev01"}, {"Name": "hana_hdd_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdd_site", "Value": "WDF"}, {"Name": "hana_hdd_srmode", "Value": "sync"}, {"Name": "hana_hdd_sync_state", "Value": "PRIM"}, {"Name": "hana_hdd_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdd_vhost", "Value": "vmhdbdev02"}, {"Name": "lpa_hdd_lpt", "Value": "1643125026"}, {"Name": "master-rsc_SAPHana_HDD_HDB10", "Value": "150"}]}]}}, "Provider": "azure"}	2024-04-09 15:09:14.621502	2024-04-09 15:09:14.621502
406	4b30a6af-4b52-5bda-bccb-f2248a12c992	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "not compliant", "Notes applied": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Notes enabled": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "NETWEAVER", "applied partially": false}], "Solution enabled": ["NETWEAVER"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:09:14.879482	2024-04-09 15:09:14.879482
409	21de186a-e38f-5804-b643-7f4ef22fecfd	sap_system_discovery	[]	2024-04-09 15:09:15.265498	2024-04-09 15:09:15.265498
418	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:09:16.435635	2024-04-09 15:09:16.435635
419	a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwprd03", "plan": {}, "tags": "fake-tags", "vmId": "21d17480-4282-4e38-84aa-3e14716ebc42", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwprd03", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver03-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-netweaver01-App", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Attach", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.23"}, {"privateIpAddress": "10.80.1.27"}]}, "ipv6": {}, "macAddress": "000D3A257F83"}]}}, "Provider": "azure"}	2024-04-09 15:09:16.563358	2024-04-09 15:09:16.563358
420	098fc159-3ed6-58e7-91be-38fda8a833ea	host_discovery	{"hostname": "vmnwqas03", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.27", "10.90.1.23", "fe80::6245:bdff:fe8d:5d9"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwqas03.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:16.691778	2024-04-09 15:09:16.691778
423	25677e37-fd33-5005-896c-9275b1284534	ha_cluster_discovery	{"DC": true, "Id": "acf59e7a5338f76f55d5055af3273480", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwqas01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwqas02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWQ_ASCS00", "Primitives": [{"Id": "rsc_ip_NWQ_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWQ_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWQ_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.25"}]}, {"Id": "rsc_fs_NWQ_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWQ_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWQ_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.90.1.33:/NWQ/ASCS"}, {"Id": "rsc_fs_NWQ_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWQ/ASCS00"}, {"Id": "rsc_fs_NWQ_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWQ_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWQ_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWQ_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWQ_ASCS00_sapnwqas"}, {"Id": "rsc_sap_NWQ_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWQ/profile/NWQ_ASCS00_sapnwqas"}, {"Id": "rsc_sap_NWQ_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWQ_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWQ_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWQ_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWQ_ERS10", "Primitives": [{"Id": "rsc_ip_NWQ_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWQ_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWQ_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.26"}]}, {"Id": "rsc_fs_NWQ_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWQ_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWQ_ERS10-instance_attributes-device", "Name": "device", "Value": "10.90.1.33:/NWQ/ERS"}, {"Id": "rsc_fs_NWQ_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWQ/ERS10"}, {"Id": "rsc_fs_NWQ_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWQ_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWQ_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWQ_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWQ_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWQ_ERS10_sapnwqer"}, {"Id": "rsc_sap_NWQ_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWQ/profile/NWQ_ERS10_sapnwqer"}, {"Id": "rsc_sap_NWQ_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWQ_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWQ_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWQ_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWQ_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWQ_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWQ_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_813ace38-2d4f-48f6-8aa2-5360252ca492", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "3365e35e-ba75-4d29-9f5a-1a0379ee7a60", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwqas01", "Status": "clear"}, {"Id": 1, "Name": "vmnwqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_813ace38-2d4f-48f6-8aa2-5360252ca492", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWQ_ASCS00", "Resources": [{"Id": "rsc_ip_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWQ_ERS10", "Resources": [{"Id": "rsc_ip_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Mon Jan 17 12:41:40 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwqas02", "ResourceHistory": [{"Name": "rsc_sap_NWQ_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWQ_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWQ_ERS10", "FailCount": 1, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWQ_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}, {"Name": "vmnwqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWQ_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWQ_ASCS00", "FailCount": 1, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWQ_ASCS00", "FailCount": 0, "MigrationThreshold": 1}, {"Name": "rsc_socat_NWQ_ASCS00", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwqas02", "Attributes": [{"Name": "runs_ers_NWQ", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:09:17.079954	2024-04-09 15:09:17.079954
426	21de186a-e38f-5804-b643-7f4ef22fecfd	ha_cluster_discovery	{"DC": true, "Id": "04a81f89c847e82390e35bece2e25c9b", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmdrbddev01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmdrbddev02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "drbd_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": [{"Id": "cl-nfsserver", "Primitive": {"Id": "nfsserver", "Type": "nfs-server", "Class": "systemd", "Provider": "", "Operations": [{"Id": "nfsserver-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": null}, "MetaAttributes": [{"Id": "cl-nfsserver-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g-nfs_sapdata", "Primitives": [{"Id": "fs_sapdata", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "fs_sapdata-monitor-20", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "fs_sapdata-instance_attributes-device", "Name": "device", "Value": "/dev/drbd1"}, {"Id": "fs_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWD"}, {"Id": "fs_sapdata-instance_attributes-fstype", "Name": "fstype", "Value": "xfs"}, {"Id": "fs_sapdata-instance_attributes-options", "Name": "options", "Value": "noatime,nodiratime"}]}, {"Id": "vip_sapdata_nfs", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "vip_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "vip_sapdata_nfs-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.33"}, {"Id": "vip_sapdata_nfs-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "32"}, {"Id": "vip_sapdata_nfs-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "exportfs_work_sapdata", "Type": "exportfs", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "exportfs_work_sapdata-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "exportfs_work_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWD"}, {"Id": "exportfs_work_sapdata-instance_attributes-fsid", "Name": "fsid", "Value": "1"}, {"Id": "exportfs_work_sapdata-instance_attributes-options", "Name": "options", "Value": "rw,no_root_squash"}, {"Id": "exportfs_work_sapdata-instance_attributes-clientspec", "Name": "clientspec", "Value": "*"}, {"Id": "exportfs_work_sapdata-instance_attributes-wait_for_leasetime_on_stop", "Name": "wait_for_leasetime_on_stop", "Value": "true"}]}, {"Id": "rsc_socat_sapdata_nfs", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_sapdata_nfs-instance_attributes-port", "Name": "port", "Value": "61000"}]}]}], "Masters": [{"Id": "ms_sapdata", "Primitive": {"Id": "drbd-sapdata", "Type": "drbd", "Class": "ocf", "Provider": "linbit", "Operations": [{"Id": "drbd-sapdata-monitor-15", "Name": "monitor", "Role": "Master", "Timeout": "", "Interval": "15"}, {"Id": "drbd-sapdata-monitor-30", "Name": "monitor", "Role": "Slave", "Timeout": "", "Interval": "30"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "drbd-sapdata-instance_attributes-drbd_resource", "Name": "drbd_resource", "Value": "sapdata"}]}, "MetaAttributes": [{"Id": "ms_sapdata-meta_attributes-master-max", "Name": "master-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-master-node-max", "Name": "master-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-0-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "ms_sapdata-meta_attributes-0-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-1-notify", "Name": "notify", "Value": "true"}, {"Id": "ms_sapdata-meta_attributes-1-target-role", "Name": "target-role", "Value": "Started"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:3947fa28-25e0-46d4-bbed-89ce88f977f1", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "27016e64-5f07-4563-90d5-16cb8f9ebc2a", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmdrbddev01", "Status": "clear"}, {"Id": 1, "Name": "vmdrbddev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:3947fa28-25e0-46d4-bbed-89ce88f977f1", "Status": "healthy"}]}, "Name": "drbd_cluster", "Crmmon": {"Nodes": [{"DC": false, "Id": "1", "Name": "vmdrbddev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 7}, {"DC": true, "Id": "2", "Name": "vmdrbddev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "ms_sapdata", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "drbd-sapdata", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Master", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "drbd-sapdata", "Node": {"Id": "2", "Name": "vmdrbddev02", "Cached": true}, "Role": "Slave", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cl-nfsserver", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "nfsserver", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "nfsserver", "Node": {"Id": "2", "Name": "vmdrbddev02", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g-nfs_sapdata", "Resources": [{"Id": "fs_sapdata", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "vip_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "exportfs_work_sapdata", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:exportfs", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:50:53 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmdrbddev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "fs_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "vip_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "exportfs_work_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmdrbddev02", "ResourceHistory": [{"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmdrbddev01", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}, {"Name": "vmdrbddev02", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}]}}, "Provider": "azure"}	2024-04-09 15:09:17.460469	2024-04-09 15:09:17.460469
378	422686d6-b2d1-5092-93e8-a744854f5085	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbdqas02", "plan": {}, "tags": "fake-tags", "vmId": "cee2a7db-7fb7-4c51-928e-214966364f8f", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbdqas02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbdqas02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbdqas02-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.32"}]}, "ipv6": {}, "macAddress": "6045BD8D0523"}]}}, "Provider": "azure"}	2024-04-09 15:09:11.266405	2024-04-09 15:09:11.266405
383	4b30a6af-4b52-5bda-bccb-f2248a12c992	ha_cluster_discovery	{"DC": false, "Id": "8bca366a6cb7816555538092a1ddd5aa", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwprd01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwprd02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWP_ASCS00", "Primitives": [{"Id": "rsc_ip_NWP_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWP_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWP_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.25"}]}, {"Id": "rsc_fs_NWP_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWP_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWP_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.80.1.33:/NWP/ASCS"}, {"Id": "rsc_fs_NWP_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWP/ASCS00"}, {"Id": "rsc_fs_NWP_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWP_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWP_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWP_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWP_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWP_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWP_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWP_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWP_ASCS00_sapnwpas"}, {"Id": "rsc_sap_NWP_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWP/profile/NWP_ASCS00_sapnwpas"}, {"Id": "rsc_sap_NWP_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWP_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWP_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWP_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWP_ERS10", "Primitives": [{"Id": "rsc_ip_NWP_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWP_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWP_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.26"}]}, {"Id": "rsc_fs_NWP_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWP_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWP_ERS10-instance_attributes-device", "Name": "device", "Value": "10.80.1.33:/NWP/ERS"}, {"Id": "rsc_fs_NWP_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWP/ERS10"}, {"Id": "rsc_fs_NWP_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWP_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWP_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWP_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWP_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWP_ERS10_sapnwper"}, {"Id": "rsc_sap_NWP_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWP/profile/NWP_ERS10_sapnwper"}, {"Id": "rsc_sap_NWP_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWP_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWP_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWP_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWP_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWP_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWP_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_e34218cd-0d9a-4b21-b6d5-a313980baa82", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "e0c97fe2-f63a-4fd1-83df-9a736a03b49b", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwprd01", "Status": "clear"}, {"Id": 1, "Name": "vmnwprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_e34218cd-0d9a-4b21-b6d5-a313980baa82", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwprd01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwprd02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWP_ASCS00", "Resources": [{"Id": "rsc_ip_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWP_ERS10", "Resources": [{"Id": "rsc_ip_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 13:43:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwprd01", "ResourceHistory": [{"Name": "rsc_ip_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 1}]}, {"Name": "vmnwprd02", "ResourceHistory": [{"Name": "rsc_ip_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwprd02", "Attributes": [{"Name": "runs_ers_NWP", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:09:11.928116	2024-04-09 15:09:11.928116
388	927901fa-2c87-524e-b18c-3ef5187f504f	sap_system_discovery	[]	2024-04-09 15:09:12.585988	2024-04-09 15:09:12.585988
389	3711ea88-9ccc-5b07-8f9d-042be449d72b	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:12.703387	2024-04-09 15:09:12.703387
395	422686d6-b2d1-5092-93e8-a744854f5085	ha_cluster_discovery	{"DC": true, "Id": "a034a158905404befe08775682910ee1", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmdrbdqas01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmdrbdqas02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "drbd_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": [{"Id": "cl-nfsserver", "Primitive": {"Id": "nfsserver", "Type": "nfs-server", "Class": "systemd", "Provider": "", "Operations": [{"Id": "nfsserver-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": null}, "MetaAttributes": [{"Id": "cl-nfsserver-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g-nfs_sapdata", "Primitives": [{"Id": "fs_sapdata", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "fs_sapdata-monitor-20", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "fs_sapdata-instance_attributes-device", "Name": "device", "Value": "/dev/drbd1"}, {"Id": "fs_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWQ"}, {"Id": "fs_sapdata-instance_attributes-fstype", "Name": "fstype", "Value": "xfs"}, {"Id": "fs_sapdata-instance_attributes-options", "Name": "options", "Value": "noatime,nodiratime"}]}, {"Id": "vip_sapdata_nfs", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "vip_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "vip_sapdata_nfs-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.33"}, {"Id": "vip_sapdata_nfs-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "32"}, {"Id": "vip_sapdata_nfs-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "exportfs_work_sapdata", "Type": "exportfs", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "exportfs_work_sapdata-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "exportfs_work_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWQ"}, {"Id": "exportfs_work_sapdata-instance_attributes-fsid", "Name": "fsid", "Value": "1"}, {"Id": "exportfs_work_sapdata-instance_attributes-options", "Name": "options", "Value": "rw,no_root_squash"}, {"Id": "exportfs_work_sapdata-instance_attributes-clientspec", "Name": "clientspec", "Value": "*"}, {"Id": "exportfs_work_sapdata-instance_attributes-wait_for_leasetime_on_stop", "Name": "wait_for_leasetime_on_stop", "Value": "true"}]}, {"Id": "rsc_socat_sapdata_nfs", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_sapdata_nfs-instance_attributes-port", "Name": "port", "Value": "61000"}]}]}], "Masters": [{"Id": "ms_sapdata", "Primitive": {"Id": "drbd-sapdata", "Type": "drbd", "Class": "ocf", "Provider": "linbit", "Operations": [{"Id": "drbd-sapdata-monitor-15", "Name": "monitor", "Role": "Master", "Timeout": "", "Interval": "15"}, {"Id": "drbd-sapdata-monitor-30", "Name": "monitor", "Role": "Slave", "Timeout": "", "Interval": "30"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "drbd-sapdata-instance_attributes-drbd_resource", "Name": "drbd_resource", "Value": "sapdata"}]}, "MetaAttributes": [{"Id": "ms_sapdata-meta_attributes-master-max", "Name": "master-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-master-node-max", "Name": "master-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-0-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "ms_sapdata-meta_attributes-0-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-1-notify", "Name": "notify", "Value": "true"}, {"Id": "ms_sapdata-meta_attributes-1-target-role", "Name": "target-role", "Value": "Started"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:c1c003f5-4e45-4d6f-8d81-e338f666365c", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "f5991966-5a7f-45d6-90d1-bfcedb265df6", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmdrbdqas01", "Status": "clear"}, {"Id": 1, "Name": "vmdrbdqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:c1c003f5-4e45-4d6f-8d81-e338f666365c", "Status": "healthy"}]}, "Name": "drbd_cluster", "Crmmon": {"Nodes": [{"DC": false, "Id": "1", "Name": "vmdrbdqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 7}, {"DC": true, "Id": "2", "Name": "vmdrbdqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "ms_sapdata", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "drbd-sapdata", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Master", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "drbd-sapdata", "Node": {"Id": "2", "Name": "vmdrbdqas02", "Cached": true}, "Role": "Slave", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cl-nfsserver", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "nfsserver", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "nfsserver", "Node": {"Id": "2", "Name": "vmdrbdqas02", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g-nfs_sapdata", "Resources": [{"Id": "fs_sapdata", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "vip_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "exportfs_work_sapdata", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:exportfs", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:20:56 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmdrbdqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "fs_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "vip_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "exportfs_work_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmdrbdqas02", "ResourceHistory": [{"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmdrbdqas01", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}, {"Name": "vmdrbdqas02", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}]}}, "Provider": "azure"}	2024-04-09 15:09:13.472869	2024-04-09 15:09:13.472869
407	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	ha_cluster_discovery	{"DC": true, "Id": "057f083c3be591f4398eed816d4c8cd7", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwdev01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwdev02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWD_ASCS00", "Primitives": [{"Id": "rsc_ip_NWD_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWD_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWD_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.25"}]}, {"Id": "rsc_fs_NWD_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWD_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWD_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.100.1.33:/NWD/ASCS"}, {"Id": "rsc_fs_NWD_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWD/ASCS00"}, {"Id": "rsc_fs_NWD_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWD_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWD_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWD_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWD_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWD_ASCS00_sapnwdas"}, {"Id": "rsc_sap_NWD_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWD/profile/NWD_ASCS00_sapnwdas"}, {"Id": "rsc_sap_NWD_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWD_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWD_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWD_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWD_ERS10", "Primitives": [{"Id": "rsc_ip_NWD_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWD_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWD_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.26"}]}, {"Id": "rsc_fs_NWD_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWD_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWD_ERS10-instance_attributes-device", "Name": "device", "Value": "10.100.1.33:/NWD/ERS"}, {"Id": "rsc_fs_NWD_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWD/ERS10"}, {"Id": "rsc_fs_NWD_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWD_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWD_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWD_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWD_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWD_ERS10_sapnwder"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWD/profile/NWD_ERS10_sapnwder"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWD_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWD_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWD_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWD_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWD_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-36001405f01eb5f4c5c941e499beb055d", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "4e8adda1-da35-4ee4-92b9-a134494861f0", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwdev01", "Status": "clear"}, {"Id": 1, "Name": "vmnwdev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-36001405f01eb5f4c5c941e499beb055d", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwdev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwdev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWD_ASCS00", "Resources": [{"Id": "rsc_ip_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWD_ERS10", "Resources": [{"Id": "rsc_ip_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:55:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwdev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 1}, {"Name": "rsc_socat_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}]}, {"Name": "vmnwdev02", "ResourceHistory": [{"Name": "rsc_ip_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwdev02", "Attributes": [{"Name": "runs_ers_NWD", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:09:14.998691	2024-04-09 15:09:14.998691
412	1b0e9297-97dd-55d6-9874-8efde4d84c90	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev04", "Name": "D02", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 26496, "name": "gwrd", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:47:01"}, {"pid": 26497, "name": "icman", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:47:01"}, {"pid": 26476, "name": "igswd_mt", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:47:04"}, {"pid": 26475, "name": "disp+work", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:47:04"}], "Properties": [{"value": "HTTP://sapnwdaas1:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwdaas1:40280", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "02", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdaas1", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D02", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwdaas1:50213/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:15.649679	2024-04-09 15:09:15.649679
416	9cd46919-5f19-59aa-993e-cf3736c71053	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "compliant", "Notes applied": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Notes enabled": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "HANA", "applied partially": false}], "Solution enabled": ["HANA"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Solution ID": "HANA"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Solution ID": "HANA"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:09:16.161953	2024-04-09 15:09:16.161953
421	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	ha_cluster_discovery	{"DC": false, "Id": "057f083c3be591f4398eed816d4c8cd7", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwdev01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwdev02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWD_ASCS00", "Primitives": [{"Id": "rsc_ip_NWD_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWD_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWD_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.25"}]}, {"Id": "rsc_fs_NWD_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWD_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWD_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.100.1.33:/NWD/ASCS"}, {"Id": "rsc_fs_NWD_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWD/ASCS00"}, {"Id": "rsc_fs_NWD_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWD_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWD_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWD_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWD_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWD_ASCS00_sapnwdas"}, {"Id": "rsc_sap_NWD_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWD/profile/NWD_ASCS00_sapnwdas"}, {"Id": "rsc_sap_NWD_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWD_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWD_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWD_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWD_ERS10", "Primitives": [{"Id": "rsc_ip_NWD_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWD_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWD_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.26"}]}, {"Id": "rsc_fs_NWD_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWD_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWD_ERS10-instance_attributes-device", "Name": "device", "Value": "10.100.1.33:/NWD/ERS"}, {"Id": "rsc_fs_NWD_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWD/ERS10"}, {"Id": "rsc_fs_NWD_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWD_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWD_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWD_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWD_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWD_ERS10_sapnwder"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWD/profile/NWD_ERS10_sapnwder"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWD_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWD_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWD_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWD_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWD_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-36001405f01eb5f4c5c941e499beb055d", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "4e8adda1-da35-4ee4-92b9-a134494861f0", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwdev01", "Status": "clear"}, {"Id": 1, "Name": "vmnwdev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-36001405f01eb5f4c5c941e499beb055d", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwdev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwdev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWD_ASCS00", "Resources": [{"Id": "rsc_ip_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWD_ERS10", "Resources": [{"Id": "rsc_ip_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:55:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwdev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 1}, {"Name": "rsc_socat_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}]}, {"Name": "vmnwdev02", "ResourceHistory": [{"Name": "rsc_ip_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwdev02", "Attributes": [{"Name": "runs_ers_NWD", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:09:16.819959	2024-04-09 15:09:16.819959
428	a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "not compliant", "Notes applied": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Notes enabled": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "NETWEAVER", "applied partially": false}], "Solution enabled": ["NETWEAVER"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:09:17.701342	2024-04-09 15:09:17.701342
429	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:17.821341	2024-04-09 15:09:17.821341
440	4b30a6af-4b52-5bda-bccb-f2248a12c992	host_discovery	{"hostname": "vmnwprd02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.22", "10.80.1.26", "fe80::20d:3aff:fe2e:8038"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwprd02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:19.18339	2024-04-09 15:09:19.18339
385	9cd46919-5f19-59aa-993e-cf3736c71053	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbprd01", "plan": {}, "tags": "fake-tags", "vmId": "ee7cf44b-d202-4680-b331-1b3996f2f0e7", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbprd01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbprd01-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.11"}]}, "ipv6": {}, "macAddress": "000D3A232C6B"}]}}, "Provider": "azure"}	2024-04-09 15:09:12.18794	2024-04-09 15:09:12.18794
386	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:12.321718	2024-04-09 15:09:12.321718
390	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev02", "Name": "ERS10", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 6720, "name": "enrepserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueReplicator", "elapsedtime": "151:56:49"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwder", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ERS10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.5", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwder:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:12.83002	2024-04-09 15:09:12.83002
403	b767b3e9-e802-587e-a442-541d093b86b9	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:14.497746	2024-04-09 15:09:14.497746
414	21de186a-e38f-5804-b643-7f4ef22fecfd	host_discovery	{"hostname": "vmdrbddev02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.32", "fe80::6245:bdff:fe8d:95f1"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951}	2024-04-09 15:09:15.905965	2024-04-09 15:09:15.905965
415	25677e37-fd33-5005-896c-9275b1284534	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:16.032153	2024-04-09 15:09:16.032153
422	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:09:16.952889	2024-04-09 15:09:16.952889
427	b767b3e9-e802-587e-a442-541d093b86b9	sap_system_discovery	[{"Id": "1154f7678ac587e5f0f242830a5201f1", "SID": "HDP", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbprd02", "SAPSYSTEMNAME": "HDP", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbprd02", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDP", "Container": ""}], "Instances": [{"Host": "vmhdbprd02", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbprd02", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 7464, "name": "hdbdaemon", "starttime": "2022 01 11 13:36:18", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "151:15:40"}, {"pid": 8467, "name": "hdbxsengine", "starttime": "2022 01 11 13:36:34", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDP", "elapsedtime": "151:15:24"}, {"pid": 7484, "name": "hdbnameserver", "starttime": "2022 01 11 13:36:18", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "151:15:40"}, {"pid": 8460, "name": "hdbindexserver", "starttime": "2022 01 11 13:36:34", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDP", "elapsedtime": "151:15:24"}, {"pid": 8253, "name": "hdbpreprocessor", "starttime": "2022 01 11 13:36:33", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "151:15:25"}, {"pid": 8250, "name": "hdbcompileserver", "starttime": "2022 01 11 13:36:33", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "151:15:25"}, {"pid": 9083, "name": "hdbwebdispatcher", "starttime": "2022 01 11 13:36:43", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "151:15:15"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbprd02", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbprd02:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "sync", "online": "true", "site_id": "2", "isSource": "false", "site_name": "WDF", "isConsumer": "true", "replayMode": "auto", "hasConsumers": "false", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "logreplay", "primary_masters": "vmhdbprd01", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbprd02": ["WDF/vmhdbprd02", "NBG/vmhdbprd01"], "active_primary_site": "1", "isTimetravelEnabled": "false", "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbprd02", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "2", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/2/PRIMARY_MASTERS": "vmhdbprd01", "site/2/REPLICATION_MODE": "SYNC"}}]}]	2024-04-09 15:09:17.581217	2024-04-09 15:09:17.581217
439	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	ha_cluster_discovery	{"DC": true, "Id": "04b8f8c21f9fd8991224478e8c4362f8", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbdev01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdd_lpt", "Name": "lpa_hdd_lpt", "Value": "10"}, {"Id": "nodes-1-hana_hdd_vhost", "Name": "hana_hdd_vhost", "Value": "vmhdbdev01"}, {"Id": "nodes-1-hana_hdd_site", "Name": "hana_hdd_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdd_op_mode", "Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdd_srmode", "Name": "hana_hdd_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdd_remoteHost", "Name": "hana_hdd_remoteHost", "Value": "vmhdbdev02"}]}, {"Id": "2", "Uname": "vmhdbdev02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdd_lpt", "Name": "lpa_hdd_lpt", "Value": "1643125026"}, {"Id": "nodes-2-hana_hdd_op_mode", "Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdd_vhost", "Name": "hana_hdd_vhost", "Value": "vmhdbdev02"}, {"Id": "nodes-2-hana_hdd_remoteHost", "Name": "hana_hdd_remoteHost", "Value": "vmhdbdev01"}, {"Id": "nodes-2-hana_hdd_site", "Name": "hana_hdd_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdd_srmode", "Name": "hana_hdd_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_1"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdd_site_srHook_WDF", "Name": "hana_hdd_site_srHook_WDF", "Value": "PRIM"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDD_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDD_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDD_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDD_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDD"}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDD_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDD_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDD_HDB10", "Primitives": [{"Id": "rsc_ip_HDD_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDD_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDD_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDD_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDD_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.13"}, {"Id": "rsc_ip_HDD_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDD_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDD_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDD_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDD_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDD_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDD_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDD_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDD_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDD_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDD_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDD_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDD"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDD_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDD_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDD_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDD_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:182cb1b1-a815-4b82-b538-7a166b9bbb4a", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "cc39771e-ea2f-4fb1-8968-a6176aee3d0a", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbdev01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbdev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:182cb1b1-a815-4b82-b538-7a166b9bbb4a", "Status": "healthy"}]}, "Name": "hana_cluster_1", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbdev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}, {"DC": false, "Id": "2", "Name": "vmhdbdev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": [{"Id": "msl_SAPHana_HDD_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDD_HDB10", "Node": null, "Role": "Stopped", "Agent": "ocf::suse:SAPHana", "Active": false, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 0}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDD_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDD_HDB10", "Node": {"Id": "1", "Name": "vmhdbdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDD_HDB10", "Resources": [{"Id": "rsc_ip_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDD_HDB10", "Node": {"Id": "2", "Name": "vmhdbdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:37:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbdev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbdev02", "ResourceHistory": [{"Name": "rsc_ip_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbdev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDD_HDB10", "FailCount": 1000000, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDD_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbdev01", "Attributes": [{"Name": "hana_hdd_clone_state", "Value": "UNDEFINED"}, {"Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Name": "hana_hdd_remoteHost", "Value": "vmhdbdev02"}, {"Name": "hana_hdd_roles", "Value": "1:P:master1::worker:"}, {"Name": "hana_hdd_site", "Value": "NBG"}, {"Name": "hana_hdd_srmode", "Value": "sync"}, {"Name": "hana_hdd_sync_state", "Value": "SFAIL"}, {"Name": "hana_hdd_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdd_vhost", "Value": "vmhdbdev01"}, {"Name": "lpa_hdd_lpt", "Value": "10"}, {"Name": "master-rsc_SAPHana_HDD_HDB10", "Value": "-9000"}]}, {"Name": "vmhdbdev02", "Attributes": [{"Name": "hana_hdd_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdd_op_mode", "Value": "logreplay"}, {"Name": "hana_hdd_remoteHost", "Value": "vmhdbdev01"}, {"Name": "hana_hdd_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdd_site", "Value": "WDF"}, {"Name": "hana_hdd_srmode", "Value": "sync"}, {"Name": "hana_hdd_sync_state", "Value": "PRIM"}, {"Name": "hana_hdd_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdd_vhost", "Value": "vmhdbdev02"}, {"Name": "lpa_hdd_lpt", "Value": "1643125026"}, {"Name": "master-rsc_SAPHana_HDD_HDB10", "Value": "150"}]}]}}, "Provider": "azure"}	2024-04-09 15:09:19.057229	2024-04-09 15:09:19.057229
443	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbdev01", "plan": {}, "tags": "fake-tags", "vmId": "a187496f-69bd-48fa-81a4-749e51f08b8b", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbdev01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbdev01-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.11"}]}, "ipv6": {}, "macAddress": "6045BD8D9B69"}]}}, "Provider": "azure"}	2024-04-09 15:09:19.59297	2024-04-09 15:09:19.59297
445	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	sap_system_discovery	[]	2024-04-09 15:09:19.864002	2024-04-09 15:09:19.864002
392	927901fa-2c87-524e-b18c-3ef5187f504f	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbdprd02", "plan": {}, "tags": "fake-tags", "vmId": "f89fef5e-e7e3-469d-b819-a0154be6150c", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbdprd02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbdprd02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbdprd02-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.32"}]}, "ipv6": {}, "macAddress": "000D3A2E8B91"}]}}, "Provider": "azure"}	2024-04-09 15:09:13.084139	2024-04-09 15:09:13.084139
393	a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	host_discovery	{"hostname": "vmnwprd03", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.23", "10.80.1.27", "fe80::20d:3aff:fe25:7f83"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwprd03.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:13.204699	2024-04-09 15:09:13.204699
402	927901fa-2c87-524e-b18c-3ef5187f504f	ha_cluster_discovery	{"DC": true, "Id": "238a4de1239aae2aa87433eed788b3ad", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmdrbdprd01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmdrbdprd02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "drbd_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": [{"Id": "cl-nfsserver", "Primitive": {"Id": "nfsserver", "Type": "nfs-server", "Class": "systemd", "Provider": "", "Operations": [{"Id": "nfsserver-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": null}, "MetaAttributes": [{"Id": "cl-nfsserver-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g-nfs_sapdata", "Primitives": [{"Id": "fs_sapdata", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "fs_sapdata-monitor-20", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "fs_sapdata-instance_attributes-device", "Name": "device", "Value": "/dev/drbd1"}, {"Id": "fs_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWP"}, {"Id": "fs_sapdata-instance_attributes-fstype", "Name": "fstype", "Value": "xfs"}, {"Id": "fs_sapdata-instance_attributes-options", "Name": "options", "Value": "noatime,nodiratime"}]}, {"Id": "vip_sapdata_nfs", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "vip_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "vip_sapdata_nfs-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.33"}, {"Id": "vip_sapdata_nfs-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "32"}, {"Id": "vip_sapdata_nfs-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "exportfs_work_sapdata", "Type": "exportfs", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "exportfs_work_sapdata-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "exportfs_work_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWP"}, {"Id": "exportfs_work_sapdata-instance_attributes-fsid", "Name": "fsid", "Value": "1"}, {"Id": "exportfs_work_sapdata-instance_attributes-options", "Name": "options", "Value": "rw,no_root_squash"}, {"Id": "exportfs_work_sapdata-instance_attributes-clientspec", "Name": "clientspec", "Value": "*"}, {"Id": "exportfs_work_sapdata-instance_attributes-wait_for_leasetime_on_stop", "Name": "wait_for_leasetime_on_stop", "Value": "true"}]}, {"Id": "rsc_socat_sapdata_nfs", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_sapdata_nfs-instance_attributes-port", "Name": "port", "Value": "61000"}]}]}], "Masters": [{"Id": "ms_sapdata", "Primitive": {"Id": "drbd-sapdata", "Type": "drbd", "Class": "ocf", "Provider": "linbit", "Operations": [{"Id": "drbd-sapdata-monitor-15", "Name": "monitor", "Role": "Master", "Timeout": "", "Interval": "15"}, {"Id": "drbd-sapdata-monitor-30", "Name": "monitor", "Role": "Slave", "Timeout": "", "Interval": "30"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "drbd-sapdata-instance_attributes-drbd_resource", "Name": "drbd_resource", "Value": "sapdata"}]}, "MetaAttributes": [{"Id": "ms_sapdata-meta_attributes-master-max", "Name": "master-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-master-node-max", "Name": "master-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-0-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "ms_sapdata-meta_attributes-0-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-1-notify", "Name": "notify", "Value": "true"}, {"Id": "ms_sapdata-meta_attributes-1-target-role", "Name": "target-role", "Value": "Started"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_b7b1cd3d-776e-4432-a9e5-6fe56e4b4e17", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "28fd9d5e-3685-4cb7-85e9-76c4b140ea3c", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmdrbdprd01", "Status": "clear"}, {"Id": 1, "Name": "vmdrbdprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_b7b1cd3d-776e-4432-a9e5-6fe56e4b4e17", "Status": "healthy"}]}, "Name": "drbd_cluster", "Crmmon": {"Nodes": [{"DC": false, "Id": "1", "Name": "vmdrbdprd01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 7}, {"DC": true, "Id": "2", "Name": "vmdrbdprd02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "ms_sapdata", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "drbd-sapdata", "Node": {"Id": "2", "Name": "vmdrbdprd02", "Cached": true}, "Role": "Slave", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "drbd-sapdata", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Master", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cl-nfsserver", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "nfsserver", "Node": {"Id": "2", "Name": "vmdrbdprd02", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "nfsserver", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g-nfs_sapdata", "Resources": [{"Id": "fs_sapdata", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "vip_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "exportfs_work_sapdata", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:exportfs", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 13:24:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmdrbdprd02", "ResourceHistory": [{"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmdrbdprd01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "fs_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "vip_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "exportfs_work_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmdrbdprd01", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}, {"Name": "vmdrbdprd02", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}]}}, "Provider": "azure"}	2024-04-09 15:09:14.364644	2024-04-09 15:09:14.364644
405	99cf8a3a-48d6-57a4-b302-6e4482227ab6	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:09:14.759293	2024-04-09 15:09:14.759293
410	a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	sap_system_discovery	[{"Id": "97a1e70aeff3c0685d65c4c3d32d533b", "SID": "NWP", "Type": 2, "Profile": {"SAPDBHOST": "10.80.1.13", "dbms/name": "HDP", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwpas", "rdisp/msserv": "sapmsNWP", "SAPGLOBALHOST": "sapnwpas", "SAPSYSTEMNAME": "NWP", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDP", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwpas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.80.1.13", "Databases": null, "Instances": [{"Host": "vmnwprd03", "Name": "D01", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwpas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwper", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwppas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwpaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 9752, "name": "gwrd", "starttime": "2022 01 11 13:44:51", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:07:13"}, {"pid": 9753, "name": "icman", "starttime": "2022 01 11 13:44:51", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:07:13"}, {"pid": 9732, "name": "igswd_mt", "starttime": "2022 01 11 13:44:49", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:07:15"}, {"pid": 9731, "name": "disp+work", "starttime": "2022 01 11 13:44:49", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:07:15"}], "Properties": [{"value": "HTTP://sapnwppas:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwppas:40180", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "01", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwppas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D01", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwppas:50113/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:15.3993	2024-04-09 15:09:15.3993
413	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	ha_cluster_discovery	{"DC": false, "Id": "04a81f89c847e82390e35bece2e25c9b", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmdrbddev01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmdrbddev02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "drbd_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": [{"Id": "cl-nfsserver", "Primitive": {"Id": "nfsserver", "Type": "nfs-server", "Class": "systemd", "Provider": "", "Operations": [{"Id": "nfsserver-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": null}, "MetaAttributes": [{"Id": "cl-nfsserver-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g-nfs_sapdata", "Primitives": [{"Id": "fs_sapdata", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "fs_sapdata-monitor-20", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "fs_sapdata-instance_attributes-device", "Name": "device", "Value": "/dev/drbd1"}, {"Id": "fs_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWD"}, {"Id": "fs_sapdata-instance_attributes-fstype", "Name": "fstype", "Value": "xfs"}, {"Id": "fs_sapdata-instance_attributes-options", "Name": "options", "Value": "noatime,nodiratime"}]}, {"Id": "vip_sapdata_nfs", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "vip_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "vip_sapdata_nfs-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.33"}, {"Id": "vip_sapdata_nfs-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "32"}, {"Id": "vip_sapdata_nfs-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "exportfs_work_sapdata", "Type": "exportfs", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "exportfs_work_sapdata-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "exportfs_work_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWD"}, {"Id": "exportfs_work_sapdata-instance_attributes-fsid", "Name": "fsid", "Value": "1"}, {"Id": "exportfs_work_sapdata-instance_attributes-options", "Name": "options", "Value": "rw,no_root_squash"}, {"Id": "exportfs_work_sapdata-instance_attributes-clientspec", "Name": "clientspec", "Value": "*"}, {"Id": "exportfs_work_sapdata-instance_attributes-wait_for_leasetime_on_stop", "Name": "wait_for_leasetime_on_stop", "Value": "true"}]}, {"Id": "rsc_socat_sapdata_nfs", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_sapdata_nfs-instance_attributes-port", "Name": "port", "Value": "61000"}]}]}], "Masters": [{"Id": "ms_sapdata", "Primitive": {"Id": "drbd-sapdata", "Type": "drbd", "Class": "ocf", "Provider": "linbit", "Operations": [{"Id": "drbd-sapdata-monitor-15", "Name": "monitor", "Role": "Master", "Timeout": "", "Interval": "15"}, {"Id": "drbd-sapdata-monitor-30", "Name": "monitor", "Role": "Slave", "Timeout": "", "Interval": "30"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "drbd-sapdata-instance_attributes-drbd_resource", "Name": "drbd_resource", "Value": "sapdata"}]}, "MetaAttributes": [{"Id": "ms_sapdata-meta_attributes-master-max", "Name": "master-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-master-node-max", "Name": "master-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-0-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "ms_sapdata-meta_attributes-0-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-1-notify", "Name": "notify", "Value": "true"}, {"Id": "ms_sapdata-meta_attributes-1-target-role", "Name": "target-role", "Value": "Started"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:3947fa28-25e0-46d4-bbed-89ce88f977f1", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "27016e64-5f07-4563-90d5-16cb8f9ebc2a", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmdrbddev01", "Status": "clear"}, {"Id": 1, "Name": "vmdrbddev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:3947fa28-25e0-46d4-bbed-89ce88f977f1", "Status": "healthy"}]}, "Name": "drbd_cluster", "Crmmon": {"Nodes": [{"DC": false, "Id": "1", "Name": "vmdrbddev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 7}, {"DC": true, "Id": "2", "Name": "vmdrbddev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "ms_sapdata", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "drbd-sapdata", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Master", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "drbd-sapdata", "Node": {"Id": "2", "Name": "vmdrbddev02", "Cached": true}, "Role": "Slave", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cl-nfsserver", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "nfsserver", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "nfsserver", "Node": {"Id": "2", "Name": "vmdrbddev02", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g-nfs_sapdata", "Resources": [{"Id": "fs_sapdata", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "vip_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "exportfs_work_sapdata", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:exportfs", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:50:53 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmdrbddev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmdrbddev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "fs_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "vip_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "exportfs_work_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmdrbddev02", "ResourceHistory": [{"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmdrbddev01", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}, {"Name": "vmdrbddev02", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}]}}, "Provider": "azure"}	2024-04-09 15:09:15.775596	2024-04-09 15:09:15.775596
417	1b0e9297-97dd-55d6-9874-8efde4d84c90	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:09:16.294306	2024-04-09 15:09:16.294306
425	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	ha_cluster_discovery	{"DC": false, "Id": "4e905d706da85f5be14f85fa947c1e39", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbqas01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdq_lpt", "Name": "lpa_hdq_lpt", "Value": "1643125033"}, {"Id": "nodes-1-hana_hdq_vhost", "Name": "hana_hdq_vhost", "Value": "vmhdbqas01"}, {"Id": "nodes-1-hana_hdq_site", "Name": "hana_hdq_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdq_op_mode", "Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdq_srmode", "Name": "hana_hdq_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdq_remoteHost", "Name": "hana_hdq_remoteHost", "Value": "vmhdbqas02"}]}, {"Id": "2", "Uname": "vmhdbqas02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdq_lpt", "Name": "lpa_hdq_lpt", "Value": "30"}, {"Id": "nodes-2-hana_hdq_op_mode", "Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdq_vhost", "Name": "hana_hdq_vhost", "Value": "vmhdbqas02"}, {"Id": "nodes-2-hana_hdq_remoteHost", "Name": "hana_hdq_remoteHost", "Value": "vmhdbqas01"}, {"Id": "nodes-2-hana_hdq_site", "Name": "hana_hdq_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdq_srmode", "Name": "hana_hdq_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_2"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdq_site_srHook_WDF", "Name": "hana_hdq_site_srHook_WDF", "Value": "SOK"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDQ_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDQ"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDQ_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDQ_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDQ_HDB10", "Primitives": [{"Id": "rsc_ip_HDQ_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDQ_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.13"}, {"Id": "rsc_ip_HDQ_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDQ_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDQ_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDQ_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDQ_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDQ_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDQ_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDQ"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-360014058d88c7795c6a4b66bc024f4bd", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "246da75b-af59-4135-b980-90bf87815e2e", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbqas01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-360014058d88c7795c6a4b66bc024f4bd", "Status": "healthy"}]}, "Name": "hana_cluster_2", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmhdbqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "msl_SAPHana_HDQ_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDQ_HDB10", "Node": {"Id": "2", "Name": "vmhdbqas02", "Cached": true}, "Role": "Slave", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDQ_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Node": {"Id": "2", "Name": "vmhdbqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDQ_HDB10", "Resources": [{"Id": "rsc_ip_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:37:13 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbqas02", "ResourceHistory": [{"Name": "rsc_SAPHana_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbqas01", "Attributes": [{"Name": "hana_hdq_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Name": "hana_hdq_remoteHost", "Value": "vmhdbqas02"}, {"Name": "hana_hdq_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdq_site", "Value": "NBG"}, {"Name": "hana_hdq_srmode", "Value": "sync"}, {"Name": "hana_hdq_sync_state", "Value": "PRIM"}, {"Name": "hana_hdq_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdq_vhost", "Value": "vmhdbqas01"}, {"Name": "lpa_hdq_lpt", "Value": "1643125033"}, {"Name": "master-rsc_SAPHana_HDQ_HDB10", "Value": "150"}]}, {"Name": "vmhdbqas02", "Attributes": [{"Name": "hana_hdq_clone_state", "Value": "DEMOTED"}, {"Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Name": "hana_hdq_remoteHost", "Value": "vmhdbqas01"}, {"Name": "hana_hdq_roles", "Value": "4:S:master1:master:worker:master"}, {"Name": "hana_hdq_site", "Value": "WDF"}, {"Name": "hana_hdq_srmode", "Value": "sync"}, {"Name": "hana_hdq_sync_state", "Value": "SOK"}, {"Name": "hana_hdq_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdq_vhost", "Value": "vmhdbqas02"}, {"Name": "lpa_hdq_lpt", "Value": "30"}, {"Name": "master-rsc_SAPHana_HDQ_HDB10", "Value": "100"}]}]}}, "Provider": "azure"}	2024-04-09 15:09:17.332039	2024-04-09 15:09:17.332039
438	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "inactive"]}, "tuning state": "not tuned", "Notes applied": [], "Notes enabled": [], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [], "Solution enabled": [], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [], "Notes enabled by Solution": [], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:09:18.927512	2024-04-09 15:09:18.927512
442	4b30a6af-4b52-5bda-bccb-f2248a12c992	sap_system_discovery	[{"Id": "97a1e70aeff3c0685d65c4c3d32d533b", "SID": "NWP", "Type": 2, "Profile": {"SAPDBHOST": "10.80.1.13", "dbms/name": "HDP", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwpas", "rdisp/msserv": "sapmsNWP", "SAPGLOBALHOST": "sapnwpas", "SAPSYSTEMNAME": "NWP", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDP", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwpas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.80.1.13", "Databases": null, "Instances": [{"Host": "vmnwprd02", "Name": "ERS10", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwpas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwper", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwppas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwpaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 23289, "name": "enrepserver", "starttime": "2022 01 11 13:43:18", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueReplicator", "elapsedtime": "151:08:42"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwper", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ERS10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.5", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwper:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:19.457964	2024-04-09 15:09:19.457964
460	9cd46919-5f19-59aa-993e-cf3736c71053	sap_system_discovery	[{"Id": "1154f7678ac587e5f0f242830a5201f1", "SID": "HDP", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbprd01", "SAPSYSTEMNAME": "HDP", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbprd01", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDP", "Container": ""}], "Instances": [{"Host": "vmhdbprd01", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbprd01", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 2186, "name": "hdbdaemon", "starttime": "2022 01 11 13:34:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "151:17:01"}, {"pid": 3720, "name": "hdbxsengine", "starttime": "2022 01 11 13:35:18", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDP", "elapsedtime": "151:16:41"}, {"pid": 2245, "name": "hdbnameserver", "starttime": "2022 01 11 13:34:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "151:17:01"}, {"pid": 3717, "name": "hdbindexserver", "starttime": "2022 01 11 13:35:18", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDP", "elapsedtime": "151:16:41"}, {"pid": 3617, "name": "hdbpreprocessor", "starttime": "2022 01 11 13:35:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "151:16:42"}, {"pid": 3614, "name": "hdbcompileserver", "starttime": "2022 01 11 13:35:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "151:16:42"}, {"pid": 6387, "name": "hdbwebdispatcher", "starttime": "2022 01 11 13:35:47", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "151:16:12"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbprd01", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbprd01:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "primary", "online": "true", "site_id": "1", "isSource": "true", "site_name": "NBG", "isConsumer": "false", "hasConsumers": "true", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "primary", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbprd01": ["WDF/vmhdbprd02", "NBG/vmhdbprd01"], "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbprd01", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "1", "site/1/SITE_NAME": "NBG", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/1/REPLICATION_MODE": "PRIMARY", "site/2/REPLICATION_MODE": "SYNC", "site/2/REPLICATION_STATUS": "ACTIVE", "overall_replication_status": "ACTIVE", "service/vmhdbprd01/31001/HOST": "vmhdbprd01", "service/vmhdbprd01/31001/PORT": "31001", "service/vmhdbprd01/31003/HOST": "vmhdbprd01", "service/vmhdbprd01/31003/PORT": "31003", "service/vmhdbprd01/31007/HOST": "vmhdbprd01", "service/vmhdbprd01/31007/PORT": "31007", "service/vmhdbprd01/31001/SITE_ID": "1", "service/vmhdbprd01/31003/SITE_ID": "1", "service/vmhdbprd01/31007/SITE_ID": "1", "service/vmhdbprd01/31001/DATABASE": "SYSTEMDB", "service/vmhdbprd01/31003/DATABASE": "HDP", "service/vmhdbprd01/31007/DATABASE": "HDP", "service/vmhdbprd01/31001/FULL_SYNC": "DISABLED", "service/vmhdbprd01/31001/SITE_NAME": "NBG", "service/vmhdbprd01/31001/VOLUME_ID": "1", "service/vmhdbprd01/31003/FULL_SYNC": "DISABLED", "service/vmhdbprd01/31003/SITE_NAME": "NBG", "service/vmhdbprd01/31003/VOLUME_ID": "3", "service/vmhdbprd01/31007/FULL_SYNC": "DISABLED", "service/vmhdbprd01/31007/SITE_NAME": "NBG", "service/vmhdbprd01/31007/VOLUME_ID": "2", "service/vmhdbprd01/31001/RESET_COUNT": "0", "service/vmhdbprd01/31003/RESET_COUNT": "0", "service/vmhdbprd01/31007/RESET_COUNT": "0", "service/vmhdbprd01/31001/SERVICE_NAME": "nameserver", "service/vmhdbprd01/31003/SERVICE_NAME": "indexserver", "service/vmhdbprd01/31007/SERVICE_NAME": "xsengine", "service/vmhdbprd01/31001/CREATION_TIME": "2022-01-11 13:35:17.794006", "service/vmhdbprd01/31003/CREATION_TIME": "2022-01-11 13:35:44.241176", "service/vmhdbprd01/31007/CREATION_TIME": "2022-01-11 13:35:48.262371", "service/vmhdbprd01/31001/OPERATION_MODE": "logreplay", "service/vmhdbprd01/31001/SECONDARY_HOST": "vmhdbprd02", "service/vmhdbprd01/31001/SECONDARY_PORT": "31001", "service/vmhdbprd01/31003/OPERATION_MODE": "logreplay", "service/vmhdbprd01/31003/SECONDARY_HOST": "vmhdbprd02", "service/vmhdbprd01/31003/SECONDARY_PORT": "31003", "service/vmhdbprd01/31007/OPERATION_MODE": "logreplay", "service/vmhdbprd01/31007/SECONDARY_HOST": "vmhdbprd02", "service/vmhdbprd01/31007/SECONDARY_PORT": "31007", "service/vmhdbprd01/31001/LAST_RESET_TIME": "2022-01-11 13:35:17.794006", "service/vmhdbprd01/31003/LAST_RESET_TIME": "2022-01-11 13:35:44.241176", "service/vmhdbprd01/31007/LAST_RESET_TIME": "2022-01-11 13:35:48.262371", "service/vmhdbprd01/31001/REPLICATION_MODE": "SYNC", "service/vmhdbprd01/31003/REPLICATION_MODE": "SYNC", "service/vmhdbprd01/31007/REPLICATION_MODE": "SYNC", "service/vmhdbprd01/31001/LAST_LOG_POSITION": "45316224", "service/vmhdbprd01/31001/SECONDARY_SITE_ID": "2", "service/vmhdbprd01/31003/LAST_LOG_POSITION": "249613824", "service/vmhdbprd01/31003/SECONDARY_SITE_ID": "2", "service/vmhdbprd01/31007/LAST_LOG_POSITION": "4700160", "service/vmhdbprd01/31007/SECONDARY_SITE_ID": "2", "service/vmhdbprd01/31001/REPLICATION_STATUS": "ACTIVE", "service/vmhdbprd01/31003/REPLICATION_STATUS": "ACTIVE", "service/vmhdbprd01/31007/REPLICATION_STATUS": "ACTIVE", "service/vmhdbprd01/31001/SECONDARY_SITE_NAME": "WDF", "service/vmhdbprd01/31003/SECONDARY_SITE_NAME": "WDF", "service/vmhdbprd01/31007/SECONDARY_SITE_NAME": "WDF", "service/vmhdbprd01/31001/SHIPPED_LOG_POSITION": "45316224", "service/vmhdbprd01/31003/SHIPPED_LOG_POSITION": "249613824", "service/vmhdbprd01/31007/SHIPPED_LOG_POSITION": "4700160", "service/vmhdbprd01/31001/REPLAYED_LOG_POSITION": "45316224", "service/vmhdbprd01/31003/REPLAYED_LOG_POSITION": "249613824", "service/vmhdbprd01/31007/REPLAYED_LOG_POSITION": "4700101", "service/vmhdbprd01/31001/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:48.550230", "service/vmhdbprd01/31001/LAST_SAVEPOINT_VERSION": "3068", "service/vmhdbprd01/31001/SECONDARY_CONNECT_TIME": "2022-01-11 13:36:31.486904", "service/vmhdbprd01/31003/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:44.595948", "service/vmhdbprd01/31003/LAST_SAVEPOINT_VERSION": "2792", "service/vmhdbprd01/31003/SECONDARY_CONNECT_TIME": "2022-01-11 13:40:09.285107", "service/vmhdbprd01/31007/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:15.066330", "service/vmhdbprd01/31007/LAST_SAVEPOINT_VERSION": "2862", "service/vmhdbprd01/31007/SECONDARY_CONNECT_TIME": "2022-01-11 13:40:08.545290", "service/vmhdbprd01/31001/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbprd01/31003/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbprd01/31007/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbprd01/31001/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbprd01/31001/SHIPPED_LOG_BUFFERS_SIZE": "554209280", "service/vmhdbprd01/31003/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbprd01/31003/SHIPPED_LOG_BUFFERS_SIZE": "3611877376", "service/vmhdbprd01/31007/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbprd01/31007/SHIPPED_LOG_BUFFERS_SIZE": "267542528", "service/vmhdbprd01/31001/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:49:08.441827", "service/vmhdbprd01/31001/SECONDARY_RECONNECT_COUNT": "0", "service/vmhdbprd01/31001/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbprd01/31001/SHIPPED_LOG_BUFFERS_COUNT": "125120", "service/vmhdbprd01/31001/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:48.550230", "service/vmhdbprd01/31001/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbprd01/31003/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:48:13.337797", "service/vmhdbprd01/31003/SECONDARY_RECONNECT_COUNT": "7", "service/vmhdbprd01/31003/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbprd01/31003/SHIPPED_LOG_BUFFERS_COUNT": "693785", "service/vmhdbprd01/31003/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:44.595948", "service/vmhdbprd01/31003/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbprd01/31007/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:51:13.839155", "service/vmhdbprd01/31007/SECONDARY_RECONNECT_COUNT": "7", "service/vmhdbprd01/31007/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbprd01/31007/SHIPPED_LOG_BUFFERS_COUNT": "65318", "service/vmhdbprd01/31007/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:15.066330", "service/vmhdbprd01/31007/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbprd01/31001/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:48.550230", "service/vmhdbprd01/31001/REPLICATION_STATUS_DETAILS": "", "service/vmhdbprd01/31001/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbprd01/31001/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbprd01/31003/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:44.595948", "service/vmhdbprd01/31003/REPLICATION_STATUS_DETAILS": "", "service/vmhdbprd01/31003/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbprd01/31003/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbprd01/31007/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:15.066330", "service/vmhdbprd01/31007/REPLICATION_STATUS_DETAILS": "", "service/vmhdbprd01/31007/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbprd01/31007/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbprd01/31001/LAST_SAVEPOINT_LOG_POSITION": "45312962", "service/vmhdbprd01/31001/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbprd01/31003/LAST_SAVEPOINT_LOG_POSITION": "249597314", "service/vmhdbprd01/31003/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbprd01/31007/LAST_SAVEPOINT_LOG_POSITION": "4699655", "service/vmhdbprd01/31007/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbprd01/31001/SHIPPED_LOG_BUFFERS_DURATION": "357505585", "service/vmhdbprd01/31001/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbprd01/31003/SHIPPED_LOG_BUFFERS_DURATION": "1885304582", "service/vmhdbprd01/31003/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbprd01/31007/SHIPPED_LOG_BUFFERS_DURATION": "191364516", "service/vmhdbprd01/31007/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbprd01/31001/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbprd01/31003/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbprd01/31007/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbprd01/31001/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbprd01/31001/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbprd01/31001/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbprd01/31003/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbprd01/31003/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbprd01/31003/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbprd01/31007/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbprd01/31007/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbprd01/31007/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbprd01/31001/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbprd01/31003/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbprd01/31007/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbprd01/31001/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbprd01/31003/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbprd01/31007/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbprd01/31001/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbprd01/31003/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbprd01/31007/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbprd01/31001/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbprd01/31003/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbprd01/31007/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbprd01/31001/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbprd01/31003/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbprd01/31007/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-"}}]}]	2024-04-09 15:09:21.844547	2024-04-09 15:09:21.844547
463	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev03", "Name": "D01", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 27224, "name": "gwrd", "starttime": "2022 01 11 13:03:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:48:10"}, {"pid": 27225, "name": "icman", "starttime": "2022 01 11 13:03:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:48:10"}, {"pid": 26907, "name": "igswd_mt", "starttime": "2022 01 11 13:03:55", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:48:13"}, {"pid": 26906, "name": "disp+work", "starttime": "2022 01 11 13:03:55", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:48:13"}], "Properties": [{"value": "HTTP://sapnwdpas:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwdpas:40180", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "01", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdpas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D01", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwdpas:50113/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:22.246559	2024-04-09 15:09:22.246559
464	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:22.391464	2024-04-09 15:09:22.391464
465	1b0e9297-97dd-55d6-9874-8efde4d84c90	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:22.523622	2024-04-09 15:09:22.523622
474	422686d6-b2d1-5092-93e8-a744854f5085	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:09:23.707498	2024-04-09 15:09:23.707498
475	3711ea88-9ccc-5b07-8f9d-042be449d72b	host_discovery	{"hostname": "vmnwqas02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.22", "10.90.1.26", "fe80::6245:bdff:fe8d:6ef"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwqas02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:23.831164	2024-04-09 15:09:23.831164
488	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:09:25.524408	2024-04-09 15:09:25.524408
396	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbddev01", "plan": {}, "tags": "fake-tags", "vmId": "5e294482-9554-4989-8b9e-a0a2d3991c09", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbddev01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbddev01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbddev01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.31"}]}, "ipv6": {}, "macAddress": "6045BD8A5969"}]}}, "Provider": "azure"}	2024-04-09 15:09:13.607355	2024-04-09 15:09:13.607355
399	927901fa-2c87-524e-b18c-3ef5187f504f	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "inactive"]}, "tuning state": "not tuned", "Notes applied": [], "Notes enabled": [], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [], "Solution enabled": [], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [], "Notes enabled by Solution": [], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:09:13.988795	2024-04-09 15:09:13.988795
400	21de186a-e38f-5804-b643-7f4ef22fecfd	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbddev02", "plan": {}, "tags": "fake-tags", "vmId": "99ef5ab8-73b5-4ca9-8c37-6778e2d6abc1", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbddev02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbddev02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbddev02-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.32"}]}, "ipv6": {}, "macAddress": "6045BD8D95F1"}]}}, "Provider": "azure"}	2024-04-09 15:09:14.112275	2024-04-09 15:09:14.112275
401	4b30a6af-4b52-5bda-bccb-f2248a12c992	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwprd02", "plan": {}, "tags": "fake-tags", "vmId": "2c54a8bf-b71d-423b-a656-34bcc575970e", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwprd02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.22"}]}, "ipv6": {}, "macAddress": "000D3A2E8038"}]}}, "Provider": "azure"}	2024-04-09 15:09:14.232223	2024-04-09 15:09:14.232223
408	99cf8a3a-48d6-57a4-b302-6e4482227ab6	host_discovery	{"hostname": "vmhdbqas01", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.11", "10.90.1.13", "fe80::6245:bdff:fe8d:1d5"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbqas01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:15.133788	2024-04-09 15:09:15.133788
411	098fc159-3ed6-58e7-91be-38fda8a833ea	sap_system_discovery	[{"Id": "d01fdc69aeba7bd5133b210eb2884853", "SID": "NWQ", "Type": 2, "Profile": {"SAPDBHOST": "ha-cluster.suse.de", "dbms/name": "HDQ", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwqas", "rdisp/msserv": "sapmsNWQ", "SAPGLOBALHOST": "sapnwqas", "SAPSYSTEMNAME": "NWQ", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDQ", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwqas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.90.1.13", "Databases": null, "Instances": [{"Host": "vmnwqas03", "Name": "D01", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwqas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwqer", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 17085, "name": "gwrd", "starttime": "2022 01 17 12:42:04", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "8:09:29"}, {"pid": 17086, "name": "icman", "starttime": "2022 01 17 12:42:04", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "8:09:29"}, {"pid": 17081, "name": "igswd_mt", "starttime": "2022 01 17 12:42:03", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "8:09:30"}, {"pid": 17080, "name": "disp+work", "starttime": "2022 01 17 12:42:03", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "8:09:30"}], "Properties": [{"value": "HTTP://sapnwqpas:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwqpas:40180", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "01", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwqpas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D01", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwqpas:50113/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:15.527038	2024-04-09 15:09:15.527038
424	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:17.20477	2024-04-09 15:09:17.20477
431	422686d6-b2d1-5092-93e8-a744854f5085	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:18.058464	2024-04-09 15:09:18.058464
432	927901fa-2c87-524e-b18c-3ef5187f504f	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:18.17607	2024-04-09 15:09:18.17607
433	1b0e9297-97dd-55d6-9874-8efde4d84c90	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev04", "plan": {}, "tags": "fake-tags", "vmId": "48a84b30-7cfb-4b74-ad43-8382ad07ed9b", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev04", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver04-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-netweaver02-App", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Attach", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.24"}, {"privateIpAddress": "10.100.1.28"}]}, "ipv6": {}, "macAddress": "6045BD8D9A74"}]}}, "Provider": "azure"}	2024-04-09 15:09:18.302648	2024-04-09 15:09:18.302648
434	99cf8a3a-48d6-57a4-b302-6e4482227ab6	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbqas01", "plan": {}, "tags": "fake-tags", "vmId": "f01d07fa-c7eb-477a-9de1-eef7e946fdbe", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbqas01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbqas01-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.11"}]}, "ipv6": {}, "macAddress": "6045BD8D01D5"}]}}, "Provider": "azure"}	2024-04-09 15:09:18.427614	2024-04-09 15:09:18.427614
435	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbqas02", "plan": {}, "tags": "fake-tags", "vmId": "7b21fd90-d128-4e25-8812-2fef28f94839", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbqas02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbqas02-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.12"}]}, "ipv6": {}, "macAddress": "6045BD8D08B3"}]}}, "Provider": "azure"}	2024-04-09 15:09:18.551304	2024-04-09 15:09:18.551304
436	422686d6-b2d1-5092-93e8-a744854f5085	host_discovery	{"hostname": "vmdrbdqas02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.32", "fe80::6245:bdff:fe8d:523"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmdrbdqas02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:18.67223	2024-04-09 15:09:18.67223
441	b767b3e9-e802-587e-a442-541d093b86b9	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbprd02", "plan": {}, "tags": "fake-tags", "vmId": "cdec8bb8-ec3f-437a-89dd-3df677e1507e", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbprd02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbprd02-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.12"}]}, "ipv6": {}, "macAddress": "000D3A21F108"}]}}, "Provider": "azure"}	2024-04-09 15:09:19.319841	2024-04-09 15:09:19.319841
446	9cd46919-5f19-59aa-993e-cf3736c71053	ha_cluster_discovery	{"DC": true, "Id": "9c832998801e28cd70ad77380e82a5c0", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbprd01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdp_lpt", "Name": "lpa_hdp_lpt", "Value": "1643125019"}, {"Id": "nodes-1-hana_hdp_vhost", "Name": "hana_hdp_vhost", "Value": "vmhdbprd01"}, {"Id": "nodes-1-hana_hdp_site", "Name": "hana_hdp_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdp_op_mode", "Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdp_srmode", "Name": "hana_hdp_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdp_remoteHost", "Name": "hana_hdp_remoteHost", "Value": "vmhdbprd02"}]}, {"Id": "2", "Uname": "vmhdbprd02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdp_lpt", "Name": "lpa_hdp_lpt", "Value": "30"}, {"Id": "nodes-2-hana_hdp_op_mode", "Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdp_vhost", "Name": "hana_hdp_vhost", "Value": "vmhdbprd02"}, {"Id": "nodes-2-hana_hdp_remoteHost", "Name": "hana_hdp_remoteHost", "Value": "vmhdbprd01"}, {"Id": "nodes-2-hana_hdp_site", "Name": "hana_hdp_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdp_srmode", "Name": "hana_hdp_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_3"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "24"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdp_site_srHook_WDF", "Name": "hana_hdp_site_srHook_WDF", "Value": "SOK"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDP_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDP_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDP_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDP_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDP"}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDP_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDP_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDP_HDB10", "Primitives": [{"Id": "rsc_ip_HDP_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDP_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDP_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDP_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDP_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.13"}, {"Id": "rsc_ip_HDP_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDP_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDP_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDP_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDP_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDP_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDP_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDP_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDP_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDP_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDP_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDP_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDP"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDP_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDP_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDP_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDP_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b924e77", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "a7a18c6b-7c8e-4bda-bb77-45e4b5dc8478", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbprd01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b924e77", "Status": "healthy"}, {"Dump": {"Uuid": "a7a18c6b-7c8e-4bda-bb77-45e4b5dc8478", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbprd01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b912345", "Status": "unhealthy"}, {"Dump": {"Uuid": "a7a18c6b-7c8e-4bda-bb77-45e4b5dc8478", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbprd01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_8d286026-c3a6-4404-90ac-f2549b954321", "Status": "unknown"}]}, "Name": "hana_cluster_3", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbprd01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmhdbprd02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "msl_SAPHana_HDP_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDP_HDB10", "Node": {"Id": "2", "Name": "vmhdbprd02", "Cached": true}, "Role": "Slave", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDP_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDP_HDB10", "Node": {"Id": "2", "Name": "vmhdbprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDP_HDB10", "Resources": [{"Id": "rsc_ip_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDP_HDB10", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:36:59 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbprd01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbprd01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbprd02", "ResourceHistory": [{"Name": "rsc_SAPHana_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDP_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbprd01", "Attributes": [{"Name": "hana_hdp_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Name": "hana_hdp_remoteHost", "Value": "vmhdbprd02"}, {"Name": "hana_hdp_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdp_site", "Value": "NBG"}, {"Name": "hana_hdp_srmode", "Value": "sync"}, {"Name": "hana_hdp_sync_state", "Value": "PRIM"}, {"Name": "hana_hdp_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdp_vhost", "Value": "vmhdbprd01"}, {"Name": "lpa_hdp_lpt", "Value": "1643125019"}, {"Name": "master-rsc_SAPHana_HDP_HDB10", "Value": "150"}]}, {"Name": "vmhdbprd02", "Attributes": [{"Name": "hana_hdp_clone_state", "Value": "DEMOTED"}, {"Name": "hana_hdp_op_mode", "Value": "logreplay"}, {"Name": "hana_hdp_remoteHost", "Value": "vmhdbprd01"}, {"Name": "hana_hdp_roles", "Value": "4:S:master1:master:worker:master"}, {"Name": "hana_hdp_site", "Value": "WDF"}, {"Name": "hana_hdp_srmode", "Value": "sync"}, {"Name": "hana_hdp_sync_state", "Value": "SOK"}, {"Name": "hana_hdp_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdp_vhost", "Value": "vmhdbprd02"}, {"Name": "lpa_hdp_lpt", "Value": "30"}, {"Name": "master-rsc_SAPHana_HDP_HDB10", "Value": "100"}]}]}}, "Provider": "azure"}	2024-04-09 15:09:19.996374	2024-04-09 15:09:19.996374
451	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	sap_system_discovery	[{"Id": "fd44c254ccb14331e54015c720c7a1f2", "SID": "HDD", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbdev01", "SAPSYSTEMNAME": "HDD", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbdev01", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDD", "Container": ""}], "Instances": [{"Host": "vmhdbdev01", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbdev01", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 18862, "name": "hdbdaemon", "starttime": "2022 01 11 12:56:11", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "151:55:49"}, {"pid": 20257, "name": "hdbxsengine", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDD", "elapsedtime": "151:55:31"}, {"pid": 18893, "name": "hdbnameserver", "starttime": "2022 01 11 12:56:12", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "151:55:48"}, {"pid": 20254, "name": "hdbindexserver", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDD", "elapsedtime": "151:55:31"}, {"pid": 20161, "name": "hdbpreprocessor", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "151:55:31"}, {"pid": 20158, "name": "hdbcompileserver", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "151:55:31"}, {"pid": 22620, "name": "hdbwebdispatcher", "starttime": "2022 01 11 12:56:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "151:55:02"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbdev01", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbdev01:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "primary", "online": "true", "site_id": "1", "isSource": "true", "site_name": "NBG", "isConsumer": "false", "hasConsumers": "true", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "primary", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbdev01": ["WDF/vmhdbdev02", "NBG/vmhdbdev01"], "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbdev01", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "1", "site/1/SITE_NAME": "NBG", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/1/REPLICATION_MODE": "PRIMARY", "site/2/REPLICATION_MODE": "SYNC", "site/2/REPLICATION_STATUS": "ACTIVE", "overall_replication_status": "ACTIVE", "service/vmhdbdev01/31001/HOST": "vmhdbdev01", "service/vmhdbdev01/31001/PORT": "31001", "service/vmhdbdev01/31003/HOST": "vmhdbdev01", "service/vmhdbdev01/31003/PORT": "31003", "service/vmhdbdev01/31007/HOST": "vmhdbdev01", "service/vmhdbdev01/31007/PORT": "31007", "service/vmhdbdev01/31001/SITE_ID": "1", "service/vmhdbdev01/31003/SITE_ID": "1", "service/vmhdbdev01/31007/SITE_ID": "1", "service/vmhdbdev01/31001/DATABASE": "SYSTEMDB", "service/vmhdbdev01/31003/DATABASE": "HDD", "service/vmhdbdev01/31007/DATABASE": "HDD", "service/vmhdbdev01/31001/FULL_SYNC": "DISABLED", "service/vmhdbdev01/31001/SITE_NAME": "NBG", "service/vmhdbdev01/31001/VOLUME_ID": "1", "service/vmhdbdev01/31003/FULL_SYNC": "DISABLED", "service/vmhdbdev01/31003/SITE_NAME": "NBG", "service/vmhdbdev01/31003/VOLUME_ID": "3", "service/vmhdbdev01/31007/FULL_SYNC": "DISABLED", "service/vmhdbdev01/31007/SITE_NAME": "NBG", "service/vmhdbdev01/31007/VOLUME_ID": "2", "service/vmhdbdev01/31001/RESET_COUNT": "0", "service/vmhdbdev01/31003/RESET_COUNT": "0", "service/vmhdbdev01/31007/RESET_COUNT": "0", "service/vmhdbdev01/31001/SERVICE_NAME": "nameserver", "service/vmhdbdev01/31003/SERVICE_NAME": "indexserver", "service/vmhdbdev01/31007/SERVICE_NAME": "xsengine", "service/vmhdbdev01/31001/CREATION_TIME": "2022-01-11 12:56:29.020885", "service/vmhdbdev01/31003/CREATION_TIME": "2022-01-11 12:56:53.983097", "service/vmhdbdev01/31007/CREATION_TIME": "2022-01-11 12:56:58.348403", "service/vmhdbdev01/31001/OPERATION_MODE": "logreplay", "service/vmhdbdev01/31001/SECONDARY_HOST": "vmhdbdev02", "service/vmhdbdev01/31001/SECONDARY_PORT": "31001", "service/vmhdbdev01/31003/OPERATION_MODE": "logreplay", "service/vmhdbdev01/31003/SECONDARY_HOST": "vmhdbdev02", "service/vmhdbdev01/31003/SECONDARY_PORT": "31003", "service/vmhdbdev01/31007/OPERATION_MODE": "logreplay", "service/vmhdbdev01/31007/SECONDARY_HOST": "vmhdbdev02", "service/vmhdbdev01/31007/SECONDARY_PORT": "31007", "service/vmhdbdev01/31001/LAST_RESET_TIME": "2022-01-11 12:56:29.020885", "service/vmhdbdev01/31003/LAST_RESET_TIME": "2022-01-11 12:56:53.983097", "service/vmhdbdev01/31007/LAST_RESET_TIME": "2022-01-11 12:56:58.348403", "service/vmhdbdev01/31001/REPLICATION_MODE": "SYNC", "service/vmhdbdev01/31003/REPLICATION_MODE": "SYNC", "service/vmhdbdev01/31007/REPLICATION_MODE": "SYNC", "service/vmhdbdev01/31001/LAST_LOG_POSITION": "45295808", "service/vmhdbdev01/31001/SECONDARY_SITE_ID": "2", "service/vmhdbdev01/31003/LAST_LOG_POSITION": "247644160", "service/vmhdbdev01/31003/SECONDARY_SITE_ID": "2", "service/vmhdbdev01/31007/LAST_LOG_POSITION": "4670464", "service/vmhdbdev01/31007/SECONDARY_SITE_ID": "2", "service/vmhdbdev01/31001/REPLICATION_STATUS": "ACTIVE", "service/vmhdbdev01/31003/REPLICATION_STATUS": "ACTIVE", "service/vmhdbdev01/31007/REPLICATION_STATUS": "ACTIVE", "service/vmhdbdev01/31001/SECONDARY_SITE_NAME": "WDF", "service/vmhdbdev01/31003/SECONDARY_SITE_NAME": "WDF", "service/vmhdbdev01/31007/SECONDARY_SITE_NAME": "WDF", "service/vmhdbdev01/31001/SHIPPED_LOG_POSITION": "45295808", "service/vmhdbdev01/31003/SHIPPED_LOG_POSITION": "247644160", "service/vmhdbdev01/31007/SHIPPED_LOG_POSITION": "4670464", "service/vmhdbdev01/31001/REPLAYED_LOG_POSITION": "45295808", "service/vmhdbdev01/31003/REPLAYED_LOG_POSITION": "247644160", "service/vmhdbdev01/31007/REPLAYED_LOG_POSITION": "4670405", "service/vmhdbdev01/31001/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:50.123508", "service/vmhdbdev01/31001/LAST_SAVEPOINT_VERSION": "2831", "service/vmhdbdev01/31001/SECONDARY_CONNECT_TIME": "2022-01-11 12:57:43.205984", "service/vmhdbdev01/31003/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:54.241756", "service/vmhdbdev01/31003/LAST_SAVEPOINT_VERSION": "2790", "service/vmhdbdev01/31003/SECONDARY_CONNECT_TIME": "2022-01-11 13:01:20.044302", "service/vmhdbdev01/31007/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:22.341237", "service/vmhdbdev01/31007/LAST_SAVEPOINT_VERSION": "2874", "service/vmhdbdev01/31007/SECONDARY_CONNECT_TIME": "2022-01-11 13:01:20.647048", "service/vmhdbdev01/31001/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbdev01/31003/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbdev01/31007/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbdev01/31001/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbdev01/31001/SHIPPED_LOG_BUFFERS_SIZE": "555040768", "service/vmhdbdev01/31003/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbdev01/31003/SHIPPED_LOG_BUFFERS_SIZE": "3481903104", "service/vmhdbdev01/31007/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbdev01/31007/SHIPPED_LOG_BUFFERS_SIZE": "268271616", "service/vmhdbdev01/31001/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:48:30.381133", "service/vmhdbdev01/31001/SECONDARY_RECONNECT_COUNT": "0", "service/vmhdbdev01/31001/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_LOG_BUFFERS_COUNT": "125075", "service/vmhdbdev01/31001/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:50.123508", "service/vmhdbdev01/31001/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbdev01/31003/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:49:47.741144", "service/vmhdbdev01/31003/SECONDARY_RECONNECT_COUNT": "7", "service/vmhdbdev01/31003/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_LOG_BUFFERS_COUNT": "682002", "service/vmhdbdev01/31003/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:54.241756", "service/vmhdbdev01/31003/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbdev01/31007/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:50:22.414771", "service/vmhdbdev01/31007/SECONDARY_RECONNECT_COUNT": "7", "service/vmhdbdev01/31007/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_LOG_BUFFERS_COUNT": "65496", "service/vmhdbdev01/31007/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:22.341237", "service/vmhdbdev01/31007/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbdev01/31001/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:50.123508", "service/vmhdbdev01/31001/REPLICATION_STATUS_DETAILS": "", "service/vmhdbdev01/31001/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbdev01/31003/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:54.241756", "service/vmhdbdev01/31003/REPLICATION_STATUS_DETAILS": "", "service/vmhdbdev01/31003/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbdev01/31007/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:22.341237", "service/vmhdbdev01/31007/REPLICATION_STATUS_DETAILS": "", "service/vmhdbdev01/31007/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbdev01/31001/LAST_SAVEPOINT_LOG_POSITION": "45292482", "service/vmhdbdev01/31001/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbdev01/31003/LAST_SAVEPOINT_LOG_POSITION": "247637826", "service/vmhdbdev01/31003/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbdev01/31007/LAST_SAVEPOINT_LOG_POSITION": "4669955", "service/vmhdbdev01/31007/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbdev01/31001/SHIPPED_LOG_BUFFERS_DURATION": "332381033", "service/vmhdbdev01/31001/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LOG_BUFFERS_DURATION": "1761449260", "service/vmhdbdev01/31003/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LOG_BUFFERS_DURATION": "180172567", "service/vmhdbdev01/31007/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbdev01/31003/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbdev01/31007/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbdev01/31001/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbdev01/31001/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbdev01/31003/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbdev01/31003/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbdev01/31007/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbdev01/31007/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbdev01/31001/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-"}}]}]	2024-04-09 15:09:20.646021	2024-04-09 15:09:20.646021
454	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	sap_system_discovery	[]	2024-04-09 15:09:21.040954	2024-04-09 15:09:21.040954
459	f0c808b3-d869-5192-a944-20f66a6a8449	sap_system_discovery	[]	2024-04-09 15:09:21.706828	2024-04-09 15:09:21.706828
461	21de186a-e38f-5804-b643-7f4ef22fecfd	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:09:21.979857	2024-04-09 15:09:21.979857
462	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	host_discovery	{"hostname": "vmdrbdprd01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.31", "10.80.1.33", "fe80::20d:3aff:fe25:7df0"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmdrbdprd01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:22.110346	2024-04-09 15:09:22.110346
472	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:09:23.456449	2024-04-09 15:09:23.456449
481	99cf8a3a-48d6-57a4-b302-6e4482227ab6	sap_system_discovery	[{"Id": "9953878f07bb54cac20d5d5d7ff08af2", "SID": "HDQ", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbqas01", "SAPSYSTEMNAME": "HDQ", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbqas01", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDQ", "Container": ""}], "Instances": [{"Host": "vmhdbqas01", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbqas01", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 25408, "name": "hdbdaemon", "starttime": "2022 01 11 12:28:43", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "152:23:18"}, {"pid": 27262, "name": "hdbxsengine", "starttime": "2022 01 11 12:29:06", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDQ", "elapsedtime": "152:22:55"}, {"pid": 25428, "name": "hdbnameserver", "starttime": "2022 01 11 12:28:44", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "152:23:17"}, {"pid": 27259, "name": "hdbindexserver", "starttime": "2022 01 11 12:29:06", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDQ", "elapsedtime": "152:22:55"}, {"pid": 27206, "name": "hdbpreprocessor", "starttime": "2022 01 11 12:29:06", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "152:22:55"}, {"pid": 27203, "name": "hdbcompileserver", "starttime": "2022 01 11 12:29:06", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "152:22:55"}, {"pid": 29632, "name": "hdbwebdispatcher", "starttime": "2022 01 11 12:29:37", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "152:22:24"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbqas01", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbqas01:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "primary", "online": "true", "site_id": "1", "isSource": "true", "site_name": "NBG", "isConsumer": "false", "hasConsumers": "true", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "primary", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbqas01": ["WDF/vmhdbqas02", "NBG/vmhdbqas01"], "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbqas01", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "1", "site/1/SITE_NAME": "NBG", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/1/REPLICATION_MODE": "PRIMARY", "site/2/REPLICATION_MODE": "SYNC", "site/2/REPLICATION_STATUS": "ACTIVE", "overall_replication_status": "ACTIVE", "service/vmhdbqas01/31001/HOST": "vmhdbqas01", "service/vmhdbqas01/31001/PORT": "31001", "service/vmhdbqas01/31003/HOST": "vmhdbqas01", "service/vmhdbqas01/31003/PORT": "31003", "service/vmhdbqas01/31007/HOST": "vmhdbqas01", "service/vmhdbqas01/31007/PORT": "31007", "service/vmhdbqas01/31001/SITE_ID": "1", "service/vmhdbqas01/31003/SITE_ID": "1", "service/vmhdbqas01/31007/SITE_ID": "1", "service/vmhdbqas01/31001/DATABASE": "SYSTEMDB", "service/vmhdbqas01/31003/DATABASE": "HDQ", "service/vmhdbqas01/31007/DATABASE": "HDQ", "service/vmhdbqas01/31001/FULL_SYNC": "DISABLED", "service/vmhdbqas01/31001/SITE_NAME": "NBG", "service/vmhdbqas01/31001/VOLUME_ID": "1", "service/vmhdbqas01/31003/FULL_SYNC": "DISABLED", "service/vmhdbqas01/31003/SITE_NAME": "NBG", "service/vmhdbqas01/31003/VOLUME_ID": "3", "service/vmhdbqas01/31007/FULL_SYNC": "DISABLED", "service/vmhdbqas01/31007/SITE_NAME": "NBG", "service/vmhdbqas01/31007/VOLUME_ID": "2", "service/vmhdbqas01/31001/RESET_COUNT": "0", "service/vmhdbqas01/31003/RESET_COUNT": "0", "service/vmhdbqas01/31007/RESET_COUNT": "0", "service/vmhdbqas01/31001/SERVICE_NAME": "nameserver", "service/vmhdbqas01/31003/SERVICE_NAME": "indexserver", "service/vmhdbqas01/31007/SERVICE_NAME": "xsengine", "service/vmhdbqas01/31001/CREATION_TIME": "2022-01-11 12:29:06.391562", "service/vmhdbqas01/31003/CREATION_TIME": "2022-01-11 12:29:33.189016", "service/vmhdbqas01/31007/CREATION_TIME": "2022-01-11 12:29:37.637575", "service/vmhdbqas01/31001/OPERATION_MODE": "logreplay", "service/vmhdbqas01/31001/SECONDARY_HOST": "vmhdbqas02", "service/vmhdbqas01/31001/SECONDARY_PORT": "31001", "service/vmhdbqas01/31003/OPERATION_MODE": "logreplay", "service/vmhdbqas01/31003/SECONDARY_HOST": "vmhdbqas02", "service/vmhdbqas01/31003/SECONDARY_PORT": "31003", "service/vmhdbqas01/31007/OPERATION_MODE": "logreplay", "service/vmhdbqas01/31007/SECONDARY_HOST": "vmhdbqas02", "service/vmhdbqas01/31007/SECONDARY_PORT": "31007", "service/vmhdbqas01/31001/LAST_RESET_TIME": "2022-01-11 12:29:06.391562", "service/vmhdbqas01/31003/LAST_RESET_TIME": "2022-01-11 12:29:33.189016", "service/vmhdbqas01/31007/LAST_RESET_TIME": "2022-01-11 12:29:37.637575", "service/vmhdbqas01/31001/REPLICATION_MODE": "SYNC", "service/vmhdbqas01/31003/REPLICATION_MODE": "SYNC", "service/vmhdbqas01/31007/REPLICATION_MODE": "SYNC", "service/vmhdbqas01/31001/LAST_LOG_POSITION": "45366976", "service/vmhdbqas01/31001/SECONDARY_SITE_ID": "2", "service/vmhdbqas01/31003/LAST_LOG_POSITION": "247682688", "service/vmhdbqas01/31003/SECONDARY_SITE_ID": "2", "service/vmhdbqas01/31007/LAST_LOG_POSITION": "4699712", "service/vmhdbqas01/31007/SECONDARY_SITE_ID": "2", "service/vmhdbqas01/31001/REPLICATION_STATUS": "ACTIVE", "service/vmhdbqas01/31003/REPLICATION_STATUS": "ACTIVE", "service/vmhdbqas01/31007/REPLICATION_STATUS": "ACTIVE", "service/vmhdbqas01/31001/SECONDARY_SITE_NAME": "WDF", "service/vmhdbqas01/31003/SECONDARY_SITE_NAME": "WDF", "service/vmhdbqas01/31007/SECONDARY_SITE_NAME": "WDF", "service/vmhdbqas01/31001/SHIPPED_LOG_POSITION": "45366976", "service/vmhdbqas01/31003/SHIPPED_LOG_POSITION": "247682688", "service/vmhdbqas01/31007/SHIPPED_LOG_POSITION": "4699712", "service/vmhdbqas01/31001/REPLAYED_LOG_POSITION": "45366976", "service/vmhdbqas01/31003/REPLAYED_LOG_POSITION": "247682688", "service/vmhdbqas01/31007/REPLAYED_LOG_POSITION": "4699652", "service/vmhdbqas01/31001/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:57.259967", "service/vmhdbqas01/31001/LAST_SAVEPOINT_VERSION": "3060", "service/vmhdbqas01/31001/SECONDARY_CONNECT_TIME": "2022-01-11 12:30:25.128075", "service/vmhdbqas01/31003/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:46.152250", "service/vmhdbqas01/31003/LAST_SAVEPOINT_VERSION": "2866", "service/vmhdbqas01/31003/SECONDARY_CONNECT_TIME": "2022-01-11 12:35:03.347379", "service/vmhdbqas01/31007/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:44.353141", "service/vmhdbqas01/31007/LAST_SAVEPOINT_VERSION": "2887", "service/vmhdbqas01/31007/SECONDARY_CONNECT_TIME": "2022-01-11 12:35:03.226334", "service/vmhdbqas01/31001/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbqas01/31003/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbqas01/31007/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbqas01/31001/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbqas01/31001/SHIPPED_LOG_BUFFERS_SIZE": "555925504", "service/vmhdbqas01/31003/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbqas01/31003/SHIPPED_LOG_BUFFERS_SIZE": "3534827520", "service/vmhdbqas01/31007/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbqas01/31007/SHIPPED_LOG_BUFFERS_SIZE": "269307904", "service/vmhdbqas01/31001/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:47:57.248689", "service/vmhdbqas01/31001/SECONDARY_RECONNECT_COUNT": "0", "service/vmhdbqas01/31001/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31001/SHIPPED_LOG_BUFFERS_COUNT": "125862", "service/vmhdbqas01/31001/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:57.259967", "service/vmhdbqas01/31001/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbqas01/31003/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:48:26.167454", "service/vmhdbqas01/31003/SECONDARY_RECONNECT_COUNT": "9", "service/vmhdbqas01/31003/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31003/SHIPPED_LOG_BUFFERS_COUNT": "684679", "service/vmhdbqas01/31003/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:46.152250", "service/vmhdbqas01/31003/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbqas01/31007/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:51:44.329775", "service/vmhdbqas01/31007/SECONDARY_RECONNECT_COUNT": "9", "service/vmhdbqas01/31007/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31007/SHIPPED_LOG_BUFFERS_COUNT": "65749", "service/vmhdbqas01/31007/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:44.353141", "service/vmhdbqas01/31007/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbqas01/31001/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:57.259967", "service/vmhdbqas01/31001/REPLICATION_STATUS_DETAILS": "", "service/vmhdbqas01/31001/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31001/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbqas01/31003/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:46.152250", "service/vmhdbqas01/31003/REPLICATION_STATUS_DETAILS": "", "service/vmhdbqas01/31003/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31003/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbqas01/31007/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:44.353141", "service/vmhdbqas01/31007/REPLICATION_STATUS_DETAILS": "", "service/vmhdbqas01/31007/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31007/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbqas01/31001/LAST_SAVEPOINT_LOG_POSITION": "45363330", "service/vmhdbqas01/31001/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbqas01/31003/LAST_SAVEPOINT_LOG_POSITION": "247663426", "service/vmhdbqas01/31003/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbqas01/31007/LAST_SAVEPOINT_LOG_POSITION": "4699460", "service/vmhdbqas01/31007/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbqas01/31001/SHIPPED_LOG_BUFFERS_DURATION": "354670113", "service/vmhdbqas01/31001/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LOG_BUFFERS_DURATION": "1782503270", "service/vmhdbqas01/31003/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LOG_BUFFERS_DURATION": "176031371", "service/vmhdbqas01/31007/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbqas01/31001/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbqas01/31003/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbqas01/31007/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbqas01/31001/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbqas01/31001/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31001/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbqas01/31003/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbqas01/31003/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31003/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbqas01/31007/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbqas01/31007/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbqas01/31007/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbqas01/31001/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31003/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31007/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbqas01/31001/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbqas01/31001/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbqas01/31001/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbqas01/31001/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbqas01/31003/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbqas01/31007/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-"}}]}]	2024-04-09 15:09:24.627357	2024-04-09 15:09:24.627357
482	b767b3e9-e802-587e-a442-541d093b86b9	host_discovery	{"hostname": "vmhdbprd02", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.12", "fe80::20d:3aff:fe21:f108"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbprd02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:24.767175	2024-04-09 15:09:24.767175
499	9a26b6d0-6e72-597c-9fe5-152a6875f214	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:09:27.034945	2024-04-09 15:09:27.034945
521	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev01", "Name": "ASCS00", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 7379, "name": "enserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueServer", "elapsedtime": "151:56:46"}, {"pid": 7378, "name": "msg_server", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "MessageServer", "elapsedtime": "151:56:46"}], "Properties": [{"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "00", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "EnqGetLockTable", "property": "Enque Locks", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ASCS00", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "1", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "YES", "property": "CentralServices", "propertytype": "Attribute"}, {"value": "EnqGetStatistic", "property": "Enque Statistic", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwdas:50013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}, {"value": "YES", "property": "SupportsUpdateSCSInstance", "propertytype": "Attribute"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:29.993335	2024-04-09 15:09:29.993335
524	1b0e9297-97dd-55d6-9874-8efde4d84c90	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev04", "Name": "D02", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 26496, "name": "gwrd", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:47:01"}, {"pid": 26497, "name": "icman", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:47:01"}, {"pid": 26476, "name": "igswd_mt", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:47:04"}, {"pid": 26475, "name": "disp+work", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:47:04"}], "Properties": [{"value": "HTTP://sapnwdaas1:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwdaas1:40280", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "02", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdaas1", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D02", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwdaas1:50213/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:30.37302	2024-04-09 15:09:30.37302
449	25677e37-fd33-5005-896c-9275b1284534	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwqas01", "plan": {}, "tags": "fake-tags", "vmId": "2f1d001b-7ba0-49f3-afbd-c5668684a0a4", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwqas01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.21"}]}, "ipv6": {}, "macAddress": "6045BD8D0A30"}]}}, "Provider": "azure"}	2024-04-09 15:09:20.380585	2024-04-09 15:09:20.380585
452	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev02", "plan": {}, "tags": "fake-tags", "vmId": "84f224b2-ad29-41a7-94ae-26ced84cdace", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.22"}]}, "ipv6": {}, "macAddress": "6045BD8D9C7D"}]}}, "Provider": "azure"}	2024-04-09 15:09:20.778326	2024-04-09 15:09:20.778326
453	0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:20.909733	2024-04-09 15:09:20.909733
455	3711ea88-9ccc-5b07-8f9d-042be449d72b	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:09:21.167122	2024-04-09 15:09:21.167122
456	69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmiscsi01", "plan": {}, "tags": "fake-tags", "vmId": "458cb0ec-254e-4f68-873a-2d26e1e40c26", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_DS1_v2", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmiscsi01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-iscsisrv01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-iscsisrv01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "StandardSSD_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.4"}]}, "ipv6": {}, "macAddress": "000D3A2AAABE"}]}}, "Provider": "azure"}	2024-04-09 15:09:21.304541	2024-04-09 15:09:21.304541
457	9cd46919-5f19-59aa-993e-cf3736c71053	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:21.441177	2024-04-09 15:09:21.441177
450	69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:20.511316	2024-04-09 15:09:20.511316
466	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:09:22.661878	2024-04-09 15:09:22.661878
467	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:22.803485	2024-04-09 15:09:22.803485
473	116d49bd-85e1-5e59-b820-83f66db8800c	ha_cluster_discovery	{"DC": true, "Id": "8bca366a6cb7816555538092a1ddd5aa", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwprd01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwprd02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWP_ASCS00", "Primitives": [{"Id": "rsc_ip_NWP_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWP_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWP_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.25"}]}, {"Id": "rsc_fs_NWP_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWP_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWP_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.80.1.33:/NWP/ASCS"}, {"Id": "rsc_fs_NWP_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWP/ASCS00"}, {"Id": "rsc_fs_NWP_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWP_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWP_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWP_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWP_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWP_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWP_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWP_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWP_ASCS00_sapnwpas"}, {"Id": "rsc_sap_NWP_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWP/profile/NWP_ASCS00_sapnwpas"}, {"Id": "rsc_sap_NWP_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWP_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWP_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWP_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWP_ERS10", "Primitives": [{"Id": "rsc_ip_NWP_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWP_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWP_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.26"}]}, {"Id": "rsc_fs_NWP_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWP_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWP_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWP_ERS10-instance_attributes-device", "Name": "device", "Value": "10.80.1.33:/NWP/ERS"}, {"Id": "rsc_fs_NWP_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWP/ERS10"}, {"Id": "rsc_fs_NWP_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWP_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWP_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWP_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWP_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWP_ERS10_sapnwper"}, {"Id": "rsc_sap_NWP_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWP/profile/NWP_ERS10_sapnwper"}, {"Id": "rsc_sap_NWP_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWP_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWP_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWP_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWP_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWP_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWP_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_e34218cd-0d9a-4b21-b6d5-a313980baa82", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "e0c97fe2-f63a-4fd1-83df-9a736a03b49b", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwprd01", "Status": "clear"}, {"Id": 1, "Name": "vmnwprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_e34218cd-0d9a-4b21-b6d5-a313980baa82", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwprd01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwprd02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWP_ASCS00", "Resources": [{"Id": "rsc_ip_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWP_ASCS00", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWP_ERS10", "Resources": [{"Id": "rsc_ip_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWP_ERS10", "Node": {"Id": "2", "Name": "vmnwprd02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 13:43:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwprd01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwprd01", "ResourceHistory": [{"Name": "rsc_ip_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWP_ASCS00", "FailCount": 0, "MigrationThreshold": 1}]}, {"Name": "vmnwprd02", "ResourceHistory": [{"Name": "rsc_ip_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWP_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwprd02", "Attributes": [{"Name": "runs_ers_NWP", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:09:23.580801	2024-04-09 15:09:23.580801
484	0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	sap_system_discovery	[{"Id": "97a1e70aeff3c0685d65c4c3d32d533b", "SID": "NWP", "Type": 2, "Profile": {"SAPDBHOST": "10.80.1.13", "dbms/name": "HDP", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwpas", "rdisp/msserv": "sapmsNWP", "SAPGLOBALHOST": "sapnwpas", "SAPSYSTEMNAME": "NWP", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDP", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwpas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.80.1.13", "Databases": null, "Instances": [{"Host": "vmnwprd04", "Name": "D02", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwpas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwper", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwppas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwpaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 7759, "name": "gwrd", "starttime": "2022 01 11 13:46:05", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:06:03"}, {"pid": 7760, "name": "icman", "starttime": "2022 01 11 13:46:05", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:06:03"}, {"pid": 7741, "name": "igswd_mt", "starttime": "2022 01 11 13:46:03", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:06:05"}, {"pid": 7740, "name": "disp+work", "starttime": "2022 01 11 13:46:03", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:06:05"}], "Properties": [{"value": "HTTP://sapnwpaas1:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwpaas1:40280", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "02", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwpaas1", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D02", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwpaas1:50213/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:25.011705	2024-04-09 15:09:25.011705
490	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:25.834963	2024-04-09 15:09:25.834963
494	25677e37-fd33-5005-896c-9275b1284534	host_discovery	{"hostname": "vmnwqas01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.21", "10.90.1.25", "fe80::6245:bdff:fe8d:a30"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwqas01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:26.408554	2024-04-09 15:09:26.408554
502	99cf8a3a-48d6-57a4-b302-6e4482227ab6	ha_cluster_discovery	{"DC": true, "Id": "4e905d706da85f5be14f85fa947c1e39", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmhdbqas01", "InstanceAttributes": [{"Id": "nodes-1-lpa_hdq_lpt", "Name": "lpa_hdq_lpt", "Value": "1643125033"}, {"Id": "nodes-1-hana_hdq_vhost", "Name": "hana_hdq_vhost", "Value": "vmhdbqas01"}, {"Id": "nodes-1-hana_hdq_site", "Name": "hana_hdq_site", "Value": "NBG"}, {"Id": "nodes-1-hana_hdq_op_mode", "Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Id": "nodes-1-hana_hdq_srmode", "Name": "hana_hdq_srmode", "Value": "sync"}, {"Id": "nodes-1-hana_hdq_remoteHost", "Name": "hana_hdq_remoteHost", "Value": "vmhdbqas02"}]}, {"Id": "2", "Uname": "vmhdbqas02", "InstanceAttributes": [{"Id": "nodes-2-lpa_hdq_lpt", "Name": "lpa_hdq_lpt", "Value": "30"}, {"Id": "nodes-2-hana_hdq_op_mode", "Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Id": "nodes-2-hana_hdq_vhost", "Name": "hana_hdq_vhost", "Value": "vmhdbqas02"}, {"Id": "nodes-2-hana_hdq_remoteHost", "Name": "hana_hdq_remoteHost", "Value": "vmhdbqas01"}, {"Id": "nodes-2-hana_hdq_site", "Name": "hana_hdq_site", "Value": "WDF"}, {"Id": "nodes-2-hana_hdq_srmode", "Name": "hana_hdq_srmode", "Value": "sync"}]}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "hana_cluster_2"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}, {"Id": "SAPHanaSR-hana_hdq_site_srHook_WDF", "Name": "hana_hdq_site_srHook_WDF", "Value": "SOK"}]}, "Resources": {"Clones": [{"Id": "cln_SAPHanaTopology_HDQ_HDB10", "Primitive": {"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Type": "SAPHanaTopology", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "600", "Interval": "10"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "600", "Interval": "0"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "300", "Interval": "0"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDQ"}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}]}, "MetaAttributes": [{"Id": "cln_SAPHanaTopology_HDQ_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "cln_SAPHanaTopology_HDQ_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g_ip_HDQ_HDB10", "Primitives": [{"Id": "rsc_ip_HDQ_HDB10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "20", "Interval": "0"}, {"Id": "rsc_ip_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_HDQ_HDB10-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.13"}, {"Id": "rsc_ip_HDQ_HDB10-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "24"}, {"Id": "rsc_ip_HDQ_HDB10-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "rsc_socat_HDQ_HDB10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_HDQ_HDB10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_HDQ_HDB10-instance_attributes-port", "Name": "port", "Value": "62510"}]}]}], "Masters": [{"Id": "msl_SAPHana_HDQ_HDB10", "Primitive": {"Id": "rsc_SAPHana_HDQ_HDB10", "Type": "SAPHana", "Class": "ocf", "Provider": "suse", "Operations": [{"Id": "rsc_SAPHana_HDQ_HDB10-start-0", "Name": "start", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-stop-0", "Name": "stop", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-promote-0", "Name": "promote", "Role": "", "Timeout": "3600", "Interval": "0"}, {"Id": "rsc_SAPHana_HDQ_HDB10-monitor-60", "Name": "monitor", "Role": "Master", "Timeout": "700", "Interval": "60"}, {"Id": "rsc_SAPHana_HDQ_HDB10-monitor-61", "Name": "monitor", "Role": "Slave", "Timeout": "700", "Interval": "61"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-SID", "Name": "SID", "Value": "HDQ"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-InstanceNumber", "Name": "InstanceNumber", "Value": "10"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-PREFER_SITE_TAKEOVER", "Name": "PREFER_SITE_TAKEOVER", "Value": "True"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-AUTOMATED_REGISTER", "Name": "AUTOMATED_REGISTER", "Value": "False"}, {"Id": "rsc_SAPHana_HDQ_HDB10-instance_attributes-DUPLICATE_PRIMARY_TIMEOUT", "Name": "DUPLICATE_PRIMARY_TIMEOUT", "Value": "7200"}]}, "MetaAttributes": [{"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "msl_SAPHana_HDQ_HDB10-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": [{"Id": "stonith-sbd-monitor-15", "Name": "monitor", "Role": "", "Timeout": "15", "Interval": "15"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "15"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-360014058d88c7795c6a4b66bc024f4bd", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "246da75b-af59-4135-b980-90bf87815e2e", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmhdbqas01", "Status": "clear"}, {"Id": 1, "Name": "vmhdbqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-360014058d88c7795c6a4b66bc024f4bd", "Status": "healthy"}]}, "Name": "hana_cluster_2", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmhdbqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmhdbqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "msl_SAPHana_HDQ_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHana_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Master", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHana_HDQ_HDB10", "Node": {"Id": "2", "Name": "vmhdbqas02", "Cached": true}, "Role": "Slave", "Agent": "ocf::suse:SAPHana", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cln_SAPHanaTopology_HDQ_HDB10", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_SAPHanaTopology_HDQ_HDB10", "Node": {"Id": "2", "Name": "vmhdbqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::suse:SAPHanaTopology", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g_ip_HDQ_HDB10", "Resources": [{"Id": "rsc_ip_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_HDQ_HDB10", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 7, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 25 15:37:13 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmhdbqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmhdbqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_ip_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHana_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmhdbqas02", "ResourceHistory": [{"Name": "rsc_SAPHana_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_SAPHanaTopology_HDQ_HDB10", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmhdbqas01", "Attributes": [{"Name": "hana_hdq_clone_state", "Value": "PROMOTED"}, {"Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Name": "hana_hdq_remoteHost", "Value": "vmhdbqas02"}, {"Name": "hana_hdq_roles", "Value": "4:P:master1:master:worker:master"}, {"Name": "hana_hdq_site", "Value": "NBG"}, {"Name": "hana_hdq_srmode", "Value": "sync"}, {"Name": "hana_hdq_sync_state", "Value": "PRIM"}, {"Name": "hana_hdq_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdq_vhost", "Value": "vmhdbqas01"}, {"Name": "lpa_hdq_lpt", "Value": "1643125033"}, {"Name": "master-rsc_SAPHana_HDQ_HDB10", "Value": "150"}]}, {"Name": "vmhdbqas02", "Attributes": [{"Name": "hana_hdq_clone_state", "Value": "DEMOTED"}, {"Name": "hana_hdq_op_mode", "Value": "logreplay"}, {"Name": "hana_hdq_remoteHost", "Value": "vmhdbqas01"}, {"Name": "hana_hdq_roles", "Value": "4:S:master1:master:worker:master"}, {"Name": "hana_hdq_site", "Value": "WDF"}, {"Name": "hana_hdq_srmode", "Value": "sync"}, {"Name": "hana_hdq_sync_state", "Value": "SOK"}, {"Name": "hana_hdq_version", "Value": "2.00.057.00.1629894416"}, {"Name": "hana_hdq_vhost", "Value": "vmhdbqas02"}, {"Name": "lpa_hdq_lpt", "Value": "30"}, {"Name": "master-rsc_SAPHana_HDQ_HDB10", "Value": "100"}]}]}}, "Provider": "azure"}	2024-04-09 15:09:27.454381	2024-04-09 15:09:27.454381
510	0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "not compliant", "Notes applied": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Notes enabled": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "NETWEAVER", "applied partially": false}], "Solution enabled": ["NETWEAVER"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "Solution ID": "NETWEAVER"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:09:28.526813	2024-04-09 15:09:28.526813
511	81e9b629-c1e7-538f-bff1-47d3a6580522	host_discovery	{"hostname": "vmnwqas04", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.28", "10.90.1.24", "fe80::6245:bdff:fe8d:dca"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwqas04.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:28.653229	2024-04-09 15:09:28.653229
512	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev03", "plan": {}, "tags": "fake-tags", "vmId": "14173622-8d19-4e09-9661-2bfb236b01e4", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev03", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver03-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-netweaver01-App", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Attach", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.23"}, {"privateIpAddress": "10.100.1.27"}]}, "ipv6": {}, "macAddress": "6045BD8D9EF4"}]}}, "Provider": "azure"}	2024-04-09 15:09:28.786654	2024-04-09 15:09:28.786654
522	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev02", "Name": "ERS10", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 6720, "name": "enrepserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueReplicator", "elapsedtime": "151:56:49"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwder", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ERS10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.5", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwder:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:30.119885	2024-04-09 15:09:30.119885
458	3711ea88-9ccc-5b07-8f9d-042be449d72b	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwqas02", "plan": {}, "tags": "fake-tags", "vmId": "173ff22d-bb92-493a-a6b2-6a269614f178", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwqas02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.22"}]}, "ipv6": {}, "macAddress": "6045BD8D06EF"}]}}, "Provider": "azure"}	2024-04-09 15:09:21.571808	2024-04-09 15:09:21.571808
468	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	ha_cluster_discovery	{"DC": false, "Id": "a034a158905404befe08775682910ee1", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmdrbdqas01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmdrbdqas02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "drbd_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": [{"Id": "cl-nfsserver", "Primitive": {"Id": "nfsserver", "Type": "nfs-server", "Class": "systemd", "Provider": "", "Operations": [{"Id": "nfsserver-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": null}, "MetaAttributes": [{"Id": "cl-nfsserver-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g-nfs_sapdata", "Primitives": [{"Id": "fs_sapdata", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "fs_sapdata-monitor-20", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "fs_sapdata-instance_attributes-device", "Name": "device", "Value": "/dev/drbd1"}, {"Id": "fs_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWQ"}, {"Id": "fs_sapdata-instance_attributes-fstype", "Name": "fstype", "Value": "xfs"}, {"Id": "fs_sapdata-instance_attributes-options", "Name": "options", "Value": "noatime,nodiratime"}]}, {"Id": "vip_sapdata_nfs", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "vip_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "vip_sapdata_nfs-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.33"}, {"Id": "vip_sapdata_nfs-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "32"}, {"Id": "vip_sapdata_nfs-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "exportfs_work_sapdata", "Type": "exportfs", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "exportfs_work_sapdata-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "exportfs_work_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWQ"}, {"Id": "exportfs_work_sapdata-instance_attributes-fsid", "Name": "fsid", "Value": "1"}, {"Id": "exportfs_work_sapdata-instance_attributes-options", "Name": "options", "Value": "rw,no_root_squash"}, {"Id": "exportfs_work_sapdata-instance_attributes-clientspec", "Name": "clientspec", "Value": "*"}, {"Id": "exportfs_work_sapdata-instance_attributes-wait_for_leasetime_on_stop", "Name": "wait_for_leasetime_on_stop", "Value": "true"}]}, {"Id": "rsc_socat_sapdata_nfs", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_sapdata_nfs-instance_attributes-port", "Name": "port", "Value": "61000"}]}]}], "Masters": [{"Id": "ms_sapdata", "Primitive": {"Id": "drbd-sapdata", "Type": "drbd", "Class": "ocf", "Provider": "linbit", "Operations": [{"Id": "drbd-sapdata-monitor-15", "Name": "monitor", "Role": "Master", "Timeout": "", "Interval": "15"}, {"Id": "drbd-sapdata-monitor-30", "Name": "monitor", "Role": "Slave", "Timeout": "", "Interval": "30"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "drbd-sapdata-instance_attributes-drbd_resource", "Name": "drbd_resource", "Value": "sapdata"}]}, "MetaAttributes": [{"Id": "ms_sapdata-meta_attributes-master-max", "Name": "master-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-master-node-max", "Name": "master-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-0-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "ms_sapdata-meta_attributes-0-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-1-notify", "Name": "notify", "Value": "true"}, {"Id": "ms_sapdata-meta_attributes-1-target-role", "Name": "target-role", "Value": "Started"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:c1c003f5-4e45-4d6f-8d81-e338f666365c", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "f5991966-5a7f-45d6-90d1-bfcedb265df6", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmdrbdqas01", "Status": "clear"}, {"Id": 1, "Name": "vmdrbdqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-1LIO-ORG_IBLOCK:c1c003f5-4e45-4d6f-8d81-e338f666365c", "Status": "healthy"}]}, "Name": "drbd_cluster", "Crmmon": {"Nodes": [{"DC": false, "Id": "1", "Name": "vmdrbdqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 7}, {"DC": true, "Id": "2", "Name": "vmdrbdqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "ms_sapdata", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "drbd-sapdata", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Master", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "drbd-sapdata", "Node": {"Id": "2", "Name": "vmdrbdqas02", "Cached": true}, "Role": "Slave", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cl-nfsserver", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "nfsserver", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "nfsserver", "Node": {"Id": "2", "Name": "vmdrbdqas02", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g-nfs_sapdata", "Resources": [{"Id": "fs_sapdata", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "vip_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "exportfs_work_sapdata", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:exportfs", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:20:56 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmdrbdqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmdrbdqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "fs_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "vip_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "exportfs_work_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmdrbdqas02", "ResourceHistory": [{"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmdrbdqas01", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}, {"Name": "vmdrbdqas02", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}]}}, "Provider": "azure"}	2024-04-09 15:09:22.936795	2024-04-09 15:09:22.936795
476	9a26b6d0-6e72-597c-9fe5-152a6875f214	sap_system_discovery	[]	2024-04-09 15:09:23.962646	2024-04-09 15:09:23.962646
477	098fc159-3ed6-58e7-91be-38fda8a833ea	subscription_discovery	[{"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "SLES_SAP"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-ha"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:24.086601	2024-04-09 15:09:24.086601
478	116d49bd-85e1-5e59-b820-83f66db8800c	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwprd01", "plan": {}, "tags": "fake-tags", "vmId": "63306bd8-a7f8-49ab-8156-5d4aa928fa7a", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwprd01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.21"}]}, "ipv6": {}, "macAddress": "000D3A2E8F04"}]}}, "Provider": "azure"}	2024-04-09 15:09:24.219418	2024-04-09 15:09:24.219418
479	ddcb7992-2ffb-5c10-8b39-80685f6eaaba	host_discovery	{"hostname": "vmdrbdqas01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.31", "10.90.1.33", "fe80::6245:bdff:fe8d:c2"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmdrbdqas01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:24.354882	2024-04-09 15:09:24.354882
480	e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	host_discovery	{"hostname": "vmhdbqas02", "cpu_count": 4, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.12", "fe80::6245:bdff:fe8d:8b3"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 32107, "fully_qualified_domain_name": "vmhdbqas02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:24.489165	2024-04-09 15:09:24.489165
485	f0c808b3-d869-5192-a944-20f66a6a8449	host_discovery	{"hostname": "vmiscsi01", "cpu_count": 1, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.90.1.4", "fe80::222:48ff:fe7f:d2f9"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 3422, "fully_qualified_domain_name": "vmiscsi01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:25.137249	2024-04-09 15:09:25.137249
486	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:25.271498	2024-04-09 15:09:25.271498
487	116d49bd-85e1-5e59-b820-83f66db8800c	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:25.397958	2024-04-09 15:09:25.397958
491	3711ea88-9ccc-5b07-8f9d-042be449d72b	ha_cluster_discovery	{"DC": false, "Id": "acf59e7a5338f76f55d5055af3273480", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwqas01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwqas02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWQ_ASCS00", "Primitives": [{"Id": "rsc_ip_NWQ_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWQ_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWQ_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.25"}]}, {"Id": "rsc_fs_NWQ_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWQ_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWQ_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.90.1.33:/NWQ/ASCS"}, {"Id": "rsc_fs_NWQ_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWQ/ASCS00"}, {"Id": "rsc_fs_NWQ_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWQ_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWQ_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWQ_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWQ_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWQ_ASCS00_sapnwqas"}, {"Id": "rsc_sap_NWQ_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWQ/profile/NWQ_ASCS00_sapnwqas"}, {"Id": "rsc_sap_NWQ_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWQ_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWQ_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWQ_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWQ_ERS10", "Primitives": [{"Id": "rsc_ip_NWQ_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWQ_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWQ_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.90.1.26"}]}, {"Id": "rsc_fs_NWQ_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWQ_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWQ_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWQ_ERS10-instance_attributes-device", "Name": "device", "Value": "10.90.1.33:/NWQ/ERS"}, {"Id": "rsc_fs_NWQ_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWQ/ERS10"}, {"Id": "rsc_fs_NWQ_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWQ_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWQ_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWQ_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWQ_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWQ_ERS10_sapnwqer"}, {"Id": "rsc_sap_NWQ_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWQ/profile/NWQ_ERS10_sapnwqer"}, {"Id": "rsc_sap_NWQ_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWQ_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWQ_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWQ_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWQ_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWQ_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWQ_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_813ace38-2d4f-48f6-8aa2-5360252ca492", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "3365e35e-ba75-4d29-9f5a-1a0379ee7a60", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwqas01", "Status": "clear"}, {"Id": 1, "Name": "vmnwqas02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_813ace38-2d4f-48f6-8aa2-5360252ca492", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwqas01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwqas02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWQ_ASCS00", "Resources": [{"Id": "rsc_ip_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWQ_ASCS00", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWQ_ERS10", "Resources": [{"Id": "rsc_ip_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWQ_ERS10", "Node": {"Id": "2", "Name": "vmnwqas02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Mon Jan 17 12:41:40 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwqas01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwqas02", "ResourceHistory": [{"Name": "rsc_sap_NWQ_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWQ_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWQ_ERS10", "FailCount": 1, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWQ_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}, {"Name": "vmnwqas01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWQ_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWQ_ASCS00", "FailCount": 1, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWQ_ASCS00", "FailCount": 0, "MigrationThreshold": 1}, {"Name": "rsc_socat_NWQ_ASCS00", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwqas02", "Attributes": [{"Name": "runs_ers_NWQ", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:09:25.966905	2024-04-09 15:09:25.966905
469	21de186a-e38f-5804-b643-7f4ef22fecfd	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:23.076681	2024-04-09 15:09:23.076681
470	927901fa-2c87-524e-b18c-3ef5187f504f	host_discovery	{"hostname": "vmdrbdprd02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.32", "fe80::20d:3aff:fe2e:8b91"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmdrbdprd02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:23.204821	2024-04-09 15:09:23.204821
471	99cf8a3a-48d6-57a4-b302-6e4482227ab6	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:23.330813	2024-04-09 15:09:23.330813
483	422686d6-b2d1-5092-93e8-a744854f5085	sap_system_discovery	[]	2024-04-09 15:09:24.895079	2024-04-09 15:09:24.895079
492	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	ha_cluster_discovery	{"DC": false, "Id": "238a4de1239aae2aa87433eed788b3ad", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmdrbdprd01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmdrbdprd02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "drbd_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": [{"Id": "cl-nfsserver", "Primitive": {"Id": "nfsserver", "Type": "nfs-server", "Class": "systemd", "Provider": "", "Operations": [{"Id": "nfsserver-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": null}, "MetaAttributes": [{"Id": "cl-nfsserver-meta_attributes-interleave", "Name": "interleave", "Value": "true"}]}], "Groups": [{"Id": "g-nfs_sapdata", "Primitives": [{"Id": "fs_sapdata", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "fs_sapdata-monitor-20", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "fs_sapdata-instance_attributes-device", "Name": "device", "Value": "/dev/drbd1"}, {"Id": "fs_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWP"}, {"Id": "fs_sapdata-instance_attributes-fstype", "Name": "fstype", "Value": "xfs"}, {"Id": "fs_sapdata-instance_attributes-options", "Name": "options", "Value": "noatime,nodiratime"}]}, {"Id": "vip_sapdata_nfs", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "vip_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "vip_sapdata_nfs-instance_attributes-ip", "Name": "ip", "Value": "10.80.1.33"}, {"Id": "vip_sapdata_nfs-instance_attributes-cidr_netmask", "Name": "cidr_netmask", "Value": "32"}, {"Id": "vip_sapdata_nfs-instance_attributes-nic", "Name": "nic", "Value": "eth0"}]}, {"Id": "exportfs_work_sapdata", "Type": "exportfs", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "exportfs_work_sapdata-monitor-30s", "Name": "monitor", "Role": "", "Timeout": "", "Interval": "30s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "exportfs_work_sapdata-instance_attributes-directory", "Name": "directory", "Value": "/mnt_permanent/sapdata/NWP"}, {"Id": "exportfs_work_sapdata-instance_attributes-fsid", "Name": "fsid", "Value": "1"}, {"Id": "exportfs_work_sapdata-instance_attributes-options", "Name": "options", "Value": "rw,no_root_squash"}, {"Id": "exportfs_work_sapdata-instance_attributes-clientspec", "Name": "clientspec", "Value": "*"}, {"Id": "exportfs_work_sapdata-instance_attributes-wait_for_leasetime_on_stop", "Name": "wait_for_leasetime_on_stop", "Value": "true"}]}, {"Id": "rsc_socat_sapdata_nfs", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_sapdata_nfs-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_sapdata_nfs-instance_attributes-port", "Name": "port", "Value": "61000"}]}]}], "Masters": [{"Id": "ms_sapdata", "Primitive": {"Id": "drbd-sapdata", "Type": "drbd", "Class": "ocf", "Provider": "linbit", "Operations": [{"Id": "drbd-sapdata-monitor-15", "Name": "monitor", "Role": "Master", "Timeout": "", "Interval": "15"}, {"Id": "drbd-sapdata-monitor-30", "Name": "monitor", "Role": "Slave", "Timeout": "", "Interval": "30"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "drbd-sapdata-instance_attributes-drbd_resource", "Name": "drbd_resource", "Value": "sapdata"}]}, "MetaAttributes": [{"Id": "ms_sapdata-meta_attributes-master-max", "Name": "master-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-master-node-max", "Name": "master-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-0-clone-max", "Name": "clone-max", "Value": "2"}, {"Id": "ms_sapdata-meta_attributes-0-clone-node-max", "Name": "clone-node-max", "Value": "1"}, {"Id": "ms_sapdata-meta_attributes-1-notify", "Name": "notify", "Value": "true"}, {"Id": "ms_sapdata-meta_attributes-1-target-role", "Name": "target-role", "Value": "Started"}]}], "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": null}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_b7b1cd3d-776e-4432-a9e5-6fe56e4b4e17", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "28fd9d5e-3685-4cb7-85e9-76c4b140ea3c", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmdrbdprd01", "Status": "clear"}, {"Id": 1, "Name": "vmdrbdprd02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-SLIO-ORG_IBLOCK_b7b1cd3d-776e-4432-a9e5-6fe56e4b4e17", "Status": "healthy"}]}, "Name": "drbd_cluster", "Crmmon": {"Nodes": [{"DC": false, "Id": "1", "Name": "vmdrbdprd01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 7}, {"DC": true, "Id": "2", "Name": "vmdrbdprd02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 2}], "Clones": [{"Id": "ms_sapdata", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "drbd-sapdata", "Node": {"Id": "2", "Name": "vmdrbdprd02", "Cached": true}, "Role": "Slave", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "drbd-sapdata", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Master", "Agent": "ocf::linbit:drbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": true, "FailureIgnored": false}, {"Id": "cl-nfsserver", "Failed": false, "Unique": false, "Managed": true, "Resources": [{"Id": "nfsserver", "Node": {"Id": "2", "Name": "vmdrbdprd02", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "nfsserver", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "systemd:nfs-server", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "MultiState": false, "FailureIgnored": false}], "Groups": [{"Id": "g-nfs_sapdata", "Resources": [{"Id": "fs_sapdata", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "vip_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "exportfs_work_sapdata", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:exportfs", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_sapdata_nfs", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 13:24:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmdrbdprd01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmdrbdprd02", "ResourceHistory": [{"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}]}, {"Name": "vmdrbdprd01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "fs_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "vip_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "exportfs_work_sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "rsc_socat_sapdata_nfs", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "drbd-sapdata", "FailCount": 0, "MigrationThreshold": 5000}, {"Name": "nfsserver", "FailCount": 0, "MigrationThreshold": 5000}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmdrbdprd01", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}, {"Name": "vmdrbdprd02", "Attributes": [{"Name": "master-drbd-sapdata", "Value": "10000"}]}]}}, "Provider": "azure"}	2024-04-09 15:09:26.100986	2024-04-09 15:09:26.100986
495	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	sap_system_discovery	[{"Id": "fd44c254ccb14331e54015c720c7a1f2", "SID": "HDD", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbdev02", "SAPSYSTEMNAME": "HDD", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbdev02", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDD", "Container": ""}], "Instances": [{"Host": "vmhdbdev02", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbdev02", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 24133, "name": "hdbdaemon", "starttime": "2022 01 11 12:57:31", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "151:54:31"}, {"pid": 24925, "name": "hdbxsengine", "starttime": "2022 01 11 12:57:45", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDD", "elapsedtime": "151:54:17"}, {"pid": 24153, "name": "hdbnameserver", "starttime": "2022 01 11 12:57:32", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "151:54:30"}, {"pid": 24916, "name": "hdbindexserver", "starttime": "2022 01 11 12:57:45", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDD", "elapsedtime": "151:54:17"}, {"pid": 24822, "name": "hdbpreprocessor", "starttime": "2022 01 11 12:57:44", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "151:54:18"}, {"pid": 24819, "name": "hdbcompileserver", "starttime": "2022 01 11 12:57:44", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "151:54:18"}, {"pid": 25653, "name": "hdbwebdispatcher", "starttime": "2022 01 11 12:57:53", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "151:54:09"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbdev02", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbdev02:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "sync", "online": "true", "site_id": "2", "isSource": "false", "site_name": "WDF", "isConsumer": "true", "replayMode": "auto", "hasConsumers": "false", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "logreplay", "primary_masters": "vmhdbdev01", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbdev02": ["WDF/vmhdbdev02", "NBG/vmhdbdev01"], "active_primary_site": "1", "isTimetravelEnabled": "false", "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbdev02", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "2", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/2/PRIMARY_MASTERS": "vmhdbdev01", "site/2/REPLICATION_MODE": "SYNC"}}]}]	2024-04-09 15:09:26.540841	2024-04-09 15:09:26.540841
496	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:26.664204	2024-04-09 15:09:26.664204
501	81e9b629-c1e7-538f-bff1-47d3a6580522	sap_system_discovery	[{"Id": "d01fdc69aeba7bd5133b210eb2884853", "SID": "NWQ", "Type": 2, "Profile": {"SAPDBHOST": "ha-cluster.suse.de", "dbms/name": "HDQ", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwqas", "rdisp/msserv": "sapmsNWQ", "SAPGLOBALHOST": "sapnwqas", "SAPSYSTEMNAME": "NWQ", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDQ", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwqas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.90.1.13", "Databases": null, "Instances": [{"Host": "vmnwqas04", "Name": "D02", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwqas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwqer", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 27154, "name": "gwrd", "starttime": "2022 01 17 12:42:20", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "8:08:39"}, {"pid": 27155, "name": "icman", "starttime": "2022 01 17 12:42:20", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "8:08:39"}, {"pid": 27150, "name": "igswd_mt", "starttime": "2022 01 17 12:42:19", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "8:08:40"}, {"pid": 27149, "name": "disp+work", "starttime": "2022 01 17 12:42:19", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "8:08:40"}], "Properties": [{"value": "HTTP://sapnwqaas1:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwqaas1:40280", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "02", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwqaas1", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D02", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwqaas1:50213/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:27.294822	2024-04-09 15:09:27.294822
505	81e9b629-c1e7-538f-bff1-47d3a6580522	subscription_discovery	[{"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "SLES_SAP"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-ha"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Not Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:27.883284	2024-04-09 15:09:27.883284
506	0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmhdbdev02", "plan": {}, "tags": "fake-tags", "vmId": "90ec8d3d-71a6-42ac-83d7-abf93669c72d", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_E4s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmhdbdev02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data01", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "1", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data02", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "2", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data03", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "3", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data04", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "4", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data05", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "5", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data06", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}, {"lun": "6", "vhd": {"uri": ""}, "name": "disk-vmhdbdev02-Data07", "image": {"uri": ""}, "caching": "None", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.12"}]}, "ipv6": {}, "macAddress": "6045BD8A5F6B"}]}}, "Provider": "azure"}	2024-04-09 15:09:27.999294	2024-04-09 15:09:27.999294
507	0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	host_discovery	{"hostname": "vmnwprd04", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.80.1.24", "10.80.1.28", "fe80::20d:3aff:fe2e:8fad"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwprd04.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:28.135112	2024-04-09 15:09:28.135112
509	116d49bd-85e1-5e59-b820-83f66db8800c	sap_system_discovery	[{"Id": "97a1e70aeff3c0685d65c4c3d32d533b", "SID": "NWP", "Type": 2, "Profile": {"SAPDBHOST": "10.80.1.13", "dbms/name": "HDP", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwpas", "rdisp/msserv": "sapmsNWP", "SAPGLOBALHOST": "sapnwpas", "SAPSYSTEMNAME": "NWP", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDP", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwpas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.80.1.13", "Databases": null, "Instances": [{"Host": "vmnwprd01", "Name": "ASCS00", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwpas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwper", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwppas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwpaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 24167, "name": "enserver", "starttime": "2022 01 11 13:43:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueServer", "elapsedtime": "151:08:47"}, {"pid": 24166, "name": "msg_server", "starttime": "2022 01 11 13:43:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "MessageServer", "elapsedtime": "151:08:47"}], "Properties": [{"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "00", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "EnqGetLockTable", "property": "Enque Locks", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwpas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ASCS00", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWP", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "1", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "YES", "property": "CentralServices", "propertytype": "Attribute"}, {"value": "EnqGetStatistic", "property": "Enque Statistic", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwpas:50013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}, {"value": "YES", "property": "SupportsUpdateSCSInstance", "propertytype": "Attribute"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:28.397543	2024-04-09 15:09:28.397543
489	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev01", "plan": {}, "tags": "fake-tags", "vmId": "84e20bce-76e8-4d55-bdea-7ec3faff60f2", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.21"}]}, "ipv6": {}, "macAddress": "6045BD8A5CE7"}]}}, "Provider": "azure"}	2024-04-09 15:09:25.659273	2024-04-09 15:09:25.659273
493	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmdrbdprd01", "plan": {}, "tags": "fake-tags", "vmId": "e9ba1f36-712a-4cbf-b279-b0801a4f6506", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmdrbdprd01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-vmdrbdprd01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-vmdrbdprd01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Standard_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.31"}]}, "ipv6": {}, "macAddress": "000D3A257DF0"}]}}, "Provider": "azure"}	2024-04-09 15:09:26.234248	2024-04-09 15:09:26.234248
497	69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	saptune_discovery	{"status": null, "package_version": "", "saptune_installed": false}	2024-04-09 15:09:26.787879	2024-04-09 15:09:26.787879
498	240f96b1-8d26-53b7-9e99-ffb0f2e735bf	host_discovery	{"hostname": "vmdrbddev01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.31", "10.100.1.33", "fe80::6245:bdff:fe8a:5969"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmdrbddev01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:26.911801	2024-04-09 15:09:26.911801
500	a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	sap_system_discovery	[]	2024-04-09 15:09:27.160609	2024-04-09 15:09:27.160609
503	9a26b6d0-6e72-597c-9fe5-152a6875f214	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmiscsi01", "plan": {}, "tags": "fake-tags", "vmId": "f57047ca-95a3-473a-8294-079c5173576a", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_DS1_v2", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmiscsi01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-iscsisrv01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-iscsisrv01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "StandardSSD_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.80.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.80.1.4"}]}, "ipv6": {}, "macAddress": "000D3A2E835A"}]}}, "Provider": "azure"}	2024-04-09 15:09:27.592654	2024-04-09 15:09:27.592654
504	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:27.736896	2024-04-09 15:09:27.736896
519	25677e37-fd33-5005-896c-9275b1284534	sap_system_discovery	[{"Id": "d01fdc69aeba7bd5133b210eb2884853", "SID": "NWQ", "Type": 2, "Profile": {"SAPDBHOST": "ha-cluster.suse.de", "dbms/name": "HDQ", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwqas", "rdisp/msserv": "sapmsNWQ", "SAPGLOBALHOST": "sapnwqas", "SAPSYSTEMNAME": "NWQ", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDQ", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwqas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.90.1.13", "Databases": null, "Instances": [{"Host": "vmnwqas01", "Name": "ASCS00", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwqas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwqer", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 16279, "name": "enserver", "starttime": "2022 01 17 12:40:24", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueServer", "elapsedtime": "8:11:38"}, {"pid": 16278, "name": "msg_server", "starttime": "2022 01 17 12:40:24", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "MessageServer", "elapsedtime": "8:11:38"}], "Properties": [{"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "00", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "EnqGetLockTable", "property": "Enque Locks", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwqas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ASCS00", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "1", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "YES", "property": "CentralServices", "propertytype": "Attribute"}, {"value": "EnqGetStatistic", "property": "Enque Statistic", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwqas:50013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}, {"value": "YES", "property": "SupportsUpdateSCSInstance", "propertytype": "Attribute"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:29.721976	2024-04-09 15:09:29.721976
513	b767b3e9-e802-587e-a442-541d093b86b9	saptune_discovery	{"status": {"pid": 24623, "argv": "saptune --format json status", "result": {"staging": {"Notes staged": [], "staging enabled": false, "Solutions staged": []}, "services": {"tuned": [], "sapconf": [], "saptune": ["enabled", "active"]}, "tuning state": "compliant", "Notes applied": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Notes enabled": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "virtualization": "oracle", "package version": "3.1.0", "Solution applied": [{"Solution ID": "HANA", "applied partially": false}], "Solution enabled": ["HANA"], "remember message": "\\nRegarding the tuning state of the system please use 'saptune note verify' for detailed information.\\n\\n", "configured version": "3", "systemd system state": "running", "Notes applied by Solution": [{"Note list": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Solution ID": "HANA"}], "Notes enabled by Solution": [{"Note list": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "Solution ID": "HANA"}], "Notes enabled additionally": []}, "$schema": "file:///usr/share/saptune/schemas/1.0/saptune_status.schema.json", "command": "status", "messages": [{"message": "actions.go:85: ATTENTION: You are running a test version (3.1.0 from 2022/11/28) of saptune which is not supported for production use\\n", "priority": "NOTICE"}, {"message": "sysctl.go:73: Parameter 'kernel.shmmax' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0xffffffffffffffff), /boot/sysctl.conf-5.3.18-150300.59.93-default(0xffffffffffffffff).\\n", "priority": "WARNING"}, {"message": "sysctl.go:73: Parameter 'kernel.shmall' additional defined in the following sysctl config file /boot/sysctl.conf-5.3.18-150300.59.90-default(0x0fffffffffffff00), /boot/sysctl.conf-5.3.18-150300.59.93-default(0x0fffffffffffff00).\\n", "priority": "WARNING"}, {"message": "ini.go:308: block device related section settings detected: Traversing all block devices can take a considerable amount of time.\\n", "priority": "NOTICE"}], "exit code": 4, "publish time": "2023-04-24 12:41:56.612"}, "package_version": "3.1.0", "saptune_installed": true}	2024-04-09 15:09:28.915862	2024-04-09 15:09:28.915862
514	9a26b6d0-6e72-597c-9fe5-152a6875f214	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:29.042459	2024-04-09 15:09:29.042459
515	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	host_discovery	{"hostname": "vmnwdev02", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.22", "10.100.1.26", "fe80::6245:bdff:fe8d:9c7d"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwdev02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:29.18312	2024-04-09 15:09:29.18312
518	3711ea88-9ccc-5b07-8f9d-042be449d72b	sap_system_discovery	[{"Id": "d01fdc69aeba7bd5133b210eb2884853", "SID": "NWQ", "Type": 2, "Profile": {"SAPDBHOST": "ha-cluster.suse.de", "dbms/name": "HDQ", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwqas", "rdisp/msserv": "sapmsNWQ", "SAPGLOBALHOST": "sapnwqas", "SAPSYSTEMNAME": "NWQ", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDQ", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwqas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.90.1.13", "Databases": null, "Instances": [{"Host": "vmnwqas02", "Name": "ERS10", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwqas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwqer", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwqaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 9333, "name": "enrepserver", "starttime": "2022 01 17 12:41:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueReplicator", "elapsedtime": "8:10:52"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwqer", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ERS10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWQ", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.5", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwqer:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:29.586181	2024-04-09 15:09:29.586181
520	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	host_discovery	{"hostname": "vmnwdev01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.21", "10.100.1.25", "fe80::6245:bdff:fe8a:5ce7"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwdev01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:09:29.87194	2024-04-09 15:09:29.87194
523	25677e37-fd33-5005-896c-9275b1284534	saptune_discovery	{"status": null, "package_version": "3.0.0", "saptune_installed": true}	2024-04-09 15:09:30.246396	2024-04-09 15:09:30.246396
525	25677e37-fd33-5005-896c-9275b1284534	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:09:30.495392	2024-04-09 15:09:30.495392
526	25677e37-fd33-5005-896c-9275b1284534	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwqas01", "plan": {}, "tags": "fake-tags", "vmId": "2f1d001b-7ba0-49f3-afbd-c5668684a0a4", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwqas01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.21"}]}, "ipv6": {}, "macAddress": "6045BD8D0A30"}]}}, "Provider": "azure"}	2024-04-09 15:09:30.622263	2024-04-09 15:09:30.622263
517	f0c808b3-d869-5192-a944-20f66a6a8449	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmiscsi01", "plan": {}, "tags": "fake-tags", "vmId": "aa051519-6d23-461a-af09-8b3a2203ed04", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_DS1_v2", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmiscsi01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-iscsisrv01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-iscsisrv01-Data01", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "10", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "StandardSSD_LRS"}, "createOption": "Empty", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.90.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.90.1.4"}]}, "ipv6": {}, "macAddress": "0022487FD2F9"}]}}, "Provider": "azure"}	2024-04-09 15:09:29.450504	2024-04-09 15:09:29.450504
527	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev01", "Name": "ASCS00", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 7379, "name": "enserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueServer", "elapsedtime": "151:56:46"}, {"pid": 7378, "name": "msg_server", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "MessageServer", "elapsedtime": "151:56:46"}], "Properties": [{"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "00", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "EnqGetLockTable", "property": "Enque Locks", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ASCS00", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "1", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "YES", "property": "CentralServices", "propertytype": "Attribute"}, {"value": "EnqGetStatistic", "property": "Enque Statistic", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwdas:50013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}, {"value": "YES", "property": "SupportsUpdateSCSInstance", "propertytype": "Attribute"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:45.990771	2024-04-09 15:09:45.990771
528	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev03", "Name": "D01", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GRAY", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-YELLOW", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50215, "httpsPort": 50216, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "5"}], "Processes": [{"pid": 26496, "name": "gwrd", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:47:01"}, {"pid": 26497, "name": "icman", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:47:01"}, {"pid": 26476, "name": "igswd_mt", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:47:04"}, {"pid": 26475, "name": "disp+work", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:47:04"}], "Properties": [{"value": "HTTP://sapnwdaas1:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwdaas1:40280", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "01", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdpas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D01", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwdaas1:50213/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:46.699469	2024-04-09 15:09:46.699469
529	1b0e9297-97dd-55d6-9874-8efde4d84c90	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev04", "Name": "D02", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GRAY", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-YELLOW", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50215, "httpsPort": 50216, "dispstatus": "SAPControl-RED", "instanceNr": 2, "startPriority": "5"}], "Processes": [{"pid": 26496, "name": "gwrd", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:47:01"}, {"pid": 26497, "name": "icman", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:47:01"}, {"pid": 26476, "name": "igswd_mt", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:47:04"}, {"pid": 26475, "name": "disp+work", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:47:04"}], "Properties": [{"value": "HTTP://sapnwdaas1:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwdaas1:40280", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "02", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdaas1", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D02", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwdaas1:50213/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:47.448051	2024-04-09 15:09:47.448051
530	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev02", "Name": "ERS10", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GRAY", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 6720, "name": "enrepserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GRAY", "textstatus": "Running", "description": "EnqueueReplicator", "elapsedtime": "151:56:49"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwder", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ERS10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.5", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwder:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:48.210001	2024-04-09 15:09:48.210001
531	13e8c25c-3180-5a9a-95c8-51ec38e50cfc	sap_system_discovery	[{"Id": "fd44c254ccb14331e54015c720c7a1f2", "SID": "HDD", "Type": 1, "Profile": {"SAPGLOBALHOST": "vmhdbdev01", "SAPSYSTEMNAME": "HDD", "hdbConfigType": "DEFAULT", "ssl/ciphersuites": "135:PFS:HIGH::EC_P256:EC_HIGH", "HDB_LINKED_BINARIES": "yes", "HDB_SHARED_BINARIES": "yes"}, "Databases": [{"Host": "vmhdbdev01", "User": "", "Group": "", "Active": "yes", "UserId": "", "GroupId": "", "SqlPort": "31015", "Database": "HDD", "Container": ""}], "Instances": [{"Host": "vmhdbdev01", "Name": "HDB10", "Type": 1, "SAPControl": {"Instances": [{"features": "HDB|HDB_WORKER", "hostname": "vmhdbdev01", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-RED", "instanceNr": 10, "startPriority": "0.3"}], "Processes": [{"pid": 18862, "name": "hdbdaemon", "starttime": "2022 01 11 12:56:11", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Daemon", "elapsedtime": "151:55:49"}, {"pid": 20257, "name": "hdbxsengine", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB XSEngine-HDD", "elapsedtime": "151:55:31"}, {"pid": 18893, "name": "hdbnameserver", "starttime": "2022 01 11 12:56:12", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Nameserver", "elapsedtime": "151:55:48"}, {"pid": 20254, "name": "hdbindexserver", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Indexserver-HDD", "elapsedtime": "151:55:31"}, {"pid": 20161, "name": "hdbpreprocessor", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Preprocessor", "elapsedtime": "151:55:31"}, {"pid": 20158, "name": "hdbcompileserver", "starttime": "2022 01 11 12:56:29", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Compileserver", "elapsedtime": "151:55:31"}, {"pid": 22620, "name": "hdbwebdispatcher", "starttime": "2022 01 11 12:56:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "HDB Web Dispatcher", "elapsedtime": "151:55:02"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "YES", "property": "DBServices", "propertytype": "Attribute"}, {"value": "worker", "property": "HANA Roles", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhdbdev01", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "HDB10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "HDD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhdbdev01:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": {"mode": "primary", "online": "true", "site_id": "1", "isSource": "true", "site_name": "NBG", "isConsumer": "false", "hasConsumers": "true", "siteTier/NBG": "1", "siteTier/WDF": "2", "operation_mode": "primary", "siteMapping/NBG": "WDF", "isTakeoverActive": "false", "isPrimarySuspended": "false", "mapping/vmhdbdev01": ["WDF/vmhdbdev02", "NBG/vmhdbdev01"], "siteOperationMode/NBG": "primary", "siteOperationMode/WDF": "logreplay", "siteReplicationMode/NBG": "primary", "siteReplicationMode/WDF": "sync"}, "HostConfiguration": {"host": "vmhdbdev01", "hostActive": "yes", "hostStatus": "ok", "removeStatus": "", "failoverStatus": "", "hostActualRoles": "worker", "hostConfigRoles": "worker", "storagePartition": "1", "workerActualGroups": "default", "workerConfigGroups": "default", "failoverActualGroup": "default", "failoverConfigGroup": "default", "nameServerActualRole": "master", "nameServerConfigRole": "master 1", "indexServerActualRole": "master", "indexServerConfigRole": "worker", "storageActualPartition": "1", "storageConfigPartition": "1"}, "SystemReplication": {"local_site_id": "1", "site/1/SITE_NAME": "NBG", "site/2/SITE_NAME": "WDF", "site/2/SOURCE_SITE_ID": "1", "site/1/REPLICATION_MODE": "PRIMARY", "site/2/REPLICATION_MODE": "SYNC", "site/2/REPLICATION_STATUS": "ACTIVE", "overall_replication_status": "ACTIVE", "service/vmhdbdev01/31001/HOST": "vmhdbdev01", "service/vmhdbdev01/31001/PORT": "31001", "service/vmhdbdev01/31003/HOST": "vmhdbdev01", "service/vmhdbdev01/31003/PORT": "31003", "service/vmhdbdev01/31007/HOST": "vmhdbdev01", "service/vmhdbdev01/31007/PORT": "31007", "service/vmhdbdev01/31001/SITE_ID": "1", "service/vmhdbdev01/31003/SITE_ID": "1", "service/vmhdbdev01/31007/SITE_ID": "1", "service/vmhdbdev01/31001/DATABASE": "SYSTEMDB", "service/vmhdbdev01/31003/DATABASE": "HDD", "service/vmhdbdev01/31007/DATABASE": "HDD", "service/vmhdbdev01/31001/FULL_SYNC": "DISABLED", "service/vmhdbdev01/31001/SITE_NAME": "NBG", "service/vmhdbdev01/31001/VOLUME_ID": "1", "service/vmhdbdev01/31003/FULL_SYNC": "DISABLED", "service/vmhdbdev01/31003/SITE_NAME": "NBG", "service/vmhdbdev01/31003/VOLUME_ID": "3", "service/vmhdbdev01/31007/FULL_SYNC": "DISABLED", "service/vmhdbdev01/31007/SITE_NAME": "NBG", "service/vmhdbdev01/31007/VOLUME_ID": "2", "service/vmhdbdev01/31001/RESET_COUNT": "0", "service/vmhdbdev01/31003/RESET_COUNT": "0", "service/vmhdbdev01/31007/RESET_COUNT": "0", "service/vmhdbdev01/31001/SERVICE_NAME": "nameserver", "service/vmhdbdev01/31003/SERVICE_NAME": "indexserver", "service/vmhdbdev01/31007/SERVICE_NAME": "xsengine", "service/vmhdbdev01/31001/CREATION_TIME": "2022-01-11 12:56:29.020885", "service/vmhdbdev01/31003/CREATION_TIME": "2022-01-11 12:56:53.983097", "service/vmhdbdev01/31007/CREATION_TIME": "2022-01-11 12:56:58.348403", "service/vmhdbdev01/31001/OPERATION_MODE": "logreplay", "service/vmhdbdev01/31001/SECONDARY_HOST": "vmhdbdev02", "service/vmhdbdev01/31001/SECONDARY_PORT": "31001", "service/vmhdbdev01/31003/OPERATION_MODE": "logreplay", "service/vmhdbdev01/31003/SECONDARY_HOST": "vmhdbdev02", "service/vmhdbdev01/31003/SECONDARY_PORT": "31003", "service/vmhdbdev01/31007/OPERATION_MODE": "logreplay", "service/vmhdbdev01/31007/SECONDARY_HOST": "vmhdbdev02", "service/vmhdbdev01/31007/SECONDARY_PORT": "31007", "service/vmhdbdev01/31001/LAST_RESET_TIME": "2022-01-11 12:56:29.020885", "service/vmhdbdev01/31003/LAST_RESET_TIME": "2022-01-11 12:56:53.983097", "service/vmhdbdev01/31007/LAST_RESET_TIME": "2022-01-11 12:56:58.348403", "service/vmhdbdev01/31001/REPLICATION_MODE": "SYNC", "service/vmhdbdev01/31003/REPLICATION_MODE": "SYNC", "service/vmhdbdev01/31007/REPLICATION_MODE": "SYNC", "service/vmhdbdev01/31001/LAST_LOG_POSITION": "45295808", "service/vmhdbdev01/31001/SECONDARY_SITE_ID": "2", "service/vmhdbdev01/31003/LAST_LOG_POSITION": "247644160", "service/vmhdbdev01/31003/SECONDARY_SITE_ID": "2", "service/vmhdbdev01/31007/LAST_LOG_POSITION": "4670464", "service/vmhdbdev01/31007/SECONDARY_SITE_ID": "2", "service/vmhdbdev01/31001/REPLICATION_STATUS": "ACTIVE", "service/vmhdbdev01/31003/REPLICATION_STATUS": "ACTIVE", "service/vmhdbdev01/31007/REPLICATION_STATUS": "ACTIVE", "service/vmhdbdev01/31001/SECONDARY_SITE_NAME": "WDF", "service/vmhdbdev01/31003/SECONDARY_SITE_NAME": "WDF", "service/vmhdbdev01/31007/SECONDARY_SITE_NAME": "WDF", "service/vmhdbdev01/31001/SHIPPED_LOG_POSITION": "45295808", "service/vmhdbdev01/31003/SHIPPED_LOG_POSITION": "247644160", "service/vmhdbdev01/31007/SHIPPED_LOG_POSITION": "4670464", "service/vmhdbdev01/31001/REPLAYED_LOG_POSITION": "45295808", "service/vmhdbdev01/31003/REPLAYED_LOG_POSITION": "247644160", "service/vmhdbdev01/31007/REPLAYED_LOG_POSITION": "4670405", "service/vmhdbdev01/31001/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:50.123508", "service/vmhdbdev01/31001/LAST_SAVEPOINT_VERSION": "2831", "service/vmhdbdev01/31001/SECONDARY_CONNECT_TIME": "2022-01-11 12:57:43.205984", "service/vmhdbdev01/31003/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:54.241756", "service/vmhdbdev01/31003/LAST_SAVEPOINT_VERSION": "2790", "service/vmhdbdev01/31003/SECONDARY_CONNECT_TIME": "2022-01-11 13:01:20.044302", "service/vmhdbdev01/31007/LAST_LOG_POSITION_TIME": "2022-01-17 20:51:22.341237", "service/vmhdbdev01/31007/LAST_SAVEPOINT_VERSION": "2874", "service/vmhdbdev01/31007/SECONDARY_CONNECT_TIME": "2022-01-11 13:01:20.647048", "service/vmhdbdev01/31001/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbdev01/31003/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbdev01/31007/SECONDARY_ACTIVE_STATUS": "YES", "service/vmhdbdev01/31001/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbdev01/31001/SHIPPED_LOG_BUFFERS_SIZE": "555040768", "service/vmhdbdev01/31003/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbdev01/31003/SHIPPED_LOG_BUFFERS_SIZE": "3481903104", "service/vmhdbdev01/31007/SECONDARY_FAILOVER_COUNT": "0", "service/vmhdbdev01/31007/SHIPPED_LOG_BUFFERS_SIZE": "268271616", "service/vmhdbdev01/31001/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:48:30.381133", "service/vmhdbdev01/31001/SECONDARY_RECONNECT_COUNT": "0", "service/vmhdbdev01/31001/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_LOG_BUFFERS_COUNT": "125075", "service/vmhdbdev01/31001/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:50.123508", "service/vmhdbdev01/31001/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbdev01/31003/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:49:47.741144", "service/vmhdbdev01/31003/SECONDARY_RECONNECT_COUNT": "7", "service/vmhdbdev01/31003/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_LOG_BUFFERS_COUNT": "682002", "service/vmhdbdev01/31003/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:54.241756", "service/vmhdbdev01/31003/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbdev01/31007/LAST_SAVEPOINT_START_TIME": "2022-01-17 20:50:22.414771", "service/vmhdbdev01/31007/SECONDARY_RECONNECT_COUNT": "7", "service/vmhdbdev01/31007/SHIPPED_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_LOG_BUFFERS_COUNT": "65496", "service/vmhdbdev01/31007/SHIPPED_LOG_POSITION_TIME": "2022-01-17 20:51:22.341237", "service/vmhdbdev01/31007/SHIPPED_SAVEPOINT_VERSION": "0", "service/vmhdbdev01/31001/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:50.123508", "service/vmhdbdev01/31001/REPLICATION_STATUS_DETAILS": "", "service/vmhdbdev01/31001/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbdev01/31003/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:54.241756", "service/vmhdbdev01/31003/REPLICATION_STATUS_DETAILS": "", "service/vmhdbdev01/31003/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbdev01/31007/REPLAYED_LOG_POSITION_TIME": "2022-01-17 20:51:22.341237", "service/vmhdbdev01/31007/REPLICATION_STATUS_DETAILS": "", "service/vmhdbdev01/31007/SHIPPED_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_FULL_REPLICA_COUNT": "0", "service/vmhdbdev01/31001/LAST_SAVEPOINT_LOG_POSITION": "45292482", "service/vmhdbdev01/31001/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbdev01/31003/LAST_SAVEPOINT_LOG_POSITION": "247637826", "service/vmhdbdev01/31003/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbdev01/31007/LAST_SAVEPOINT_LOG_POSITION": "4669955", "service/vmhdbdev01/31007/SHIPPED_DELTA_REPLICA_COUNT": "0", "service/vmhdbdev01/31001/SHIPPED_LOG_BUFFERS_DURATION": "332381033", "service/vmhdbdev01/31001/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LOG_BUFFERS_DURATION": "1761449260", "service/vmhdbdev01/31003/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LOG_BUFFERS_DURATION": "180172567", "service/vmhdbdev01/31007/SHIPPED_SAVEPOINT_START_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbdev01/31003/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbdev01/31007/SHIPPED_FULL_REPLICA_DURATION": "0", "service/vmhdbdev01/31001/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbdev01/31001/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbdev01/31003/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbdev01/31003/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbdev01/31007/SHIPPED_DELTA_REPLICA_DURATION": "0", "service/vmhdbdev01/31007/SHIPPED_LAST_FULL_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_SAVEPOINT_LOG_POSITION": "0", "service/vmhdbdev01/31001/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31003/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31007/SHIPPED_LAST_DELTA_REPLICA_SIZE": "0", "service/vmhdbdev01/31001/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_FULL_REPLICA_END_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_DELTA_REPLICA_END_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_FULL_REPLICA_START_TIME": "-", "service/vmhdbdev01/31001/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbdev01/31003/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-", "service/vmhdbdev01/31007/SHIPPED_LAST_DELTA_REPLICA_START_TIME": "-"}}]}]	2024-04-09 15:09:48.971835	2024-04-09 15:09:48.971835
532	2ace860d-38e9-55f4-b051-faf4336e71d6	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "DAA", "Type": 3, "Profile": {}, "Databases": null, "Instances": [{"Host": "vmhana01", "Name": "SMDA98", "Type": 3, "SAPControl": {"Instances": [{"features": "SMDAGENT", "hostname": "vmhana01", "httpPort": 59813, "dispstatus": "SAPControl-GREEN", "instanceNr": 98, "startPriority": "3"}], "Processes": [{"pid": 5197, "name": "jstart", "starttime": "2022 03 01 15:39:27", "dispstatus": "SAPControl-GREEN", "textstatus": "All processes running", "description": "J2EE Server", "elapsedtime": "17:06:31"}], "Properties": [{"value": "98", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "vmhana01", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "SMDA98", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "DAA", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "J2EEGetVMGCHistory2,J2EEGetVMGCHistory", "property": "J2EE GC History", "propertytype": "NodeWebmethod"}, {"value": "J2EEGetVMHeapInfo", "property": "J2EE Heap Memory", "propertytype": "NodeWebmethod"}, {"value": "J2EEGetProcessList2,J2EEGetProcessList", "property": "J2EE Process Table", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://vmhana01:59813/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:49.63013	2024-04-09 15:09:49.63013
533	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev01", "Name": "ASCS00", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 7379, "name": "enserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueServer", "elapsedtime": "151:56:46"}, {"pid": 7378, "name": "msg_server", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "MessageServer", "elapsedtime": "151:56:46"}], "Properties": [{"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "00", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "EnqGetLockTable", "property": "Enque Locks", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ASCS00", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "1", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "YES", "property": "CentralServices", "propertytype": "Attribute"}, {"value": "EnqGetStatistic", "property": "Enque Statistic", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwdas:50013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}, {"value": "YES", "property": "SupportsUpdateSCSInstance", "propertytype": "Attribute"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}, {"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev02", "Name": "ERS10", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 6720, "name": "enrepserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueReplicator", "elapsedtime": "151:56:49"}], "Properties": [{"value": "10", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwder", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ERS10", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "0.5", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwder:51013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:49.966817	2024-04-09 15:09:49.966817
534	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev01", "Name": "ASCS00", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 7379, "name": "enserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueServer", "elapsedtime": "151:56:46"}, {"pid": 7378, "name": "msg_server", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "MessageServer", "elapsedtime": "151:56:46"}], "Properties": [{"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "00", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "EnqGetLockTable", "property": "Enque Locks", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ASCS00", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "1", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "YES", "property": "CentralServices", "propertytype": "Attribute"}, {"value": "EnqGetStatistic", "property": "Enque Statistic", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwdas:50013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}, {"value": "YES", "property": "SupportsUpdateSCSInstance", "propertytype": "Attribute"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:50.298342	2024-04-09 15:09:50.298342
535	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev03", "Name": "D01", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 27224, "name": "gwrd", "starttime": "2022 01 11 13:03:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:48:10"}, {"pid": 27225, "name": "icman", "starttime": "2022 01 11 13:03:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:48:10"}, {"pid": 26907, "name": "igswd_mt", "starttime": "2022 01 11 13:03:55", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:48:13"}, {"pid": 26906, "name": "disp+work", "starttime": "2022 01 11 13:03:55", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:48:13"}], "Properties": [{"value": "HTTP://sapnwdpas:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwdpas:40180", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "01", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdpas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D01", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwdpas:50113/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}, {"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev03", "Name": "D02", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 26496, "name": "gwrd", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:47:01"}, {"pid": 26497, "name": "icman", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:47:01"}, {"pid": 26476, "name": "igswd_mt", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:47:04"}, {"pid": 26475, "name": "disp+work", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:47:04"}], "Properties": [{"value": "HTTP://sapnwdaas1:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwdaas1:40280", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "02", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdaas1", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D02", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwdaas1:50213/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:50.546543	2024-04-09 15:09:50.546543
536	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev03", "Name": "D01", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 27224, "name": "gwrd", "starttime": "2022 01 11 13:03:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:48:10"}, {"pid": 27225, "name": "icman", "starttime": "2022 01 11 13:03:58", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:48:10"}, {"pid": 26907, "name": "igswd_mt", "starttime": "2022 01 11 13:03:55", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:48:13"}, {"pid": 26906, "name": "disp+work", "starttime": "2022 01 11 13:03:55", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:48:13"}], "Properties": [{"value": "HTTP://sapnwdpas:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwdpas:40180", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "01", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdpas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D01", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwdpas:50113/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:09:50.823982	2024-04-09 15:09:50.823982
537	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev01", "plan": {}, "tags": "fake-tags", "vmId": "84e20bce-76e8-4d55-bdea-7ec3faff60f2", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev01", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver01-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.21"}]}, "ipv6": {}, "macAddress": "6045BD8A5CE7"}]}}, "Provider": "azure"}	2024-04-09 15:10:08.209536	2024-04-09 15:10:08.209536
538	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	ha_cluster_discovery	{"DC": true, "Id": "057f083c3be591f4398eed816d4c8cd7", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwdev01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwdev02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWD_ASCS00", "Primitives": [{"Id": "rsc_ip_NWD_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWD_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWD_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.25"}]}, {"Id": "rsc_fs_NWD_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWD_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWD_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.100.1.33:/NWD/ASCS"}, {"Id": "rsc_fs_NWD_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWD/ASCS00"}, {"Id": "rsc_fs_NWD_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWD_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWD_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWD_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWD_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWD_ASCS00_sapnwdas"}, {"Id": "rsc_sap_NWD_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWD/profile/NWD_ASCS00_sapnwdas"}, {"Id": "rsc_sap_NWD_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWD_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWD_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWD_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWD_ERS10", "Primitives": [{"Id": "rsc_ip_NWD_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWD_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWD_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.26"}]}, {"Id": "rsc_fs_NWD_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWD_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWD_ERS10-instance_attributes-device", "Name": "device", "Value": "10.100.1.33:/NWD/ERS"}, {"Id": "rsc_fs_NWD_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWD/ERS10"}, {"Id": "rsc_fs_NWD_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWD_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWD_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWD_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWD_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWD_ERS10_sapnwder"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWD/profile/NWD_ERS10_sapnwder"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWD_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWD_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWD_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWD_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWD_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-36001405f01eb5f4c5c941e499beb055d", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "4e8adda1-da35-4ee4-92b9-a134494861f0", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwdev01", "Status": "clear"}, {"Id": 1, "Name": "vmnwdev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-36001405f01eb5f4c5c941e499beb055d", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwdev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwdev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWD_ASCS00", "Resources": [{"Id": "rsc_ip_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWD_ERS10", "Resources": [{"Id": "rsc_ip_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:55:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwdev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 1}, {"Name": "rsc_socat_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}]}, {"Name": "vmnwdev02", "ResourceHistory": [{"Name": "rsc_ip_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwdev02", "Attributes": [{"Name": "runs_ers_NWD", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:10:08.350691	2024-04-09 15:10:08.350691
539	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	host_discovery	{"hostname": "vmnwdev01", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.21", "10.100.1.25", "fe80::6245:bdff:fe8a:5ce7"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwdev01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:10:08.490787	2024-04-09 15:10:08.490787
540	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev01", "Name": "ASCS00", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 7379, "name": "enserver", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "EnqueueServer", "elapsedtime": "151:56:46"}, {"pid": 7378, "name": "msg_server", "starttime": "2022 01 11 12:55:17", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "MessageServer", "elapsedtime": "151:56:46"}], "Properties": [{"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "00", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "EnqGetLockTable", "property": "Enque Locks", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdas", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "ASCS00", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "1", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "YES", "property": "CentralServices", "propertytype": "Attribute"}, {"value": "EnqGetStatistic", "property": "Enque Statistic", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "http://sapnwdas:50013/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}, {"value": "YES", "property": "SupportsUpdateSCSInstance", "propertytype": "Attribute"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:10:08.624199	2024-04-09 15:10:08.624199
541	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:10:08.752056	2024-04-09 15:10:08.752056
542	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev02", "plan": {}, "tags": "fake-tags", "vmId": "84f224b2-ad29-41a7-94ae-26ced84cdace", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev02", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver02-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.22"}]}, "ipv6": {}, "macAddress": "6045BD8D9C7D"}]}}, "Provider": "azure"}	2024-04-09 15:10:08.876373	2024-04-09 15:10:08.876373
543	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	ha_cluster_discovery	{"DC": false, "Id": "057f083c3be591f4398eed816d4c8cd7", "Cib": {"Configuration": {"Nodes": [{"Id": "1", "Uname": "vmnwdev01", "InstanceAttributes": null}, {"Id": "2", "Uname": "vmnwdev02", "InstanceAttributes": null}], "CrmConfig": {"ClusterProperties": [{"Id": "cib-bootstrap-options-have-watchdog", "Name": "have-watchdog", "Value": "true"}, {"Id": "cib-bootstrap-options-dc-version", "Name": "dc-version", "Value": "2.0.5+20201202.ba59be712-4.13.1-2.0.5+20201202.ba59be712"}, {"Id": "cib-bootstrap-options-cluster-infrastructure", "Name": "cluster-infrastructure", "Value": "corosync"}, {"Id": "cib-bootstrap-options-cluster-name", "Name": "cluster-name", "Value": "netweaver_cluster"}, {"Id": "cib-bootstrap-options-stonith-enabled", "Name": "stonith-enabled", "Value": "true"}, {"Id": "cib-bootstrap-options-stonith-timeout", "Name": "stonith-timeout", "Value": "144s"}, {"Id": "cib-bootstrap-options-maintenance-mode", "Name": "maintenance-mode", "Value": "false"}]}, "Resources": {"Clones": null, "Groups": [{"Id": "grp_NWD_ASCS00", "Primitives": [{"Id": "rsc_ip_NWD_ASCS00", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWD_ASCS00-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWD_ASCS00-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.25"}]}, {"Id": "rsc_fs_NWD_ASCS00", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWD_ASCS00-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ASCS00-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ASCS00-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWD_ASCS00-instance_attributes-device", "Name": "device", "Value": "10.100.1.33:/NWD/ASCS"}, {"Id": "rsc_fs_NWD_ASCS00-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWD/ASCS00"}, {"Id": "rsc_fs_NWD_ASCS00-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWD_ASCS00", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWD_ASCS00-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWD_ASCS00-meta_attributes-resource-stickiness", "Name": "resource-stickiness", "Value": "5000"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-failure-timeout", "Name": "failure-timeout", "Value": "60"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-migration-threshold", "Name": "migration-threshold", "Value": "1"}, {"Id": "rsc_sap_NWD_ASCS00-meta_attributes-priority", "Name": "priority", "Value": "10"}], "InstanceAttributes": [{"Id": "rsc_sap_NWD_ASCS00-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWD_ASCS00_sapnwdas"}, {"Id": "rsc_sap_NWD_ASCS00-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWD/profile/NWD_ASCS00_sapnwdas"}, {"Id": "rsc_sap_NWD_ASCS00-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}]}, {"Id": "rsc_socat_NWD_ASCS00", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWD_ASCS00-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWD_ASCS00-instance_attributes-port", "Name": "port", "Value": "62000"}]}]}, {"Id": "grp_NWD_ERS10", "Primitives": [{"Id": "rsc_ip_NWD_ERS10", "Type": "IPaddr2", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_ip_NWD_ERS10-monitor-10s", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_ip_NWD_ERS10-instance_attributes-ip", "Name": "ip", "Value": "10.100.1.26"}]}, {"Id": "rsc_fs_NWD_ERS10", "Type": "Filesystem", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_fs_NWD_ERS10-start-0", "Name": "start", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ERS10-stop-0", "Name": "stop", "Role": "", "Timeout": "60s", "Interval": "0"}, {"Id": "rsc_fs_NWD_ERS10-monitor-20s", "Name": "monitor", "Role": "", "Timeout": "40s", "Interval": "20s"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_fs_NWD_ERS10-instance_attributes-device", "Name": "device", "Value": "10.100.1.33:/NWD/ERS"}, {"Id": "rsc_fs_NWD_ERS10-instance_attributes-directory", "Name": "directory", "Value": "/usr/sap/NWD/ERS10"}, {"Id": "rsc_fs_NWD_ERS10-instance_attributes-fstype", "Name": "fstype", "Value": "nfs4"}]}, {"Id": "rsc_sap_NWD_ERS10", "Type": "SAPInstance", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_sap_NWD_ERS10-operations-monitor-120", "Name": "monitor", "Role": "", "Timeout": "60", "Interval": "120"}], "MetaAttributes": [{"Id": "rsc_sap_NWD_ERS10-meta_attributes-priority", "Name": "priority", "Value": "1000"}], "InstanceAttributes": [{"Id": "rsc_sap_NWD_ERS10-instance_attributes-InstanceName", "Name": "InstanceName", "Value": "NWD_ERS10_sapnwder"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-START_PROFILE", "Name": "START_PROFILE", "Value": "/sapmnt/NWD/profile/NWD_ERS10_sapnwder"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-AUTOMATIC_RECOVER", "Name": "AUTOMATIC_RECOVER", "Value": "false"}, {"Id": "rsc_sap_NWD_ERS10-instance_attributes-IS_ERS", "Name": "IS_ERS", "Value": "true"}]}, {"Id": "rsc_socat_NWD_ERS10", "Type": "azure-lb", "Class": "ocf", "Provider": "heartbeat", "Operations": [{"Id": "rsc_socat_NWD_ERS10-monitor-10", "Name": "monitor", "Role": "", "Timeout": "20s", "Interval": "10"}], "MetaAttributes": null, "InstanceAttributes": [{"Id": "rsc_socat_NWD_ERS10-instance_attributes-port", "Name": "port", "Value": "62110"}]}]}], "Masters": null, "Primitives": [{"Id": "stonith-sbd", "Type": "external/sbd", "Class": "stonith", "Provider": "", "Operations": null, "MetaAttributes": null, "InstanceAttributes": [{"Id": "stonith-sbd-instance_attributes-pcmk_delay_max", "Name": "pcmk_delay_max", "Value": "30s"}]}]}, "Constraints": {"RscLocations": [{"Id": "loc_sap_NWD_failover_to_ers", "Node": "", "Role": "", "Score": "", "Resource": "rsc_sap_NWD_ASCS00"}]}}}, "SBD": {"Config": {"SBD_OPTS": "", "SBD_DEVICE": "/dev/disk/by-id/scsi-36001405f01eb5f4c5c941e499beb055d", "SBD_PACEMAKER": "yes", "SBD_STARTMODE": "always", "SBD_DELAY_START": "yes", "SBD_WATCHDOG_DEV": "/dev/watchdog", "SBD_TIMEOUT_ACTION": "flush,reboot", "SBD_WATCHDOG_TIMEOUT": "5", "SBD_MOVE_TO_ROOT_CGROUP": "auto", "SBD_SYNC_RESOURCE_STARTUP": "no"}, "Devices": [{"Dump": {"Uuid": "4e8adda1-da35-4ee4-92b9-a134494861f0", "Slots": 255, "Header": "2.1", "SectorSize": 512, "TimeoutLoop": 1, "TimeoutMsgwait": 10, "TimeoutAllocate": 2, "TimeoutWatchdog": 5}, "List": [{"Id": 0, "Name": "vmnwdev01", "Status": "clear"}, {"Id": 1, "Name": "vmnwdev02", "Status": "clear"}], "Device": "/dev/disk/by-id/scsi-36001405f01eb5f4c5c941e499beb055d", "Status": "healthy"}]}, "Name": "netweaver_cluster", "Crmmon": {"Nodes": [{"DC": true, "Id": "1", "Name": "vmnwdev01", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 5}, {"DC": false, "Id": "2", "Name": "vmnwdev02", "Type": "member", "Online": true, "Pending": false, "Standby": false, "Unclean": false, "Shutdown": false, "ExpectedUp": true, "Maintenance": false, "StandbyOnFail": false, "ResourcesRunning": 4}], "Clones": null, "Groups": [{"Id": "grp_NWD_ASCS00", "Resources": [{"Id": "rsc_ip_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWD_ASCS00", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}, {"Id": "grp_NWD_ERS10", "Resources": [{"Id": "rsc_ip_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:IPaddr2", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_fs_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:Filesystem", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_sap_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:SAPInstance", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}, {"Id": "rsc_socat_NWD_ERS10", "Node": {"Id": "2", "Name": "vmnwdev02", "Cached": true}, "Role": "Started", "Agent": "ocf::heartbeat:azure-lb", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}]}], "Summary": {"Nodes": {"Number": 2}, "Resources": {"Number": 9, "Blocked": 0, "Disabled": 0}, "LastChange": {"Time": "Tue Jan 11 12:55:06 2022"}, "ClusterOptions": {"StonithEnabled": true}}, "Version": "2.0.5", "Resources": [{"Id": "stonith-sbd", "Node": {"Id": "1", "Name": "vmnwdev01", "Cached": true}, "Role": "Started", "Agent": "stonith:external/sbd", "Active": true, "Failed": false, "Blocked": false, "Managed": true, "Orphaned": false, "FailureIgnored": false, "NodesRunningOn": 1}], "NodeHistory": {"Nodes": [{"Name": "vmnwdev01", "ResourceHistory": [{"Name": "stonith-sbd", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 1}, {"Name": "rsc_socat_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_ip_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWD_ASCS00", "FailCount": 0, "MigrationThreshold": 3}]}, {"Name": "vmnwdev02", "ResourceHistory": [{"Name": "rsc_ip_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_fs_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_sap_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}, {"Name": "rsc_socat_NWD_ERS10", "FailCount": 0, "MigrationThreshold": 3}]}]}, "NodeAttributes": {"Nodes": [{"Name": "vmnwdev02", "Attributes": [{"Name": "runs_ers_NWD", "Value": "1"}]}]}}, "Provider": "azure"}	2024-04-09 15:10:09.008772	2024-04-09 15:10:09.008772
557	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	sap_system_discovery	[]	2024-04-09 15:10:11.166054	2024-04-09 15:10:11.166054
546	fb2c6b8a-9915-5969-a6b7-8b5a42de1971	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:10:09.397169	2024-04-09 15:10:09.397169
547	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev03", "plan": {}, "tags": "fake-tags", "vmId": "14173622-8d19-4e09-9661-2bfb236b01e4", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev03", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver03-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-netweaver01-App", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Attach", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.23"}, {"privateIpAddress": "10.100.1.27"}]}, "ipv6": {}, "macAddress": "6045BD8D9EF4"}]}}, "Provider": "azure"}	2024-04-09 15:10:09.528235	2024-04-09 15:10:09.528235
548	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	host_discovery	{"hostname": "vmnwdev03", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.23", "10.100.1.27", "fe80::6245:bdff:fe8d:9ef4"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwdev03.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:10:09.674734	2024-04-09 15:10:09.674734
553	1b0e9297-97dd-55d6-9874-8efde4d84c90	sap_system_discovery	[{"Id": "a1e80e3e152a903662f7882fb3f8a851", "SID": "NWD", "Type": 2, "Profile": {"SAPDBHOST": "10.100.1.13", "dbms/name": "HDD", "dbms/type": "hdb", "gw/acl_mode": "1", "gw/sec_info": "$(DIR_GLOBAL)$(DIR_SEP)secinfo$(FT_DAT)", "system/type": "ABAP", "vmcj/enable": "off", "rdisp/mshost": "sapnwdas", "rdisp/msserv": "sapmsNWD", "SAPGLOBALHOST": "sapnwdas", "SAPSYSTEMNAME": "NWD", "rdisp/btctime": "0", "dbs/hdb/dbname": "HDD", "dbs/hdb/schema": "SAPABAP1", "enque/serverhost": "sapnwdas", "enque/serverinst": "00", "icf/user_recheck": "1", "rdisp/bufrefmode": "sendoff", "rsdb/ssfs_connect": "0", "rsec/ssfs_keypath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)key", "rdisp/autoabaptime": "0", "rsec/ssfs_datapath": "$(DIR_GLOBAL)$(DIR_SEP)security$(DIR_SEP)rsecssfs$(DIR_SEP)data", "login/system_client": "001", "rdisp/msserv_internal": "3900", "enque/process_location": "REMOTESA", "enque/deque_wait_answer": "TRUE", "service/protectedwebmethods": "SDEFAULT", "system/secure_communication": "ON", "is/HTTP/show_detailed_errors": "FALSE", "login/password_downwards_compatibility": "0", "icm/HTTP/ASJava/disable_url_session_tracking": "TRUE"}, "DBAddress": "10.100.1.13", "Databases": null, "Instances": [{"Host": "vmnwdev04", "Name": "D02", "Type": 2, "SAPControl": {"Instances": [{"features": "MESSAGESERVER|ENQUE", "hostname": "sapnwdas", "httpPort": 50013, "httpsPort": 50014, "dispstatus": "SAPControl-GREEN", "instanceNr": 0, "startPriority": "1"}, {"features": "ENQREP", "hostname": "sapnwder", "httpPort": 51013, "httpsPort": 51014, "dispstatus": "SAPControl-GREEN", "instanceNr": 10, "startPriority": "0.5"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdpas", "httpPort": 50113, "httpsPort": 50114, "dispstatus": "SAPControl-GREEN", "instanceNr": 1, "startPriority": "3"}, {"features": "ABAP|GATEWAY|ICMAN|IGS", "hostname": "sapnwdaas1", "httpPort": 50213, "httpsPort": 50214, "dispstatus": "SAPControl-GREEN", "instanceNr": 2, "startPriority": "3"}], "Processes": [{"pid": 26496, "name": "gwrd", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Gateway", "elapsedtime": "151:47:01"}, {"pid": 26497, "name": "icman", "starttime": "2022 01 11 13:05:00", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "ICM", "elapsedtime": "151:47:01"}, {"pid": 26476, "name": "igswd_mt", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "IGS Watchdog", "elapsedtime": "151:47:04"}, {"pid": 26475, "name": "disp+work", "starttime": "2022 01 11 13:04:57", "dispstatus": "SAPControl-GREEN", "textstatus": "Running", "description": "Dispatcher", "elapsedtime": "151:47:04"}], "Properties": [{"value": "HTTP://sapnwdaas1:0/sap/admin/public/index.html", "property": "ICM", "propertytype": "NodeURL"}, {"value": "http://sapnwdaas1:40280", "property": "IGS", "propertytype": "NodeURL"}, {"value": "ABAPReadSyslog", "property": "Syslog", "propertytype": "NodeWebmethod"}, {"value": "ICMGetCacheEntries", "property": "ICM Cache", "propertytype": "NodeWebmethod"}, {"value": "02", "property": "SAPSYSTEM", "propertytype": "Attribute"}, {"value": "Start,InstanceStart,StartBypassHA,Bootstrap,Stop,InstanceStop,StopBypassHA,Shutdown,ParameterValue,GetProcessList,GetStartProfile,GetTraceFile,GetAlertTree,GetAlerts,RestartService,StopService,GetEnvironment,ListDeveloperTraces,ReadDeveloperTrace,RestartInstance,SendSignal,GetVersionInfo,GetQueueStatistic,GetInstanceProperties,OSExecute,ReadLogFile,AnalyseLogFiles,ListLogFiles,GetAccessPointList,GetSystemInstanceList,GetSystemUpdateList,StartSystem,StopSystem,RestartSystem,UpdateSystem,UpdateSCSInstance,CheckUpdateSystem,AccessCheck,GetProcessParameter,SetProcessParameter,SetProcessParameter2,CheckParameter,ShmDetach,GetNetworkId,GetSecNetworkId,RequestLogonFile,CreateSnapshot,ReadSnapshot,ListSnapshots,DeleteSnapshots,GetCallstack,ABAPReadSyslog,ABAPReadRawSyslog,ABAPGetWPTable,ABAPAcknowledgeAlerts,ABAPGetComponentList,ABAPCheckRFCDestinations,ABAPGetSystemWPTable,ABAPSetServerInactive,J2EEGetProcessList,J2EEGetProcessList2,J2EEControlProcess,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadCallStack,J2EEGetThreadTaskStack,J2EEGetSessionList,J2EEGetWebSessionList,J2EEGetWebSessionList2,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetApplicationAliasList,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetEJBSessionList,J2EEGetRemoteObjectList,J2EEGetClusterMsgList,J2EEGetSharedTableInfo,J2EEGetComponentList,J2EEControlComponents,ICMGetThreadList,ICMGetConnectionList,ICMGetCacheEntries,ICMGetProxyConnectionList,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,EnqGetLockTable,EnqRemoveLocks,EnqRemoveUserLocks,EnqGetStatistic,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,UpdateSystemPKI,UpdateInstancePSE,StorePSE,DeletePSE,CheckPSE,HACheckConfig,HACheckFailoverConfig,HAGetFailoverConfig,HAFailoverToNode,HASetMaintenanceMode,HACheckMaintenanceMode,ListConfigFiles,ReadConfigFile", "property": "Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetThreadList", "property": "ICM Threads", "propertytype": "NodeWebmethod"}, {"value": "GetAlertTree", "property": "Open Alerts", "propertytype": "NodeWebmethod"}, {"value": "GetProcessList", "property": "Process List", "propertytype": "NodeWebmethod"}, {"value": "sapnwdaas1", "property": "SAPLOCALHOST", "propertytype": "Attribute"}, {"value": "ABAPGetWPTable", "property": "ABAP WP Table", "propertytype": "NodeWebmethod"}, {"value": "GetAccessPointList", "property": "Access Points", "propertytype": "NodeWebmethod"}, {"value": "D02", "property": "INSTANCE_NAME", "propertytype": "Attribute"}, {"value": "https://launchpad.support.sap.com/#/softwarecenter/template/products/_APP=00200682500000001943&_EVENT=DISPHIER&HEADER=Y&FUNCTIONBAR=N&EVENT=TREE&NE=NAVIGATE&ENR=73554900100200005858&V=MAINT", "property": "Kernel Update", "propertytype": "NodeURL"}, {"value": "NWD", "property": "SAPSYSTEMNAME", "propertytype": "Attribute"}, {"value": "3", "property": "StartPriority", "propertytype": "Attribute"}, {"value": "GetAlertTree", "property": "Current Status", "propertytype": "NodeWebmethod"}, {"value": "GWGetClientList", "property": "Gateway Clients", "propertytype": "NodeWebmethod"}, {"value": "ICMGetConnectionList", "property": "ICM Connections", "propertytype": "NodeWebmethod"}, {"value": "GetQueueStatistic", "property": "Queue Statistic", "propertytype": "NodeWebmethod"}, {"value": "GWGetConnectionList", "property": "Gateway Connections", "propertytype": "NodeWebmethod"}, {"value": "ABAPAcknowledgeAlerts,ABAPCheckRFCDestinations,ABAPGetComponentList,ABAPGetSystemWPTable,ABAPGetWPTable,ABAPReadRawSyslog,ABAPReadSyslog,ABAPSetServerInactive,AnalyseLogFiles,Bootstrap,CheckParameter,CheckPSE,CheckUpdateSystem,ConfigureLogFileList,CreatePSECredential,CreateSnapshot,DeletePSE,DeleteSnapshots,EnqGetLockTable,EnqGetStatistic,EnqRemoveLocks,EnqRemoveUserLocks,GetAccessPointList,GetAlerts,GetAlertTree,GetCallstack,GetEnvironment,GetLogFileList,GetProcessParameter,GetQueueStatistic,GetStartProfile,GetSystemUpdateList,GetTraceFile,GetVersionInfo,GWCancelConnections,GWDeleteClients,GWDeleteConnections,GWGetConnectionList,GWGetClientList,HACheckConfig,HACheckFailoverConfig,HACheckMaintenanceMode,HAFailoverToNode,HAGetFailoverConfig,HASetMaintenanceMode,ICMGetCacheEntries,ICMGetConnectionList,ICMGetProxyConnectionList,ICMGetThreadList,InstanceStart,InstanceStop,J2EEControlCluster,J2EEControlComponents,J2EEControlProcess,J2EEDisableDbgSession,J2EEEnableDbgSession,J2EEGetApplicationAliasList,J2EEGetCacheStatistic,J2EEGetCacheStatistic2,J2EEGetClusterMsgList,J2EEGetComponentList,J2EEGetEJBSessionList,J2EEGetProcessList,J2EEGetProcessList2,J2EEGetRemoteObjectList,J2EEGetSessionList,J2EEGetSharedTableInfo,J2EEGetThreadCallStack,J2EEGetThreadList,J2EEGetThreadList2,J2EEGetThreadTaskStack,J2EEGetVMGCHistory,J2EEGetVMGCHistory2,J2EEGetVMHeapInfo,J2EEGetWebSessionList,J2EEGetWebSessionList2,ListConfigFiles,ListDeveloperTraces,ListLogFiles,ListSnapshots,OSExecute,ParameterValue,ReadConfigFile,ReadDeveloperTrace,ReadLogFile,ReadSnapshot,RestartInstance,RestartService,RestartSystem,SendSignal,SetProcessParameter,SetProcessParameter2,ShmDetach,Shutdown,Start,StartBypassHA,StartSystem,Stop,StopBypassHA,StopService,StopSystem,StorePSE,UpdateInstancePSE,UpdateSCSInstance,UpdateSystem,UpdateSystemPKI,WebDispGetServerList,WebDispGetGroupList,WebDispGetVirtHostList,WebDispGetUrlPrefixList,GetAgentConfig,GetListOfMaByCusGrp,GetMcInLocalMs,GetMtesByRequestTable,GetMtListByMtclass,InfoGetTree,MscCustomizeWrite,MscDeleteLines,MscReadCache,MsGetLocalMsInfo,MsGetMteclsInLocalMs,MtChangeStatus,MtCustomizeWrite,MtDbsetToWpsetByTid,MtDestroyMarkNTry,MteGetByToolRunstatus,MtGetAllToCust,MtGetAllToolsToSet,MtGetMteinfo,MtGetTidByName,MtRead,MtReset,PerfCustomizeWrite,PerfRead,PerfReadSmoothData,ReadDirectory,ReadFile,ReadProfileParameters,ReferenceRead,Register,RequestLogonFile,SnglmgsCustomizeWrite,SystemObjectSetValue,TextAttrRead,ToolGetEffective,ToolSet,ToolSetRuntimeStatus,TriggerDataCollection,Unregister,UtilAlChangeStatus,UtilMtGetAidByTid,UtilMtGetTreeLocal,UtilMtReadAll,UtilReadRawalertByAid,UtilSnglmsgReadRawdata", "property": "Protected Webmethods", "propertytype": "Attribute"}, {"value": "ICMGetProxyConnectionList", "property": "ICM Proxy Connections", "propertytype": "NodeWebmethod"}, {"value": "http://sapnwdaas1:50213/sapparamEN.html", "property": "Parameter Documentation", "propertytype": "NodeURL"}]}, "HdbnsutilSRstate": null, "HostConfiguration": null, "SystemReplication": null}]}]	2024-04-09 15:10:10.376695	2024-04-09 15:10:10.376695
559	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	sap_system_discovery	[]	2024-04-09 15:10:11.702987	2024-04-09 15:10:11.702987
560	7269ee51-5007-5849-aaa7-7c4a98b0c9ce	sap_system_discovery	[]	2024-04-09 15:10:12.349642	2024-04-09 15:10:12.349642
550	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:10:09.967074	2024-04-09 15:10:09.967074
551	1b0e9297-97dd-55d6-9874-8efde4d84c90	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev04", "plan": {}, "tags": "fake-tags", "vmId": "48a84b30-7cfb-4b74-ad43-8382ad07ed9b", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev04", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver04-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-netweaver02-App", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Attach", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.24"}, {"privateIpAddress": "10.100.1.28"}]}, "ipv6": {}, "macAddress": "6045BD8D9A74"}]}}, "Provider": "azure"}	2024-04-09 15:10:10.099163	2024-04-09 15:10:10.099163
552	1b0e9297-97dd-55d6-9874-8efde4d84c90	host_discovery	{"hostname": "vmnwdev04", "cpu_count": 2, "os_version": "15-SP3", "ip_addresses": ["127.0.0.1", "::1", "10.100.1.24", "10.100.1.28", "fe80::6245:bdff:fe8d:9a74"], "socket_count": 1, "agent_version": "2.1.0", "total_memory_mb": 7951, "fully_qualified_domain_name": "vmnwdev04.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net"}	2024-04-09 15:10:10.236541	2024-04-09 15:10:10.236541
554	1b0e9297-97dd-55d6-9874-8efde4d84c90	subscription_discovery	[{"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "SLES_SAP", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-basesystem"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-desktop-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-server-applications"}, {"arch": "x86_64", "type": "internal", "status": "Registered", "version": "15.3", "starts_at": "2021-10-18 06:23:46 UTC", "expires_at": "2026-10-18 06:23:46 UTC", "identifier": "sle-ha", "subscription_status": "ACTIVE"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-sap-applications"}, {"arch": "x86_64", "status": "Registered", "version": "15.3", "identifier": "sle-module-public-cloud"}]	2024-04-09 15:10:10.528694	2024-04-09 15:10:10.528694
555	9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev03", "plan": {}, "tags": "fake-tags", "vmId": "14173622-8d19-4e09-9661-2bfb236b01e4", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev03", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver03-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-netweaver01-App", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Attach", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "0", "platformUpdateDomain": "1", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.23"}, {"privateIpAddress": "10.100.1.27"}]}, "ipv6": {}, "macAddress": "6045BD8D9EF4"}]}}, "Provider": "azure"}	2024-04-09 15:10:10.659105	2024-04-09 15:10:10.659105
556	1b0e9297-97dd-55d6-9874-8efde4d84c90	cloud_discovery	{"Metadata": {"compute": {"sku": "gen2", "name": "vmnwdev04", "plan": {}, "tags": "fake-tags", "vmId": "48a84b30-7cfb-4b74-ad43-8382ad07ed9b", "offer": "sles-sap-15-sp3-byos", "osType": "Linux", "vmSize": "Standard_D2s_v3", "version": "2021.12.19", "location": "westeurope", "provider": "Microsoft.Compute", "tagsList": [{"name": "Cost Center", "value": "00000000"}, {"name": "Department", "value": "EI"}, {"name": "Environment", "value": "Development"}, {"name": "Finance Business Partner", "value": "John Doe"}, {"name": "General Ledger Code", "value": "100000000"}, {"name": "Group", "value": "SAP Solutions"}, {"name": "Owner", "value": "John Doe"}, {"name": "Stakeholder", "value": "John Doe"}, {"name": "workspace", "value": "xxxxxxx"}], "osProfile": {"computerName": "vmnwdev04", "adminUsername": "cloudadmin", "disablePasswordAuthentication": "true"}, "publisher": "SUSE", "publicKeys": [{"path": "ssh-no-see", "keyData": "ssh-no-see"}], "resourceId": "/subscriptions/00000000-0000-0000-0000-000000000000", "azEnvironment": "AzurePublicCloud", "storageProfile": {"osDisk": {"vhd": {"uri": ""}, "name": "disk-netweaver04-Os", "image": {"uri": ""}, "osType": "Linux", "caching": "ReadWrite", "diskSizeGB": "30", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "FromImage", "diffDiskSettings": {"option": ""}, "encryptionSettings": {"enabled": "false"}, "writeAcceleratorEnabled": "false"}, "dataDisks": [{"lun": "0", "vhd": {"uri": ""}, "name": "disk-netweaver02-App", "image": {"uri": ""}, "caching": "ReadWrite", "diskSizeGB": "128", "managedDisk": {"id": "/subscriptions/00000000-0000-0000-0000-000000000000", "storageAccountType": "Premium_LRS"}, "createOption": "Attach", "writeAcceleratorEnabled": "false"}], "imageReference": {"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "version": "latest", "publisher": "SUSE"}}, "subscriptionId": "00000000-0000-0000-0000-000000000000", "securityProfile": {"secureBootEnabled": "false", "virtualTpmEnabled": "false"}, "resourceGroupName": "resourceGroupName", "platformFaultDomain": "1", "platformUpdateDomain": "0", "isHostCompatibilityLayerVm": "false"}, "network": {"interface": [{"ipv4": {"subnet": [{"prefix": "24", "address": "10.100.1.0"}], "ipAddress": [{"publicIpAddress": "XX.XXX.XX.XXX", "privateIpAddress": "10.100.1.24"}, {"privateIpAddress": "10.100.1.28"}]}, "ipv6": {}, "macAddress": "6045BD8D9A74"}]}}, "Provider": "azure"}	2024-04-09 15:10:10.798532	2024-04-09 15:10:10.798532
\.


--
-- Data for Name: fun_with_flags_toggles; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.fun_with_flags_toggles (id, flag_name, gate_type, target, enabled) FROM stdin;
\.


--
-- Data for Name: heartbeats; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.heartbeats (agent_id, "timestamp", inserted_at, updated_at) FROM stdin;
\.


--
-- Data for Name: hosts; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.hosts (id, hostname, ip_addresses, agent_version, heartbeat, provider, cluster_id, provider_data, deregistered_at, selected_checks, saptune_status, health, fully_qualified_domain_name, inserted_at, updated_at) FROM stdin;
9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	vmnwdev03	{10.100.1.23,10.100.1.27}	2.1.0	unknown	azure	\N	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmnwdev03", "vm_size": "Standard_D2s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 1}	\N	{}	\N	unknown	vmnwdev03.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:06:56.014107	2024-04-09 15:10:09.686554
25677e37-fd33-5005-896c-9275b1284534	vmnwqas01	{10.90.1.21,10.90.1.25}	2.1.0	unknown	azure	\N	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmnwqas01", "vm_size": "Standard_D2s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 0}	2024-04-09 15:09:57.027722	{}	{"staging": null, "services": [], "tuning_state": null, "applied_notes": [], "enabled_notes": [], "package_version": "3.0.0", "applied_solution": null, "enabled_solution": null, "configured_version": null}	unknown	vmnwqas01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:11.590764	2024-04-09 15:09:57.062715
a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	vmnwprd03	{10.80.1.23,10.80.1.27}	2.1.0	unknown	azure	\N	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmnwprd03", "vm_size": "Standard_D2s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 1}	\N	{}	{"staging": {"notes": [], "enabled": false, "solutions_ids": []}, "services": [{"name": "sapconf", "active": null, "enabled": null}, {"name": "saptune", "active": "active", "enabled": "enabled"}, {"name": "tuned", "active": null, "enabled": null}], "tuning_state": "not compliant", "applied_notes": [{"id": "941735", "additionally_enabled": false}, {"id": "1771258", "additionally_enabled": false}, {"id": "2578899", "additionally_enabled": false}, {"id": "2993054", "additionally_enabled": false}, {"id": "1656250", "additionally_enabled": false}, {"id": "900929", "additionally_enabled": false}], "enabled_notes": [{"id": "941735", "additionally_enabled": false}, {"id": "1771258", "additionally_enabled": false}, {"id": "2578899", "additionally_enabled": false}, {"id": "2993054", "additionally_enabled": false}, {"id": "1656250", "additionally_enabled": false}, {"id": "900929", "additionally_enabled": false}], "package_version": "3.1.0", "applied_solution": {"id": "NETWEAVER", "notes": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "partial": false}, "enabled_solution": {"id": "NETWEAVER", "notes": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "partial": false}, "configured_version": "3"}	unknown	vmnwprd03.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:06:58.433007	2024-04-09 15:07:02.793844
9a26b6d0-6e72-597c-9fe5-152a6875f214	vmiscsi01	{10.80.1.4}	2.1.0	unknown	azure	\N	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmiscsi01", "vm_size": "Standard_DS1_v2", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 1}	\N	{}	\N	unknown	vmiscsi01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:06:55.889456	2024-04-09 15:07:12.780797
13e8c25c-3180-5a9a-95c8-51ec38e50cfc	vmhdbdev01	{10.100.1.11,10.100.1.13}	2.1.0	unknown	azure	7965f822-0254-5858-abca-f6e8b4c27714	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmhdbdev01", "vm_size": "Standard_E4s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 7}	\N	{}	\N	unknown	vmhdbdev01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:06:55.635421	2024-04-09 15:08:16.393106
e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	vmhdbqas02	{10.90.1.12}	2.1.0	unknown	azure	fa0d74a3-9240-5d9e-99fa-61c4137acf81	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmhdbqas02", "vm_size": "Standard_E4s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 7}	\N	{}	{"staging": null, "services": [], "tuning_state": null, "applied_notes": [], "enabled_notes": [], "package_version": "3.0.0", "applied_solution": null, "enabled_solution": null, "configured_version": null}	unknown	vmhdbqas02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:09.753019	2024-04-09 15:07:20.297624
7269ee51-5007-5849-aaa7-7c4a98b0c9ce	vmnwdev01	{10.100.1.21,10.100.1.25}	2.1.0	unknown	azure	5284f376-c1f4-5178-8966-d490df3dab4f	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmnwdev01", "vm_size": "Standard_D2s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 0}	\N	{}	\N	unknown	vmnwdev01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:15.070037	2024-04-09 15:08:36.190225
21de186a-e38f-5804-b643-7f4ef22fecfd	vmdrbddev02	{10.100.1.32}	2.1.0	unknown	azure	6bd7ec60-8cb1-5c6b-a892-29e1fd2f8380	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmdrbddev02", "vm_size": "Standard_D2s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 1}	\N	{}	{"staging": null, "services": [], "tuning_state": null, "applied_notes": [], "enabled_notes": [], "package_version": "3.0.0", "applied_solution": null, "enabled_solution": null, "configured_version": null}	unknown	\N	2024-04-09 15:07:00.944043	2024-04-09 15:07:17.801866
fb2c6b8a-9915-5969-a6b7-8b5a42de1971	vmnwdev02	{10.100.1.22,10.100.1.26}	2.1.0	unknown	azure	5284f376-c1f4-5178-8966-d490df3dab4f	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmnwdev02", "vm_size": "Standard_D2s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 0}	\N	{}	\N	unknown	vmnwdev02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:14.344878	2024-04-09 15:08:35.517504
69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	vmiscsi01	{10.100.1.4}	2.1.0	unknown	azure	\N	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmiscsi01", "vm_size": "Standard_DS1_v2", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 1}	\N	{}	\N	unknown	vmiscsi01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:05.426405	2024-04-09 15:07:06.436101
f0c808b3-d869-5192-a944-20f66a6a8449	vmiscsi01	{10.90.1.4}	2.1.0	unknown	azure	\N	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmiscsi01", "vm_size": "Standard_DS1_v2", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 1}	\N	{}	\N	unknown	vmiscsi01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:10.403569	2024-04-09 15:07:14.614217
116d49bd-85e1-5e59-b820-83f66db8800c	vmnwprd01	{10.80.1.21,10.80.1.25}	2.1.0	unknown	azure	0eac831a-aa66-5f45-89a4-007fbd2c5714	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmnwprd01", "vm_size": "Standard_D2s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 0}	\N	{}	{"staging": {"notes": [], "enabled": false, "solutions_ids": []}, "services": [{"name": "sapconf", "active": null, "enabled": null}, {"name": "saptune", "active": "active", "enabled": "enabled"}, {"name": "tuned", "active": null, "enabled": null}], "tuning_state": "not compliant", "applied_notes": [{"id": "941735", "additionally_enabled": false}, {"id": "1771258", "additionally_enabled": false}, {"id": "2578899", "additionally_enabled": false}, {"id": "2993054", "additionally_enabled": false}, {"id": "1656250", "additionally_enabled": false}, {"id": "900929", "additionally_enabled": false}], "enabled_notes": [{"id": "941735", "additionally_enabled": false}, {"id": "1771258", "additionally_enabled": false}, {"id": "2578899", "additionally_enabled": false}, {"id": "2993054", "additionally_enabled": false}, {"id": "1656250", "additionally_enabled": false}, {"id": "900929", "additionally_enabled": false}], "package_version": "3.1.0", "applied_solution": {"id": "NETWEAVER", "notes": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "partial": false}, "enabled_solution": {"id": "NETWEAVER", "notes": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "partial": false}, "configured_version": "3"}	unknown	vmnwprd01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:06:59.026751	2024-04-09 15:07:15.210372
422686d6-b2d1-5092-93e8-a744854f5085	vmdrbdqas02	{10.90.1.32}	2.1.0	unknown	azure	8a66f8fb-5fe9-51b3-a34c-24321271a4e3	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmdrbdqas02", "vm_size": "Standard_D2s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 1}	\N	{}	{"staging": null, "services": [], "tuning_state": null, "applied_notes": [], "enabled_notes": [], "package_version": "3.0.0", "applied_solution": null, "enabled_solution": null, "configured_version": null}	unknown	vmdrbdqas02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:03.813324	2024-04-09 15:07:15.802849
240f96b1-8d26-53b7-9e99-ffb0f2e735bf	vmdrbddev01	{10.100.1.31,10.100.1.33}	2.1.0	unknown	azure	6bd7ec60-8cb1-5c6b-a892-29e1fd2f8380	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmdrbddev01", "vm_size": "Standard_D2s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 1}	\N	{}	{"staging": null, "services": [], "tuning_state": null, "applied_notes": [], "enabled_notes": [], "package_version": "3.0.0", "applied_solution": null, "enabled_solution": null, "configured_version": null}	unknown	vmdrbddev01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:12.120582	2024-04-09 15:07:21.913891
81e9b629-c1e7-538f-bff1-47d3a6580522	vmnwqas04	{10.90.1.28,10.90.1.24}	2.1.0	unknown	\N	\N	\N	\N	{}	{"staging": null, "services": [], "tuning_state": null, "applied_notes": [], "enabled_notes": [], "package_version": "3.0.0", "applied_solution": null, "enabled_solution": null, "configured_version": null}	unknown	vmnwqas04.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:13.805246	2024-04-09 15:07:14.474905
927901fa-2c87-524e-b18c-3ef5187f504f	vmdrbdprd02	{10.80.1.32}	2.1.0	unknown	azure	c7a1e943-bf46-590b-bd26-bfc7c78def97	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmdrbdprd02", "vm_size": "Standard_D2s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 1}	\N	{}	{"staging": {"notes": [], "enabled": false, "solutions_ids": []}, "services": [{"name": "sapconf", "active": null, "enabled": null}, {"name": "saptune", "active": "inactive", "enabled": "enabled"}, {"name": "tuned", "active": null, "enabled": null}], "tuning_state": "not tuned", "applied_notes": [], "enabled_notes": [], "package_version": "3.1.0", "applied_solution": null, "enabled_solution": null, "configured_version": "3"}	unknown	vmdrbdprd02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:08.421241	2024-04-09 15:07:17.603191
a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	vmdrbdprd01	{10.80.1.31,10.80.1.33}	2.1.0	unknown	azure	c7a1e943-bf46-590b-bd26-bfc7c78def97	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmdrbdprd01", "vm_size": "Standard_D2s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 1}	\N	{}	{"staging": {"notes": [], "enabled": false, "solutions_ids": []}, "services": [{"name": "sapconf", "active": null, "enabled": null}, {"name": "saptune", "active": "inactive", "enabled": "enabled"}, {"name": "tuned", "active": null, "enabled": null}], "tuning_state": "not tuned", "applied_notes": [], "enabled_notes": [], "package_version": "3.1.0", "applied_solution": null, "enabled_solution": null, "configured_version": "3"}	unknown	vmdrbdprd01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:07.205252	2024-04-09 15:07:20.431885
3711ea88-9ccc-5b07-8f9d-042be449d72b	vmnwqas02	{10.90.1.22,10.90.1.26}	2.1.0	unknown	azure	fb861bce-d212-56b5-8786-74afd6eb58cb	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmnwqas02", "vm_size": "Standard_D2s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 0}	\N	{}	{"staging": null, "services": [], "tuning_state": null, "applied_notes": [], "enabled_notes": [], "package_version": "3.0.0", "applied_solution": null, "enabled_solution": null, "configured_version": null}	unknown	vmnwqas02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:09.075637	2024-04-09 15:07:21.591673
9cd46919-5f19-59aa-993e-cf3736c71053	vmhdbprd01	{10.80.1.11,10.80.1.13}	2.1.0	unknown	azure	\N	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmhdbprd01", "vm_size": "Standard_E4s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 7}	2024-04-09 15:09:51.52125	{}	{"staging": {"notes": [], "enabled": false, "solutions_ids": []}, "services": [{"name": "sapconf", "active": null, "enabled": null}, {"name": "saptune", "active": "active", "enabled": "enabled"}, {"name": "tuned", "active": null, "enabled": null}], "tuning_state": "compliant", "applied_notes": [{"id": "941735", "additionally_enabled": false}, {"id": "1771258", "additionally_enabled": false}, {"id": "1868829", "additionally_enabled": false}, {"id": "1980196", "additionally_enabled": false}, {"id": "2578899", "additionally_enabled": false}, {"id": "2684254", "additionally_enabled": false}, {"id": "2382421", "additionally_enabled": false}, {"id": "2534844", "additionally_enabled": false}, {"id": "2993054", "additionally_enabled": false}, {"id": "1656250", "additionally_enabled": false}], "enabled_notes": [{"id": "941735", "additionally_enabled": false}, {"id": "1771258", "additionally_enabled": false}, {"id": "1868829", "additionally_enabled": false}, {"id": "1980196", "additionally_enabled": false}, {"id": "2578899", "additionally_enabled": false}, {"id": "2684254", "additionally_enabled": false}, {"id": "2382421", "additionally_enabled": false}, {"id": "2534844", "additionally_enabled": false}, {"id": "2993054", "additionally_enabled": false}, {"id": "1656250", "additionally_enabled": false}], "package_version": "3.1.0", "applied_solution": {"id": "HANA", "notes": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "partial": false}, "enabled_solution": {"id": "HANA", "notes": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "partial": false}, "configured_version": "3"}	unknown	vmhdbprd01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:03.944241	2024-04-09 15:09:51.557065
0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	vmnwprd04	{10.80.1.24,10.80.1.28}	2.1.0	unknown	azure	\N	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmnwprd04", "vm_size": "Standard_D2s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 1}	\N	{}	{"staging": {"notes": [], "enabled": false, "solutions_ids": []}, "services": [{"name": "sapconf", "active": null, "enabled": null}, {"name": "saptune", "active": "active", "enabled": "enabled"}, {"name": "tuned", "active": null, "enabled": null}], "tuning_state": "not compliant", "applied_notes": [{"id": "941735", "additionally_enabled": false}, {"id": "1771258", "additionally_enabled": false}, {"id": "2578899", "additionally_enabled": false}, {"id": "2993054", "additionally_enabled": false}, {"id": "1656250", "additionally_enabled": false}, {"id": "900929", "additionally_enabled": false}], "enabled_notes": [{"id": "941735", "additionally_enabled": false}, {"id": "1771258", "additionally_enabled": false}, {"id": "2578899", "additionally_enabled": false}, {"id": "2993054", "additionally_enabled": false}, {"id": "1656250", "additionally_enabled": false}, {"id": "900929", "additionally_enabled": false}], "package_version": "3.1.0", "applied_solution": {"id": "NETWEAVER", "notes": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "partial": false}, "enabled_solution": {"id": "NETWEAVER", "notes": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "partial": false}, "configured_version": "3"}	unknown	vmnwprd04.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:13.29999	2024-04-09 15:07:15.351567
ddcb7992-2ffb-5c10-8b39-80685f6eaaba	vmdrbdqas01	{10.90.1.31,10.90.1.33}	2.1.0	unknown	azure	8a66f8fb-5fe9-51b3-a34c-24321271a4e3	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmdrbdqas01", "vm_size": "Standard_D2s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 1}	\N	{}	{"staging": null, "services": [], "tuning_state": null, "applied_notes": [], "enabled_notes": [], "package_version": "3.0.0", "applied_solution": null, "enabled_solution": null, "configured_version": null}	unknown	vmdrbdqas01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:09.603661	2024-04-09 15:07:16.068878
4b30a6af-4b52-5bda-bccb-f2248a12c992	vmnwprd02	{10.80.1.22,10.80.1.26}	2.1.0	unknown	azure	0eac831a-aa66-5f45-89a4-007fbd2c5714	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmnwprd02", "vm_size": "Standard_D2s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 0}	\N	{}	{"staging": {"notes": [], "enabled": false, "solutions_ids": []}, "services": [{"name": "sapconf", "active": null, "enabled": null}, {"name": "saptune", "active": "active", "enabled": "enabled"}, {"name": "tuned", "active": null, "enabled": null}], "tuning_state": "not compliant", "applied_notes": [{"id": "941735", "additionally_enabled": false}, {"id": "1771258", "additionally_enabled": false}, {"id": "2578899", "additionally_enabled": false}, {"id": "2993054", "additionally_enabled": false}, {"id": "1656250", "additionally_enabled": false}, {"id": "900929", "additionally_enabled": false}], "enabled_notes": [{"id": "941735", "additionally_enabled": false}, {"id": "1771258", "additionally_enabled": false}, {"id": "2578899", "additionally_enabled": false}, {"id": "2993054", "additionally_enabled": false}, {"id": "1656250", "additionally_enabled": false}, {"id": "900929", "additionally_enabled": false}], "package_version": "3.1.0", "applied_solution": {"id": "NETWEAVER", "notes": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "partial": false}, "enabled_solution": {"id": "NETWEAVER", "notes": ["941735", "1771258", "2578899", "2993054", "1656250", "900929"], "partial": false}, "configured_version": "3"}	unknown	vmnwprd02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:04.378864	2024-04-09 15:07:18.444993
99cf8a3a-48d6-57a4-b302-6e4482227ab6	vmhdbqas01	{10.90.1.11,10.90.1.13}	2.1.0	unknown	azure	fa0d74a3-9240-5d9e-99fa-61c4137acf81	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmhdbqas01", "vm_size": "Standard_E4s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 7}	\N	{}	{"staging": null, "services": [], "tuning_state": null, "applied_notes": [], "enabled_notes": [], "package_version": "3.0.0", "applied_solution": null, "enabled_solution": null, "configured_version": null}	unknown	vmhdbqas01.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:00.22652	2024-04-09 15:08:40.378449
098fc159-3ed6-58e7-91be-38fda8a833ea	vmnwqas03	{10.90.1.27,10.90.1.23}	2.1.0	unknown	\N	\N	\N	\N	{}	{"staging": null, "services": [], "tuning_state": null, "applied_notes": [], "enabled_notes": [], "package_version": "3.0.0", "applied_solution": null, "enabled_solution": null, "configured_version": null}	unknown	vmnwqas03.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:01.725489	2024-04-09 15:07:15.670148
b767b3e9-e802-587e-a442-541d093b86b9	vmhdbprd02	{10.80.1.12}	2.1.0	unknown	azure	469e7be5-4e20-5007-b044-c6f540a87493	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmhdbprd02", "vm_size": "Standard_E4s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 7}	\N	{}	{"staging": {"notes": [], "enabled": false, "solutions_ids": []}, "services": [{"name": "sapconf", "active": null, "enabled": null}, {"name": "saptune", "active": "active", "enabled": "enabled"}, {"name": "tuned", "active": null, "enabled": null}], "tuning_state": "compliant", "applied_notes": [{"id": "941735", "additionally_enabled": false}, {"id": "1771258", "additionally_enabled": false}, {"id": "1868829", "additionally_enabled": false}, {"id": "1980196", "additionally_enabled": false}, {"id": "2578899", "additionally_enabled": false}, {"id": "2684254", "additionally_enabled": false}, {"id": "2382421", "additionally_enabled": false}, {"id": "2534844", "additionally_enabled": false}, {"id": "2993054", "additionally_enabled": false}, {"id": "1656250", "additionally_enabled": false}], "enabled_notes": [{"id": "941735", "additionally_enabled": false}, {"id": "1771258", "additionally_enabled": false}, {"id": "1868829", "additionally_enabled": false}, {"id": "1980196", "additionally_enabled": false}, {"id": "2578899", "additionally_enabled": false}, {"id": "2684254", "additionally_enabled": false}, {"id": "2382421", "additionally_enabled": false}, {"id": "2534844", "additionally_enabled": false}, {"id": "2993054", "additionally_enabled": false}, {"id": "1656250", "additionally_enabled": false}], "package_version": "3.1.0", "applied_solution": {"id": "HANA", "notes": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "partial": false}, "enabled_solution": {"id": "HANA", "notes": ["941735", "1771258", "1868829", "1980196", "2578899", "2684254", "2382421", "2534844", "2993054", "1656250"], "partial": false}, "configured_version": "3"}	unknown	vmhdbprd02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:10.031527	2024-04-09 15:07:20.632343
0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	vmhdbdev02	{10.100.1.12}	2.1.0	unknown	azure	7965f822-0254-5858-abca-f6e8b4c27714	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmhdbdev02", "vm_size": "Standard_E4s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 7}	\N	{}	\N	unknown	vmhdbdev02.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:07:05.288701	2024-04-09 15:08:26.506828
1b0e9297-97dd-55d6-9874-8efde4d84c90	vmnwdev04	{10.100.1.24,10.100.1.28}	2.1.0	unknown	azure	\N	{"sku": "gen2", "offer": "sles-sap-15-sp3-byos", "vm_name": "vmnwdev04", "vm_size": "Standard_D2s_v3", "location": "westeurope", "admin_username": "cloudadmin", "resource_group": "resourceGroupName", "data_disk_number": 1}	\N	{}	\N	unknown	vmnwdev04.l15cqsinwnpu5gfyrf1r5l51fe.ax.internal.cloudapp.net	2024-04-09 15:06:56.376281	2024-04-09 15:10:10.24406
\.


--
-- Data for Name: projection_versions; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.projection_versions (projection_name, last_seen_event_number, inserted_at, updated_at) FROM stdin;
database_projector	327	2024-04-09 15:07:05.819418	2024-04-09 15:09:51.544351
cluster_projector	255	2024-04-09 15:06:57.129653	2024-04-09 15:08:21.136419
host_projector	362	2024-04-09 15:06:55.630778	2024-04-09 15:10:10.243937
sap_system_projector	371	2024-04-09 15:07:07.34897	2024-04-09 15:10:12.710431
sles_subscription_projector	188	2024-04-09 15:07:03.056624	2024-04-09 15:07:22.327239
\.


--
-- Data for Name: sap_systems; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sap_systems (id, sid, tenant, db_host, health, deregistered_at, ensa_version, inserted_at, updated_at) FROM stdin;
6c9208eb-a5bb-57ef-be5c-6422dedab602	NWP	HDP	10.80.1.13	passing	2024-04-09 15:09:51.52125	ensa1	2024-04-09 15:07:13.554327	2024-04-09 15:09:51.544651
cd52e571-c897-5bba-b0f9-e155ceca1fff	NWQ	HDQ	10.90.1.13	passing	2024-04-09 15:09:57.027722	ensa1	2024-04-09 15:07:14.880622	2024-04-09 15:09:57.059613
f534a4ad-cef7-5234-b196-e67082ffb50c	NWD	HDD	10.100.1.13	critical	2024-04-09 15:10:12.695609	ensa1	2024-04-09 15:07:16.595749	2024-04-09 15:10:12.710554
\.


--
-- Data for Name: schema_migrations; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.schema_migrations (version, inserted_at) FROM stdin;
20211211133519	2024-04-09 15:05:22
20211212192656	2024-04-09 15:05:22
20211228124832	2024-04-09 15:05:22
20211228125531	2024-04-09 15:05:22
20220119193711	2024-04-09 15:05:22
20220129160042	2024-04-09 15:05:22
20220129161631	2024-04-09 15:05:22
20220209151154	2024-04-09 15:05:22
20220302090722	2024-04-09 15:05:22
20220302154246	2024-04-09 15:05:22
20220302161146	2024-04-09 15:05:22
20220303092533	2024-04-09 15:05:22
20220303092814	2024-04-09 15:05:22
20220303134205	2024-04-09 15:05:22
20220304084057	2024-04-09 15:05:22
20220308142241	2024-04-09 15:05:22
20220309094147	2024-04-09 15:05:22
20220311173044	2024-04-09 15:05:22
20220314130006	2024-04-09 15:05:22
20220315133348	2024-04-09 15:05:22
20220316140828	2024-04-09 15:05:22
20220320190026	2024-04-09 15:05:22
20220329101245	2024-04-09 15:05:22
20220331121957	2024-04-09 15:05:22
20220404142441	2024-04-09 15:05:22
20220405142819	2024-04-09 15:05:22
20220411084543	2024-04-09 15:05:22
20220420082408	2024-04-09 15:05:22
20220420122023	2024-04-09 15:05:22
20220518074335	2024-04-09 15:05:22
20220601162519	2024-04-09 15:05:22
20220729073320	2024-04-09 15:05:22
20230118130238	2024-04-09 15:05:22
20230123162618	2024-04-09 15:05:22
20230123162816	2024-04-09 15:05:22
20230123162928	2024-04-09 15:05:22
20230309094053	2024-04-09 15:05:22
20230323161309	2024-04-09 15:05:22
20230505124514	2024-04-09 15:05:22
20230509114833	2024-04-09 15:05:22
20230608105745	2024-04-09 15:05:22
20230613101433	2024-04-09 15:05:22
20230613102033	2024-04-09 15:05:22
20230616114036	2024-04-09 15:05:22
20230822144338	2024-04-09 15:05:22
20230822144348	2024-04-09 15:05:22
20230905141817	2024-04-09 15:05:22
20230926082236	2024-04-09 15:05:22
20240118164648	2024-04-09 15:05:22
20240130130617	2024-04-09 15:05:22
20240214153742	2024-04-09 15:05:22
20240221134250	2024-04-09 15:05:22
20240227102315	2024-04-09 15:05:22
20240319102315	2024-04-09 15:05:22
\.


--
-- Data for Name: settings; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.settings (installation_settings_installation_id, installation_settings_eula_accepted, inserted_at, updated_at, id, type, api_key_settings_jti, api_key_settings_created_at, api_key_settings_expire_at) FROM stdin;
\N	f	2024-04-09 15:05:25.526162	2024-04-09 15:05:25.526162	6f09bc6d-5ada-40b5-b2a0-34ab9010c3d8	api_key_settings	a72742df-2acf-41cd-876e-5e82884b3f43	2024-04-09 15:05:25.523779	\N
53bdca98-8398-4ac5-aacc-48782f35c1fd	t	2024-04-09 15:05:22.873727	2024-04-09 15:05:22.873727	777c98bf-959c-48e7-a65b-6f911e5d2c9f	installation_settings	\N	\N	\N
\.


--
-- Data for Name: sles_subscriptions; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sles_subscriptions (host_id, identifier, version, arch, status, subscription_status, type, starts_at, expires_at, inserted_at, updated_at) FROM stdin;
a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:03.057399	2024-04-09 15:07:03.057399
a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:03.057756	2024-04-09 15:07:03.057756
a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:03.057981	2024-04-09 15:07:03.057981
a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:03.058089	2024-04-09 15:07:03.058089
a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:03.058196	2024-04-09 15:07:03.058196
a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:03.058426	2024-04-09 15:07:03.058426
a3297d85-5e8b-5ac5-b8a3-55eebc2b8d12	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:03.058656	2024-04-09 15:07:03.058656
69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:05.668983	2024-04-09 15:07:05.668983
69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:05.669312	2024-04-09 15:07:05.669312
69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:05.669949	2024-04-09 15:07:05.669949
69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:05.670122	2024-04-09 15:07:05.670122
69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:05.670272	2024-04-09 15:07:05.670272
69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:05.670526	2024-04-09 15:07:05.670526
69f4dcbb-efa2-5a16-8bc8-01df7dbb7384	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:05.670779	2024-04-09 15:07:05.670779
9cd46919-5f19-59aa-993e-cf3736c71053	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:06.56983	2024-04-09 15:07:06.56983
9cd46919-5f19-59aa-993e-cf3736c71053	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:06.570197	2024-04-09 15:07:06.570197
9cd46919-5f19-59aa-993e-cf3736c71053	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:06.570474	2024-04-09 15:07:06.570474
9cd46919-5f19-59aa-993e-cf3736c71053	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:06.570611	2024-04-09 15:07:06.570611
9cd46919-5f19-59aa-993e-cf3736c71053	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:06.570727	2024-04-09 15:07:06.570727
9cd46919-5f19-59aa-993e-cf3736c71053	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:06.570955	2024-04-09 15:07:06.570955
9cd46919-5f19-59aa-993e-cf3736c71053	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:06.571183	2024-04-09 15:07:06.571183
a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:07.536981	2024-04-09 15:07:07.536981
a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:07.537333	2024-04-09 15:07:07.537333
a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:07.537638	2024-04-09 15:07:07.537638
a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:07.537869	2024-04-09 15:07:07.537869
a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:07.53806	2024-04-09 15:07:07.53806
a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:07.538394	2024-04-09 15:07:07.538394
a09d9cf3-46c1-505c-8fb8-4b0a71a9114e	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:07.538638	2024-04-09 15:07:07.538638
1b0e9297-97dd-55d6-9874-8efde4d84c90	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:07.682109	2024-04-09 15:07:07.682109
1b0e9297-97dd-55d6-9874-8efde4d84c90	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:07.682412	2024-04-09 15:07:07.682412
1b0e9297-97dd-55d6-9874-8efde4d84c90	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:07.682662	2024-04-09 15:07:07.682662
1b0e9297-97dd-55d6-9874-8efde4d84c90	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:07.682813	2024-04-09 15:07:07.682813
1b0e9297-97dd-55d6-9874-8efde4d84c90	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:07.682938	2024-04-09 15:07:07.682938
1b0e9297-97dd-55d6-9874-8efde4d84c90	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:07.683146	2024-04-09 15:07:07.683146
1b0e9297-97dd-55d6-9874-8efde4d84c90	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:07.683348	2024-04-09 15:07:07.683348
21de186a-e38f-5804-b643-7f4ef22fecfd	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:08.284266	2024-04-09 15:07:08.284266
21de186a-e38f-5804-b643-7f4ef22fecfd	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:08.284536	2024-04-09 15:07:08.284536
21de186a-e38f-5804-b643-7f4ef22fecfd	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:08.284766	2024-04-09 15:07:08.284766
21de186a-e38f-5804-b643-7f4ef22fecfd	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:08.284895	2024-04-09 15:07:08.284895
21de186a-e38f-5804-b643-7f4ef22fecfd	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:08.285032	2024-04-09 15:07:08.285032
21de186a-e38f-5804-b643-7f4ef22fecfd	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:08.285254	2024-04-09 15:07:08.285254
21de186a-e38f-5804-b643-7f4ef22fecfd	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:08.285493	2024-04-09 15:07:08.285493
99cf8a3a-48d6-57a4-b302-6e4482227ab6	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:08.547607	2024-04-09 15:07:08.547607
99cf8a3a-48d6-57a4-b302-6e4482227ab6	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:08.547933	2024-04-09 15:07:08.547933
99cf8a3a-48d6-57a4-b302-6e4482227ab6	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:08.548235	2024-04-09 15:07:08.548235
99cf8a3a-48d6-57a4-b302-6e4482227ab6	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:08.548383	2024-04-09 15:07:08.548383
99cf8a3a-48d6-57a4-b302-6e4482227ab6	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:08.5485	2024-04-09 15:07:08.5485
99cf8a3a-48d6-57a4-b302-6e4482227ab6	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:08.548722	2024-04-09 15:07:08.548722
99cf8a3a-48d6-57a4-b302-6e4482227ab6	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:08.548922	2024-04-09 15:07:08.548922
098fc159-3ed6-58e7-91be-38fda8a833ea	SLES_SAP	15.3	x86_64	Not Registered	\N	\N	\N	\N	2024-04-09 15:07:09.325268	2024-04-09 15:07:09.325268
098fc159-3ed6-58e7-91be-38fda8a833ea	sle-module-basesystem	15.3	x86_64	Not Registered	\N	\N	\N	\N	2024-04-09 15:07:09.325451	2024-04-09 15:07:09.325451
098fc159-3ed6-58e7-91be-38fda8a833ea	sle-module-desktop-applications	15.3	x86_64	Not Registered	\N	\N	\N	\N	2024-04-09 15:07:09.325642	2024-04-09 15:07:09.325642
098fc159-3ed6-58e7-91be-38fda8a833ea	sle-module-server-applications	15.3	x86_64	Not Registered	\N	\N	\N	\N	2024-04-09 15:07:09.325828	2024-04-09 15:07:09.325828
098fc159-3ed6-58e7-91be-38fda8a833ea	sle-ha	15.3	x86_64	Not Registered	\N	\N	\N	\N	2024-04-09 15:07:09.32606	2024-04-09 15:07:09.32606
098fc159-3ed6-58e7-91be-38fda8a833ea	sle-module-sap-applications	15.3	x86_64	Not Registered	\N	\N	\N	\N	2024-04-09 15:07:09.326211	2024-04-09 15:07:09.326211
098fc159-3ed6-58e7-91be-38fda8a833ea	sle-module-public-cloud	15.3	x86_64	Not Registered	\N	\N	\N	\N	2024-04-09 15:07:09.326371	2024-04-09 15:07:09.326371
0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:10.530418	2024-04-09 15:07:10.530418
0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:10.530702	2024-04-09 15:07:10.530702
0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:10.53093	2024-04-09 15:07:10.53093
0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:10.531071	2024-04-09 15:07:10.531071
0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:10.531179	2024-04-09 15:07:10.531179
0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:10.531489	2024-04-09 15:07:10.531489
0a055c90-4cb6-54ce-ac9c-ae3fedaf40d4	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:10.531782	2024-04-09 15:07:10.531782
e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:16.463577	2024-04-09 15:07:16.463577
e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:16.463857	2024-04-09 15:07:16.463857
e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:16.464143	2024-04-09 15:07:16.464143
e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:16.464336	2024-04-09 15:07:16.464336
e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:16.464501	2024-04-09 15:07:16.464501
e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:16.464747	2024-04-09 15:07:16.464747
e0c182db-32ff-55c6-a9eb-2b82dd21bc8b	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:16.464933	2024-04-09 15:07:16.464933
b767b3e9-e802-587e-a442-541d093b86b9	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:18.112078	2024-04-09 15:07:18.112078
b767b3e9-e802-587e-a442-541d093b86b9	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:18.112378	2024-04-09 15:07:18.112378
b767b3e9-e802-587e-a442-541d093b86b9	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:18.112678	2024-04-09 15:07:18.112678
b767b3e9-e802-587e-a442-541d093b86b9	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:18.112852	2024-04-09 15:07:18.112852
b767b3e9-e802-587e-a442-541d093b86b9	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:18.112972	2024-04-09 15:07:18.112972
b767b3e9-e802-587e-a442-541d093b86b9	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:18.113184	2024-04-09 15:07:18.113184
b767b3e9-e802-587e-a442-541d093b86b9	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:18.113388	2024-04-09 15:07:18.113388
25677e37-fd33-5005-896c-9275b1284534	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:19.032336	2024-04-09 15:07:19.032336
25677e37-fd33-5005-896c-9275b1284534	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.032701	2024-04-09 15:07:19.032701
25677e37-fd33-5005-896c-9275b1284534	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.033033	2024-04-09 15:07:19.033033
25677e37-fd33-5005-896c-9275b1284534	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.033182	2024-04-09 15:07:19.033182
25677e37-fd33-5005-896c-9275b1284534	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:19.033353	2024-04-09 15:07:19.033353
25677e37-fd33-5005-896c-9275b1284534	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.033655	2024-04-09 15:07:19.033655
25677e37-fd33-5005-896c-9275b1284534	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.033914	2024-04-09 15:07:19.033914
81e9b629-c1e7-538f-bff1-47d3a6580522	SLES_SAP	15.3	x86_64	Not Registered	\N	\N	\N	\N	2024-04-09 15:07:22.327533	2024-04-09 15:07:22.327533
81e9b629-c1e7-538f-bff1-47d3a6580522	sle-module-basesystem	15.3	x86_64	Not Registered	\N	\N	\N	\N	2024-04-09 15:07:22.327792	2024-04-09 15:07:22.327792
81e9b629-c1e7-538f-bff1-47d3a6580522	sle-module-desktop-applications	15.3	x86_64	Not Registered	\N	\N	\N	\N	2024-04-09 15:07:22.327942	2024-04-09 15:07:22.327942
81e9b629-c1e7-538f-bff1-47d3a6580522	sle-module-server-applications	15.3	x86_64	Not Registered	\N	\N	\N	\N	2024-04-09 15:07:22.328073	2024-04-09 15:07:22.328073
81e9b629-c1e7-538f-bff1-47d3a6580522	sle-ha	15.3	x86_64	Not Registered	\N	\N	\N	\N	2024-04-09 15:07:22.328217	2024-04-09 15:07:22.328217
81e9b629-c1e7-538f-bff1-47d3a6580522	sle-module-sap-applications	15.3	x86_64	Not Registered	\N	\N	\N	\N	2024-04-09 15:07:22.328324	2024-04-09 15:07:22.328324
81e9b629-c1e7-538f-bff1-47d3a6580522	sle-module-public-cloud	15.3	x86_64	Not Registered	\N	\N	\N	\N	2024-04-09 15:07:22.328482	2024-04-09 15:07:22.328482
116d49bd-85e1-5e59-b820-83f66db8800c	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:10.672331	2024-04-09 15:07:10.672331
116d49bd-85e1-5e59-b820-83f66db8800c	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:10.67263	2024-04-09 15:07:10.67263
116d49bd-85e1-5e59-b820-83f66db8800c	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:10.672854	2024-04-09 15:07:10.672854
116d49bd-85e1-5e59-b820-83f66db8800c	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:10.673	2024-04-09 15:07:10.673
116d49bd-85e1-5e59-b820-83f66db8800c	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:10.673128	2024-04-09 15:07:10.673128
116d49bd-85e1-5e59-b820-83f66db8800c	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:10.673398	2024-04-09 15:07:10.673398
116d49bd-85e1-5e59-b820-83f66db8800c	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:10.673687	2024-04-09 15:07:10.673687
9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:12.925004	2024-04-09 15:07:12.925004
9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:12.925318	2024-04-09 15:07:12.925318
9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:12.92554	2024-04-09 15:07:12.92554
9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:12.925701	2024-04-09 15:07:12.925701
9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:12.925834	2024-04-09 15:07:12.925834
9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:12.926072	2024-04-09 15:07:12.926072
9a3ec76a-dd4f-5013-9cf0-5eb4cf89898f	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:12.926296	2024-04-09 15:07:12.926296
4b30a6af-4b52-5bda-bccb-f2248a12c992	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:16.2047	2024-04-09 15:07:16.2047
4b30a6af-4b52-5bda-bccb-f2248a12c992	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:16.204942	2024-04-09 15:07:16.204942
4b30a6af-4b52-5bda-bccb-f2248a12c992	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:16.205125	2024-04-09 15:07:16.205125
4b30a6af-4b52-5bda-bccb-f2248a12c992	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:16.205239	2024-04-09 15:07:16.205239
4b30a6af-4b52-5bda-bccb-f2248a12c992	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:16.205348	2024-04-09 15:07:16.205348
4b30a6af-4b52-5bda-bccb-f2248a12c992	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:16.205549	2024-04-09 15:07:16.205549
4b30a6af-4b52-5bda-bccb-f2248a12c992	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:16.205717	2024-04-09 15:07:16.205717
3711ea88-9ccc-5b07-8f9d-042be449d72b	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:16.73311	2024-04-09 15:07:16.73311
3711ea88-9ccc-5b07-8f9d-042be449d72b	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:16.733447	2024-04-09 15:07:16.733447
3711ea88-9ccc-5b07-8f9d-042be449d72b	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:16.733713	2024-04-09 15:07:16.733713
3711ea88-9ccc-5b07-8f9d-042be449d72b	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:16.733862	2024-04-09 15:07:16.733862
3711ea88-9ccc-5b07-8f9d-042be449d72b	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:16.734024	2024-04-09 15:07:16.734024
3711ea88-9ccc-5b07-8f9d-042be449d72b	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:16.734277	2024-04-09 15:07:16.734277
3711ea88-9ccc-5b07-8f9d-042be449d72b	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:16.734499	2024-04-09 15:07:16.734499
422686d6-b2d1-5092-93e8-a744854f5085	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:19.972586	2024-04-09 15:07:19.972586
422686d6-b2d1-5092-93e8-a744854f5085	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.972875	2024-04-09 15:07:19.972875
422686d6-b2d1-5092-93e8-a744854f5085	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.97313	2024-04-09 15:07:19.97313
422686d6-b2d1-5092-93e8-a744854f5085	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.973258	2024-04-09 15:07:19.973258
422686d6-b2d1-5092-93e8-a744854f5085	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:19.973369	2024-04-09 15:07:19.973369
422686d6-b2d1-5092-93e8-a744854f5085	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.973584	2024-04-09 15:07:19.973584
422686d6-b2d1-5092-93e8-a744854f5085	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.973761	2024-04-09 15:07:19.973761
13e8c25c-3180-5a9a-95c8-51ec38e50cfc	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:11.076066	2024-04-09 15:07:11.076066
13e8c25c-3180-5a9a-95c8-51ec38e50cfc	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:11.076398	2024-04-09 15:07:11.076398
13e8c25c-3180-5a9a-95c8-51ec38e50cfc	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:11.076679	2024-04-09 15:07:11.076679
13e8c25c-3180-5a9a-95c8-51ec38e50cfc	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:11.07681	2024-04-09 15:07:11.07681
13e8c25c-3180-5a9a-95c8-51ec38e50cfc	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:11.076934	2024-04-09 15:07:11.076934
13e8c25c-3180-5a9a-95c8-51ec38e50cfc	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:11.077175	2024-04-09 15:07:11.077175
13e8c25c-3180-5a9a-95c8-51ec38e50cfc	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:11.077383	2024-04-09 15:07:11.077383
9a26b6d0-6e72-597c-9fe5-152a6875f214	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:14.212644	2024-04-09 15:07:14.212644
9a26b6d0-6e72-597c-9fe5-152a6875f214	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:14.212886	2024-04-09 15:07:14.212886
9a26b6d0-6e72-597c-9fe5-152a6875f214	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:14.213154	2024-04-09 15:07:14.213154
9a26b6d0-6e72-597c-9fe5-152a6875f214	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:14.213338	2024-04-09 15:07:14.213338
9a26b6d0-6e72-597c-9fe5-152a6875f214	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:14.213455	2024-04-09 15:07:14.213455
9a26b6d0-6e72-597c-9fe5-152a6875f214	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:14.213657	2024-04-09 15:07:14.213657
9a26b6d0-6e72-597c-9fe5-152a6875f214	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:14.213834	2024-04-09 15:07:14.213834
f0c808b3-d869-5192-a944-20f66a6a8449	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:15.500861	2024-04-09 15:07:15.500861
f0c808b3-d869-5192-a944-20f66a6a8449	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:15.501267	2024-04-09 15:07:15.501267
f0c808b3-d869-5192-a944-20f66a6a8449	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:15.501596	2024-04-09 15:07:15.501596
f0c808b3-d869-5192-a944-20f66a6a8449	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:15.50176	2024-04-09 15:07:15.50176
f0c808b3-d869-5192-a944-20f66a6a8449	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:15.5019	2024-04-09 15:07:15.5019
f0c808b3-d869-5192-a944-20f66a6a8449	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:15.502159	2024-04-09 15:07:15.502159
f0c808b3-d869-5192-a944-20f66a6a8449	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:15.502403	2024-04-09 15:07:15.502403
ddcb7992-2ffb-5c10-8b39-80685f6eaaba	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:19.567877	2024-04-09 15:07:19.567877
ddcb7992-2ffb-5c10-8b39-80685f6eaaba	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.568245	2024-04-09 15:07:19.568245
ddcb7992-2ffb-5c10-8b39-80685f6eaaba	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.568518	2024-04-09 15:07:19.568518
ddcb7992-2ffb-5c10-8b39-80685f6eaaba	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.56866	2024-04-09 15:07:19.56866
ddcb7992-2ffb-5c10-8b39-80685f6eaaba	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:19.568791	2024-04-09 15:07:19.568791
ddcb7992-2ffb-5c10-8b39-80685f6eaaba	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.569027	2024-04-09 15:07:19.569027
ddcb7992-2ffb-5c10-8b39-80685f6eaaba	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.56925	2024-04-09 15:07:19.56925
0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:21.313663	2024-04-09 15:07:21.313663
0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:21.313881	2024-04-09 15:07:21.313881
0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:21.314298	2024-04-09 15:07:21.314298
0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:21.314497	2024-04-09 15:07:21.314497
0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:21.314654	2024-04-09 15:07:21.314654
0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:21.314925	2024-04-09 15:07:21.314925
0fc07435-7ee2-54ca-b0de-fb27ffdc5deb	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:21.315196	2024-04-09 15:07:21.315196
7269ee51-5007-5849-aaa7-7c4a98b0c9ce	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:19.843274	2024-04-09 15:07:19.843274
7269ee51-5007-5849-aaa7-7c4a98b0c9ce	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.843623	2024-04-09 15:07:19.843623
7269ee51-5007-5849-aaa7-7c4a98b0c9ce	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.843893	2024-04-09 15:07:19.843893
7269ee51-5007-5849-aaa7-7c4a98b0c9ce	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.844046	2024-04-09 15:07:19.844046
7269ee51-5007-5849-aaa7-7c4a98b0c9ce	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:19.844211	2024-04-09 15:07:19.844211
7269ee51-5007-5849-aaa7-7c4a98b0c9ce	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.844454	2024-04-09 15:07:19.844454
7269ee51-5007-5849-aaa7-7c4a98b0c9ce	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:19.844656	2024-04-09 15:07:19.844656
fb2c6b8a-9915-5969-a6b7-8b5a42de1971	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:21.77593	2024-04-09 15:07:21.77593
fb2c6b8a-9915-5969-a6b7-8b5a42de1971	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:21.776243	2024-04-09 15:07:21.776243
fb2c6b8a-9915-5969-a6b7-8b5a42de1971	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:21.776497	2024-04-09 15:07:21.776497
fb2c6b8a-9915-5969-a6b7-8b5a42de1971	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:21.776678	2024-04-09 15:07:21.776678
fb2c6b8a-9915-5969-a6b7-8b5a42de1971	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:21.776827	2024-04-09 15:07:21.776827
fb2c6b8a-9915-5969-a6b7-8b5a42de1971	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:21.777072	2024-04-09 15:07:21.777072
fb2c6b8a-9915-5969-a6b7-8b5a42de1971	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:21.777321	2024-04-09 15:07:21.777321
927901fa-2c87-524e-b18c-3ef5187f504f	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:20.119603	2024-04-09 15:07:20.119603
927901fa-2c87-524e-b18c-3ef5187f504f	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:20.119865	2024-04-09 15:07:20.119865
927901fa-2c87-524e-b18c-3ef5187f504f	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:20.120061	2024-04-09 15:07:20.120061
927901fa-2c87-524e-b18c-3ef5187f504f	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:20.120226	2024-04-09 15:07:20.120226
927901fa-2c87-524e-b18c-3ef5187f504f	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:20.120328	2024-04-09 15:07:20.120328
927901fa-2c87-524e-b18c-3ef5187f504f	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:20.120503	2024-04-09 15:07:20.120503
927901fa-2c87-524e-b18c-3ef5187f504f	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:20.120684	2024-04-09 15:07:20.120684
240f96b1-8d26-53b7-9e99-ffb0f2e735bf	SLES_SAP	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:22.161318	2024-04-09 15:07:22.161318
240f96b1-8d26-53b7-9e99-ffb0f2e735bf	sle-module-basesystem	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:22.161613	2024-04-09 15:07:22.161613
240f96b1-8d26-53b7-9e99-ffb0f2e735bf	sle-module-desktop-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:22.161828	2024-04-09 15:07:22.161828
240f96b1-8d26-53b7-9e99-ffb0f2e735bf	sle-module-server-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:22.161992	2024-04-09 15:07:22.161992
240f96b1-8d26-53b7-9e99-ffb0f2e735bf	sle-ha	15.3	x86_64	Registered	ACTIVE	internal	2021-10-18 06:23:46 UTC	2026-10-18 06:23:46 UTC	2024-04-09 15:07:22.162141	2024-04-09 15:07:22.162141
240f96b1-8d26-53b7-9e99-ffb0f2e735bf	sle-module-sap-applications	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:22.162348	2024-04-09 15:07:22.162348
240f96b1-8d26-53b7-9e99-ffb0f2e735bf	sle-module-public-cloud	15.3	x86_64	Registered	\N	\N	\N	\N	2024-04-09 15:07:22.162507	2024-04-09 15:07:22.162507
\.


--
-- Data for Name: software_update_settings; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.software_update_settings (id, url, username, password, ca_cert, ca_uploaded_at, inserted_at, updated_at) FROM stdin;
27f86af8-a227-4d53-b2bf-28e3178a5dc0	\N	\N	\N	\N	\N	2024-04-09 15:05:23	2024-04-09 15:05:23
\.


--
-- Data for Name: tags; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.tags (id, value, resource_id, resource_type, inserted_at, updated_at) FROM stdin;
1	env3	f534a4ad-cef7-5234-b196-e67082ffb50c	sap_system	2024-04-09 15:09:45.158614	2024-04-09 15:09:45.158614
2	env1	6c9208eb-a5bb-57ef-be5c-6422dedab602	sap_system	2024-04-09 15:09:45.444025	2024-04-09 15:09:45.444025
3	env2	cd52e571-c897-5bba-b0f9-e155ceca1fff	sap_system	2024-04-09 15:09:45.766594	2024-04-09 15:09:45.766594
\.


--
-- Data for Name: users; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.users (id, username, password_hash, inserted_at, updated_at) FROM stdin;
1	admin	$pbkdf2-sha512$100000$Cnfj7prLmUaIF2vRfR771Q==$6DIbStrRADNrif0fAkriSlFaulZkdzYyvBY/td7+J1mzKOPn2AqagyvmuWnXCkVoj6Ehua5yDjQMhHiaGLYpIw==	2024-04-09 15:05:25.518248	2024-04-09 15:05:25.518248
\.


--
-- Name: discarded_discovery_events_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.discarded_discovery_events_id_seq', 1, false);


--
-- Name: discovery_events_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.discovery_events_id_seq', 560, true);


--
-- Name: fun_with_flags_toggles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.fun_with_flags_toggles_id_seq', 1, false);


--
-- Name: tags_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.tags_id_seq', 3, true);


--
-- Name: users_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.users_id_seq', 1, true);


--
-- Name: application_instances application_instances_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.application_instances
    ADD CONSTRAINT application_instances_pkey PRIMARY KEY (sap_system_id, host_id, instance_number);


--
-- Name: clusters_enrichment_data clusters_enrichment_data_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.clusters_enrichment_data
    ADD CONSTRAINT clusters_enrichment_data_pkey PRIMARY KEY (cluster_id);


--
-- Name: clusters clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.clusters
    ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);


--
-- Name: database_instances database_instances_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.database_instances
    ADD CONSTRAINT database_instances_pkey PRIMARY KEY (sap_system_id, host_id, instance_number);


--
-- Name: databases databases_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.databases
    ADD CONSTRAINT databases_pkey PRIMARY KEY (id);


--
-- Name: discarded_discovery_events discarded_discovery_events_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.discarded_discovery_events
    ADD CONSTRAINT discarded_discovery_events_pkey PRIMARY KEY (id);


--
-- Name: discovery_events discovery_events_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.discovery_events
    ADD CONSTRAINT discovery_events_pkey PRIMARY KEY (id);


--
-- Name: fun_with_flags_toggles fun_with_flags_toggles_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.fun_with_flags_toggles
    ADD CONSTRAINT fun_with_flags_toggles_pkey PRIMARY KEY (id);


--
-- Name: heartbeats heartbeats_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.heartbeats
    ADD CONSTRAINT heartbeats_pkey PRIMARY KEY (agent_id);


--
-- Name: hosts hosts_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.hosts
    ADD CONSTRAINT hosts_pkey PRIMARY KEY (id);


--
-- Name: projection_versions projection_versions_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.projection_versions
    ADD CONSTRAINT projection_versions_pkey PRIMARY KEY (projection_name);


--
-- Name: sap_systems sap_systems_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sap_systems
    ADD CONSTRAINT sap_systems_pkey PRIMARY KEY (id);


--
-- Name: schema_migrations schema_migrations_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.schema_migrations
    ADD CONSTRAINT schema_migrations_pkey PRIMARY KEY (version);


--
-- Name: settings settings_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.settings
    ADD CONSTRAINT settings_pkey PRIMARY KEY (id);


--
-- Name: sles_subscriptions sles_subscriptions_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sles_subscriptions
    ADD CONSTRAINT sles_subscriptions_pkey PRIMARY KEY (host_id, identifier);


--
-- Name: software_update_settings software_update_settings_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.software_update_settings
    ADD CONSTRAINT software_update_settings_pkey PRIMARY KEY (id);


--
-- Name: tags tags_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.tags
    ADD CONSTRAINT tags_pkey PRIMARY KEY (id);


--
-- Name: users users_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.users
    ADD CONSTRAINT users_pkey PRIMARY KEY (id);


--
-- Name: application_instances_host_id_index; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX application_instances_host_id_index ON public.application_instances USING btree (host_id);


--
-- Name: clusters_id_index; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX clusters_id_index ON public.clusters USING btree (id);


--
-- Name: database_instances_host_id_index; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX database_instances_host_id_index ON public.database_instances USING btree (host_id);


--
-- Name: fwf_flag_name_gate_target_idx; Type: INDEX; Schema: public; Owner: postgres
--

CREATE UNIQUE INDEX fwf_flag_name_gate_target_idx ON public.fun_with_flags_toggles USING btree (flag_name, gate_type, target);


--
-- Name: settings_type_index; Type: INDEX; Schema: public; Owner: postgres
--

CREATE UNIQUE INDEX settings_type_index ON public.settings USING btree (type);


--
-- Name: sles_subscriptions_host_id_index; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX sles_subscriptions_host_id_index ON public.sles_subscriptions USING btree (host_id);


--
-- Name: tags_value_resource_id_index; Type: INDEX; Schema: public; Owner: postgres
--

CREATE UNIQUE INDEX tags_value_resource_id_index ON public.tags USING btree (value, resource_id);


--
-- Name: users_username_index; Type: INDEX; Schema: public; Owner: postgres
--

CREATE UNIQUE INDEX users_username_index ON public.users USING btree (username);


--
-- PostgreSQL database dump complete
--

